

SET FOREIGN_KEY_CHECKS=0;

-- ----------------------------
-- Table structure for auth_client
-- ----------------------------
DROP TABLE IF EXISTS `auth_client`;
CREATE TABLE `auth_client` (
  `id` bigint(30) NOT NULL,
  `code` varchar(255) DEFAULT NULL COMMENT '服务编码',
  `secret` varchar(255) DEFAULT NULL COMMENT '服务密钥',
  `name` varchar(255) DEFAULT NULL COMMENT '服务名',
  `locked` char(1) DEFAULT NULL COMMENT '是否锁定',
  `description` varchar(255) DEFAULT NULL COMMENT '描述',
  `crt_time` datetime DEFAULT NULL COMMENT '创建时间',
  `crt_user` varchar(255) DEFAULT NULL COMMENT '创建人',
  `crt_name` varchar(255) DEFAULT NULL COMMENT '创建人姓名',
  `crt_host` varchar(255) DEFAULT NULL COMMENT '创建主机',
  `upd_time` datetime DEFAULT NULL COMMENT '更新时间',
  `upd_user` varchar(255) DEFAULT NULL COMMENT '更新人',
  `upd_name` varchar(255) DEFAULT NULL COMMENT '更新姓名',
  `upd_host` varchar(255) DEFAULT NULL COMMENT '更新主机',
  `attr1` varchar(255) DEFAULT NULL,
  `attr2` varchar(255) DEFAULT NULL,
  `attr3` varchar(255) DEFAULT NULL,
  `attr4` varchar(255) DEFAULT NULL,
  `attr5` varchar(255) DEFAULT NULL,
  `attr6` varchar(255) DEFAULT NULL,
  `attr7` varchar(255) DEFAULT NULL,
  `attr8` varchar(255) DEFAULT NULL,
  PRIMARY KEY (`id`) USING BTREE
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4;

-- ----------------------------
-- Table structure for auth_client_service
-- ----------------------------
DROP TABLE IF EXISTS `auth_client_service`;
CREATE TABLE `auth_client_service` (
  `id` bigint(30) NOT NULL,
  `service_id` varchar(255) DEFAULT NULL,
  `client_id` varchar(255) DEFAULT NULL,
  `description` varchar(255) DEFAULT NULL,
  `crt_time` datetime DEFAULT NULL,
  `crt_user` varchar(255) DEFAULT NULL,
  `crt_name` varchar(255) DEFAULT NULL,
  `crt_host` varchar(255) DEFAULT NULL,
  `attr1` varchar(255) DEFAULT NULL,
  `attr2` varchar(255) DEFAULT NULL,
  `attr3` varchar(255) DEFAULT NULL,
  `attr4` varchar(255) DEFAULT NULL,
  `attr5` varchar(255) DEFAULT NULL,
  `attr6` varchar(255) DEFAULT NULL,
  `attr7` varchar(255) DEFAULT NULL,
  `attr8` varchar(255) DEFAULT NULL,
  PRIMARY KEY (`id`) USING BTREE
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4;

-- ----------------------------
-- Table structure for qrtz_blob_triggers
-- ----------------------------
DROP TABLE IF EXISTS `qrtz_blob_triggers`;
CREATE TABLE `qrtz_blob_triggers` (
  `SCHED_NAME` varchar(120) NOT NULL,
  `TRIGGER_NAME` varchar(200) NOT NULL,
  `TRIGGER_GROUP` varchar(200) NOT NULL,
  `BLOB_DATA` blob,
  PRIMARY KEY (`SCHED_NAME`,`TRIGGER_NAME`,`TRIGGER_GROUP`) USING BTREE,
  KEY `SCHED_NAME` (`SCHED_NAME`,`TRIGGER_NAME`,`TRIGGER_GROUP`) USING BTREE,
  CONSTRAINT `QRTZ_BLOB_TRIGGERS_ibfk_1` FOREIGN KEY (`SCHED_NAME`, `TRIGGER_NAME`, `TRIGGER_GROUP`) REFERENCES `qrtz_triggers` (`SCHED_NAME`, `TRIGGER_NAME`, `TRIGGER_GROUP`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

-- ----------------------------
-- Table structure for qrtz_calendars
-- ----------------------------
DROP TABLE IF EXISTS `qrtz_calendars`;
CREATE TABLE `qrtz_calendars` (
  `SCHED_NAME` varchar(120) NOT NULL,
  `CALENDAR_NAME` varchar(200) NOT NULL,
  `CALENDAR` blob NOT NULL,
  PRIMARY KEY (`SCHED_NAME`,`CALENDAR_NAME`) USING BTREE
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

-- ----------------------------
-- Table structure for qrtz_cron_triggers
-- ----------------------------
DROP TABLE IF EXISTS `qrtz_cron_triggers`;
CREATE TABLE `qrtz_cron_triggers` (
  `SCHED_NAME` varchar(120) NOT NULL,
  `TRIGGER_NAME` varchar(200) NOT NULL,
  `TRIGGER_GROUP` varchar(200) NOT NULL,
  `CRON_EXPRESSION` varchar(120) NOT NULL,
  `TIME_ZONE_ID` varchar(80) DEFAULT NULL,
  PRIMARY KEY (`SCHED_NAME`,`TRIGGER_NAME`,`TRIGGER_GROUP`) USING BTREE,
  CONSTRAINT `QRTZ_CRON_TRIGGERS_ibfk_1` FOREIGN KEY (`SCHED_NAME`, `TRIGGER_NAME`, `TRIGGER_GROUP`) REFERENCES `qrtz_triggers` (`SCHED_NAME`, `TRIGGER_NAME`, `TRIGGER_GROUP`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

-- ----------------------------
-- Table structure for qrtz_fired_triggers
-- ----------------------------
DROP TABLE IF EXISTS `qrtz_fired_triggers`;
CREATE TABLE `qrtz_fired_triggers` (
  `SCHED_NAME` varchar(120) NOT NULL,
  `ENTRY_ID` varchar(95) NOT NULL,
  `TRIGGER_NAME` varchar(200) NOT NULL,
  `TRIGGER_GROUP` varchar(200) NOT NULL,
  `INSTANCE_NAME` varchar(200) NOT NULL,
  `FIRED_TIME` bigint(13) NOT NULL,
  `SCHED_TIME` bigint(13) NOT NULL,
  `PRIORITY` int(11) NOT NULL,
  `STATE` varchar(16) NOT NULL,
  `JOB_NAME` varchar(200) DEFAULT NULL,
  `JOB_GROUP` varchar(200) DEFAULT NULL,
  `IS_NONCONCURRENT` varchar(1) DEFAULT NULL,
  `REQUESTS_RECOVERY` varchar(1) DEFAULT NULL,
  PRIMARY KEY (`SCHED_NAME`,`ENTRY_ID`) USING BTREE,
  KEY `IDX_QRTZ_FT_TRIG_INST_NAME` (`SCHED_NAME`,`INSTANCE_NAME`) USING BTREE,
  KEY `IDX_QRTZ_FT_INST_JOB_REQ_RCVRY` (`SCHED_NAME`,`INSTANCE_NAME`,`REQUESTS_RECOVERY`) USING BTREE,
  KEY `IDX_QRTZ_FT_J_G` (`SCHED_NAME`,`JOB_NAME`,`JOB_GROUP`) USING BTREE,
  KEY `IDX_QRTZ_FT_JG` (`SCHED_NAME`,`JOB_GROUP`) USING BTREE,
  KEY `IDX_QRTZ_FT_T_G` (`SCHED_NAME`,`TRIGGER_NAME`,`TRIGGER_GROUP`) USING BTREE,
  KEY `IDX_QRTZ_FT_TG` (`SCHED_NAME`,`TRIGGER_GROUP`) USING BTREE
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

-- ----------------------------
-- Table structure for qrtz_job_details
-- ----------------------------
DROP TABLE IF EXISTS `qrtz_job_details`;
CREATE TABLE `qrtz_job_details` (
  `SCHED_NAME` varchar(120) NOT NULL,
  `JOB_NAME` varchar(200) NOT NULL,
  `JOB_GROUP` varchar(200) NOT NULL,
  `DESCRIPTION` varchar(250) DEFAULT NULL,
  `JOB_CLASS_NAME` varchar(250) NOT NULL,
  `IS_DURABLE` varchar(1) NOT NULL,
  `IS_NONCONCURRENT` varchar(1) NOT NULL,
  `IS_UPDATE_DATA` varchar(1) NOT NULL,
  `REQUESTS_RECOVERY` varchar(1) NOT NULL,
  `JOB_DATA` blob,
  PRIMARY KEY (`SCHED_NAME`,`JOB_NAME`,`JOB_GROUP`) USING BTREE,
  KEY `IDX_QRTZ_J_REQ_RECOVERY` (`SCHED_NAME`,`REQUESTS_RECOVERY`) USING BTREE,
  KEY `IDX_QRTZ_J_GRP` (`SCHED_NAME`,`JOB_GROUP`) USING BTREE
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

-- ----------------------------
-- Table structure for qrtz_locks
-- ----------------------------
DROP TABLE IF EXISTS `qrtz_locks`;
CREATE TABLE `qrtz_locks` (
  `SCHED_NAME` varchar(120) NOT NULL,
  `LOCK_NAME` varchar(40) NOT NULL,
  PRIMARY KEY (`SCHED_NAME`,`LOCK_NAME`) USING BTREE
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

-- ----------------------------
-- Table structure for qrtz_paused_trigger_grps
-- ----------------------------
DROP TABLE IF EXISTS `qrtz_paused_trigger_grps`;
CREATE TABLE `qrtz_paused_trigger_grps` (
  `SCHED_NAME` varchar(120) NOT NULL,
  `TRIGGER_GROUP` varchar(200) NOT NULL,
  PRIMARY KEY (`SCHED_NAME`,`TRIGGER_GROUP`) USING BTREE
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

-- ----------------------------
-- Table structure for qrtz_scheduler_state
-- ----------------------------
DROP TABLE IF EXISTS `qrtz_scheduler_state`;
CREATE TABLE `qrtz_scheduler_state` (
  `SCHED_NAME` varchar(120) NOT NULL,
  `INSTANCE_NAME` varchar(200) NOT NULL,
  `LAST_CHECKIN_TIME` bigint(13) NOT NULL,
  `CHECKIN_INTERVAL` bigint(13) NOT NULL,
  PRIMARY KEY (`SCHED_NAME`,`INSTANCE_NAME`) USING BTREE
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

-- ----------------------------
-- Table structure for qrtz_simple_triggers
-- ----------------------------
DROP TABLE IF EXISTS `qrtz_simple_triggers`;
CREATE TABLE `qrtz_simple_triggers` (
  `SCHED_NAME` varchar(120) NOT NULL,
  `TRIGGER_NAME` varchar(200) NOT NULL,
  `TRIGGER_GROUP` varchar(200) NOT NULL,
  `REPEAT_COUNT` bigint(7) NOT NULL,
  `REPEAT_INTERVAL` bigint(12) NOT NULL,
  `TIMES_TRIGGERED` bigint(10) NOT NULL,
  PRIMARY KEY (`SCHED_NAME`,`TRIGGER_NAME`,`TRIGGER_GROUP`) USING BTREE,
  CONSTRAINT `QRTZ_SIMPLE_TRIGGERS_ibfk_1` FOREIGN KEY (`SCHED_NAME`, `TRIGGER_NAME`, `TRIGGER_GROUP`) REFERENCES `qrtz_triggers` (`SCHED_NAME`, `TRIGGER_NAME`, `TRIGGER_GROUP`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

-- ----------------------------
-- Table structure for qrtz_simprop_triggers
-- ----------------------------
DROP TABLE IF EXISTS `qrtz_simprop_triggers`;
CREATE TABLE `qrtz_simprop_triggers` (
  `SCHED_NAME` varchar(120) NOT NULL,
  `TRIGGER_NAME` varchar(200) NOT NULL,
  `TRIGGER_GROUP` varchar(200) NOT NULL,
  `STR_PROP_1` varchar(512) DEFAULT NULL,
  `STR_PROP_2` varchar(512) DEFAULT NULL,
  `STR_PROP_3` varchar(512) DEFAULT NULL,
  `INT_PROP_1` int(11) DEFAULT NULL,
  `INT_PROP_2` int(11) DEFAULT NULL,
  `LONG_PROP_1` bigint(20) DEFAULT NULL,
  `LONG_PROP_2` bigint(20) DEFAULT NULL,
  `DEC_PROP_1` decimal(13,4) DEFAULT NULL,
  `DEC_PROP_2` decimal(13,4) DEFAULT NULL,
  `BOOL_PROP_1` varchar(1) DEFAULT NULL,
  `BOOL_PROP_2` varchar(1) DEFAULT NULL,
  PRIMARY KEY (`SCHED_NAME`,`TRIGGER_NAME`,`TRIGGER_GROUP`) USING BTREE,
  CONSTRAINT `QRTZ_SIMPROP_TRIGGERS_ibfk_1` FOREIGN KEY (`SCHED_NAME`, `TRIGGER_NAME`, `TRIGGER_GROUP`) REFERENCES `qrtz_triggers` (`SCHED_NAME`, `TRIGGER_NAME`, `TRIGGER_GROUP`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

-- ----------------------------
-- Table structure for qrtz_triggers
-- ----------------------------
DROP TABLE IF EXISTS `qrtz_triggers`;
CREATE TABLE `qrtz_triggers` (
  `SCHED_NAME` varchar(120) NOT NULL,
  `TRIGGER_NAME` varchar(200) NOT NULL,
  `TRIGGER_GROUP` varchar(200) NOT NULL,
  `JOB_NAME` varchar(200) NOT NULL,
  `JOB_GROUP` varchar(200) NOT NULL,
  `DESCRIPTION` varchar(250) DEFAULT NULL,
  `NEXT_FIRE_TIME` bigint(13) DEFAULT NULL,
  `PREV_FIRE_TIME` bigint(13) DEFAULT NULL,
  `PRIORITY` int(11) DEFAULT NULL,
  `TRIGGER_STATE` varchar(16) NOT NULL,
  `TRIGGER_TYPE` varchar(8) NOT NULL,
  `START_TIME` bigint(13) NOT NULL,
  `END_TIME` bigint(13) DEFAULT NULL,
  `CALENDAR_NAME` varchar(200) DEFAULT NULL,
  `MISFIRE_INSTR` smallint(2) DEFAULT NULL,
  `JOB_DATA` blob,
  PRIMARY KEY (`SCHED_NAME`,`TRIGGER_NAME`,`TRIGGER_GROUP`) USING BTREE,
  KEY `IDX_QRTZ_T_J` (`SCHED_NAME`,`JOB_NAME`,`JOB_GROUP`) USING BTREE,
  KEY `IDX_QRTZ_T_JG` (`SCHED_NAME`,`JOB_GROUP`) USING BTREE,
  KEY `IDX_QRTZ_T_C` (`SCHED_NAME`,`CALENDAR_NAME`) USING BTREE,
  KEY `IDX_QRTZ_T_G` (`SCHED_NAME`,`TRIGGER_GROUP`) USING BTREE,
  KEY `IDX_QRTZ_T_STATE` (`SCHED_NAME`,`TRIGGER_STATE`) USING BTREE,
  KEY `IDX_QRTZ_T_N_STATE` (`SCHED_NAME`,`TRIGGER_NAME`,`TRIGGER_GROUP`,`TRIGGER_STATE`) USING BTREE,
  KEY `IDX_QRTZ_T_N_G_STATE` (`SCHED_NAME`,`TRIGGER_GROUP`,`TRIGGER_STATE`) USING BTREE,
  KEY `IDX_QRTZ_T_NEXT_FIRE_TIME` (`SCHED_NAME`,`NEXT_FIRE_TIME`) USING BTREE,
  KEY `IDX_QRTZ_T_NFT_ST` (`SCHED_NAME`,`TRIGGER_STATE`,`NEXT_FIRE_TIME`) USING BTREE,
  KEY `IDX_QRTZ_T_NFT_MISFIRE` (`SCHED_NAME`,`MISFIRE_INSTR`,`NEXT_FIRE_TIME`) USING BTREE,
  KEY `IDX_QRTZ_T_NFT_ST_MISFIRE` (`SCHED_NAME`,`MISFIRE_INSTR`,`NEXT_FIRE_TIME`,`TRIGGER_STATE`) USING BTREE,
  KEY `IDX_QRTZ_T_NFT_ST_MISFIRE_GRP` (`SCHED_NAME`,`MISFIRE_INSTR`,`NEXT_FIRE_TIME`,`TRIGGER_GROUP`,`TRIGGER_STATE`) USING BTREE,
  CONSTRAINT `QRTZ_TRIGGERS_ibfk_1` FOREIGN KEY (`SCHED_NAME`, `JOB_NAME`, `JOB_GROUP`) REFERENCES `qrtz_job_details` (`SCHED_NAME`, `JOB_NAME`, `JOB_GROUP`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

-- ----------------------------
-- Table structure for schedule_job
-- ----------------------------
DROP TABLE IF EXISTS `schedule_job`;
CREATE TABLE `schedule_job` (
  `job_id` bigint(30) NOT NULL COMMENT '任务id',
  `bean_name` varchar(200) DEFAULT NULL COMMENT 'spring bean名称',
  `method_name` varchar(100) DEFAULT NULL,
  `params` varchar(2000) DEFAULT NULL COMMENT '参数',
  `cron_expression` varchar(100) DEFAULT NULL COMMENT 'cron表达式',
  `status` tinyint(4) DEFAULT NULL COMMENT '任务状态  0：正常  1：暂停',
  `remark` varchar(255) DEFAULT NULL COMMENT '备注',
  `create_time` datetime DEFAULT NULL COMMENT '创建时间',
  `job_status` varchar(1) DEFAULT '0' COMMENT '任务执行状态，0未执行，1正在执行',
  PRIMARY KEY (`job_id`) USING BTREE
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COMMENT='定时任务';

-- ----------------------------
-- Table structure for schedule_job_log
-- ----------------------------
DROP TABLE IF EXISTS `schedule_job_log`;
CREATE TABLE `schedule_job_log` (
  `log_id` bigint(30) NOT NULL COMMENT '任务日志id',
  `job_id` bigint(20) NOT NULL COMMENT '任务id',
  `bean_name` varchar(200) DEFAULT NULL COMMENT 'spring bean名称',
  `method_name` varchar(100) DEFAULT NULL,
  `params` varchar(2000) DEFAULT NULL COMMENT '参数',
  `status` tinyint(4) NOT NULL COMMENT '任务状态    0：成功    1：失败',
  `error` varchar(2000) DEFAULT NULL COMMENT '失败信息',
  `times` int(11) NOT NULL COMMENT '耗时(单位：毫秒)',
  `create_time` datetime DEFAULT NULL COMMENT '创建时间',
  PRIMARY KEY (`log_id`) USING BTREE,
  KEY `job_id` (`job_id`) USING BTREE
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COMMENT='定时任务日志';

-- ----------------------------
-- Table structure for sys_business
-- ----------------------------
DROP TABLE IF EXISTS `sys_business`;
CREATE TABLE `sys_business` (
  `id` bigint(30) NOT NULL COMMENT '主键id',
  `dept_id` varchar(100) DEFAULT NULL COMMENT '部门id',
  `business_code` varchar(50) DEFAULT NULL COMMENT '业务单元编码',
  `business_name` varchar(100) DEFAULT NULL COMMENT '业务单元名称',
  `business_des` varchar(200) DEFAULT NULL COMMENT '描述',
  `company` varchar(50) DEFAULT NULL COMMENT '集团标识',
  `create_time` datetime DEFAULT NULL COMMENT '创建时间',
  `update_time` datetime DEFAULT NULL,
  PRIMARY KEY (`id`) USING BTREE
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COMMENT='业务单元表';

-- ----------------------------
-- Table structure for sys_city
-- ----------------------------
DROP TABLE IF EXISTS `sys_city`;
CREATE TABLE `sys_city` (
  `id` bigint(20) NOT NULL AUTO_INCREMENT COMMENT '主键ID',
  `pid` bigint(20) NOT NULL COMMENT '父级ID',
  `area_name` varchar(64) COLLATE utf8_bin NOT NULL COMMENT '区域名称',
  `is_municipality` varchar(5) COLLATE utf8_bin NOT NULL COMMENT '级别(0:国,1:省\\直辖市\\自治区\\特别行政区,2:市,3区\\县)',
  PRIMARY KEY (`id`) USING BTREE
) ENGINE=InnoDB AUTO_INCREMENT=3430 DEFAULT CHARSET=utf8 COLLATE=utf8_bin;

-- ----------------------------
-- Table structure for sys_config
-- ----------------------------
DROP TABLE IF EXISTS `sys_config`;
CREATE TABLE `sys_config` (
  `id` bigint(30) NOT NULL AUTO_INCREMENT,
  `param_key` varchar(50) DEFAULT NULL COMMENT 'key',
  `param_value` varchar(2000) DEFAULT NULL COMMENT 'value',
  `status` tinyint(4) DEFAULT '1' COMMENT '状态   0：隐藏   1：显示',
  `remark` varchar(500) DEFAULT NULL COMMENT '备注',
  PRIMARY KEY (`id`) USING BTREE,
  UNIQUE KEY `param_key` (`param_key`) USING BTREE
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COMMENT='系统配置信息表';

-- ----------------------------
-- Table structure for sys_customs_log
-- ----------------------------
DROP TABLE IF EXISTS `sys_customs_log`;
CREATE TABLE `sys_customs_log` (
  `id` bigint(50) NOT NULL COMMENT 'id',
  `customs_code` varchar(50) DEFAULT NULL COMMENT '缴款书号码',
  `type` varchar(10) DEFAULT NULL COMMENT '类型  1--采集  2--认证  3--签收  4--取消签收  5--设置不认证  6--状态变更 7--退税认证 8--出口转内销认证 9--出口转内销不认证',
  `input_name` varchar(255) DEFAULT NULL COMMENT '操作人',
  `input_status` varchar(10) DEFAULT NULL COMMENT '操作状态 0--采集成功 1--签收成功 2--签收失败  3--认证成功 4--认证失败 5--取消签收成功 6--取消签收失败 7--设置不认证申请8--设置不认证成功 9--设置不认证失败10--取消不认证申请 11--取消不认证成功12--取消不认证失败 13--勾选成功 14--确认成功 15--撤销认证申请16--撤销认证成功 17--撤销认证失败18--撤销勾选19--状态变更',
  `qs_type` varchar(10) DEFAULT NULL COMMENT '签收方式 0--扫码签收 1--扫描仪签收 2--app签收 3-- 导入签收  4-- 手工签收 5-- pdf、ofd上传签收',
  `rz_type` varchar(10) DEFAULT NULL COMMENT '认证方式  1-- 勾选认证 2--扫描认证 ',
  `create_date` datetime DEFAULT NULL COMMENT '操作日期',
  PRIMARY KEY (`id`) USING BTREE,
  KEY `customs_exist` (`customs_code`,`type`) USING BTREE
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COMMENT='缴款书操作日志';

-- ----------------------------
-- Table structure for sys_dept
-- ----------------------------
DROP TABLE IF EXISTS `sys_dept`;
CREATE TABLE `sys_dept` (
  `dept_id` bigint(30) NOT NULL,
  `parent_id` bigint(20) DEFAULT NULL COMMENT '上级部门ID，一级部门为0',
  `name` varchar(50) DEFAULT NULL COMMENT '部门名称',
  `order_num` int(11) DEFAULT NULL COMMENT '排序',
  `del_flag` tinyint(4) DEFAULT '0' COMMENT '是否删除  -1：已删除  0：正常',
  `taxno` varchar(50) DEFAULT NULL COMMENT '纳税人识别号',
  `taxname` varchar(100) DEFAULT NULL COMMENT '纳税人名称',
  `linkman` varchar(50) DEFAULT NULL COMMENT '联系人',
  `phone` varchar(50) DEFAULT NULL COMMENT '联系电话',
  `address` varchar(200) DEFAULT NULL COMMENT '联系地址',
  `bank` varchar(100) DEFAULT NULL COMMENT '开户行',
  `account` varchar(50) DEFAULT NULL COMMENT '银行帐号',
  `company` varchar(20) DEFAULT NULL COMMENT '所属中心企业',
  `dept_type` varchar(10) DEFAULT NULL COMMENT '部门类型  1--总部  2--子公司  3-- 分支机构 4--部门',
  `org_type` varchar(10) DEFAULT NULL COMMENT '税号类型  1--集团  2--虚拟购方  3--虚拟销方  5--购方企业  8--销方企业',
  `upgrade_status` varchar(10) DEFAULT '1' COMMENT '是否升级企业 0--未升级  1--已升级',
  `qs_status` varchar(10) DEFAULT '1' COMMENT '签收认证状态 0 -- 不签收直接认证  1--签收后才可以认证',
  `cj_status` varchar(10) DEFAULT '1' COMMENT '是否采集状态  0 -- 不采集  1--采集',
  `check_status` varchar(10) DEFAULT NULL COMMENT '是否查验 0--不 查验  1--查验',
  `db_name` varchar(50) DEFAULT NULL COMMENT '数据库名称',
  `ace_key` varchar(100) DEFAULT NULL COMMENT '用户大企业平台权限校验',
  `ace_id` varchar(100) DEFAULT NULL COMMENT '用户大企业平台权限校验',
  `is_collext` varchar(2) DEFAULT '0' COMMENT '是否采集全票面  0-- 不采集全票面  1--采集全票面',
  `area_code` varchar(50) DEFAULT NULL COMMENT '地区编码',
  `is_password` varchar(1) DEFAULT '1' COMMENT '是否需要密码1需要',
  `password` varchar(255) DEFAULT NULL COMMENT '密码',
  `org_code` varchar(20) DEFAULT NULL COMMENT '机构编码',
  `email` varchar(50) DEFAULT NULL COMMENT '邮箱',
  `product_type` varchar(255) DEFAULT NULL COMMENT '0-进项三期  1-票池',
  `create_time` datetime DEFAULT NULL COMMENT '创建时间',
  `update_time` datetime DEFAULT NULL COMMENT '修改时间',
  `data_ace_id` varchar(100) DEFAULT NULL COMMENT '数据平台鉴权id',
  `data_ace_key` varchar(100) DEFAULT NULL COMMENT '数据平台鉴权key',
  `first_collect_date` datetime DEFAULT NULL COMMENT '初次采集起始时间',
  `is_down` varchar(2) DEFAULT NULL COMMENT '是否下载 0-不下载 1-下载',
  `violation_status` varchar(1) DEFAULT '0' COMMENT '集团是否获取违规信息默认0不获取，1获取',
  `check_flag` varchar(2) DEFAULT '0' COMMENT '普票是否进行查验 0-否 1-是',
  `control_rules` varchar(2) DEFAULT '0' COMMENT '发票是否需要规则引擎对接 0-否 1-是',
  PRIMARY KEY (`dept_id`) USING BTREE,
  KEY `taxno_orgtype` (`taxno`,`org_type`) USING BTREE,
  KEY `company` (`company`) USING BTREE,
  KEY `taxno_orgtype_conpany` (`taxno`,`company`,`org_type`) USING BTREE
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COMMENT='部门管理';

-- ----------------------------
-- Table structure for sys_dictdeta
-- ----------------------------
DROP TABLE IF EXISTS `sys_dictdeta`;
CREATE TABLE `sys_dictdeta` (
  `dictid` bigint(30) NOT NULL,
  `dicttype` bigint(10) NOT NULL COMMENT '字典类型关联id',
  `dictname` varchar(100) NOT NULL COMMENT '明细业务字典名称',
  `sortno` varchar(50) DEFAULT NULL COMMENT '排序',
  `status` varchar(4) DEFAULT NULL COMMENT '状态',
  `dictcode` varchar(40) NOT NULL COMMENT '明细业务字典编码',
  `create_time` datetime DEFAULT NULL COMMENT '创建时间',
  `create_by` varchar(40) DEFAULT NULL COMMENT '创建人',
  `last_modify_time` datetime DEFAULT NULL COMMENT '修改时间',
  `last_modify_by` varchar(40) DEFAULT NULL COMMENT '修改人',
  `_mycat_op_time` bigint(20) DEFAULT NULL COMMENT 'mycat同步标识',
  `dicttypecode` varchar(255) DEFAULT NULL COMMENT '字典类型编码',
  PRIMARY KEY (`dictid`) USING BTREE,
  UNIQUE KEY `dict` (`dictcode`,`dicttypecode`) USING BTREE,
  KEY `dicttype` (`dicttype`) USING BTREE
) ENGINE=InnoDB DEFAULT CHARSET=utf8 ROW_FORMAT=DYNAMIC COMMENT='业务字典明细表';

-- ----------------------------
-- Table structure for sys_dicttype
-- ----------------------------
DROP TABLE IF EXISTS `sys_dicttype`;
CREATE TABLE `sys_dicttype` (
  `dicttypeid` bigint(30) NOT NULL COMMENT '主键',
  `dicttypename` varchar(40) NOT NULL COMMENT '字典名称',
  `dicttypedesc` text COMMENT '字典描述',
  `dicttypecode` varchar(40) NOT NULL COMMENT '字典编码',
  `create_time` datetime DEFAULT NULL COMMENT '创建时间',
  `create_by` varchar(40) DEFAULT NULL COMMENT '创建人',
  `last_modify_time` datetime DEFAULT NULL COMMENT '修改时间',
  `last_modify_by` varchar(40) DEFAULT NULL COMMENT '修改人',
  `sys_code` varchar(20) DEFAULT NULL COMMENT '系统编码',
  PRIMARY KEY (`dicttypeid`) USING BTREE,
  UNIQUE KEY `idx_ac_dicttype` (`dicttypecode`) USING BTREE
) ENGINE=InnoDB DEFAULT CHARSET=utf8 ROW_FORMAT=DYNAMIC COMMENT='业务字典主表';

-- ----------------------------
-- Table structure for sys_invoice_log
-- ----------------------------
DROP TABLE IF EXISTS `sys_invoice_log`;
CREATE TABLE `sys_invoice_log` (
  `id` bigint(50) NOT NULL COMMENT 'id',
  `invoice_code` varchar(20) DEFAULT NULL COMMENT '发票代码',
  `invoice_no` varchar(20) DEFAULT NULL COMMENT '发票号码',
  `type` varchar(10) DEFAULT NULL COMMENT '类型  1--采集  2--认证  3--签收  4--取消签收  5--设置不认证  6--发票状态变更 7--退税认证 8--出口转内销认证 9--出口转内销不认证',
  `input_name` varchar(255) DEFAULT NULL COMMENT '操作人',
  `input_status` varchar(10) DEFAULT NULL COMMENT '操作状态 0--采集成功 1--签收成功 2--签收失败  3--认证成功 4--认证失败 5--取消签收成功 6--取消签收失败 7--设置不认证申请8--设置不认证成功 9--设置不认证失败10--取消不认证申请 11--取消不认证成功12--取消不认证失败13--勾选成功 14--确认成功 15--撤销认证申请16--撤销认证成功 17--撤销认证失败18--撤销勾选\r\n19--发票状态变更',
  `qs_type` varchar(10) DEFAULT NULL COMMENT '签收方式 0--扫码签收 1--扫描仪签收 2--app签收 3-- 导入签收  4-- 手工签收 5-- pdf上传签收',
  `rz_type` varchar(10) DEFAULT NULL COMMENT '认证方式  1-- 勾选认证 2--扫描认证 ',
  `remark` varchar(255) DEFAULT NULL COMMENT '备注',
  `create_date` datetime DEFAULT NULL COMMENT '操作日期',
  PRIMARY KEY (`id`) USING BTREE,
  KEY `incode-no` (`invoice_code`,`invoice_no`,`type`) USING BTREE,
  KEY `code-no` (`invoice_code`,`invoice_no`) USING BTREE,
  KEY `caiji_exist` (`invoice_code`,`invoice_no`,`type`) USING BTREE
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COMMENT='发票操作日志';

-- ----------------------------
-- Table structure for sys_ip
-- ----------------------------
DROP TABLE IF EXISTS `sys_ip`;
CREATE TABLE `sys_ip` (
  `id` bigint(30) NOT NULL AUTO_INCREMENT COMMENT 'id',
  `company` varchar(20) DEFAULT NULL COMMENT '集团编码',
  `dept_id` bigint(30) DEFAULT NULL COMMENT '集团id',
  `ip` varchar(100) DEFAULT NULL COMMENT 'ip',
  `create_time` datetime DEFAULT NULL COMMENT '创建时间',
  `update_time` datetime DEFAULT NULL,
  PRIMARY KEY (`id`) USING BTREE
) ENGINE=InnoDB AUTO_INCREMENT=1442051680227471363 DEFAULT CHARSET=utf8;

-- ----------------------------
-- Table structure for sys_log
-- ----------------------------
DROP TABLE IF EXISTS `sys_log`;
CREATE TABLE `sys_log` (
  `id` bigint(100) NOT NULL AUTO_INCREMENT,
  `username` varchar(50) DEFAULT NULL COMMENT '用户名',
  `user_id` varchar(100) DEFAULT NULL COMMENT '用户id',
  `operation` varchar(50) DEFAULT NULL COMMENT '用户操作',
  `url` varchar(50) DEFAULT NULL COMMENT '请求地址',
  `method` varchar(200) DEFAULT NULL COMMENT '请求方法',
  `params` text COMMENT '请求参数',
  `ip` varchar(64) DEFAULT NULL COMMENT 'IP地址',
  `time` bigint(20) NOT NULL COMMENT '执行时长(毫秒)',
  `create_date` datetime DEFAULT NULL COMMENT '创建时间',
  PRIMARY KEY (`id`) USING BTREE
) ENGINE=InnoDB AUTO_INCREMENT=1493827946829824002 DEFAULT CHARSET=utf8 COMMENT='系统日志';

-- ----------------------------
-- Table structure for sys_menu
-- ----------------------------
DROP TABLE IF EXISTS `sys_menu`;
CREATE TABLE `sys_menu` (
  `menu_id` bigint(30) NOT NULL DEFAULT '1',
  `parent_id` bigint(20) DEFAULT NULL COMMENT '父菜单ID，一级菜单为0',
  `parent_name` varchar(200) DEFAULT NULL COMMENT '上级名称',
  `name` varchar(50) DEFAULT NULL COMMENT '菜单名称',
  `url` varchar(200) DEFAULT NULL COMMENT '菜单URL',
  `perms` varchar(500) DEFAULT NULL COMMENT '授权(多个用逗号分隔，如：user:list,user:create)',
  `type` int(11) DEFAULT NULL COMMENT '类型  0：系统 1：目录   2：菜单   3：按钮',
  `icon` varchar(50) DEFAULT NULL COMMENT '菜单图标',
  `order_num` int(11) DEFAULT '0' COMMENT '排序',
  `system_code` varchar(10) DEFAULT NULL COMMENT '系统编码',
  `menu_code` varchar(20) DEFAULT NULL COMMENT '菜单编码',
  `component` varchar(200) DEFAULT NULL COMMENT '组件路径',
  `no_cache` tinyint(1) DEFAULT '1' COMMENT '是否缓存 1--true 不缓存 0--false缓存',
  `btn_rule_flag` tinyint(1) DEFAULT '0' COMMENT '是否需要按钮权限 1--true需要 0--false不需要',
  `query_rule_flag` tinyint(1) DEFAULT '0' COMMENT '是否需要查询条件权限 1--true 需要 0--false不需要',
  PRIMARY KEY (`menu_id`) USING BTREE,
  KEY `menu` (`url`) USING BTREE
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COMMENT='菜单管理';

-- ----------------------------
-- Table structure for sys_menu_copy
-- ----------------------------
DROP TABLE IF EXISTS `sys_menu_copy`;
CREATE TABLE `sys_menu_copy` (
  `menu_id` bigint(30) NOT NULL DEFAULT '1',
  `parent_id` bigint(20) DEFAULT NULL COMMENT '父菜单ID，一级菜单为0',
  `parent_name` varchar(200) DEFAULT NULL COMMENT '上级名称',
  `name` varchar(50) DEFAULT NULL COMMENT '菜单名称',
  `url` varchar(200) DEFAULT NULL COMMENT '菜单URL',
  `perms` varchar(500) DEFAULT NULL COMMENT '授权(多个用逗号分隔，如：user:list,user:create)',
  `type` int(11) DEFAULT NULL COMMENT '类型  0：系统 1：目录   2：菜单   3：按钮',
  `icon` varchar(50) DEFAULT NULL COMMENT '菜单图标',
  `order_num` int(11) DEFAULT '0' COMMENT '排序',
  `system_code` varchar(10) DEFAULT NULL COMMENT '系统编码',
  `menu_code` varchar(20) DEFAULT NULL COMMENT '菜单编码',
  `component` varchar(200) DEFAULT NULL COMMENT '组件路径',
  `no_cache` tinyint(1) DEFAULT '1' COMMENT '是否缓存 1--true 不缓存 0--false缓存',
  `btn_rule_flag` tinyint(1) DEFAULT '0' COMMENT '是否需要按钮权限 1--true需要 0--false不需要',
  `query_rule_flag` tinyint(1) DEFAULT '0' COMMENT '是否需要查询条件权限 1--true 需要 0--false不需要',
  PRIMARY KEY (`menu_id`) USING BTREE,
  KEY `menu` (`url`) USING BTREE
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COMMENT='菜单管理';

-- ----------------------------
-- Table structure for sys_menu_middle
-- ----------------------------
DROP TABLE IF EXISTS `sys_menu_middle`;
CREATE TABLE `sys_menu_middle` (
  `menu_id` bigint(30) NOT NULL,
  `parent_id` bigint(20) DEFAULT NULL COMMENT '父菜单ID，一级菜单为0',
  `parent_name` varchar(200) DEFAULT NULL COMMENT '上级名称',
  `name` varchar(50) DEFAULT NULL COMMENT '菜单名称',
  `url` varchar(200) DEFAULT NULL COMMENT '菜单URL',
  `perms` varchar(500) DEFAULT NULL COMMENT '授权(多个用逗号分隔，如：user:list,user:create)',
  `type` int(11) DEFAULT NULL COMMENT '类型  0：系统 1：目录   2：菜单   3：按钮',
  `icon` varchar(50) DEFAULT NULL COMMENT '菜单图标',
  `order_num` int(11) DEFAULT '0' COMMENT '排序',
  `system_code` varchar(10) DEFAULT NULL COMMENT '系统编码',
  `menu_code` varchar(20) DEFAULT NULL COMMENT '菜单编码',
  `component` varchar(200) DEFAULT NULL COMMENT '组件路径',
  `no_cache` tinyint(1) DEFAULT '1' COMMENT '是否缓存 1--true 不缓存 0--false缓存',
  `btn_rule_flag` tinyint(1) DEFAULT '0' COMMENT '是否需要按钮权限 1--true需要 0--false不需要',
  `query_rule_flag` tinyint(1) DEFAULT '0' COMMENT '是否需要查询条件权限 1--true 需要 0--false不需要',
  PRIMARY KEY (`menu_id`) USING BTREE,
  KEY `menu` (`url`) USING BTREE
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COMMENT='菜单管理';

-- ----------------------------
-- Table structure for sys_messagecontrol
-- ----------------------------
DROP TABLE IF EXISTS `sys_messagecontrol`;
CREATE TABLE `sys_messagecontrol` (
  `id` bigint(30) NOT NULL,
  `create_time` datetime DEFAULT NULL ON UPDATE CURRENT_TIMESTAMP,
  `update_time` datetime DEFAULT NULL,
  `operation_status` varchar(1) DEFAULT '',
  `title` varchar(255) DEFAULT NULL,
  `content` text,
  `attr1` varchar(255) DEFAULT NULL,
  `attr2` varchar(255) DEFAULT NULL,
  `user_account` varchar(50) DEFAULT NULL,
  `url` varchar(255) DEFAULT NULL,
  PRIMARY KEY (`id`) USING BTREE
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

-- ----------------------------
-- Table structure for sys_role
-- ----------------------------
DROP TABLE IF EXISTS `sys_role`;
CREATE TABLE `sys_role` (
  `role_id` bigint(30) NOT NULL,
  `role_name` varchar(100) DEFAULT NULL COMMENT '角色名称',
  `remark` varchar(100) DEFAULT NULL COMMENT '角色说明',
  `dept_id` bigint(20) DEFAULT NULL COMMENT '部门ID',
  `create_time` datetime DEFAULT NULL COMMENT '创建时间',
  `company` varchar(50) DEFAULT NULL COMMENT '集团标识',
  `update_time` datetime DEFAULT NULL COMMENT '修改时间',
  PRIMARY KEY (`role_id`) USING BTREE
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COMMENT='角色';

-- ----------------------------
-- Table structure for sys_role_dept
-- ----------------------------
DROP TABLE IF EXISTS `sys_role_dept`;
CREATE TABLE `sys_role_dept` (
  `id` bigint(30) NOT NULL,
  `role_id` bigint(30) DEFAULT NULL COMMENT '角色ID',
  `dept_id` bigint(30) DEFAULT NULL COMMENT '部门ID',
  PRIMARY KEY (`id`) USING BTREE
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COMMENT='角色与部门对应关系';

-- ----------------------------
-- Table structure for sys_role_menu
-- ----------------------------
DROP TABLE IF EXISTS `sys_role_menu`;
CREATE TABLE `sys_role_menu` (
  `id` bigint(30) NOT NULL,
  `role_id` bigint(30) DEFAULT NULL COMMENT '角色ID',
  `menu_id` bigint(30) DEFAULT NULL COMMENT '菜单ID',
  PRIMARY KEY (`id`) USING BTREE
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COMMENT='角色与菜单对应关系';

-- ----------------------------
-- Table structure for sys_rules_dept
-- ----------------------------
DROP TABLE IF EXISTS `sys_rules_dept`;
CREATE TABLE `sys_rules_dept` (
  `id` bigint(20) NOT NULL,
  `rule_id` bigint(20) DEFAULT NULL COMMENT '规则id',
  `dept_id` bigint(20) DEFAULT NULL COMMENT '机构id',
  `company` varchar(25) DEFAULT NULL COMMENT '公司编码',
  PRIMARY KEY (`id`) USING BTREE
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

-- ----------------------------
-- Table structure for sys_sign_rules
-- ----------------------------
DROP TABLE IF EXISTS `sys_sign_rules`;
CREATE TABLE `sys_sign_rules` (
  `rule_id` bigint(20) NOT NULL COMMENT '主键',
  `rule_code` varchar(25) DEFAULT NULL COMMENT '规则编码',
  `rule_name` varchar(255) DEFAULT NULL COMMENT '规则名',
  `create_date` datetime DEFAULT NULL COMMENT '创建日期',
  PRIMARY KEY (`rule_id`) USING BTREE
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

-- ----------------------------
-- Table structure for sys_tabulate
-- ----------------------------
DROP TABLE IF EXISTS `sys_tabulate`;
CREATE TABLE `sys_tabulate` (
  `id` bigint(30) NOT NULL AUTO_INCREMENT COMMENT '主键id',
  `create_date` datetime DEFAULT NULL COMMENT '创建时间',
  `update_date` datetime DEFAULT NULL COMMENT '修改时间',
  `menu_id` bigint(30) DEFAULT NULL COMMENT '菜单id',
  `menu_code` varchar(30) DEFAULT NULL COMMENT '菜单编码',
  `tabulate_name` varchar(50) DEFAULT NULL COMMENT '列表名称',
  `tabulate_code` varchar(50) DEFAULT NULL COMMENT '列表编码',
  `type` varchar(1) DEFAULT NULL COMMENT '类型 1-- 显示列 2-- 按钮',
  `titlewidth` varchar(5) DEFAULT NULL COMMENT '列表宽度',
  `selection` tinyint(1) DEFAULT NULL COMMENT '是否可勾选 1--true是 0--false否',
  `show_overflow_tooltip` tinyint(1) DEFAULT NULL COMMENT '超出范围是否显示省略 1--true是 0--false否',
  `titlefixed` tinyint(1) DEFAULT NULL COMMENT '是否固定 1--true是 0--false否',
  `index_type` tinyint(1) DEFAULT NULL COMMENT '是否序号 1--true是 0--false否',
  `input_fixed` tinyint(1) DEFAULT '0' COMMENT '是否可编辑 1-true 是 0--false否',
  `icon_fixed` tinyint(1) DEFAULT '0' COMMENT '是否显示图片 1-true 是 0--false否',
  `default_status` tinyint(1) DEFAULT '1' COMMENT '是否默认选择 1--true是 0--false否',
  `order_num` int(11) DEFAULT NULL COMMENT '排序',
  `show_status` tinyint(1) DEFAULT '1' COMMENT '是否显示 1--true是 0--false否',
  `sortable` tinyint(1) DEFAULT '0' COMMENT '是否排序 1--true是 0--false否',
  PRIMARY KEY (`id`) USING BTREE,
  UNIQUE KEY `menuid_name_code` (`menu_id`,`tabulate_name`,`tabulate_code`) USING BTREE,
  KEY `menu_id` (`menu_id`) USING BTREE,
  KEY `menu_code` (`menu_code`) USING BTREE
) ENGINE=InnoDB AUTO_INCREMENT=1456071612191645698 DEFAULT CHARSET=utf8 COMMENT='显示列表';

-- ----------------------------
-- Table structure for sys_tabulate_dept
-- ----------------------------
DROP TABLE IF EXISTS `sys_tabulate_dept`;
CREATE TABLE `sys_tabulate_dept` (
  `id` bigint(30) NOT NULL COMMENT '主键id',
  `menu_id` bigint(30) DEFAULT NULL COMMENT '菜单id',
  `tabulate_code` varchar(50) DEFAULT NULL COMMENT '菜单显示列编码',
  `tabulate_id` bigint(30) DEFAULT NULL COMMENT '显示列表id',
  `company` varchar(50) DEFAULT NULL COMMENT '集团编码',
  `create_date` datetime DEFAULT CURRENT_TIMESTAMP COMMENT '创建时间',
  `update_date` datetime DEFAULT NULL COMMENT '修改时间',
  `tabulate_name` varchar(50) DEFAULT NULL COMMENT '显示名',
  `order_num` int(11) DEFAULT '0' COMMENT '排序',
  `show_status` tinyint(1) DEFAULT NULL COMMENT '是否显示 1--true 是 0--false 否',
  PRIMARY KEY (`id`) USING BTREE,
  UNIQUE KEY `uuid` (`menu_id`,`tabulate_id`,`company`) USING BTREE,
  KEY `company` (`company`) USING BTREE,
  KEY `menu_id` (`menu_id`) USING BTREE
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COMMENT='集团与显示列表关联表';

-- ----------------------------
-- Table structure for sys_user
-- ----------------------------
DROP TABLE IF EXISTS `sys_user`;
CREATE TABLE `sys_user` (
  `user_id` bigint(30) NOT NULL,
  `loginname` varchar(50) DEFAULT NULL COMMENT '登录名',
  `username` varchar(50) NOT NULL COMMENT '用户名',
  `password` varchar(100) DEFAULT NULL COMMENT '密码',
  `salt` varchar(20) DEFAULT NULL COMMENT '盐',
  `email` varchar(100) DEFAULT NULL COMMENT '邮箱',
  `mobile` varchar(100) DEFAULT NULL COMMENT '手机号',
  `company` varchar(50) DEFAULT NULL COMMENT '集团编码',
  `status` tinyint(4) DEFAULT NULL COMMENT '状态  0：禁用   1：正常',
  `dept_id` bigint(20) DEFAULT NULL COMMENT '部门ID',
  `create_time` datetime DEFAULT NULL COMMENT '创建时间',
  `plpassword` varchar(100) DEFAULT NULL COMMENT '明文密码',
  `user_type` varchar(5) DEFAULT NULL COMMENT '用户类型 1--购方  2--供应商',
  `taxno` varchar(50) DEFAULT NULL COMMENT '销方税号',
  `user_code` varchar(50) DEFAULT NULL COMMENT '用户编码',
  `zp_amount` varchar(50) DEFAULT NULL COMMENT '专票限额',
  `pp_amount` varchar(50) DEFAULT NULL COMMENT '普票限额',
  `kp_type` varchar(5) DEFAULT NULL COMMENT '开票类型 01--专票  04 --普票  00 -- 即开专票又开普票',
  `kp_user` varchar(50) DEFAULT NULL COMMENT '开票人',
  `sk_user` varchar(50) DEFAULT NULL COMMENT '收款人',
  `fh_user` varchar(50) DEFAULT NULL COMMENT '复核人',
  `sp_type` varchar(5) DEFAULT NULL COMMENT '税盘类型 1--金税盘2--税控盘',
  `sp_code` varchar(20) DEFAULT NULL COMMENT '税盘编号',
  `contact_user` varchar(50) DEFAULT NULL COMMENT '联系人',
  `cert_password` varchar(10) DEFAULT NULL COMMENT '数字证书密码',
  `tax_password` varchar(30) DEFAULT NULL COMMENT '税盘口令',
  `push_yesorno` varchar(2) DEFAULT NULL,
  `update_time` datetime DEFAULT NULL COMMENT '修改时间',
  `scan_type` varchar(2) DEFAULT '0' COMMENT '扫描签收，识别类型  0—本地识别  5--云端ocr识别',
  PRIMARY KEY (`user_id`) USING BTREE,
  UNIQUE KEY `user_loginname` (`loginname`) USING BTREE
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COMMENT='系统用户';

-- ----------------------------
-- Table structure for sys_user_business
-- ----------------------------
DROP TABLE IF EXISTS `sys_user_business`;
CREATE TABLE `sys_user_business` (
  `id` bigint(30) NOT NULL COMMENT 'id',
  `user_id` bigint(30) DEFAULT NULL COMMENT '用户id',
  `business_id` bigint(20) DEFAULT NULL COMMENT '业务单元id',
  `business_code` varchar(50) DEFAULT NULL COMMENT '业务单元编码',
  `business_name` varchar(100) DEFAULT NULL COMMENT '业务单元名称',
  PRIMARY KEY (`id`) USING BTREE
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

-- ----------------------------
-- Table structure for sys_user_org
-- ----------------------------
DROP TABLE IF EXISTS `sys_user_org`;
CREATE TABLE `sys_user_org` (
  `id` bigint(30) NOT NULL COMMENT 'id',
  `userid` bigint(30) DEFAULT NULL COMMENT '用户id',
  `dept_id` bigint(30) DEFAULT NULL COMMENT '部门id',
  `taxno` varchar(50) DEFAULT NULL COMMENT '税号',
  `taxname` varchar(100) DEFAULT NULL COMMENT '名称',
  `company` varchar(50) DEFAULT NULL COMMENT '集团编码',
  PRIMARY KEY (`id`) USING BTREE
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COMMENT='用户部门关联表  ';

-- ----------------------------
-- Table structure for sys_user_role
-- ----------------------------
DROP TABLE IF EXISTS `sys_user_role`;
CREATE TABLE `sys_user_role` (
  `id` bigint(30) NOT NULL,
  `user_id` bigint(30) DEFAULT NULL COMMENT '用户ID',
  `role_id` bigint(30) DEFAULT NULL COMMENT '角色ID',
  PRIMARY KEY (`id`) USING BTREE
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COMMENT='用户与角色对应关系';
