SET FOREIGN_KEY_CHECKS=0;

-- ----------------------------
-- Table structure for t_dx_account_batch
-- ----------------------------
DROP TABLE IF EXISTS `t_dx_account_batch`;
CREATE TABLE `t_dx_account_batch` (
  `id` bigint(30) NOT NULL AUTO_INCREMENT,
  `batch_no` varchar(40) DEFAULT NULL COMMENT '批次号',
  `invoice_code` varchar(20) DEFAULT NULL,
  `invoice_no` varchar(10) DEFAULT NULL,
  `uuid` varchar(40) DEFAULT NULL,
  `create_date` datetime DEFAULT NULL,
  `in_account_status` varchar(1) DEFAULT NULL COMMENT '是否入账 0-否，1-是',
  `in_account_date` varchar(20) DEFAULT NULL COMMENT '入账时间',
  `voucher_no` varchar(100) DEFAULT NULL COMMENT '凭证号',
  `document_number` longtext COMMENT '业务单据号',
  `status` varchar(1) DEFAULT NULL COMMENT '处理状态',
  `failure_reason` varchar(10) DEFAULT NULL COMMENT '失败原因',
  PRIMARY KEY (`id`) USING BTREE
) ENGINE=InnoDB DEFAULT CHARSET=utf8 ROW_FORMAT=DYNAMIC;

-- ----------------------------
-- Table structure for t_dx_account_batch_customs
-- ----------------------------
DROP TABLE IF EXISTS `t_dx_account_batch_customs`;
CREATE TABLE `t_dx_account_batch_customs` (
  `id` bigint(30) NOT NULL AUTO_INCREMENT,
  `batch_no` varchar(40) DEFAULT NULL COMMENT '批次号',
  `customs_code` varchar(50) DEFAULT NULL COMMENT '海关缴款书号码',
  `uuid` varchar(40) DEFAULT NULL,
  `create_date` datetime DEFAULT NULL,
  `in_account_status` varchar(1) DEFAULT NULL COMMENT '是否入账 0-否，1-是',
  `in_account_date` varchar(20) DEFAULT NULL COMMENT '入账时间',
  `voucher_no` varchar(100) DEFAULT NULL COMMENT '凭证号',
  `document_number` longtext COMMENT '业务单据号',
  `status` varchar(1) DEFAULT NULL COMMENT '处理状态',
  `failure_reason` varchar(10) DEFAULT NULL COMMENT '失败原因',
  PRIMARY KEY (`id`) USING BTREE
) ENGINE=InnoDB DEFAULT CHARSET=utf8 ROW_FORMAT=DYNAMIC;

-- ----------------------------
-- Table structure for t_dx_alltaxes_count
-- ----------------------------
DROP TABLE IF EXISTS `t_dx_alltaxes_count`;
CREATE TABLE `t_dx_alltaxes_count` (
  `id` bigint(32) NOT NULL,
  `taxno` varchar(30) CHARACTER SET utf8 DEFAULT NULL,
  `invoice_amount` decimal(18,4) DEFAULT NULL,
  `tax_amount` decimal(18,4) DEFAULT NULL,
  `status` varchar(1) DEFAULT NULL,
  `rzh_belong_date` varchar(10) CHARACTER SET utf8 DEFAULT NULL,
  `create_date` datetime DEFAULT NULL,
  `legalize_num` int(10) DEFAULT NULL,
  `sign` varchar(1) CHARACTER SET utf8 DEFAULT NULL COMMENT '标识',
  PRIMARY KEY (`id`) USING BTREE,
  UNIQUE KEY `tax_sta_rzBelongDate` (`taxno`,`status`,`rzh_belong_date`) USING BTREE
) ENGINE=InnoDB DEFAULT CHARSET=latin1 ROW_FORMAT=DYNAMIC;

-- ----------------------------
-- Table structure for t_dx_alltaxes_http
-- ----------------------------
DROP TABLE IF EXISTS `t_dx_alltaxes_http`;
CREATE TABLE `t_dx_alltaxes_http` (
  `id` bigint(32) NOT NULL,
  `req_info` text CHARACTER SET utf8 COMMENT '请求信息',
  `res_info` text CHARACTER SET utf8 COMMENT '返回信息',
  `create_date` datetime DEFAULT NULL COMMENT '入库时间',
  PRIMARY KEY (`id`) USING BTREE
) ENGINE=InnoDB DEFAULT CHARSET=latin1 ROW_FORMAT=DYNAMIC;

-- ----------------------------
-- Table structure for t_dx_alltaxes_invoice
-- ----------------------------
DROP TABLE IF EXISTS `t_dx_alltaxes_invoice`;
CREATE TABLE `t_dx_alltaxes_invoice` (
  `id` int(32) NOT NULL AUTO_INCREMENT,
  `invoice_type` varchar(10) CHARACTER SET utf8 DEFAULT NULL COMMENT '发票类型',
  `invoice_code` varchar(20) CHARACTER SET utf8 DEFAULT NULL COMMENT '发票代码',
  `invoice_no` varchar(20) CHARACTER SET utf8 DEFAULT NULL,
  `invoice_date` varchar(20) CHARACTER SET utf8 DEFAULT NULL,
  `cancel_date` varchar(20) CHARACTER SET utf8 DEFAULT NULL COMMENT '作废日期',
  `saler_tax_no` varchar(20) CHARACTER SET utf8 DEFAULT NULL COMMENT '销方税号',
  `saler_name` varchar(50) CHARACTER SET utf8 DEFAULT NULL COMMENT '销方名称',
  `saler_address_phone` varchar(255) CHARACTER SET utf8 DEFAULT NULL COMMENT '销方地址电话',
  `buyer_tax_no` varchar(20) CHARACTER SET utf8 DEFAULT NULL COMMENT '购方税号',
  `buyer_name` varchar(50) CHARACTER SET utf8 DEFAULT NULL COMMENT '购方名称',
  `buyer_address_phone` varchar(255) CHARACTER SET utf8 DEFAULT NULL,
  `sum_amount` decimal(18,4) DEFAULT NULL,
  `sum_tax_amount` decimal(18,4) DEFAULT NULL,
  `sum_price_tax` decimal(18,4) DEFAULT NULL,
  `blue_invoice_code` varchar(20) CHARACTER SET utf8 DEFAULT NULL COMMENT '蓝字发票代码',
  `blue_invoice_no` varchar(20) CHARACTER SET utf8 DEFAULT NULL COMMENT '蓝字发票号码',
  `replace_taxpayer_code` varchar(20) CHARACTER SET utf8 DEFAULT NULL COMMENT '代开纳税人识别号',
  `replace_company_name` varchar(50) CHARACTER SET utf8 DEFAULT NULL COMMENT '代开企业名称',
  `auth_date` varchar(20) CHARACTER SET utf8 DEFAULT NULL COMMENT '认证日期',
  `auth_period` varchar(20) CHARACTER SET utf8 DEFAULT NULL COMMENT '认证属期',
  `invoice_kind_code` varchar(20) CHARACTER SET utf8 DEFAULT NULL COMMENT '发票种类代码',
  `equipment_no` varchar(30) CHARACTER SET utf8 DEFAULT NULL COMMENT '设备编号',
  `cancel_mark` varchar(1) CHARACTER SET utf8 DEFAULT NULL COMMENT '作废标志0-未作废，1-已作废',
  `auth_state` varchar(1) CHARACTER SET utf8 DEFAULT NULL COMMENT '认证状态0-未认证，1-已认证',
  `drawer` varchar(10) CHARACTER SET utf8 DEFAULT NULL COMMENT '开票人',
  `payee` varchar(10) CHARACTER SET utf8 DEFAULT NULL COMMENT '收款人',
  `reviewer` varchar(10) CHARACTER SET utf8 DEFAULT NULL COMMENT '复核人',
  `key_word` varchar(20) CHARACTER SET utf8 DEFAULT NULL COMMENT '关键字',
  `create_date` datetime DEFAULT NULL,
  `remark` varchar(255) CHARACTER SET utf8 DEFAULT NULL,
  `sign` varchar(1) CHARACTER SET utf8 DEFAULT NULL COMMENT '标识',
  `taxno` varchar(20) CHARACTER SET utf8 DEFAULT NULL,
  `rzh_belong_date` varchar(20) CHARACTER SET utf8 DEFAULT NULL,
  PRIMARY KEY (`id`) USING BTREE
) ENGINE=InnoDB DEFAULT CHARSET=latin1 ROW_FORMAT=DYNAMIC;

-- ----------------------------
-- Table structure for t_dx_alltaxes_sale_count
-- ----------------------------
DROP TABLE IF EXISTS `t_dx_alltaxes_sale_count`;
CREATE TABLE `t_dx_alltaxes_sale_count` (
  `id` bigint(32) NOT NULL,
  `tax_number` varchar(30) DEFAULT NULL COMMENT '税号',
  `status` varchar(1) DEFAULT NULL COMMENT '类型 0-项目名称 1-税率',
  `billing_date` varchar(10) DEFAULT NULL COMMENT '属期',
  `create_date` datetime DEFAULT NULL COMMENT '创建日期',
  `sign` varchar(1) DEFAULT NULL COMMENT '标识 1-初始 2-已完成 3-失败',
  PRIMARY KEY (`id`) USING BTREE,
  UNIQUE KEY `tax_sta_rzBelongDate` (`tax_number`,`status`,`billing_date`) USING BTREE
) ENGINE=InnoDB DEFAULT CHARSET=utf8 ROW_FORMAT=DYNAMIC;

-- ----------------------------
-- Table structure for t_dx_alltaxes_sale_detail
-- ----------------------------
DROP TABLE IF EXISTS `t_dx_alltaxes_sale_detail`;
CREATE TABLE `t_dx_alltaxes_sale_detail` (
  `id` bigint(20) NOT NULL AUTO_INCREMENT,
  `item_code` varchar(10) DEFAULT NULL COMMENT '项目编码',
  `item_name` varchar(255) DEFAULT NULL COMMENT '项目名称',
  `yhzc` varchar(20) DEFAULT NULL COMMENT '优惠政策',
  `invoice_type` varchar(10) DEFAULT NULL COMMENT '发票类型',
  `tax_rate` varchar(50) DEFAULT NULL COMMENT '税率',
  `goods_code` varchar(30) DEFAULT NULL COMMENT '税收分类编码',
  `invoice_num` decimal(18,4) unsigned DEFAULT '0.0000' COMMENT '发票份数',
  `invoice_amount` decimal(18,4) DEFAULT '0.0000' COMMENT '发票金额',
  `tax_amount` decimal(18,4) DEFAULT '0.0000' COMMENT '发票税额',
  `total_amount` decimal(18,4) DEFAULT '0.0000' COMMENT '价税合计',
  PRIMARY KEY (`id`) USING BTREE
) ENGINE=InnoDB AUTO_INCREMENT=77 DEFAULT CHARSET=utf8 ROW_FORMAT=DYNAMIC;

-- ----------------------------
-- Table structure for t_dx_alltaxes_sale_detail_final
-- ----------------------------
DROP TABLE IF EXISTS `t_dx_alltaxes_sale_detail_final`;
CREATE TABLE `t_dx_alltaxes_sale_detail_final` (
  `id` bigint(20) NOT NULL,
  `item_code` varchar(10) DEFAULT NULL COMMENT '项目编码',
  `item_name` varchar(255) DEFAULT NULL COMMENT '项目名称',
  `yhzc` varchar(20) DEFAULT NULL COMMENT '优惠政策',
  `invoice_type` varchar(10) DEFAULT NULL COMMENT '发票类型',
  `tax_rate` varchar(50) DEFAULT NULL COMMENT '税率',
  `goods_code` varchar(30) DEFAULT NULL COMMENT '税收分类编码',
  `index` varchar(255) DEFAULT NULL COMMENT '主表id',
  `invoice_num` decimal(18,4) unsigned DEFAULT '0.0000' COMMENT '发票份数',
  `invoice_amount` decimal(18,4) DEFAULT '0.0000' COMMENT '发票金额',
  `tax_amount` decimal(18,4) DEFAULT '0.0000' COMMENT '发票税额',
  `total_amount` decimal(18,4) DEFAULT '0.0000' COMMENT '价税合计',
  `tax_number` varchar(20) DEFAULT NULL COMMENT '税号',
  `billing_date` varchar(20) DEFAULT NULL COMMENT '属期',
  `create_date` datetime DEFAULT NULL COMMENT '创建时间',
  PRIMARY KEY (`id`) USING BTREE
) ENGINE=InnoDB DEFAULT CHARSET=utf8 ROW_FORMAT=DYNAMIC;

-- ----------------------------
-- Table structure for t_dx_alltaxes_sale_tax_rate
-- ----------------------------
DROP TABLE IF EXISTS `t_dx_alltaxes_sale_tax_rate`;
CREATE TABLE `t_dx_alltaxes_sale_tax_rate` (
  `id` bigint(20) NOT NULL AUTO_INCREMENT,
  `tax_number` varchar(20) CHARACTER SET utf8 DEFAULT NULL COMMENT '税号',
  `billing_date` varchar(20) CHARACTER SET utf8 DEFAULT NULL COMMENT '属期',
  `invoice_kind_code` varchar(10) CHARACTER SET utf8 DEFAULT NULL COMMENT '发票种类代码 0 专票,2 普票\r\n51 电票,41 卷票',
  `invoice_type` varchar(10) CHARACTER SET utf8 DEFAULT NULL COMMENT '开票类型',
  `tax_rate` varchar(20) CHARACTER SET utf8 DEFAULT NULL COMMENT '税率',
  `invoice_amount_pt` decimal(18,4) DEFAULT '0.0000' COMMENT '正数有效发票金额',
  `tax_amount_pt` decimal(18,4) DEFAULT '0.0000' COMMENT '正数有效发票税额',
  `total_amount_pt` decimal(18,4) DEFAULT '0.0000' COMMENT '正数有效价税合计',
  `invoice_amount_nt` decimal(18,4) DEFAULT '0.0000' COMMENT '负数有效发票金额',
  `tax_amount_nt` decimal(18,4) DEFAULT '0.0000' COMMENT '负数有效发票税额',
  `total_amount_nt` decimal(18,4) DEFAULT '0.0000' COMMENT '负数有效价税合计',
  `invoice_amount_pt_void` decimal(18,4) DEFAULT '0.0000' COMMENT '正数作废发票金额',
  `tax_amount_pt_void` decimal(18,4) DEFAULT '0.0000' COMMENT '正数作废发票税额',
  `total_amount_pt_void` decimal(18,4) DEFAULT '0.0000' COMMENT '正数作废发票价税合计',
  `invoice_amount_nt_void` decimal(18,4) DEFAULT '0.0000' COMMENT '负数作废发票金额',
  `tax_amount_nt_void` decimal(18,4) DEFAULT '0.0000' COMMENT '负数作废发票税额',
  `total_amount_nt_void` decimal(18,4) DEFAULT '0.0000' COMMENT '负数作废价税合计',
  `create_date` datetime DEFAULT NULL COMMENT '创建时间',
  PRIMARY KEY (`id`) USING BTREE,
  UNIQUE KEY `INDEX_UNIQUE` (`tax_number`,`billing_date`,`invoice_kind_code`,`invoice_type`,`tax_rate`) USING BTREE COMMENT '唯一索引'
) ENGINE=InnoDB AUTO_INCREMENT=1375101805511340035 DEFAULT CHARSET=utf8mb4 ROW_FORMAT=DYNAMIC;

-- ----------------------------
-- Table structure for t_dx_amortize_batch
-- ----------------------------
DROP TABLE IF EXISTS `t_dx_amortize_batch`;
CREATE TABLE `t_dx_amortize_batch` (
  `id` bigint(30) NOT NULL AUTO_INCREMENT,
  `batch_no` varchar(40) DEFAULT NULL COMMENT '批次号',
  `invoice_code` varchar(20) DEFAULT NULL,
  `invoice_no` varchar(10) DEFAULT NULL,
  `uuid` varchar(40) DEFAULT NULL,
  `create_date` datetime DEFAULT NULL,
  `amortize_status` varchar(1) DEFAULT NULL COMMENT '是否末次摊销 0-否，1-是',
  `amortize_amount` varchar(20) DEFAULT NULL COMMENT '摊销金额',
  `status` varchar(1) DEFAULT NULL COMMENT '处理状态',
  `failure_reason` varchar(10) DEFAULT NULL COMMENT '失败原因',
  `amortize_user` varchar(20) DEFAULT NULL COMMENT '摊销人',
  `amortize_document_number` longtext COMMENT '摊销业务单据编号',
  `remain_amortize_amount` varchar(20) DEFAULT NULL COMMENT '剩余摊销金额',
  PRIMARY KEY (`id`) USING BTREE
) ENGINE=InnoDB DEFAULT CHARSET=utf8 ROW_FORMAT=DYNAMIC;

-- ----------------------------
-- Table structure for t_dx_apply_auth
-- ----------------------------
DROP TABLE IF EXISTS `t_dx_apply_auth`;
CREATE TABLE `t_dx_apply_auth` (
  `id` bigint(30) NOT NULL,
  `invoice_code` varchar(30) NOT NULL COMMENT '发票代码',
  `invoice_no` varchar(30) NOT NULL COMMENT '发票号码',
  `sqrzlx` varchar(10) NOT NULL COMMENT '申请认证类型(1-抵扣 2-退税 3-代理退税  4-不抵扣 5-逾期  6-取消抵扣 7-取消抵扣 8-取消逾期 )',
  `gf_tax_no` varchar(50) NOT NULL COMMENT '购方税号',
  `sqskssq` varchar(10) NOT NULL COMMENT '申请认证所属期',
  `invoice_type` varchar(10) NOT NULL COMMENT '发票类型(01：增值税专用发票、03：机动车销售统一发票、14：通行费发票)',
  `apply_tax_amount` decimal(18,4) DEFAULT NULL COMMENT '申请有效税额',
  `practice_tax_amount` decimal(18,4) DEFAULT NULL COMMENT '实际有效税额',
  `rzzt` varchar(10) NOT NULL COMMENT '认证状态(0--未认证  1--已认证  2--不认证)',
  `rzh_back_msg` varchar(200) DEFAULT NULL COMMENT '认证处理结果(1--成功 2-无此票 3-该票异常无法认证 4--已认证  5-该票已经逾期无法认证 7-申请认证月份已过期 8-其它异常 9-该票未到期 10-红票无法认证 11-认证类型错误 12-用户无权限 13-token超过5天未获取14-该票不可勾选为逾期15-有效税额异常（有效税额大于实际税额）16-当期已锁定)',
  `invoice_amount` decimal(18,4) NOT NULL COMMENT '金额',
  `tax_amount` decimal(18,4) NOT NULL COMMENT '税额',
  `xf_tax_no` varchar(30) NOT NULL COMMENT '销方税号',
  `rzlx` varchar(30) DEFAULT NULL COMMENT '认证类型(1-抵扣 2-退税 3-代理退税  4-不抵扣 5-逾期 )',
  `rzh_type` varchar(10) DEFAULT NULL COMMENT '认证方式(1：勾选认证 2：扫描认证)',
  `yclx` varchar(10) DEFAULT NULL COMMENT '异常类型(0--发票状态异常 1--申报用途变更（抵扣变代办退税）2-- 管理状态异常 )',
  `yqkgxbz` varchar(10) NOT NULL DEFAULT '0' COMMENT '逾期可勾选标志(0默认值，1可勾选逾期)',
  `rz_date` datetime DEFAULT NULL COMMENT '认证日期',
  `create_time` datetime NOT NULL DEFAULT CURRENT_TIMESTAMP COMMENT '创建时间',
  PRIMARY KEY (`id`) USING BTREE,
  KEY `key_invoice_code_no` (`invoice_code`,`invoice_no`) USING BTREE
) ENGINE=InnoDB DEFAULT CHARSET=utf8 ROW_FORMAT=DYNAMIC COMMENT='申请认证记录表';

-- ----------------------------
-- Table structure for t_dx_apply_record
-- ----------------------------
DROP TABLE IF EXISTS `t_dx_apply_record`;
CREATE TABLE `t_dx_apply_record` (
  `id` bigint(30) NOT NULL,
  `batch_no` varchar(50) DEFAULT NULL COMMENT '批次号',
  `invoice_code` varchar(12) DEFAULT NULL COMMENT '发票代码',
  `invoice_no` varchar(8) DEFAULT NULL COMMENT '发票号码',
  `result_status` varchar(1) DEFAULT NULL COMMENT '结果状态',
  `create_date` datetime DEFAULT NULL COMMENT '创建时间',
  `uuid` varchar(30) NOT NULL COMMENT '发票代码+发票号码',
  `ace_id` varchar(255) DEFAULT NULL COMMENT '鉴权id',
  `ace_key` varchar(255) DEFAULT NULL COMMENT '鉴权key',
  PRIMARY KEY (`id`) USING BTREE,
  KEY `uuid` (`uuid`) USING BTREE,
  KEY `key_batch_no` (`batch_no`) USING BTREE
) ENGINE=InnoDB DEFAULT CHARSET=utf8 ROW_FORMAT=DYNAMIC COMMENT='申请认证记录表';

-- ----------------------------
-- Table structure for t_dx_apply_stat_record
-- ----------------------------
DROP TABLE IF EXISTS `t_dx_apply_stat_record`;
CREATE TABLE `t_dx_apply_stat_record` (
  `id` bigint(30) NOT NULL,
  `batch_no` varchar(50) DEFAULT NULL COMMENT '批次号',
  `taxno` varchar(20) DEFAULT NULL COMMENT '申请购方税号',
  `apply_type` varchar(8) DEFAULT NULL COMMENT '申请统计类型',
  `result_status` varchar(1) DEFAULT NULL COMMENT '结果状态',
  `create_date` datetime DEFAULT NULL COMMENT '创建时间',
  `update_date` datetime DEFAULT NULL COMMENT '状态更新时间',
  `skssq` varchar(20) DEFAULT NULL COMMENT '税款所属期',
  `interface_type` varchar(1) DEFAULT NULL COMMENT '接口类型   0--申请统计  1--申请确认',
  PRIMARY KEY (`id`) USING BTREE,
  KEY `key_batch_no` (`batch_no`) USING BTREE
) ENGINE=InnoDB DEFAULT CHARSET=utf8 ROW_FORMAT=DYNAMIC COMMENT='申请认证记录表';

-- ----------------------------
-- Table structure for t_dx_auth_record
-- ----------------------------
DROP TABLE IF EXISTS `t_dx_auth_record`;
CREATE TABLE `t_dx_auth_record` (
  `id` bigint(30) NOT NULL,
  `batch_no` varchar(100) NOT NULL,
  `invoice_code` varchar(20) DEFAULT NULL,
  `invoice_no` varchar(20) DEFAULT NULL,
  `uuid` varchar(30) DEFAULT NULL,
  `rzlx` varchar(2) DEFAULT NULL,
  `apply_tax_period` varchar(10) DEFAULT NULL,
  `buyer_tax_no` varchar(100) DEFAULT NULL,
  `yxse` varchar(255) DEFAULT NULL,
  `invoice_type` varchar(10) DEFAULT NULL,
  `create_date` datetime DEFAULT NULL,
  `customs_code` varchar(30) CHARACTER SET utf8 DEFAULT NULL COMMENT '缴款书号码',
  PRIMARY KEY (`id`) USING BTREE,
  UNIQUE KEY `batchNo_invoiceNo_invoiceCode` (`batch_no`,`invoice_code`,`invoice_no`) USING BTREE,
  KEY `uuid_index` (`uuid`) USING BTREE,
  KEY `batchNo_index` (`batch_no`) USING BTREE
) ENGINE=InnoDB DEFAULT CHARSET=latin1 ROW_FORMAT=DYNAMIC COMMENT='对外认证接口认证记录表';

-- ----------------------------
-- Table structure for t_dx_check_invoice_detail
-- ----------------------------
DROP TABLE IF EXISTS `t_dx_check_invoice_detail`;
CREATE TABLE `t_dx_check_invoice_detail` (
  `id` bigint(30) NOT NULL,
  `uuid` varchar(30) DEFAULT NULL COMMENT '唯一标识(发票代码+发票号码)',
  `detail_no` varchar(20) DEFAULT NULL COMMENT '明细序号',
  `goods_name` varchar(255) DEFAULT NULL COMMENT '货物或应税劳务名称',
  `model` varchar(80) DEFAULT NULL COMMENT '规格型号',
  `unit` varchar(50) DEFAULT NULL COMMENT '单位',
  `num` varchar(20) DEFAULT NULL COMMENT '数量',
  `unit_price` varchar(100) DEFAULT NULL COMMENT '单价',
  `detail_amount` varchar(100) DEFAULT NULL COMMENT '金额',
  `tax_rate` varchar(20) DEFAULT NULL COMMENT '税率',
  `tax_amount` varchar(100) DEFAULT NULL COMMENT '税额',
  `cph` varchar(50) DEFAULT NULL COMMENT '车牌号',
  `lx` varchar(32) DEFAULT NULL COMMENT '类型',
  `txrqq` varchar(32) DEFAULT NULL COMMENT '通行日期起',
  `txrqz` varchar(32) DEFAULT NULL COMMENT '通行日期止',
  `goods_num` varchar(50) DEFAULT NULL COMMENT '商品编码',
  PRIMARY KEY (`id`) USING BTREE,
  KEY `key_uuid` (`uuid`) USING BTREE
) ENGINE=InnoDB DEFAULT CHARSET=utf8 ROW_FORMAT=DYNAMIC COMMENT='查验明细表';

-- ----------------------------
-- Table structure for t_dx_check_log
-- ----------------------------
DROP TABLE IF EXISTS `t_dx_check_log`;
CREATE TABLE `t_dx_check_log` (
  `id` bigint(20) NOT NULL AUTO_INCREMENT,
  `invoice_code` varchar(20) DEFAULT NULL COMMENT '发票代码',
  `invoice_no` varchar(10) DEFAULT NULL COMMENT '发票号码',
  `handle_date` datetime DEFAULT NULL COMMENT '处理时间',
  `handle_code` varchar(10) DEFAULT NULL COMMENT '处理结果',
  `handle_course` varchar(10) DEFAULT NULL COMMENT '处理过程',
  `check_massege` varchar(255) DEFAULT NULL COMMENT '描述(查验结果)',
  `check_user` varchar(255) DEFAULT NULL COMMENT '查验账号',
  `invoice_date` datetime DEFAULT NULL COMMENT '开票日期',
  `buyer_name` varchar(100) DEFAULT NULL COMMENT '购方名称',
  `total_amount` decimal(18,2) DEFAULT NULL COMMENT '价税合计',
  `invoice_amount` decimal(18,2) DEFAULT NULL,
  `tax_amount` decimal(18,2) DEFAULT NULL,
  `invoice_type` varchar(2) DEFAULT NULL,
  `check_code` varchar(30) DEFAULT NULL,
  `saler_name` varchar(50) DEFAULT NULL,
  `uuid` varchar(60) DEFAULT NULL,
  PRIMARY KEY (`id`),
  KEY `key_inovice_no` (`invoice_code`,`invoice_no`) USING BTREE
) ENGINE=InnoDB AUTO_INCREMENT=1485579447526191107 DEFAULT CHARSET=utf8 ROW_FORMAT=DYNAMIC COMMENT='查验记录表';

-- ----------------------------
-- Table structure for t_dx_check_record_invoice
-- ----------------------------
DROP TABLE IF EXISTS `t_dx_check_record_invoice`;
CREATE TABLE `t_dx_check_record_invoice` (
  `id` bigint(30) NOT NULL AUTO_INCREMENT,
  `PDF_MD5` bigint(30) DEFAULT NULL,
  `CYJG_CODE` varchar(10) DEFAULT NULL COMMENT '查验结果',
  `CYJG_TIP` varchar(100) DEFAULT NULL COMMENT '查询结果的信息',
  `FPZL` varchar(10) DEFAULT NULL COMMENT '发票种类',
  `FPDM` varchar(50) DEFAULT NULL COMMENT '发票代码',
  `FPHM` varchar(50) DEFAULT NULL COMMENT '发票号码',
  `CYCS` varchar(100) DEFAULT NULL COMMENT '查验次数',
  `XFSH` varchar(100) DEFAULT NULL COMMENT '销方税号',
  `XFMC` varchar(100) DEFAULT NULL COMMENT '销方名称',
  `XFDZDH` varchar(100) DEFAULT NULL COMMENT '销方地址、电话',
  `XFYHZH` varchar(100) DEFAULT NULL COMMENT '销方开户行及账号',
  `GFSH` varchar(100) DEFAULT NULL COMMENT '购买方税号',
  `GFMC` varchar(100) DEFAULT NULL COMMENT '购方名称',
  `GFDZDH` varchar(100) DEFAULT NULL COMMENT '购方地址、电话',
  `GFYHZH` varchar(100) DEFAULT NULL COMMENT '购方开户行及账号',
  `KPRQ` varchar(100) DEFAULT NULL COMMENT '开票日期 格式 yyyyMMDD',
  `JE` varchar(100) DEFAULT '0' COMMENT '金额合计',
  `SE` varchar(100) DEFAULT '0' COMMENT '税额合计',
  `JSHJ` varchar(100) DEFAULT '0' COMMENT '价税合计',
  `BZ` text COMMENT '备注',
  `JQBH` varchar(20) DEFAULT NULL COMMENT '机器编号',
  `KPR` varchar(20) DEFAULT NULL COMMENT '开票人',
  `SKR` varchar(20) DEFAULT NULL COMMENT '收款人',
  `FHR` varchar(20) DEFAULT NULL COMMENT '复核人',
  `LZFPDM` varchar(100) DEFAULT NULL COMMENT '蓝字发票代码',
  `LZFPHM` varchar(100) DEFAULT NULL COMMENT '蓝字发票号码',
  `ZFBZ` varchar(100) DEFAULT NULL COMMENT '作废标志',
  `uuid` varchar(50) DEFAULT NULL COMMENT '唯一索引',
  `valid` varchar(1) DEFAULT NULL COMMENT '是否有效',
  `create_date` datetime DEFAULT NULL COMMENT '创建时间',
  `update_date` datetime DEFAULT NULL COMMENT '修改时间',
  `CYRMC` varchar(80) DEFAULT NULL COMMENT '承运人名称',
  `CYRSBH` varchar(20) DEFAULT NULL COMMENT '承运人纳税人识别号',
  `SPFMC` varchar(80) DEFAULT NULL COMMENT '受票方名称',
  `SPFSBH` varchar(20) DEFAULT NULL COMMENT '受票方纳税人识别号',
  `SHRMC` varchar(80) DEFAULT NULL COMMENT '收货人名称',
  `SHRSBH` varchar(20) DEFAULT NULL COMMENT '收货人纳税人识别号',
  `FHRMC` varchar(80) DEFAULT NULL COMMENT '发货人名称',
  `FHRSBH` varchar(20) DEFAULT NULL COMMENT '发货人纳税人识别号',
  `QYD` varchar(100) DEFAULT NULL COMMENT '起运地、经由、到达地',
  `YSHWXX` varchar(200) DEFAULT NULL COMMENT '运输货物信息',
  `CZCH` varchar(60) DEFAULT NULL COMMENT '车中车号',
  `CCDW` varchar(60) DEFAULT NULL COMMENT '车船吨位',
  `SFZHM` varchar(240) DEFAULT NULL COMMENT '购买方身份证号码',
  `CLLX` varchar(80) DEFAULT NULL COMMENT '车辆类型',
  `CPXH` varchar(100) DEFAULT NULL COMMENT '厂牌型号',
  `CD` varchar(80) DEFAULT NULL COMMENT '产地',
  `HGZS` varchar(100) DEFAULT NULL COMMENT '合格证书',
  `JKZMSH` varchar(80) DEFAULT NULL COMMENT '进口证明书号',
  `SJDH` varchar(80) DEFAULT NULL COMMENT '商检单号',
  `FDJHM` varchar(120) DEFAULT NULL COMMENT '发动机号码',
  `CJHM` varchar(40) DEFAULT NULL COMMENT '车辆识别号',
  `SWJGDM` varchar(11) DEFAULT NULL COMMENT '主管税务机关代码',
  `SWJGMC` varchar(80) DEFAULT NULL COMMENT '主管税务机关名称货运发票返回该信息',
  `WSPZH` varchar(100) DEFAULT NULL COMMENT '完税凭证号码',
  `DW` varchar(40) DEFAULT NULL COMMENT '吨位',
  `XCRS` varchar(40) DEFAULT NULL COMMENT '限乘人数',
  `SL` varchar(10) DEFAULT NULL COMMENT '税率',
  `JYM` varchar(255) DEFAULT NULL COMMENT '校验码',
  `TXFBZ` varchar(10) DEFAULT NULL COMMENT '通行费标志 通行费发票返回信息  Y-可抵扣通行费 N-不可抵扣通行费',
  `LSLBZ` varchar(10) DEFAULT NULL COMMENT '零税率标志 通行费发票返回信息 空:非零税率， 1:税率栏位显示“免税”， 2:税率栏位显示“不征收”， 3:零税率',
  `check_user` varchar(50) DEFAULT NULL COMMENT '查验人',
  `scan_id` varchar(255) DEFAULT NULL COMMENT '扫描流水号',
  `company` varchar(25) DEFAULT NULL COMMENT '公司编码',
  PRIMARY KEY (`id`) USING BTREE,
  UNIQUE KEY `key_uuid` (`uuid`) USING BTREE,
  KEY `key_fphm` (`FPHM`) USING BTREE
) ENGINE=InnoDB AUTO_INCREMENT=1485579447379390467 DEFAULT CHARSET=utf8 ROW_FORMAT=DYNAMIC COMMENT='发票查验表';

-- ----------------------------
-- Table structure for t_dx_check_vehicle_sale
-- ----------------------------
DROP TABLE IF EXISTS `t_dx_check_vehicle_sale`;
CREATE TABLE `t_dx_check_vehicle_sale` (
  `id` bigint(30) NOT NULL,
  `uuid` varchar(30) NOT NULL,
  `buyer_id_num` varchar(50) DEFAULT NULL COMMENT '购方身份证号码 组织 机构代码',
  `vehicle_type` varchar(80) DEFAULT NULL COMMENT '车辆类型',
  `factory_model` varchar(100) DEFAULT NULL COMMENT '厂牌型号',
  `product_place` varchar(80) DEFAULT NULL COMMENT '产地',
  `certificate` varchar(100) DEFAULT NULL COMMENT '合格证书',
  `certificate_import` varchar(80) DEFAULT NULL COMMENT '进口证明书号',
  `inspection_num` varchar(80) DEFAULT NULL COMMENT '商检单号',
  `engine_no` varchar(120) DEFAULT NULL COMMENT '发动机号',
  `vehicle_no` varchar(40) DEFAULT NULL COMMENT '车架号码 车辆识别码',
  `phone` varchar(80) DEFAULT NULL COMMENT '电话',
  `buyer_bank` varchar(160) DEFAULT NULL COMMENT '开户银行',
  `tax_rate` varchar(20) DEFAULT NULL COMMENT '税率',
  `tax_bureau_name` varchar(80) DEFAULT NULL COMMENT '主管税务机关名称 ',
  `tax_bureau_code` varchar(50) DEFAULT NULL COMMENT '主管税务机关代码',
  `tax_records` varchar(100) DEFAULT NULL COMMENT '完税凭证号码',
  `limit_people` varchar(5) DEFAULT NULL COMMENT '限乘人数 ',
  `check_status` varchar(1) DEFAULT NULL COMMENT '是否已勾选 0-未勾选 1-已勾选',
  `tonnage` varchar(40) DEFAULT NULL COMMENT '吨位',
  `create_date` datetime DEFAULT NULL COMMENT '创建时间',
  `plate_no` varchar(100) DEFAULT NULL COMMENT '车牌照号',
  `registration_no` varchar(100) DEFAULT NULL COMMENT '登记证号',
  `vehicle_admin_office` varchar(100) DEFAULT NULL COMMENT '转入地车辆管理所名称',
  `auction_unit` varchar(100) DEFAULT NULL COMMENT '经营拍卖单位',
  `auction_address` varchar(100) DEFAULT NULL COMMENT '经营拍卖单位地址',
  `auction_tax_no` varchar(100) DEFAULT NULL COMMENT '经营、拍卖单位税号',
  `auction_bank` varchar(100) DEFAULT NULL COMMENT '经营、拍卖单位开户银行、账号',
  `auction_phone` varchar(100) DEFAULT NULL COMMENT '经营、拍卖单位电话',
  `car_market` varchar(100) DEFAULT NULL COMMENT '二手车市场',
  `car_market_tax_no` varchar(100) DEFAULT NULL COMMENT '二手车市场税号',
  `car_market_address` varchar(100) DEFAULT NULL COMMENT '二手车市场地址',
  `car_market_bank` varchar(100) DEFAULT NULL COMMENT '二手车市场开户行、账号',
  `car_market_phone` varchar(100) DEFAULT NULL COMMENT '二手车市场电话',
  `gf_phone` varchar(100) DEFAULT NULL COMMENT '二手车购方电话',
  `car_price` varchar(32) DEFAULT NULL COMMENT '车价合计',
  `buyer_unit` varchar(240) DEFAULT NULL COMMENT '买方单位 /个人',
  `buyer_unit_code` varchar(44) DEFAULT NULL COMMENT '买方单位代码 /身份证号',
  `buyer_unit_address` varchar(240) DEFAULT NULL COMMENT '买方单位 /个人住址',
  `buyer_phone` varchar(100) DEFAULT NULL COMMENT '买方电话',
  `seller_unit` varchar(240) DEFAULT NULL COMMENT '卖方单位 /个人',
  `seller_unit_code` varchar(44) DEFAULT NULL COMMENT '卖方单位代码 /身份证号',
  `seller_unit_address` varchar(240) DEFAULT NULL COMMENT '卖方单位 /个人住址',
  `seller_phone` varchar(100) DEFAULT NULL COMMENT '卖方电话',
  PRIMARY KEY (`id`) USING BTREE,
  UNIQUE KEY `uuid_key` (`uuid`) USING BTREE
) ENGINE=InnoDB DEFAULT CHARSET=utf8 ROW_FORMAT=DYNAMIC COMMENT='查验机动车明细表';

-- ----------------------------
-- Table structure for t_dx_check_vehicle_sale_invoice
-- ----------------------------
DROP TABLE IF EXISTS `t_dx_check_vehicle_sale_invoice`;
CREATE TABLE `t_dx_check_vehicle_sale_invoice` (
  `id` bigint(20) NOT NULL AUTO_INCREMENT,
  `uuid` varchar(30) NOT NULL,
  `buyer_id_num` varchar(50) DEFAULT NULL COMMENT '购方身份证号码 组织 机构代码',
  `vehicle_type` varchar(80) DEFAULT NULL COMMENT '车辆类型',
  `factory_model` varchar(100) DEFAULT NULL COMMENT '厂牌型号',
  `product_place` varchar(80) DEFAULT NULL COMMENT '产地',
  `certificate` varchar(100) DEFAULT NULL COMMENT '合格证书',
  `certificate_import` varchar(80) DEFAULT NULL COMMENT '进口证明书号',
  `inspection_num` varchar(80) DEFAULT NULL COMMENT '商检单号',
  `engine_no` varchar(120) DEFAULT NULL COMMENT '发动机号',
  `vehicle_no` varchar(40) DEFAULT NULL COMMENT '车架号码 车辆识别码',
  `phone` varchar(80) DEFAULT NULL COMMENT '电话',
  `buyer_bank` varchar(160) DEFAULT NULL COMMENT '开户银行',
  `tax_rate` varchar(20) DEFAULT NULL COMMENT '税率',
  `tax_bureau_name` varchar(80) DEFAULT NULL COMMENT '主管税务机关名称 ',
  `tax_bureau_code` varchar(50) DEFAULT NULL COMMENT '主管税务机关代码',
  `tax_records` varchar(100) DEFAULT NULL COMMENT '完税凭证号码',
  `limit_people` varchar(5) DEFAULT NULL COMMENT '限乘人数 ',
  `check_status` varchar(1) DEFAULT NULL COMMENT '是否已勾选 0-未勾选 1-已勾选',
  `tonnage` varchar(40) DEFAULT NULL COMMENT '吨位',
  `create_date` datetime DEFAULT NULL COMMENT '创建时间',
  PRIMARY KEY (`id`) USING BTREE,
  UNIQUE KEY `uuid_key` (`uuid`) USING BTREE
) ENGINE=InnoDB AUTO_INCREMENT=2 DEFAULT CHARSET=utf8 ROW_FORMAT=DYNAMIC COMMENT='查验机动车明细表';

-- ----------------------------
-- Table structure for t_dx_customs
-- ----------------------------
DROP TABLE IF EXISTS `t_dx_customs`;
CREATE TABLE `t_dx_customs` (
  `id` bigint(30) NOT NULL,
  `invoice_serial_no` bigint(30) DEFAULT NULL COMMENT '扫描流水号',
  `gf_name` varchar(255) DEFAULT NULL COMMENT '缴款单位',
  `gf_tax_no` varchar(100) DEFAULT NULL COMMENT '缴款税号',
  `customs_code` varchar(50) DEFAULT NULL COMMENT '缴款书号码',
  `payer_one_taxno` varchar(50) DEFAULT NULL COMMENT '缴款单位一税号',
  `payer_one_name` varchar(100) DEFAULT NULL COMMENT '缴款单位一名称',
  `payer_two_taxno` varchar(50) DEFAULT NULL COMMENT '缴款单位二税号',
  `payer_two_name` varchar(100) DEFAULT NULL COMMENT '缴款单位二名称',
  `fill_in_date` datetime NOT NULL COMMENT '填发日期',
  `data_type` varchar(10) DEFAULT NULL COMMENT '数据类型17-海关缴款书',
  `tax_amount` varchar(30) DEFAULT NULL COMMENT '税款金额',
  `user_account` varchar(50) DEFAULT NULL COMMENT '扫描账号',
  `user_name` varchar(50) DEFAULT NULL COMMENT '扫描人',
  `qs_type` varchar(1) DEFAULT NULL COMMENT '签收方式（0-扫码签收 1-扫描仪签收 2-app签收 3-导入签收 4-手工签收，5-电票上传）',
  `qs_status` varchar(1) DEFAULT NULL COMMENT '签收结果(0-签收失败 1-签收成功）',
  `create_date` datetime DEFAULT NULL COMMENT '创建时间',
  `update_date` datetime DEFAULT NULL COMMENT '修改时间',
  `qs_date` datetime DEFAULT NULL COMMENT '签收时间',
  `scan_id` varchar(100) DEFAULT NULL COMMENT '扫描图片唯一识别码',
  `notes` varchar(255) DEFAULT NULL COMMENT '扫描备注',
  `audit_status` varchar(2) DEFAULT NULL COMMENT '稽核结果 -1-待处理，0-稽核中，1-相符，2-不符，3-缺联，4-重号',
  `apply_check` varchar(1) DEFAULT NULL COMMENT '是否申请核对0-否 1-是',
  `check_status` varchar(1) DEFAULT NULL COMMENT '核查结果 0允许抵扣/退税 1不允许抵扣/退税',
  `dept_id` varchar(50) DEFAULT NULL COMMENT '部门id',
  `dept_name` varchar(255) CHARACTER SET utf8mb4 DEFAULT NULL COMMENT '部门名称',
  `company` varchar(50) DEFAULT NULL COMMENT '集团编码',
  `remark` varchar(500) DEFAULT NULL COMMENT '备注',
  `glzt` varchar(10) DEFAULT NULL COMMENT '管理状态0正常1异常',
  `xxly` varchar(10) DEFAULT NULL COMMENT '信息来源0扫描认证1系统推送 2出口转内销',
  `status_update_date` datetime DEFAULT NULL COMMENT '状态变更时间',
  `entry_discrepancy` varchar(1) DEFAULT NULL COMMENT '是否录入不符项 0-否 1-是',
  `data_sources` varchar(1) DEFAULT NULL COMMENT '数据来源0采集1手工录入2Excel导入3扫描仪录入4电子版导入5签收推送',
  PRIMARY KEY (`id`) USING BTREE,
  UNIQUE KEY `the_customs_code` (`customs_code`) USING BTREE
) ENGINE=InnoDB DEFAULT CHARSET=utf8 ROW_FORMAT=DYNAMIC COMMENT='海关缴款书扫描表';

-- ----------------------------
-- Table structure for t_dx_customs_apply_record
-- ----------------------------
DROP TABLE IF EXISTS `t_dx_customs_apply_record`;
CREATE TABLE `t_dx_customs_apply_record` (
  `id` bigint(30) NOT NULL,
  `batch_no` varchar(50) DEFAULT NULL COMMENT '批次号',
  `gf_tax_no` varchar(30) DEFAULT NULL COMMENT '购方税号',
  `customs_code` varchar(50) DEFAULT NULL COMMENT '缴款书号码',
  `export_no` varchar(50) DEFAULT NULL COMMENT '出口转内销证明编号',
  `invoice_code` varchar(20) DEFAULT NULL COMMENT '发票代码',
  `invoice_no` varchar(20) DEFAULT NULL COMMENT '发票号码',
  `result_status` varchar(1) DEFAULT NULL COMMENT '结果状态',
  `create_date` datetime DEFAULT NULL COMMENT '创建时间',
  `ace_id` varchar(50) DEFAULT NULL COMMENT '鉴权id',
  `ace_key` varchar(50) DEFAULT NULL COMMENT '鉴权key',
  `record_type` varchar(1) DEFAULT NULL COMMENT '1海关缴款书认证申请2录入申请3出口转内销海关缴款书认证申请4出口转内销发票认证申请',
  `rzlx` varchar(1) DEFAULT NULL COMMENT '认证类型(1-抵扣 2-退税 3-代理退税4-不抵扣 5-撤销认证 6-撤销不抵扣发票已认证、已勾选有该标签）',
  PRIMARY KEY (`id`) USING BTREE
) ENGINE=InnoDB DEFAULT CHARSET=utf8 ROW_FORMAT=DYNAMIC COMMENT='缴款书上传录入、申请认证记录表';

-- ----------------------------
-- Table structure for t_dx_customs_file
-- ----------------------------
DROP TABLE IF EXISTS `t_dx_customs_file`;
CREATE TABLE `t_dx_customs_file` (
  `id` bigint(30) NOT NULL,
  `image_path` varchar(255) DEFAULT NULL COMMENT '文件路径',
  `customs_scan_id` varchar(255) DEFAULT NULL COMMENT '缴款书对应唯一码',
  `create_date` datetime DEFAULT NULL COMMENT '创建时间',
  PRIMARY KEY (`id`) USING BTREE
) ENGINE=InnoDB DEFAULT CHARSET=latin1 ROW_FORMAT=DYNAMIC COMMENT='海关缴款书附件表';

-- ----------------------------
-- Table structure for t_dx_customs_img
-- ----------------------------
DROP TABLE IF EXISTS `t_dx_customs_img`;
CREATE TABLE `t_dx_customs_img` (
  `id` bigint(30) NOT NULL,
  `scan_id` varchar(50) DEFAULT NULL COMMENT '图片表scan_id',
  `customs_scan_id` varchar(50) DEFAULT NULL COMMENT '海关缴款书关联',
  `create_date` datetime DEFAULT NULL COMMENT '创建时间',
  PRIMARY KEY (`id`) USING BTREE
) ENGINE=InnoDB DEFAULT CHARSET=latin1 ROW_FORMAT=DYNAMIC COMMENT='海关缴款书对应图片中间表';

-- ----------------------------
-- Table structure for t_dx_customs_record
-- ----------------------------
DROP TABLE IF EXISTS `t_dx_customs_record`;
CREATE TABLE `t_dx_customs_record` (
  `id` bigint(30) NOT NULL,
  `gf_name` varchar(255) DEFAULT NULL COMMENT '缴款单位',
  `gf_tax_no` varchar(100) DEFAULT NULL COMMENT '缴款税号',
  `customs_code` varchar(50) DEFAULT NULL COMMENT '缴款书号码',
  `payer_one_taxno` varchar(50) DEFAULT NULL COMMENT '缴款单位一税号',
  `payer_one_name` varchar(100) DEFAULT NULL COMMENT '缴款单位一名称',
  `payer_two_taxno` varchar(50) DEFAULT NULL COMMENT '缴款单位二税号',
  `payer_two_name` varchar(100) DEFAULT NULL COMMENT '缴款单位二名称',
  `fill_in_date` datetime NOT NULL COMMENT '填发日期',
  `tax_amount` varchar(30) DEFAULT NULL COMMENT '税款金额',
  `yx_tax_amount` varchar(30) DEFAULT NULL COMMENT '有效税款金额',
  `import_port_code` varchar(20) DEFAULT NULL COMMENT '进口口岸代码',
  `income_office` varchar(255) DEFAULT NULL COMMENT '收入机关',
  `applicant_code` varchar(255) DEFAULT NULL COMMENT '申请单位编号',
  `bill_code` varchar(255) DEFAULT NULL COMMENT '报关单编号',
  `mode_type` varchar(255) DEFAULT NULL COMMENT '贸易方式',
  `budget_code` varchar(255) DEFAULT NULL COMMENT '预算科目代码',
  `treasury_code` varchar(255) DEFAULT NULL COMMENT '收款国库代码',
  `contract_code` varchar(255) DEFAULT NULL COMMENT '合同号',
  `means_transport` varchar(255) DEFAULT NULL COMMENT '运输工具',
  `payment_period` varchar(255) DEFAULT NULL COMMENT '缴款期限',
  `delivery_code` varchar(255) DEFAULT NULL COMMENT '提运单号',
  `data_sources` varchar(255) DEFAULT NULL COMMENT '数据来源0采集1手工录入2Excel导入3扫描仪录入4电子版导入5签收推送',
  `create_date` datetime DEFAULT NULL COMMENT '采集时间',
  `update_date` datetime DEFAULT NULL COMMENT '修改时间',
  `data_type` varchar(10) DEFAULT NULL COMMENT '数据类型17-海关缴款书',
  `collect_upload_status` varchar(1) DEFAULT '0' COMMENT '采集上传状态0未上传1已发送上传2上传成功3上传失败',
  `audit_status` varchar(2) DEFAULT NULL COMMENT '稽核结果 -1-待处理，0-稽核中，1-相符，2-不符，3-缺联，4-重号 5-历史相符',
  `apply_check` varchar(1) DEFAULT NULL COMMENT '是否申请核对0-否 1-是',
  `fail_reason` varchar(10) DEFAULT NULL COMMENT '失败原因 4-参数异常 5-数据重复 8-其他异常13-无法登录税局',
  `check_status` varchar(1) DEFAULT NULL COMMENT '核查结果 0允许抵扣/退税 1不允许抵扣/退税',
  `qs_status` varchar(1) DEFAULT '0' COMMENT '签收状态0未签收1已签收',
  `qs_date` datetime DEFAULT NULL COMMENT '签收时间',
  `qs_type` varchar(1) DEFAULT NULL COMMENT '签收方式（0-扫码签收 1-扫描仪签收 2-app签收 3-导入签收 4-手工签收，5-电票上传）',
  `qs_user` varchar(50) DEFAULT NULL COMMENT '签收人',
  `rzh_date` datetime DEFAULT NULL COMMENT '认证时间',
  `rzh_belong_date` varchar(11) DEFAULT NULL COMMENT '认证属期',
  `confirm_date` datetime DEFAULT NULL COMMENT '认证确认时间',
  `rzh_type` varchar(1) DEFAULT NULL COMMENT '认证方式1手工，2导入',
  `rzh_yesorno` varchar(1) DEFAULT '0' COMMENT '是否认证0未认证，1已认证抵扣，2已认证不抵扣',
  `rzh_back_msg` varchar(255) DEFAULT NULL COMMENT '认证返回信息',
  `dqskssq` varchar(10) DEFAULT NULL COMMENT '当前税款所属期',
  `gxjzr` varchar(10) DEFAULT NULL COMMENT '当前税款所属期勾选截止日',
  `gxfwq` varchar(10) DEFAULT NULL COMMENT '当前税款所属期可勾选发票开票日期范围起',
  `gxfwz` varchar(10) DEFAULT NULL COMMENT '当前税款所属期可勾选发票开票日期范围止',
  `detail_yesorno` varchar(1) NOT NULL DEFAULT '0' COMMENT '是否存入明细 0 无明细 1 有明细',
  `auth_status` varchar(1) DEFAULT '0' COMMENT '认证处理状态0-未认证 1-已勾选未确认，2已确认 3 已发送认证 4 认证成功 5 认证失败6撤销认证',
  `send_date` datetime DEFAULT NULL COMMENT '发送认证时间',
  `rzlx` varchar(1) DEFAULT '0' COMMENT '认证类型(1-抵扣 2-退税 3-代理退税4-不抵扣 5-撤销认证 6-撤销不抵扣发票已认证、已勾选有该标签）',
  `confirm_user` varchar(255) DEFAULT NULL COMMENT '确认人',
  `dept_id` varchar(50) DEFAULT NULL COMMENT '部门id',
  `dept_name` varchar(255) DEFAULT NULL COMMENT '部门名称',
  `glzt` varchar(10) DEFAULT NULL COMMENT '管理状态0正常1异常2疑似非正常',
  `xxly` varchar(10) DEFAULT NULL COMMENT '信息来源0扫描认证1系统推送 2出口转内销',
  `cxrz_status` varchar(1) DEFAULT '0' COMMENT '撤销认证处理状态0未撤销，1申请撤销，2发送撤销，4撤销成功，5撤销失败',
  `cxrz_date` datetime DEFAULT NULL COMMENT '撤销认证操作时间',
  `cxrz_current_period` varchar(10) DEFAULT NULL COMMENT '撤销认证申请属期',
  `bdk_status` varchar(50) DEFAULT '0' COMMENT '认证类型，1认证抵扣，2认证不抵扣,3退税',
  `cxbdk_status` varchar(1) DEFAULT '0' COMMENT '撤销不抵扣处理状态0未申请，1申请，2发送申请，4申请成功，5申请失败',
  `cxbdk_date` datetime DEFAULT NULL COMMENT '撤销不抵扣操作时间',
  `bdk_current_period` varchar(10) DEFAULT NULL COMMENT '不抵扣申请属期',
  `entry_discrepancy` varchar(1) DEFAULT NULL COMMENT '是否录入不符项 0-否 1-是',
  `customs_scan_id` varchar(50) DEFAULT NULL COMMENT '海关缴款书对应图片唯一码',
  `export_mark` varchar(1) DEFAULT '0' COMMENT '出口转内销标志默认0否，1是',
  `entry_date` datetime DEFAULT NULL COMMENT '录入时间',
  `entry_user` varchar(255) DEFAULT NULL COMMENT '录入人',
  `status_update_date` datetime DEFAULT NULL COMMENT '状态变更时间',
  `collect_upload_date` datetime DEFAULT NULL COMMENT '录入发送税局时间',
  `upload_date` datetime DEFAULT NULL COMMENT '税局录入成功时间',
  `company` varchar(255) DEFAULT NULL COMMENT '公司编码',
  `in_account_date` varchar(50) DEFAULT NULL COMMENT '入账日期',
  `in_account_status` varchar(100) DEFAULT NULL COMMENT '入账状态 0-未付款 1-已付款',
  `voucher_number` varchar(100) DEFAULT NULL COMMENT '凭证号',
  `document_number` varchar(100) DEFAULT NULL COMMENT '业务单据编号',
  PRIMARY KEY (`id`) USING BTREE,
  UNIQUE KEY `the_customs_code` (`customs_code`) USING BTREE
) ENGINE=InnoDB DEFAULT CHARSET=utf8 ROW_FORMAT=DYNAMIC COMMENT='海关缴款书底账表';

-- ----------------------------
-- Table structure for t_dx_data_platform_invoice_log
-- ----------------------------
DROP TABLE IF EXISTS `t_dx_data_platform_invoice_log`;
CREATE TABLE `t_dx_data_platform_invoice_log` (
  `id` bigint(20) NOT NULL AUTO_INCREMENT,
  `invoice_code` varchar(20) DEFAULT NULL COMMENT '发票代码',
  `invoice_no` varchar(10) DEFAULT NULL COMMENT '发票号码',
  `system_source` varchar(10) DEFAULT NULL COMMENT '系统来源 1-数据平台 0-进项接口',
  `message` varchar(50) DEFAULT NULL COMMENT '日志信息',
  `create_date` datetime DEFAULT NULL COMMENT '创建日期',
  PRIMARY KEY (`id`) USING BTREE
) ENGINE=InnoDB AUTO_INCREMENT=1431469885631860739 DEFAULT CHARSET=utf8 ROW_FORMAT=DYNAMIC;

-- ----------------------------
-- Table structure for t_dx_dk_count
-- ----------------------------
DROP TABLE IF EXISTS `t_dx_dk_count`;
CREATE TABLE `t_dx_dk_count` (
  `id` bigint(30) NOT NULL COMMENT '主键',
  `taxno` varchar(30) NOT NULL COMMENT '税号',
  `taxname` varchar(50) NOT NULL COMMENT '名称',
  `skssq` varchar(10) NOT NULL COMMENT '所属期',
  `apply_status` varchar(10) NOT NULL COMMENT '是否申请(0--未申请  1--申请中  2--申请成功  3--申请失败  4--申请成功，已返回申请结果)',
  `apply_msg` varchar(50) DEFAULT NULL COMMENT '申请结果(1-申请成功 2-已申请确认 3-已确认统计4-申请确认月份不符5-税号不存在6-未申请统计7-统计结果不符8-其他异常)',
  `sign_status` varchar(10) NOT NULL COMMENT '是否签名(0--未申请  1--申请中  2--申请成功  3--申请失败)',
  `create_date` varchar(30) NOT NULL COMMENT '统计时间',
  `tj_status` varchar(10) DEFAULT '0' COMMENT '统计状态',
  `qs_status` varchar(10) DEFAULT '0' COMMENT '确认状态',
  `sfdqskssq` varchar(30) DEFAULT NULL COMMENT '是否当前所属期',
  `apply_type` varchar(1) DEFAULT NULL COMMENT '申请统计类型  1--申请统计  2--撤销统计',
  `tj_date` varchar(20) DEFAULT NULL COMMENT '统计时间',
  `company` varchar(30) DEFAULT NULL COMMENT '集团编码',
  `cxtj_status` varchar(10) DEFAULT '0' COMMENT '撤销统计',
  `cxqs_status` varchar(10) DEFAULT '0' COMMENT '撤销确认',
  `tj_user` varchar(50) DEFAULT NULL COMMENT '统计人',
  `qr_user` varchar(50) DEFAULT NULL COMMENT '确认人',
  `qr_date` datetime DEFAULT NULL COMMENT '确认时间',
  `cxtj_user` varchar(50) DEFAULT NULL COMMENT '撤销统计人',
  `cxqr_user` varchar(50) DEFAULT NULL COMMENT '撤销确认人',
  `cxtj_date` datetime DEFAULT NULL COMMENT '撤销统计时间',
  `cxqr_date` datetime DEFAULT NULL COMMENT '撤销确认时间',
  PRIMARY KEY (`id`) USING BTREE,
  UNIQUE KEY `taxno_sq_unique` (`taxno`,`skssq`) USING BTREE,
  KEY `company` (`company`) USING BTREE
) ENGINE=InnoDB DEFAULT CHARSET=utf8 ROW_FORMAT=DYNAMIC COMMENT='抵扣统计表';

-- ----------------------------
-- Table structure for t_dx_dk_count_detail
-- ----------------------------
DROP TABLE IF EXISTS `t_dx_dk_count_detail`;
CREATE TABLE `t_dx_dk_count_detail` (
  `id` bigint(30) NOT NULL,
  `taxno` varchar(30) NOT NULL COMMENT '税号',
  `tj_month` varchar(30) NOT NULL COMMENT '统计月份',
  `tj_date` varchar(30) NOT NULL COMMENT '统计时间',
  `invoice_type` varchar(30) NOT NULL COMMENT '发票类型(01增值税专用发票、03机动车销售统一发票、14通行费发票、99总计)',
  `dk_invoice_count` varchar(18) DEFAULT NULL,
  `dk_amount_count` varchar(18) DEFAULT NULL,
  `dk_tax_amount_count` varchar(18) DEFAULT NULL,
  `bdk_invoice_count` varchar(18) DEFAULT NULL,
  `bdk_amount_count` varchar(18) DEFAULT NULL,
  `bdk_tax_amount_count` varchar(18) DEFAULT NULL,
  `company` varchar(50) DEFAULT NULL COMMENT '集团编码',
  PRIMARY KEY (`id`) USING BTREE,
  KEY `key_taxno` (`taxno`) USING BTREE,
  KEY `company` (`company`) USING BTREE
) ENGINE=InnoDB DEFAULT CHARSET=utf8 ROW_FORMAT=DYNAMIC COMMENT='抵扣统计明细表';

-- ----------------------------
-- Table structure for t_dx_dk_count_log
-- ----------------------------
DROP TABLE IF EXISTS `t_dx_dk_count_log`;
CREATE TABLE `t_dx_dk_count_log` (
  `id` bigint(30) NOT NULL,
  `taxno` varchar(30) NOT NULL COMMENT '税号',
  `skssq` varchar(10) NOT NULL COMMENT '所属期',
  `opera_type` varchar(10) NOT NULL COMMENT '操作类型0--申请统计  1--确认统计  2--撤销统计',
  `opera_name` varchar(30) NOT NULL COMMENT '操作人',
  `create_date` varchar(30) NOT NULL COMMENT '操作时间',
  PRIMARY KEY (`id`) USING BTREE,
  KEY `key_taxno` (`taxno`) USING BTREE
) ENGINE=InnoDB DEFAULT CHARSET=utf8 ROW_FORMAT=DYNAMIC;

-- ----------------------------
-- Table structure for t_dx_electron_log
-- ----------------------------
DROP TABLE IF EXISTS `t_dx_electron_log`;
CREATE TABLE `t_dx_electron_log` (
  `id` bigint(30) NOT NULL,
  `invoice_no` varchar(10) DEFAULT NULL COMMENT '发票号码',
  `invoice_code` varchar(20) DEFAULT NULL COMMENT '发票代码',
  `file_path` varchar(255) DEFAULT NULL COMMENT '文件路径',
  `create_date` datetime DEFAULT NULL COMMENT '创建时间',
  `file_name` varchar(100) DEFAULT NULL,
  PRIMARY KEY (`id`) USING BTREE
) ENGINE=InnoDB DEFAULT CHARSET=utf8 ROW_FORMAT=DYNAMIC COMMENT='电票PDF路径';

-- ----------------------------
-- Table structure for t_dx_enterprise_control_rules
-- ----------------------------
DROP TABLE IF EXISTS `t_dx_enterprise_control_rules`;
CREATE TABLE `t_dx_enterprise_control_rules` (
  `id` bigint(30) NOT NULL,
  `invoice_type` varchar(2) DEFAULT NULL COMMENT '发票类型 01-增值税专用发票 03-机动车销售统一发票 04-增值税普通发票 08-增值税电子专票 10-电子发票 11-卷票 14-通行费发票',
  `invoice_code` varchar(20) DEFAULT NULL COMMENT '发票代码',
  `invoice_no` varchar(50) DEFAULT NULL COMMENT '发票号码',
  `uuid` varchar(255) NOT NULL COMMENT '发票代码+发票号码    ',
  `rule_code` varchar(50) DEFAULT NULL COMMENT '规则编码 ',
  `rule_name` varchar(1000) DEFAULT NULL COMMENT '规则名称',
  `rule_message` varchar(4000) DEFAULT '' COMMENT '规则名称、描述',
  `is_force` varchar(2) DEFAULT NULL COMMENT '是否强制 0：提示，1：强制',
  `create_time` datetime DEFAULT NULL,
  PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COMMENT='发票对接规则引擎记录表';

-- ----------------------------
-- Table structure for t_dx_enterprise_control_rules_config
-- ----------------------------
DROP TABLE IF EXISTS `t_dx_enterprise_control_rules_config`;
CREATE TABLE `t_dx_enterprise_control_rules_config` (
  `id` bigint(11) NOT NULL,
  `tax_no` varchar(255) NOT NULL COMMENT '购方税号',
  `invoice_sum` int(11) DEFAULT '100' COMMENT '每次推送规则引擎的数量',
  `vat_invoice_type` varchar(255) DEFAULT NULL COMMENT '需要推送的增值税发票类型',
  `not_invoice_type` varchar(255) DEFAULT NULL COMMENT '需要推送的杂票发票类型',
  `invoice_date` varchar(255) DEFAULT NULL COMMENT '筛选字段开票日期invoiceDate',
  `create_date` varchar(255) DEFAULT NULL COMMENT '筛选字段为入池时间createDate',
  `selectMonth` int(11) DEFAULT NULL COMMENT '筛选区间',
  `invoices` varchar(255) DEFAULT NULL COMMENT '发票种类 1-增值税 2-杂票',
  PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COMMENT='规则引擎配置表';

-- ----------------------------
-- Table structure for t_dx_excel_exportlog
-- ----------------------------
DROP TABLE IF EXISTS `t_dx_excel_exportlog`;
CREATE TABLE `t_dx_excel_exportlog` (
  `id` bigint(30) NOT NULL COMMENT '主键',
  `user_account` varchar(20) NOT NULL COMMENT '操作账户',
  `user_name` varchar(20) NOT NULL COMMENT '操作人',
  `gf_tax_no` varchar(4000) NOT NULL COMMENT '操作人可操作的购方税号',
  `db_name` varchar(200) DEFAULT NULL COMMENT '数据源名称',
  `conditions` json NOT NULL COMMENT '导出条件',
  `create_date` datetime NOT NULL DEFAULT CURRENT_TIMESTAMP COMMENT '申请时间',
  `service_type` int(11) NOT NULL COMMENT '业务唯一标识，用于适配执行的业务类',
  `filepath` varchar(4000) DEFAULT NULL COMMENT '文件的导出存储路径',
  `export_status` varchar(2) NOT NULL DEFAULT '0' COMMENT '导出状态（0未导出，1正在导出，2已导出，3导出出错）',
  `start_date` datetime DEFAULT NULL COMMENT '导出开始时间',
  `end_date` datetime DEFAULT NULL COMMENT '导出结束时间',
  `errmsg` varchar(4000) DEFAULT NULL COMMENT '导出错误信息，导出任务出错时填写',
  PRIMARY KEY (`id`) USING BTREE,
  KEY `user_account` (`user_account`) USING BTREE,
  KEY `export_status` (`export_status`) USING BTREE
) ENGINE=InnoDB DEFAULT CHARSET=utf8 ROW_FORMAT=DYNAMIC COMMENT='excel导出申请记录表';

-- ----------------------------
-- Table structure for t_dx_export_customs
-- ----------------------------
DROP TABLE IF EXISTS `t_dx_export_customs`;
CREATE TABLE `t_dx_export_customs` (
  `id` bigint(30) NOT NULL,
  `gf_name` varchar(255) DEFAULT NULL COMMENT '缴款单位',
  `gf_tax_no` varchar(100) DEFAULT NULL COMMENT '缴款税号',
  `customs_code` varchar(50) DEFAULT NULL COMMENT '缴款书号码',
  `export_no` varchar(50) DEFAULT NULL COMMENT '出口转内销证明编号',
  `payer_one_taxno` varchar(50) DEFAULT NULL COMMENT '缴款单位一税号',
  `payer_one_name` varchar(100) DEFAULT NULL COMMENT '缴款单位一名称',
  `payer_two_taxno` varchar(50) DEFAULT NULL COMMENT '缴款单位二税号',
  `payer_two_name` varchar(100) DEFAULT NULL COMMENT '缴款单位二名称',
  `fill_in_date` datetime NOT NULL COMMENT '填发日期',
  `export_tax_amount` varchar(30) DEFAULT NULL COMMENT '转内销税款金额',
  `yx_export_tax_amount` varchar(30) DEFAULT NULL COMMENT '有效转内销税款金额',
  `import_port_code` varchar(20) DEFAULT NULL COMMENT '进口口岸代码',
  `income_office` varchar(255) DEFAULT NULL COMMENT '收入机关',
  `applicant_code` varchar(255) DEFAULT NULL COMMENT '申请单位编号',
  `bill_code` varchar(255) DEFAULT NULL COMMENT '报关单编号',
  `mode_type` varchar(255) DEFAULT NULL COMMENT '贸易方式',
  `budget_code` varchar(255) DEFAULT NULL COMMENT '预算科目代码',
  `treasury_code` varchar(255) DEFAULT NULL COMMENT '收款国库代码',
  `contract_code` varchar(255) DEFAULT NULL COMMENT '合同号',
  `means_transport` varchar(255) DEFAULT NULL COMMENT '运输工具',
  `payment_period` varchar(255) DEFAULT NULL COMMENT '缴款期限',
  `delivery_code` varchar(255) DEFAULT NULL COMMENT '提运单号',
  `data_sources` varchar(255) DEFAULT NULL COMMENT '数据来源0采集1手工录入2Excel导入3扫描仪录入4电子版导入',
  `create_date` datetime DEFAULT NULL COMMENT '采集时间',
  `update_date` datetime DEFAULT NULL COMMENT '修改时间',
  `data_type` varchar(10) DEFAULT NULL COMMENT '数据类型17-海关缴款书',
  `audit_status` varchar(2) DEFAULT NULL COMMENT '稽核结果 -1-待处理，0-稽核中，1-相符，2-不符，3-缺联，4-重号 5历史相符',
  `apply_check` varchar(1) DEFAULT NULL COMMENT '是否申请核对0-否 1-是',
  `fail_reason` varchar(10) DEFAULT NULL COMMENT '失败原因 4-参数异常 5-数据重复 8-其他异常13-无法登录税局',
  `check_status` varchar(1) DEFAULT NULL COMMENT '核查结果 0允许抵扣/退税 1不允许抵扣/退税',
  `rzh_date` datetime DEFAULT NULL COMMENT '认证时间',
  `rzh_belong_date` varchar(11) DEFAULT NULL COMMENT '认证属期',
  `confirm_date` datetime DEFAULT NULL COMMENT '认证确认时间',
  `rzh_type` varchar(1) DEFAULT NULL COMMENT '认证方式1手工，2导入',
  `rzh_yesorno` varchar(1) DEFAULT NULL COMMENT '是否认证0未认证，1已认证抵扣，2已认证不抵扣',
  `rzh_back_msg` varchar(255) DEFAULT NULL COMMENT '认证返回信息',
  `dqskssq` varchar(10) DEFAULT NULL COMMENT '当前税款所属期',
  `gxjzr` varchar(10) DEFAULT NULL COMMENT '当前税款所属期勾选截止日',
  `gxfwq` varchar(10) DEFAULT NULL COMMENT '当前税款所属期可勾选发票开票日期范围起',
  `gxfwz` varchar(10) DEFAULT NULL COMMENT '当前税款所属期可勾选发票开票日期范围止',
  `detail_yesorno` varchar(1) NOT NULL DEFAULT '0' COMMENT '是否存入明细 0 无明细 1 有明细',
  `auth_status` varchar(1) DEFAULT '0' COMMENT '认证处理状态0-未认证 1-已勾选未确认，2已确认 3 已发送认证 4 认证成功 5 认证失败6撤销认证',
  `send_date` datetime DEFAULT NULL COMMENT '发送认证时间',
  `rzlx` varchar(1) DEFAULT '0' COMMENT '认证类型(1-抵扣 2-退税 3-代理退税4-不抵扣 5-撤销认证 6-撤销不抵扣发票已认证、已勾选有该标签）',
  `confirm_user` varchar(255) DEFAULT NULL COMMENT '确认人',
  `glzt` varchar(10) DEFAULT NULL COMMENT '管理状态0正常1异常2疑似非正常',
  `xxly` varchar(10) DEFAULT NULL COMMENT '信息来源0扫描认证1系统推送 2出口转内销',
  `cxrz_status` varchar(1) DEFAULT '0' COMMENT '撤销认证处理状态0未撤销，1申请撤销，2发送撤销，4撤销成功，5撤销失败',
  `cxrz_date` datetime DEFAULT NULL COMMENT '撤销认证操作时间',
  `cxrz_current_period` varchar(10) DEFAULT NULL COMMENT '撤销认证申请属期',
  `bdk_status` varchar(255) DEFAULT '0' COMMENT '认证类型，1认证抵扣，2认证不抵扣，3退税认证，4出口转内销认证抵扣，5出口转内销认证不抵扣',
  `cxbdk_status` varchar(1) DEFAULT '0' COMMENT '撤销不抵扣处理状态0未申请，1申请，2发送申请，4申请成功，5申请失败',
  `cxbdk_date` datetime DEFAULT NULL COMMENT '撤销不抵扣操作时间',
  `bdk_current_period` varchar(10) DEFAULT NULL COMMENT '不抵扣申请属期',
  `entry_discrepancy` varchar(1) DEFAULT NULL COMMENT '是否录入不符项 0-否 1-是',
  `company` varchar(55) DEFAULT NULL COMMENT '公司编码',
  `valid` varchar(1) DEFAULT NULL COMMENT '是否有效 1-有效 0-无效',
  PRIMARY KEY (`id`) USING BTREE,
  UNIQUE KEY `the_export_no_gf_cus` (`export_no`,`gf_tax_no`,`customs_code`) USING BTREE,
  KEY `gf_tax_no` (`gf_tax_no`) USING BTREE,
  KEY `customs_code` (`customs_code`) USING BTREE,
  KEY `export_no` (`export_no`) USING BTREE
) ENGINE=InnoDB DEFAULT CHARSET=utf8 ROW_FORMAT=DYNAMIC COMMENT='出口转内销海关缴款书';

-- ----------------------------
-- Table structure for t_dx_export_invoice
-- ----------------------------
DROP TABLE IF EXISTS `t_dx_export_invoice`;
CREATE TABLE `t_dx_export_invoice` (
  `id` bigint(30) NOT NULL,
  `export_no` varchar(50) DEFAULT NULL COMMENT '出口转内销证明编号',
  `invoice_code` varchar(12) DEFAULT NULL COMMENT '发票代码',
  `invoice_no` varchar(10) DEFAULT NULL COMMENT '发票号码',
  `invoice_type` varchar(2) DEFAULT NULL COMMENT '发票类型，01专票，03机动车，08电子专票，04普票，10电票，11卷票，14通行费，17海关缴款书，',
  `invoice_status` varchar(1) DEFAULT NULL COMMENT '发票状态0-正常  1-失控 2-作废  3-红冲 4-异常',
  `invoice_date` datetime DEFAULT NULL COMMENT '开票日期',
  `gf_tax_no` varchar(30) DEFAULT NULL COMMENT '购方税号',
  `gf_name` varchar(255) DEFAULT NULL COMMENT '购方名称',
  `xf_tax_no` varchar(30) DEFAULT NULL COMMENT '销方税号',
  `xf_name` varchar(255) DEFAULT NULL COMMENT '销方名称',
  `export_amount` decimal(30,2) DEFAULT NULL COMMENT '转内销金额',
  `export_tax_amount` decimal(30,2) DEFAULT NULL COMMENT '转内销税额',
  `export_yxse` decimal(30,2) DEFAULT NULL COMMENT '转内销有效税额',
  `rzh_date` datetime DEFAULT NULL COMMENT '认证时间',
  `rzh_belong_date` varchar(11) DEFAULT NULL COMMENT '实际认证归属期',
  `confirm_date` datetime DEFAULT NULL COMMENT '认证确认时间',
  `rzh_yesorno` varchar(1) DEFAULT '0' COMMENT '是否认证 0-未认证 1-已认证抵扣，2-已认证不抵扣,',
  `uuid` varchar(255) NOT NULL COMMENT '发票代码+发票号码    唯一索引 防重复',
  `create_date` datetime DEFAULT NULL COMMENT '创建时间',
  `update_date` datetime DEFAULT NULL COMMENT '更新时间',
  `rzh_back_msg` varchar(255) DEFAULT NULL COMMENT '认证结果回传信息',
  `check_code` varchar(255) DEFAULT NULL COMMENT '校验码',
  `txfbz` varchar(1) DEFAULT NULL COMMENT '通行费标志(Y-可抵扣通行费，N-不可抵扣通行费)',
  `lslbz` varchar(1) DEFAULT NULL COMMENT '零税率标志 (空:非零税率，1:税率栏位显示“免税”，2:税率栏位显示“不征收”，3:零税率',
  `confirm_user` varchar(255) DEFAULT NULL COMMENT '确认人',
  `glzt` varchar(10) DEFAULT NULL COMMENT '管理状态  0正常1异常',
  `xxly` varchar(10) DEFAULT NULL COMMENT '信息来源  0扫描认证  1系统推送 2出口转内销',
  `yqkgxbz` varchar(10) DEFAULT '0' COMMENT '逾期可勾选标志   0默认值，1可勾选逾期',
  `company` varchar(50) DEFAULT NULL COMMENT '集团编码',
  `cxrz_status` varchar(1) DEFAULT '0' COMMENT '撤销认证处理状态0未撤销，1申请撤销，2发送撤销，4撤销成功，5撤销失败',
  `cxrz_date` datetime DEFAULT NULL COMMENT '撤销认证操作时间',
  `bdk_status` varchar(255) DEFAULT '0' COMMENT '认证类型，1认证抵扣，2认证不抵扣',
  `cxrz_current_period` varchar(10) DEFAULT NULL COMMENT '撤销认证申请属期',
  `bdk_current_period` varchar(10) DEFAULT NULL COMMENT '不抵扣申请属期',
  `cxbdk_status` varchar(1) DEFAULT '0' COMMENT '撤销不抵扣处理状态0未申请，1申请，2发送申请，4申请成功，5申请失败',
  `cxbdk_date` datetime DEFAULT NULL COMMENT '撤销不抵扣操作时间',
  `auth_status` varchar(1) DEFAULT '0' COMMENT '认证处理状态0-未认证 1-已勾选未确认，2已确认 3 已发送认证 4 认证成功 5 认证失败6撤销认证',
  `rzlx` varchar(1) DEFAULT '0' COMMENT '认证类型(1-抵扣 2-退税 3-代理退税  4-不抵扣 5-逾期  发票已认证、已勾选有该标签）',
  `send_date` datetime DEFAULT NULL COMMENT '发送认证时间',
  `last_update_date` datetime DEFAULT NULL COMMENT '最后修改时间',
  `status_update_date` datetime DEFAULT NULL COMMENT '发票状态变更时间',
  PRIMARY KEY (`id`) USING BTREE,
  UNIQUE KEY `the_export_no` (`export_no`,`uuid`,`gf_tax_no`) USING BTREE,
  KEY `export_no` (`export_no`) USING BTREE,
  KEY `gf_tax_no` (`gf_tax_no`) USING BTREE,
  KEY `uuid` (`uuid`) USING BTREE,
  KEY `invoice_no` (`invoice_no`) USING BTREE
) ENGINE=InnoDB DEFAULT CHARSET=utf8 ROW_FORMAT=DYNAMIC COMMENT='发票出口转内销表';

-- ----------------------------
-- Table structure for t_dx_goods
-- ----------------------------
DROP TABLE IF EXISTS `t_dx_goods`;
CREATE TABLE `t_dx_goods` (
  `id` bigint(30) NOT NULL,
  `goods_code` varchar(255) NOT NULL COMMENT '商品编码',
  `goods_name` varchar(255) NOT NULL COMMENT '商品名称',
  `ssbm_id` bigint(20) NOT NULL COMMENT '税收分类编码id ,税收分类表中的税收分类编码id',
  `ssbm_code` varchar(255) NOT NULL COMMENT '税收商品编码,按国税总局标准，合并编码',
  `ssbm_name` varchar(255) NOT NULL COMMENT '税收商品名称,按国税总局标准，货物和劳务名称',
  `is_black` varchar(1) NOT NULL COMMENT '是否加入黑名单,判断是否加入黑名单 0未加入 1 已加入',
  `goods_remark` varchar(255) DEFAULT NULL COMMENT '商品备注',
  `company` varchar(255) DEFAULT NULL COMMENT '中心企业标识',
  PRIMARY KEY (`id`) USING BTREE
) ENGINE=InnoDB DEFAULT CHARSET=utf8 ROW_FORMAT=DYNAMIC COMMENT='商品表';

-- ----------------------------
-- Table structure for t_dx_goods_num
-- ----------------------------
DROP TABLE IF EXISTS `t_dx_goods_num`;
CREATE TABLE `t_dx_goods_num` (
  `id` bigint(30) NOT NULL,
  `ssbm_code` varchar(255) NOT NULL COMMENT '税收商品编码，按国税总局标准，合并编码',
  `ssbm_name` varchar(255) NOT NULL COMMENT '税收商品名称，按国税总局标准，货物和劳务名称',
  `ssbm_abbreviation` varchar(255) NOT NULL COMMENT '商品和服务分类简称，按国税总局标准，商品和服务分类简称',
  `explain` varchar(255) NOT NULL COMMENT '说明，按国税总局标准，说明',
  `company` varchar(255) DEFAULT NULL COMMENT '中心企业标识',
  PRIMARY KEY (`id`) USING BTREE
) ENGINE=InnoDB DEFAULT CHARSET=utf8 ROW_FORMAT=DYNAMIC COMMENT='商品税收分类编码表';

-- ----------------------------
-- Table structure for t_dx_http_log
-- ----------------------------
DROP TABLE IF EXISTS `t_dx_http_log`;
CREATE TABLE `t_dx_http_log` (
  `log_id` bigint(30) NOT NULL COMMENT '主键id',
  `taxno` varchar(100) DEFAULT NULL COMMENT '税号',
  `type` varchar(4) NOT NULL COMMENT '请求类型 01 发票获取，02 发票状态获取，03发票认证接口，04发票认证结果获取接口，05属期查询接口，06勾选发票获取接口',
  `req_date` datetime NOT NULL COMMENT '请求时间',
  `req_text` text NOT NULL COMMENT '请求报文',
  `res_date` datetime NOT NULL COMMENT '返回报文时间',
  `res_text` mediumtext NOT NULL COMMENT '返回报文',
  `status` varchar(1) NOT NULL COMMENT '解析状态 0 未解析 1 解析成功 2 解析失败',
  `total` varchar(20) DEFAULT NULL COMMENT '返回报文中发票统计数',
  `company` varchar(50) DEFAULT NULL COMMENT '发票状态存表',
  PRIMARY KEY (`log_id`) USING BTREE,
  KEY `key_taxno` (`taxno`) USING BTREE
) ENGINE=InnoDB DEFAULT CHARSET=utf8 ROW_FORMAT=DYNAMIC;

-- ----------------------------
-- Table structure for t_dx_http_log_data_platform
-- ----------------------------
DROP TABLE IF EXISTS `t_dx_http_log_data_platform`;
CREATE TABLE `t_dx_http_log_data_platform` (
  `log_id` bigint(30) NOT NULL COMMENT '主键id',
  `taxno` varchar(100) DEFAULT NULL COMMENT '税号',
  `type` varchar(4) NOT NULL COMMENT '请求类型 01 发票获取，02 发票状态获取，03发票认证接口，04发票认证结果获取接口，05属期查询接口，06勾选发票获取接口',
  `req_date` datetime NOT NULL COMMENT '请求时间',
  `req_text` text NOT NULL COMMENT '请求报文',
  `res_date` datetime NOT NULL COMMENT '返回报文时间',
  `res_text` mediumtext NOT NULL COMMENT '返回报文',
  `status` varchar(1) NOT NULL COMMENT '解析状态 0 未解析 1 解析成功 2 解析失败',
  `total` varchar(20) DEFAULT NULL COMMENT '返回报文中发票统计数',
  `company` varchar(50) DEFAULT NULL COMMENT '发票状态存表',
  `invoice_type` varchar(10) DEFAULT NULL COMMENT '发票类型',
  `subject` varchar(1) DEFAULT NULL COMMENT '请求类型1-进项 2-销项',
  PRIMARY KEY (`log_id`) USING BTREE,
  KEY `key_taxno` (`taxno`) USING BTREE,
  KEY `status` (`status`),
  KEY `type` (`invoice_type`),
  KEY `company` (`company`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 ROW_FORMAT=DYNAMIC;

-- ----------------------------
-- Table structure for t_dx_http_log_invoice_down
-- ----------------------------
DROP TABLE IF EXISTS `t_dx_http_log_invoice_down`;
CREATE TABLE `t_dx_http_log_invoice_down` (
  `log_id` bigint(30) NOT NULL COMMENT '主键id',
  `taxno` varchar(100) DEFAULT NULL COMMENT '税号',
  `data_type` varchar(4) NOT NULL COMMENT '1-进项 2-销项',
  `req_date` datetime DEFAULT NULL COMMENT '请求时间',
  `req_text` text COMMENT '请求报文',
  `res_date` datetime DEFAULT NULL COMMENT '返回报文时间',
  `res_text` mediumtext COMMENT '返回报文',
  `status` varchar(1) NOT NULL COMMENT '解析状态 0 未解析 1 解析成功 2 解析失败',
  `total` varchar(20) DEFAULT NULL COMMENT '返回报文中发票统计数',
  `company` varchar(20) DEFAULT NULL COMMENT '集团编码',
  `invoice_type` varchar(255) DEFAULT NULL COMMENT '01,03,04,10,11,14,15,17,08',
  `type` varchar(1) DEFAULT NULL COMMENT '0-获取id 1-获取发票',
  PRIMARY KEY (`log_id`) USING BTREE,
  KEY `http_log_taxno` (`taxno`) USING BTREE
) ENGINE=InnoDB DEFAULT CHARSET=utf8 ROW_FORMAT=DYNAMIC COMMENT='接口调用记录表';

-- ----------------------------
-- Table structure for t_dx_invoice
-- ----------------------------
DROP TABLE IF EXISTS `t_dx_invoice`;
CREATE TABLE `t_dx_invoice` (
  `id` bigint(30) NOT NULL,
  `invoice_type` varchar(2) DEFAULT NULL COMMENT '发票类型（01-增值税专用发票 03-机动车销售统一发票 04-增值税普通发票 10-电子发票 11-卷票 14-通行费发票）',
  `invoice_code` varchar(50) DEFAULT NULL COMMENT '发票代码',
  `invoice_no` varchar(50) DEFAULT NULL COMMENT '发票号码',
  `invoice_serial_no` bigint(30) DEFAULT NULL,
  `gf_tax_no` varchar(20) DEFAULT NULL COMMENT '购方税号',
  `gf_name` varchar(255) DEFAULT NULL COMMENT '购方名称',
  `xf_tax_no` varchar(20) DEFAULT NULL COMMENT '销方税号',
  `xf_name` varchar(255) DEFAULT NULL COMMENT '销方名称',
  `invoice_amount` decimal(18,4) DEFAULT '0.0000' COMMENT '金额',
  `tax_amount` decimal(18,4) DEFAULT '0.0000' COMMENT '税额',
  `total_amount` decimal(18,4) DEFAULT '0.0000' COMMENT '价税合计',
  `invoice_date` datetime DEFAULT NULL COMMENT '开票时间',
  `user_account` varchar(50) DEFAULT NULL COMMENT '扫描账号',
  `user_name` varchar(50) DEFAULT NULL COMMENT '扫描人',
  `qs_type` varchar(1) DEFAULT NULL COMMENT '签收方式（0-扫码签收 1-扫描仪签收 2-app签收 3-导入签收 4-手工签收，5-pdf上传）',
  `qs_status` varchar(1) DEFAULT NULL COMMENT '签收结果(0-签收失败 1-签收成功）',
  `valid` varchar(1) DEFAULT NULL COMMENT '是否有效（1-有效 0-无效）',
  `uuid` varchar(50) NOT NULL COMMENT '发票唯一标识 组成：发票代码+发票号码',
  `create_date` datetime DEFAULT NULL COMMENT '创建时间',
  `update_date` datetime DEFAULT NULL COMMENT '修改时间',
  `qs_date` datetime DEFAULT NULL COMMENT '签收时间',
  `scan_id` varchar(100) DEFAULT NULL COMMENT '扫描图片唯一识别码',
  `notes` varchar(255) DEFAULT NULL COMMENT '扫描备注',
  `dept_id` varchar(50) DEFAULT NULL COMMENT '部门id',
  `check_code` varchar(50) DEFAULT NULL COMMENT '校验码',
  `dept_name` varchar(255) CHARACTER SET utf8mb4 DEFAULT NULL COMMENT '部门名称',
  `settlement_no` varchar(50) DEFAULT NULL COMMENT '结算单号',
  `settlement_status` varchar(1) DEFAULT '0' COMMENT '是否结算（0未结算，1已结算）',
  `settle_source` varchar(20) DEFAULT NULL COMMENT '结算单来源',
  `invoice_status` varchar(1) DEFAULT NULL COMMENT '发票状态',
  `qs_name` varchar(20) DEFAULT NULL COMMENT '签收人',
  `company` varchar(50) DEFAULT NULL COMMENT '集团编码',
  `request_id` varchar(255) DEFAULT NULL COMMENT '请求id',
  `vendor_id` varchar(255) DEFAULT NULL COMMENT '供应商编码',
  `old_request_id` varchar(255) DEFAULT NULL,
  `check_return_code` varchar(255) DEFAULT NULL COMMENT '查验返回code',
  `remark` varchar(500) DEFAULT NULL COMMENT '备注',
  `force_sign` varchar(1) DEFAULT NULL COMMENT '强制签收标志',
  `invoice_remark` varchar(500) DEFAULT NULL COMMENT '发票备注',
  `refund_status` varchar(1) DEFAULT '0' COMMENT '退票标志0未退票1已退票',
  `refund_name` varchar(20) DEFAULT NULL COMMENT '退票人',
  `refund_reason` text COMMENT '退票原因',
  `refund_date` datetime DEFAULT NULL COMMENT '退票时间',
  `batch_no` varchar(35) DEFAULT NULL COMMENT '批次号',
  `voucher_number` varchar(100) DEFAULT NULL,
  PRIMARY KEY (`id`) USING BTREE,
  UNIQUE KEY `uuidindex` (`uuid`) USING BTREE,
  KEY `key_invoice_no` (`invoice_no`) USING BTREE,
  KEY `key_invoice_code` (`invoice_code`) USING BTREE,
  KEY `invoice_date_gf_tax_no` (`gf_tax_no`,`invoice_date`),
  KEY `gf_tax_no` (`gf_tax_no`),
  KEY `invoice_date` (`invoice_date`),
  KEY `user_account` (`user_account`),
  KEY `user_name` (`user_name`),
  KEY `scan_id` (`scan_id`),
  KEY `company` (`company`) USING BTREE,
  KEY `req_id` (`request_id`) USING BTREE,
  KEY `req_old_id` (`request_id`,`old_request_id`) USING BTREE,
  KEY `old_req_id` (`old_request_id`) USING BTREE
) ENGINE=InnoDB DEFAULT CHARSET=utf8 ROW_FORMAT=DYNAMIC COMMENT='发票扫描表';

-- ----------------------------
-- Table structure for t_dx_invoice_account
-- ----------------------------
DROP TABLE IF EXISTS `t_dx_invoice_account`;
CREATE TABLE `t_dx_invoice_account` (
  `id` bigint(20) NOT NULL AUTO_INCREMENT,
  `invoice_code` varchar(20) CHARACTER SET utf8 DEFAULT NULL COMMENT '发票代码',
  `invoice_no` varchar(8) CHARACTER SET utf8 DEFAULT NULL COMMENT '发票号码',
  `gf_tax_no` varchar(20) CHARACTER SET utf8 DEFAULT NULL COMMENT '购方税号',
  `xf_tax_no` varchar(20) CHARACTER SET utf8 DEFAULT NULL COMMENT '销方税号',
  `invoice_date` datetime DEFAULT NULL COMMENT '开票日期',
  `invoice_amount` decimal(18,4) DEFAULT NULL COMMENT '发票金额',
  `check_code` varchar(30) CHARACTER SET utf8 DEFAULT NULL COMMENT '校验码',
  `pzh` varchar(30) CHARACTER SET utf8 DEFAULT NULL COMMENT '凭证号',
  `bxr` varchar(20) CHARACTER SET utf8 DEFAULT NULL COMMENT '报销人',
  `uuid` varchar(30) DEFAULT NULL COMMENT '发票代码+发票号码',
  `create_date` datetime DEFAULT NULL COMMENT '创建时间',
  `update_date` datetime DEFAULT NULL COMMENT '修改时间',
  `is_sign` varchar(1) DEFAULT NULL COMMENT '是否签收（0未签收、1已签收）',
  PRIMARY KEY (`id`) USING BTREE
) ENGINE=InnoDB AUTO_INCREMENT=819 DEFAULT CHARSET=utf8mb4 ROW_FORMAT=DYNAMIC COMMENT='报销对接表';

-- ----------------------------
-- Table structure for t_dx_invoice_del
-- ----------------------------
DROP TABLE IF EXISTS `t_dx_invoice_del`;
CREATE TABLE `t_dx_invoice_del` (
  `id` bigint(30) NOT NULL,
  `invoice_type` varchar(2) DEFAULT NULL COMMENT '发票类型（01-增值税专用发票 03-机动车销售统一发票 04-增值税普通发票 10-电子发票 11-卷票 14-通行费发票）',
  `invoice_code` varchar(20) DEFAULT NULL COMMENT '发票代码',
  `invoice_serial_no` varchar(100) DEFAULT NULL,
  `invoice_no` varchar(10) DEFAULT NULL COMMENT '发票号码',
  `gf_tax_no` varchar(20) DEFAULT NULL COMMENT '购方税号',
  `gf_name` varchar(225) DEFAULT NULL COMMENT '购方名称',
  `invoice_amount` decimal(18,4) DEFAULT NULL COMMENT '金额',
  `tax_amount` decimal(18,4) DEFAULT NULL COMMENT '税额',
  `total_amount` decimal(18,4) DEFAULT NULL COMMENT '价格合计',
  `xf_tax_no` varchar(20) DEFAULT NULL COMMENT '销方税号',
  `invoice_date` datetime DEFAULT NULL COMMENT '开票日期',
  `user_account` varchar(50) DEFAULT NULL COMMENT '用户账号',
  `user_name` varchar(50) DEFAULT NULL COMMENT '用户姓名',
  `scan_path_id` bigint(20) DEFAULT NULL,
  `qs_status` varchar(1) DEFAULT NULL COMMENT '签收结果（0-未签收 1-已签收）',
  `valid` varchar(1) DEFAULT NULL COMMENT '是否有效  0-无效 1-有效',
  `uuid` varchar(30) NOT NULL COMMENT '唯一索引 防重复',
  `create_date` datetime DEFAULT NULL COMMENT '创建时间',
  `update_date` datetime DEFAULT NULL COMMENT '更新时间',
  `qs_date` datetime DEFAULT NULL COMMENT '签收时间',
  `inside_outside` varchar(1) DEFAULT NULL COMMENT '是否需要核对底账 0 需要 1不需要',
  `scan_id` varchar(100) DEFAULT NULL COMMENT '图片唯一识别码',
  `notes` varchar(255) DEFAULT NULL COMMENT '扫描备注',
  `scan_date` datetime DEFAULT NULL COMMENT '扫描时间',
  `company` varchar(255) DEFAULT NULL COMMENT '公司编码',
  `xf_name` varchar(255) DEFAULT NULL COMMENT '销方名称',
  `qs_type` varchar(1) DEFAULT NULL COMMENT '签收方式',
  `check_code` varchar(255) DEFAULT NULL COMMENT '校验码',
  PRIMARY KEY (`id`) USING BTREE,
  UNIQUE KEY `key_uuid` (`uuid`) USING BTREE,
  KEY `kye_create_date` (`create_date`) USING BTREE,
  KEY `key_invoice_code_no` (`invoice_code`,`invoice_no`) USING BTREE
) ENGINE=InnoDB DEFAULT CHARSET=utf8 ROW_FORMAT=DYNAMIC COMMENT='扫描删除表';

-- ----------------------------
-- Table structure for t_dx_invoice_img
-- ----------------------------
DROP TABLE IF EXISTS `t_dx_invoice_img`;
CREATE TABLE `t_dx_invoice_img` (
  `id` bigint(30) NOT NULL,
  `image` varchar(200) DEFAULT NULL COMMENT '图片内容',
  `image_path` varchar(200) DEFAULT NULL COMMENT '图片路径',
  `uuid` varchar(100) DEFAULT NULL COMMENT '唯一索引[发票代码+号码]',
  `valid` varchar(1) DEFAULT NULL COMMENT '是否有效',
  `scan_id` varchar(50) DEFAULT NULL COMMENT '唯一识别码',
  `create_date` datetime DEFAULT NULL COMMENT '创建时间',
  `update_date` datetime DEFAULT NULL COMMENT '更新时间',
  `migration_type` varchar(2) DEFAULT NULL COMMENT '是否迁移(0-未迁移 1-迁移)',
  `ocr_status` varchar(100) DEFAULT NULL COMMENT '是否云端ocr识别(0-未识别，1-已识别)',
  PRIMARY KEY (`id`) USING BTREE,
  UNIQUE KEY `key_sacn_id` (`scan_id`) USING BTREE
) ENGINE=InnoDB DEFAULT CHARSET=utf8 ROW_FORMAT=DYNAMIC COMMENT='扫描图片表';

-- ----------------------------
-- Table structure for t_dx_invoice_log
-- ----------------------------
DROP TABLE IF EXISTS `t_dx_invoice_log`;
CREATE TABLE `t_dx_invoice_log` (
  `id` bigint(30) NOT NULL,
  `invoice_code` varchar(20) NOT NULL,
  `invoice_no` varchar(20) NOT NULL,
  `log_id` bigint(20) NOT NULL,
  PRIMARY KEY (`id`) USING BTREE
) ENGINE=InnoDB DEFAULT CHARSET=utf8 ROW_FORMAT=DYNAMIC COMMENT='查验记录表';

-- ----------------------------
-- Table structure for t_dx_invoice_reimburse
-- ----------------------------
DROP TABLE IF EXISTS `t_dx_invoice_reimburse`;
CREATE TABLE `t_dx_invoice_reimburse` (
  `id` bigint(30) NOT NULL COMMENT '主键',
  `invoice_type` varchar(3) DEFAULT NULL,
  `invoice_code` varchar(20) DEFAULT NULL COMMENT '发票代码',
  `invoice_no` varchar(50) DEFAULT NULL COMMENT '发票号码',
  `invoice_date` datetime DEFAULT NULL COMMENT '开票日期',
  `ticket_number` varchar(30) DEFAULT NULL COMMENT '客票号码',
  `passenger` varchar(30) DEFAULT NULL COMMENT '乘坐人',
  `invoice_amount` decimal(18,4) DEFAULT NULL COMMENT '金额（不含税）',
  `tax_amount` decimal(18,4) DEFAULT NULL COMMENT '税额',
  `total_amount` decimal(18,4) DEFAULT NULL COMMENT '价格合计',
  `invoice_status` varchar(1) DEFAULT NULL COMMENT '发票状态 0-正常  1-失控 2-作废  3-红冲 4-异常',
  `dqskssq` varchar(10) DEFAULT NULL COMMENT '当前税款所属期',
  `source_system` varchar(255) DEFAULT NULL COMMENT '来源系统',
  `departure_city` varchar(255) DEFAULT NULL COMMENT '出发城市',
  `reaching_city` varchar(255) DEFAULT NULL COMMENT '到达城市',
  `related_business_documents` varchar(255) DEFAULT NULL COMMENT '关联业务单据',
  `business_document_maker` varchar(255) DEFAULT NULL COMMENT '关联业务单据人',
  `business_document_number` varchar(255) DEFAULT NULL COMMENT '关联业务单据号',
  `reimbursement_time` datetime DEFAULT NULL COMMENT '报销时间',
  `reimbursement_status` varchar(1) DEFAULT NULL COMMENT '报销状态',
  `train_number` varchar(255) DEFAULT NULL COMMENT '车次',
  `ticket_departure_time` datetime DEFAULT NULL COMMENT '客票出发时间',
  `ticket_arrival_time` datetime DEFAULT NULL COMMENT '客票到达时间',
  `passenger_s_f_z_h` varchar(255) DEFAULT NULL COMMENT '乘坐人身份证号',
  `xf_name` varchar(255) DEFAULT NULL COMMENT '销方名称',
  `xf_address_and_phone` varchar(255) DEFAULT NULL COMMENT '销方地址及电话',
  `xf_bank_and_no` varchar(255) DEFAULT NULL COMMENT 'xf_bank_and_no',
  `gf_tax_no` varchar(255) DEFAULT NULL COMMENT '购方税号',
  `gf_name` varchar(255) DEFAULT NULL COMMENT '购方名称',
  `gf_address_and_phone` varchar(255) DEFAULT NULL COMMENT '购方地址电话',
  `gf_bank_and_no` varchar(255) DEFAULT NULL COMMENT '购方开户行及账号',
  `xf_tax_no` varchar(255) DEFAULT NULL COMMENT '销方税号',
  `tax_rate` varchar(255) DEFAULT NULL COMMENT '税率',
  `tag` varchar(255) DEFAULT NULL COMMENT '标记',
  `is_deduction` varchar(255) DEFAULT NULL COMMENT '是否可抵扣标志（默认是0,1不可抵扣）',
  `uuid` varchar(255) DEFAULT NULL COMMENT '发票代码加发票号码(验证唯一性)',
  `is_domestic` varchar(1) DEFAULT NULL COMMENT '是否国内(用于判断火车,公路,水路 0国内,1国外)',
  `create_date` datetime DEFAULT NULL COMMENT '入库时间',
  `rzh_yesorno` varchar(255) DEFAULT NULL COMMENT '认证状态',
  `select_id` varchar(255) DEFAULT NULL COMMENT '唯一表示',
  `qs_name` varchar(255) DEFAULT NULL COMMENT '签收人',
  `qs_type` varchar(1) DEFAULT NULL COMMENT '签收方式',
  `qs_date` datetime DEFAULT NULL COMMENT '签收时间',
  `qs_status` varchar(1) DEFAULT NULL COMMENT '签收状态',
  `file_type` varchar(1) DEFAULT NULL COMMENT '空 或0 是 票据  1是封面 2 是附件',
  `scan_id` varchar(50) DEFAULT NULL COMMENT '扫描id',
  `check_code` varchar(50) DEFAULT NULL COMMENT '校验码',
  `qz_status` varchar(1) DEFAULT NULL COMMENT '确认状态 0未确认 1 确认',
  `ewm` varchar(255) DEFAULT NULL COMMENT '二维码',
  `dept_name` varchar(255) DEFAULT NULL COMMENT '部门名称',
  `dept_id` varchar(10) DEFAULT NULL COMMENT '部门id',
  `vendor_no` varchar(50) DEFAULT NULL COMMENT '供应商编码',
  `orientation` varchar(255) DEFAULT NULL,
  `region` varchar(255) DEFAULT NULL,
  `fuel_surcharge` varchar(255) DEFAULT NULL COMMENT '燃油附加费',
  `update_date` datetime DEFAULT NULL COMMENT '修改日期',
  `caac_development_fund` varchar(255) DEFAULT NULL,
  `notes` varchar(255) DEFAULT NULL COMMENT '扫描备注',
  `fare` decimal(18,4) DEFAULT NULL COMMENT '飞机票上的的票价',
  `tax_no` varchar(50) DEFAULT NULL COMMENT '扫描人所属税号',
  `ocr_status` varchar(2) DEFAULT NULL COMMENT 'OCR识别状态 1或nul成功 2识别',
  `zfbz` varchar(2) DEFAULT NULL COMMENT '作废标志 1 作废',
  `lybz` varchar(2) DEFAULT NULL COMMENT '1是来源移动端 空是扫描',
  `remark` varchar(255) DEFAULT NULL COMMENT '发票备注',
  `company` varchar(255) DEFAULT NULL COMMENT '公司代码',
  `invoice_remark` varchar(255) DEFAULT NULL,
  `invoice_name` varchar(255) DEFAULT NULL,
  `voucher_number` varchar(255) DEFAULT NULL COMMENT '凭证号',
  `seat_level` varchar(100) DEFAULT NULL COMMENT '座位等级',
  `traffic_type` varchar(100) DEFAULT NULL COMMENT '通行类型',
  `currency` varchar(100) DEFAULT NULL COMMENT '币种',
  `illegal_enterprise` varchar(2) DEFAULT '0' COMMENT '触发企业管控规则 0-否 1-是',
  PRIMARY KEY (`id`) USING BTREE,
  UNIQUE KEY `uuid_index` (`uuid`) USING BTREE,
  KEY `inv` (`invoice_code`,`invoice_no`) USING BTREE
) ENGINE=InnoDB DEFAULT CHARSET=utf8 ROW_FORMAT=DYNAMIC COMMENT='混扫客票记录表';

-- ----------------------------
-- Table structure for t_dx_invoice_sales
-- ----------------------------
DROP TABLE IF EXISTS `t_dx_invoice_sales`;
CREATE TABLE `t_dx_invoice_sales` (
  `id` bigint(30) NOT NULL,
  `invoice_type` varchar(2) DEFAULT NULL COMMENT '发票类型（01-增值税专用发票 03-机动车销售统一发票 04-增值税普通发票 10-电子发票 11-卷票 14-通行费发票）',
  `invoice_code` varchar(50) DEFAULT NULL COMMENT '发票代码',
  `invoice_no` varchar(50) DEFAULT NULL COMMENT '发票号码',
  `invoice_serial_no` bigint(30) DEFAULT NULL COMMENT '扫描流水号',
  `gf_tax_no` varchar(20) DEFAULT NULL COMMENT '购方税号',
  `gf_name` varchar(255) DEFAULT NULL COMMENT '购方名称',
  `xf_tax_no` varchar(20) DEFAULT NULL COMMENT '销方税号',
  `xf_name` varchar(255) DEFAULT NULL COMMENT '销方名称',
  `invoice_amount` decimal(18,4) DEFAULT NULL COMMENT '金额',
  `tax_amount` decimal(18,4) DEFAULT NULL COMMENT '税额',
  `total_amount` decimal(18,4) DEFAULT NULL COMMENT '价税合计',
  `invoice_date` datetime DEFAULT NULL COMMENT '开票时间',
  `user_account` varchar(50) DEFAULT NULL COMMENT '扫描账号',
  `user_name` varchar(50) DEFAULT NULL COMMENT '扫描人',
  `qs_type` varchar(1) DEFAULT NULL COMMENT '签收方式（0-扫码签收 1-扫描仪签收 2-app签收 3-导入签收 4-手工签收，5-pdf上传,6接口推送）',
  `qs_status` varchar(1) DEFAULT NULL COMMENT '签收结果(0-签收失败 1-签收成功）',
  `valid` varchar(1) DEFAULT NULL COMMENT '是否有效（1-有效 0-无效）',
  `uuid` varchar(100) NOT NULL COMMENT '发票唯一标识 组成：发票代码+发票号码',
  `create_date` datetime DEFAULT NULL COMMENT '创建时间',
  `update_date` datetime DEFAULT NULL COMMENT '修改时间',
  `qs_date` datetime DEFAULT NULL COMMENT '签收时间',
  `scan_id` varchar(100) DEFAULT NULL COMMENT '扫描图片唯一识别码',
  `notes` varchar(255) DEFAULT NULL COMMENT '扫描备注',
  `dept_id` varchar(50) DEFAULT NULL COMMENT '部门id',
  `check_code` varchar(50) DEFAULT NULL COMMENT '校验码',
  `dept_name` varchar(255) CHARACTER SET utf8mb4 DEFAULT NULL COMMENT '部门名称',
  `invoice_status` varchar(1) DEFAULT NULL COMMENT '发票状态',
  `qs_name` varchar(20) DEFAULT NULL COMMENT '签收人',
  `company` varchar(50) DEFAULT NULL COMMENT '集团编码',
  `refund_status` varchar(1) DEFAULT '0' COMMENT '退票标志0未退票1已退票',
  `refund_name` varchar(20) DEFAULT NULL COMMENT '退票人',
  `refund_reason` text COMMENT '退票原因',
  `refund_date` datetime DEFAULT NULL COMMENT '退票时间',
  `remark` varchar(500) DEFAULT NULL COMMENT '备注',
  `batch_no` varchar(35) DEFAULT NULL COMMENT '批次号',
  `invoice_remark` varchar(255) DEFAULT NULL,
  `system_name` varchar(100) DEFAULT NULL COMMENT '系统名称',
  PRIMARY KEY (`id`) USING BTREE,
  UNIQUE KEY `saleqs_uuidindex` (`uuid`) USING BTREE
) ENGINE=InnoDB DEFAULT CHARSET=utf8 ROW_FORMAT=DYNAMIC COMMENT='销项发票扫描表';

-- ----------------------------
-- Table structure for t_dx_order_log
-- ----------------------------
DROP TABLE IF EXISTS `t_dx_order_log`;
CREATE TABLE `t_dx_order_log` (
  `id` bigint(30) NOT NULL COMMENT '主键id',
  `req_date` datetime DEFAULT NULL COMMENT '请求时间',
  `req_text` text COMMENT '请求报文',
  `res_date` datetime DEFAULT NULL COMMENT '返回时间',
  `res_text` text COMMENT '返回报文',
  PRIMARY KEY (`id`) USING BTREE
) ENGINE=InnoDB DEFAULT CHARSET=utf8 ROW_FORMAT=DYNAMIC COMMENT='永钢订单号推送日志记录表';

-- ----------------------------
-- Table structure for t_dx_out_reason
-- ----------------------------
DROP TABLE IF EXISTS `t_dx_out_reason`;
CREATE TABLE `t_dx_out_reason` (
  `id` bigint(30) NOT NULL COMMENT '主键id',
  `reason_code` varchar(50) DEFAULT NULL COMMENT '原因编号',
  `out_reason` varchar(255) DEFAULT NULL COMMENT '转出原因',
  `create_date` datetime DEFAULT NULL COMMENT '创建时间',
  `create_user` varchar(20) DEFAULT NULL COMMENT '创建人',
  `update_date` datetime DEFAULT NULL COMMENT '修改时间',
  `company` varchar(25) DEFAULT NULL COMMENT '集团编码',
  PRIMARY KEY (`id`) USING BTREE
) ENGINE=InnoDB DEFAULT CHARSET=utf8 ROW_FORMAT=DYNAMIC;

-- ----------------------------
-- Table structure for t_dx_post_invoice
-- ----------------------------
DROP TABLE IF EXISTS `t_dx_post_invoice`;
CREATE TABLE `t_dx_post_invoice` (
  `id` bigint(30) NOT NULL,
  `send_user_id` varchar(20) DEFAULT NULL COMMENT '发件人userid',
  `send_user_code` varchar(20) DEFAULT NULL COMMENT '发件人用户工号',
  `send_user_email` varchar(255) DEFAULT NULL COMMENT '发送用户邮件',
  `rece_user_id` varchar(20) DEFAULT NULL COMMENT '收件人userid',
  `rece_user_code` varchar(20) DEFAULT NULL COMMENT '收件人用户工号',
  `rece_user_email` varchar(255) DEFAULT NULL COMMENT '收件人用户邮箱',
  `post_no` varchar(20) DEFAULT NULL COMMENT '邮寄单号',
  `create_time` datetime DEFAULT NULL COMMENT '创建时间',
  `post_num` varchar(20) DEFAULT NULL COMMENT '邮寄发票数量',
  `post_status` varchar(1) DEFAULT NULL COMMENT '邮寄状态 0--未签收  1--已签收',
  PRIMARY KEY (`id`) USING BTREE
) ENGINE=InnoDB DEFAULT CHARSET=utf8 ROW_FORMAT=DYNAMIC;

-- ----------------------------
-- Table structure for t_dx_record_invoice
-- ----------------------------
DROP TABLE IF EXISTS `t_dx_record_invoice`;
CREATE TABLE `t_dx_record_invoice` (
  `id` bigint(30) NOT NULL,
  `invoice_type` varchar(2) DEFAULT NULL COMMENT '发票类型 01-增值税专用发票 03-机动车销售统一发票 04-增值税普通发票 08-增值税电子专票 10-电子发票 11-卷票 14-通行费发票',
  `invoice_code` varchar(20) DEFAULT NULL COMMENT '发票代码',
  `invoice_no` varchar(10) DEFAULT NULL COMMENT '发票号码',
  `invoice_date` datetime DEFAULT NULL COMMENT '开票日期',
  `gf_tax_no` varchar(20) DEFAULT NULL COMMENT '购方税号',
  `gf_name` varchar(255) DEFAULT NULL COMMENT '购方名称',
  `gf_address_and_phone` varchar(255) DEFAULT NULL COMMENT '购方地址电话',
  `gf_bank_and_no` varchar(255) DEFAULT NULL COMMENT '购方开户行及账号',
  `xf_tax_no` varchar(20) DEFAULT NULL COMMENT '销方税号',
  `xf_name` varchar(255) DEFAULT NULL COMMENT '销方名称',
  `xf_address_and_phone` varchar(255) DEFAULT NULL COMMENT '销方地址及电话',
  `xf_bank_and_no` varchar(255) DEFAULT NULL COMMENT '销方开户行及账号',
  `invoice_amount` decimal(18,4) DEFAULT NULL COMMENT '金额',
  `tax_amount` decimal(18,4) DEFAULT NULL COMMENT '税额',
  `total_amount` decimal(18,4) DEFAULT NULL COMMENT '价格合计',
  `remark` text COMMENT '备注',
  `invoice_status` varchar(1) DEFAULT NULL COMMENT '发票状态 0-正常  1-失控 2-作废  3-红冲 4-异常',
  `status_update_date` datetime DEFAULT NULL COMMENT '发票状态修改时间',
  `last_update_date` datetime DEFAULT NULL COMMENT '发票状态最后修改时间',
  `rzh_date` datetime DEFAULT NULL COMMENT '认证时间',
  `qs_date` datetime DEFAULT NULL COMMENT '签收时间',
  `rzh_belong_date_late` varchar(11) DEFAULT NULL COMMENT '最晚认证归属期 yyyyMM',
  `rzh_belong_date` varchar(11) DEFAULT NULL COMMENT '实际认证归属期 yyyyMM',
  `confirm_date` datetime DEFAULT NULL COMMENT '认证确认时间',
  `rzh_type` varchar(1) DEFAULT NULL COMMENT '认证方式 1-勾选认证 2-扫描认证',
  `rzh_yesorno` varchar(1) DEFAULT '0' COMMENT '是否认证 0-未认证 1-已认证抵扣 2-已认证不抵扣',
  `gx_user_account` varchar(255) DEFAULT NULL COMMENT '提交认证操作人账号',
  `gx_user_name` varchar(255) DEFAULT NULL COMMENT '提交认证操作人',
  `source_system` varchar(1) DEFAULT NULL COMMENT '底账来源  0-采集 1-查验  2-票据采集',
  `valid` varchar(1) DEFAULT '1' COMMENT '是否有效 1-有效 0-无效',
  `uuid` varchar(255) NOT NULL COMMENT '发票代码+发票号码    唯一索引 防重复',
  `create_date` datetime DEFAULT CURRENT_TIMESTAMP COMMENT '采集时间',
  `check_date` datetime DEFAULT NULL COMMENT '自动查验时间使用',
  `gx_date` datetime DEFAULT NULL COMMENT '勾选时间',
  `rzh_back_msg` varchar(255) DEFAULT NULL COMMENT '认证结果回传信息',
  `dqskssq` varchar(10) DEFAULT NULL COMMENT '当前税款所属期',
  `gxjzr` varchar(10) DEFAULT NULL COMMENT '当前税款所属期勾选截止日',
  `gxfwq` varchar(10) DEFAULT NULL COMMENT '当前税款所属期可勾选发票开票日期范围起',
  `gxfwz` varchar(10) DEFAULT NULL COMMENT '当前税款所属期可勾选发票开票日期范围止',
  `sfygx` varchar(1) DEFAULT '0' COMMENT '是否已勾选',
  `detail_yesorno` varchar(1) NOT NULL DEFAULT '0' COMMENT '是否存入明细 0 无明细 1 有明细',
  `gx_type` varchar(1) DEFAULT NULL COMMENT '勾选方式(0-手工勾选 1-扫码勾选 2-导入勾选 3- 智能勾选 4-手工认证 5-扫码认证 6-导入认证)',
  `auth_status` varchar(1) DEFAULT '0' COMMENT '认证处理状态  0-未认证 1-已勾选未确认，2已确认 3 已发送认证 4 认证成功 5 认证失败',
  `send_date` datetime DEFAULT NULL COMMENT '发送认证时间',
  `rzlx` varchar(1) DEFAULT '0' COMMENT '认证类型(1-抵扣 2-退税 3-代理退税  4-不抵扣 5-逾期  发票已认证、已勾选有该标签）',
  `sfdbts` varchar(1) DEFAULT NULL COMMENT '是否代办退税(0：否 1：是)',
  `qs_type` varchar(1) DEFAULT NULL COMMENT '签收方式（0-扫码签收 1-扫描仪签收 2-app签收 3-导入签收 4-手工签收5-pdf上传签收',
  `qs_status` varchar(1) DEFAULT '0' COMMENT '签收结果（0-未签收 1-已签收）',
  `check_code` varchar(30) DEFAULT NULL COMMENT '校验码',
  `txfbz` varchar(1) DEFAULT NULL COMMENT '通行费标志(Y-可抵扣通行费，N-不可抵扣通行费)',
  `lslbz` varchar(1) DEFAULT NULL COMMENT '零税率标志 (空:非零税率，1:税率栏位显示“免税”，2:税率栏位显示“不征收”，3:零税率',
  `out_status` varchar(1) DEFAULT '0' COMMENT '转出状态 0-未转出   1-全部转出  2-部分转出',
  `out_invoice_amout` decimal(18,4) DEFAULT NULL COMMENT '转出金额',
  `out_tax_amount` decimal(18,4) DEFAULT NULL COMMENT '转出税额',
  `out_reason` varchar(50) DEFAULT NULL COMMENT '转出原因1-免税项目用 ；2-集体福利,个人消费；3-非正常损失；4-简易计税方法征税项目用；5-免抵退税办法不得抵扣的进项税额；6-纳税检查调减进项税额；7-红字专用发票通知单注明的进项税额；8-上期留抵税额抵减欠税',
  `out_remark` text COMMENT '转出备注',
  `out_date` datetime DEFAULT NULL COMMENT '转出日期',
  `out_belong_date` varchar(10) DEFAULT NULL COMMENT '转出税款所属期',
  `out_by` varchar(50) DEFAULT NULL COMMENT '转出人',
  `confirm_user` varchar(255) DEFAULT NULL COMMENT '确认人',
  `machinecode` varchar(255) DEFAULT NULL COMMENT '机器编号',
  `dept_id` varchar(50) DEFAULT NULL COMMENT '部门id',
  `dept_name` varchar(255) DEFAULT NULL COMMENT '部门名称',
  `settlement_no` varchar(50) DEFAULT NULL COMMENT '结算单号',
  `settlement_status` varchar(1) DEFAULT '0' COMMENT '是否结算（0未结算1已结算）',
  `settle_source` varchar(20) DEFAULT NULL COMMENT '结算单来源',
  `payment_status` varchar(1) CHARACTER SET utf8 COLLATE utf8_bin DEFAULT '0' COMMENT '付款状态（0-付款成功 1-付款失败）',
  `payment_date` varchar(30) DEFAULT NULL COMMENT '付款日期',
  `voucher_number` longtext COMMENT '凭证号',
  `payment_sum` varchar(18) DEFAULT NULL COMMENT '付款金额',
  `qs_name` varchar(50) DEFAULT NULL COMMENT '签收人',
  `yqsq_msg` varchar(200) DEFAULT NULL COMMENT '逾期申请结果',
  `yqsq_status` varchar(10) DEFAULT '0' COMMENT '逾期申请标志  0-未申请  1--已申请 2发送申请，4申请成功，5申请失败 默认为空 ',
  `glzt` varchar(10) DEFAULT NULL COMMENT '管理状态  0正常1异常',
  `xxly` varchar(10) DEFAULT NULL COMMENT '信息来源  0扫描认证  1系统推送 2出口转内销',
  `dk_tax_amount` decimal(18,4) DEFAULT NULL COMMENT '抵扣税额',
  `yqkgxbz` varchar(10) DEFAULT '0' COMMENT '逾期可勾选标志   0默认值，1可勾选逾期',
  `yclx` varchar(10) DEFAULT NULL COMMENT '异常类型  0发票状态异常1申报用途变更（抵扣变代办退税）2管理状态异常、注：发票状态为正常时为空',
  `yqshzt` varchar(10) DEFAULT '0' COMMENT '逾期审核状态  0--未审核  1--已审核  默认为空',
  `user_account` varchar(50) DEFAULT NULL COMMENT '签收人',
  `new_gf_taxno` varchar(50) DEFAULT NULL COMMENT '购方税号',
  `cxrz_status` varchar(1) DEFAULT '0' COMMENT '撤销认证处理状态0未撤销，1申请撤销，2发送撤销，4撤销成功，5撤销失败',
  `cxrz_date` datetime DEFAULT NULL COMMENT '撤销认证操作时间',
  `company` varchar(50) DEFAULT NULL COMMENT '集团编码',
  `yq_current_period` varchar(10) DEFAULT NULL COMMENT '逾期申请属期',
  `bdk_status` varchar(50) DEFAULT '0' COMMENT '0-默认值 1-认证抵扣 2-认证不抵扣',
  `bdk_date` datetime DEFAULT NULL COMMENT '不抵扣操作时间',
  `cxrz_current_period` varchar(10) DEFAULT NULL COMMENT '撤销认证申请属期',
  `bdk_current_period` varchar(10) DEFAULT NULL COMMENT '不抵扣申请属期',
  `cxbdk_status` varchar(1) DEFAULT '0' COMMENT '撤销不抵扣处理状态0未申请，1申请，2发送申请，4申请成功，5申请失败',
  `cxbdk_date` datetime DEFAULT NULL COMMENT '撤销不抵扣操作时间',
  `yqsq_date` datetime DEFAULT NULL COMMENT '逾期申请时间',
  `yqsh_date` datetime DEFAULT NULL COMMENT '逾期审核时间',
  `vendor_id` varchar(255) DEFAULT NULL COMMENT '供应商编码',
  `request_id` varchar(255) DEFAULT NULL COMMENT '请求id',
  `send_rz_status` varchar(1) DEFAULT '0' COMMENT '认证同步状态0未同步1已同步',
  `send_rz_date` datetime DEFAULT NULL COMMENT '认证同步时间',
  `send_qs_status` varchar(1) DEFAULT '0' COMMENT '签收同步状态0未同步1已同步',
  `send_qs_date` datetime DEFAULT NULL COMMENT '签收同步时间',
  `matchstatus` varchar(2) NOT NULL DEFAULT '99' COMMENT '匹配状态，发票/结算单匹配状态（0-自动  1-手工  2-强制  3-不通过  4-不需匹配  5-取消 6-待审核 7-拒绝匹配 99-初始）',
  `match_no` varchar(50) DEFAULT NULL COMMENT '匹配关联号',
  `match_date` datetime DEFAULT NULL COMMENT '匹配日期',
  `match_errinfo` varchar(100) DEFAULT NULL COMMENT '匹配错误信息',
  `match_user` varchar(30) DEFAULT NULL COMMENT '匹配用户',
  `match_cost` decimal(18,2) DEFAULT '0.00' COMMENT '匹配金额',
  `match_vat` decimal(18,2) DEFAULT '0.00' COMMENT '匹配税额',
  `vender_no` varchar(50) DEFAULT NULL COMMENT '供应商编码',
  `scan_match_status` varchar(2) DEFAULT NULL COMMENT '扫描匹配状态 0--未匹配  1--匹配成功  2--匹配失败',
  `scan_match_date` datetime DEFAULT NULL COMMENT '扫描匹配时间',
  `order_no` varchar(30) DEFAULT NULL COMMENT '订单号',
  `is_auth` varchar(1) DEFAULT NULL COMMENT '是否可认证，0未认证，1可认证',
  `export_mark` varchar(1) DEFAULT '0' COMMENT '出口转内销标志默认0否，1是',
  `scan_id` varchar(50) DEFAULT NULL COMMENT '扫描id',
  `collect_date` datetime DEFAULT NULL COMMENT '票池采集时间',
  `collect_from` varchar(1) DEFAULT NULL COMMENT '票池采集来源 0-进项采集 1-票据采集',
  `collect_status` varchar(1) DEFAULT '0' COMMENT '票池采集状态 0-未采集 1-已采集',
  `pool_status` varchar(1) DEFAULT NULL COMMENT '票池入池状态 0-成功 1-失败',
  `in_pool_reason` varchar(50) DEFAULT NULL COMMENT '入池失败原因',
  `voucher_no` varchar(100) DEFAULT NULL COMMENT '凭证号',
  `document_number` varchar(100) DEFAULT NULL COMMENT '业务单据号',
  `amortize_status` varchar(1) DEFAULT NULL COMMENT '是否末次摊销 0-否，1-是',
  `amortize_amount` varchar(20) DEFAULT NULL COMMENT '摊销金额',
  `remain_amortize_amount` varchar(20) DEFAULT NULL COMMENT '剩余摊销金额',
  `amortize_document_number` longtext COMMENT '摊销业务单据编号',
  `payee` varchar(50) DEFAULT NULL COMMENT '收款人',
  `reviewer` varchar(50) DEFAULT NULL COMMENT '复核人',
  `printor` varchar(50) DEFAULT NULL COMMENT '开票人',
  `is_sale_list` varchar(1) DEFAULT NULL COMMENT '是否有销货清单 0 否/1 是, 默认为 0',
  `is_red` varchar(1) DEFAULT NULL COMMENT '红蓝票标识 0 蓝/1 红',
  `blue_code` varchar(12) DEFAULT NULL COMMENT '红票对应的蓝票代码',
  `blue_no` varchar(8) DEFAULT NULL COMMENT '红票对应的蓝票号码',
  `in_account_date` datetime DEFAULT NULL,
  `in_account_status` varchar(1) DEFAULT '0',
  `amortize_user` varchar(20) DEFAULT NULL COMMENT '摊销人',
  `illegal_supplier` varchar(1) DEFAULT '0' COMMENT '供应商违规标志0否，1是',
  `mw` varchar(255) DEFAULT NULL COMMENT '密文',
  `jdhm` varchar(50) DEFAULT NULL COMMENT '机打号码 -卷票字段',
  `dk_taxno` varchar(50) DEFAULT NULL COMMENT '代开税号',
  `dk_taxname` varchar(100) DEFAULT NULL COMMENT '代开名称',
  `dk_status` varchar(2) DEFAULT NULL COMMENT '代开状态 0-非代开 1-代开',
  `invoicer` varchar(100) DEFAULT NULL COMMENT '开票人',
  `related_business_documents` varchar(255) DEFAULT NULL COMMENT '报销单号（旧：关联业务单据）',
  `check_sign` varchar(2) DEFAULT '0' COMMENT '普票二次查验状态 0-未查验 1-查验成功 2-查验失败 3-查验中',
  `illegal_enterprise` varchar(2) DEFAULT '0' COMMENT '触发企业管控规则 0-否 1-是',
  PRIMARY KEY (`id`) USING BTREE,
  UNIQUE KEY `key_uuid` (`uuid`) USING BTREE,
  KEY `invoice_no` (`invoice_code`,`invoice_no`) USING BTREE,
  KEY `gf_tax_no` (`gf_tax_no`) USING BTREE,
  KEY `invoice_type` (`invoice_type`) USING BTREE,
  KEY `invoice_date` (`invoice_date`) USING BTREE,
  KEY `source_system` (`source_system`),
  KEY `xf_tax_no` (`xf_tax_no`) USING BTREE,
  KEY `xf_name` (`xf_name`) USING BTREE,
  KEY `invoice_date_gf_tax_no` (`invoice_date`,`gf_tax_no`),
  KEY `invo_no` (`invoice_no`) USING BTREE,
  KEY `company` (`company`) USING BTREE,
  KEY `key_data_taxno_amount_tax` (`gf_tax_no`,`invoice_date`,`invoice_amount`,`tax_amount`),
  KEY `taxno_auth_status` (`auth_status`,`cxrz_status`,`cxbdk_status`,`gf_tax_no`) USING BTREE
) ENGINE=InnoDB DEFAULT CHARSET=utf8 ROW_FORMAT=DYNAMIC COMMENT='底账表';

-- ----------------------------
-- Table structure for t_dx_record_invoice_out
-- ----------------------------
DROP TABLE IF EXISTS `t_dx_record_invoice_out`;
CREATE TABLE `t_dx_record_invoice_out` (
  `id` bigint(30) NOT NULL,
  `invoice_code` varchar(20) DEFAULT NULL COMMENT '发票代码',
  `invoice_no` varchar(10) DEFAULT NULL COMMENT '发票号码',
  `uuid` varchar(255) NOT NULL COMMENT '发票代码+发票号码    ',
  `out_status` varchar(1) DEFAULT NULL COMMENT '转出状态 1-全部转出  2-部分转出',
  `out_invoice_amout` decimal(18,4) DEFAULT NULL COMMENT '转出金额',
  `out_tax_amount` decimal(18,4) DEFAULT NULL COMMENT '转出税额',
  `out_reason` varchar(50) DEFAULT NULL,
  `out_remark` text COMMENT '转出备注',
  `out_date` datetime DEFAULT NULL COMMENT '转出日期',
  `out_by` varchar(50) DEFAULT NULL COMMENT '转出人',
  `is_cancel` varchar(1) DEFAULT NULL COMMENT '是否取消（0-未取消 1-已取消）',
  `company` varchar(50) DEFAULT NULL COMMENT '集团编码',
  `send_status` varchar(1) DEFAULT '0' COMMENT '转出同步状态0未同步1已同步',
  `send_date` datetime DEFAULT NULL ON UPDATE CURRENT_TIMESTAMP COMMENT '转出同步时间',
  `out_type` varchar(255) DEFAULT NULL,
  `out_belong_date` varchar(10) DEFAULT NULL COMMENT '转出税款所属期',
  PRIMARY KEY (`id`) USING BTREE,
  KEY `invoice_no` (`invoice_code`,`invoice_no`) USING BTREE
) ENGINE=InnoDB DEFAULT CHARSET=utf8 ROW_FORMAT=DYNAMIC COMMENT='进项税转出表';

-- ----------------------------
-- Table structure for t_dx_record_invoice_statistics
-- ----------------------------
DROP TABLE IF EXISTS `t_dx_record_invoice_statistics`;
CREATE TABLE `t_dx_record_invoice_statistics` (
  `id` bigint(30) NOT NULL,
  `invoice_code` varchar(20) DEFAULT NULL COMMENT '发票代码',
  `invoice_no` varchar(10) DEFAULT NULL COMMENT '发票号码',
  `detail_amount` varchar(20) DEFAULT NULL COMMENT '金额',
  `tax_rate` varchar(20) DEFAULT NULL COMMENT '税率',
  `tax_amount` varchar(20) DEFAULT NULL COMMENT '税额',
  `total_amount` varchar(20) DEFAULT NULL COMMENT '价税合计',
  `create_date` datetime DEFAULT NULL COMMENT '创建时间',
  `depart` varchar(50) DEFAULT NULL COMMENT '门部',
  `ywzk` varchar(1) DEFAULT NULL COMMENT '无有折扣',
  `zkbl` decimal(18,4) DEFAULT NULL COMMENT '扣折比率',
  `zkje` decimal(18,4) DEFAULT NULL COMMENT '折扣金额',
  `jylx` varchar(10) DEFAULT NULL COMMENT '易交类型',
  PRIMARY KEY (`id`) USING BTREE,
  UNIQUE KEY `key_uuid` (`invoice_code`,`invoice_no`,`tax_rate`) USING BTREE,
  KEY `invoice_no_code` (`invoice_code`,`invoice_no`) USING BTREE,
  KEY `invoice_no` (`invoice_no`) USING BTREE,
  KEY `invoice_code` (`invoice_code`) USING BTREE,
  KEY `id` (`id`) USING BTREE
) ENGINE=InnoDB DEFAULT CHARSET=utf8 ROW_FORMAT=DYNAMIC COMMENT='税率统计表';

-- ----------------------------
-- Table structure for t_dx_sale_record_invoice
-- ----------------------------
DROP TABLE IF EXISTS `t_dx_sale_record_invoice`;
CREATE TABLE `t_dx_sale_record_invoice` (
  `id` bigint(30) NOT NULL,
  `invoice_type` varchar(2) DEFAULT NULL COMMENT '发票类型 01-增值税专用发票 03-机动车销售统一发票 04-增值税普通发票 10-电子发票 11-卷票 14-通行费发票',
  `invoice_code` varchar(20) DEFAULT NULL COMMENT '发票代码',
  `invoice_no` varchar(10) DEFAULT NULL COMMENT '发票号码',
  `invoice_date` datetime DEFAULT NULL COMMENT '开票日期',
  `gf_tax_no` varchar(20) DEFAULT NULL COMMENT '购方税号',
  `gf_name` varchar(255) DEFAULT NULL COMMENT '购方名称',
  `gf_address_and_phone` varchar(255) DEFAULT NULL COMMENT '购方地址电话',
  `gf_bank_and_no` varchar(255) DEFAULT NULL COMMENT '购方开户行及账号',
  `xf_tax_no` varchar(20) DEFAULT NULL COMMENT '销方税号',
  `xf_name` varchar(255) DEFAULT NULL COMMENT '销方名称',
  `xf_address_and_phone` varchar(255) DEFAULT NULL COMMENT '销方地址及电话',
  `xf_bank_and_no` varchar(255) DEFAULT NULL COMMENT '销方开户行及账号',
  `invoice_amount` decimal(18,4) DEFAULT NULL COMMENT '金额',
  `tax_amount` decimal(18,4) DEFAULT NULL COMMENT '税额',
  `total_amount` decimal(18,4) DEFAULT NULL COMMENT '价格合计',
  `remark` text COMMENT '备注',
  `invoice_status` varchar(1) DEFAULT NULL COMMENT '发票状态 0-正常  1-失控 2-作废  3-红冲 4-异常',
  `status_update_date` datetime DEFAULT NULL COMMENT '发票状态修改时间',
  `last_update_date` datetime DEFAULT NULL COMMENT '发票状态最后修改时间',
  `rzh_date` datetime DEFAULT NULL COMMENT '认证时间',
  `qs_date` datetime DEFAULT NULL COMMENT '签收时间',
  `rzh_belong_date_late` varchar(11) DEFAULT NULL COMMENT '最晚认证归属期 yyyyMM',
  `rzh_belong_date` varchar(11) DEFAULT NULL COMMENT '实际认证归属期 yyyyMM',
  `confirm_date` datetime DEFAULT NULL COMMENT '认证确认时间',
  `rzh_type` varchar(1) DEFAULT NULL COMMENT '认证方式 1-勾选认证 2-扫描认证',
  `rzh_yesorno` varchar(1) DEFAULT '0' COMMENT '是否认证 0-未认证 1-已认证抵扣 2-已认证不抵扣',
  `gx_user_account` varchar(255) DEFAULT NULL COMMENT '提交认证操作人账号',
  `gx_user_name` varchar(255) DEFAULT NULL COMMENT '提交认证操作人',
  `source_system` varchar(1) DEFAULT NULL COMMENT '底账来源  0-采集 1-查验  2-票据采集',
  `valid` varchar(1) DEFAULT '1' COMMENT '是否有效 1-有效 0-无效',
  `uuid` varchar(255) NOT NULL COMMENT '发票代码+发票号码    唯一索引 防重复',
  `create_date` datetime DEFAULT CURRENT_TIMESTAMP COMMENT '采集时间',
  `check_date` datetime DEFAULT NULL COMMENT '自动查验时间使用',
  `gx_date` datetime DEFAULT NULL COMMENT '勾选时间',
  `rzh_back_msg` varchar(255) DEFAULT NULL COMMENT '认证结果回传信息',
  `dqskssq` varchar(10) DEFAULT NULL COMMENT '当前税款所属期',
  `gxjzr` varchar(10) DEFAULT NULL COMMENT '当前税款所属期勾选截止日',
  `gxfwq` varchar(10) DEFAULT NULL COMMENT '当前税款所属期可勾选发票开票日期范围起',
  `gxfwz` varchar(10) DEFAULT NULL COMMENT '当前税款所属期可勾选发票开票日期范围止',
  `sfygx` varchar(1) DEFAULT '0' COMMENT '是否已勾选',
  `detail_yesorno` varchar(1) NOT NULL DEFAULT '0' COMMENT '是否存入明细 0 无明细 1 有明细',
  `gx_type` varchar(1) DEFAULT NULL COMMENT '勾选方式(0-手工勾选 1-扫码勾选 2-导入勾选 3- 智能勾选 4-手工认证 5-扫码认证 6-导入认证)',
  `auth_status` varchar(1) DEFAULT '0' COMMENT '认证处理状态  0-未认证 1-已勾选未确认，2已确认 3 已发送认证 4 认证成功 5 认证失败',
  `send_date` datetime DEFAULT NULL COMMENT '发送认证时间',
  `rzlx` varchar(1) DEFAULT '0' COMMENT '认证类型(1-抵扣 2-退税 3-代理退税  4-不抵扣 5-逾期  发票已认证、已勾选有该标签）',
  `sfdbts` varchar(1) DEFAULT NULL COMMENT '是否代办退税(0：否 1：是)',
  `qs_type` varchar(1) DEFAULT NULL COMMENT '签收方式（0-扫码签收 1-扫描仪签收 2-app签收 3-导入签收 4-手工签收5-pdf上传签收',
  `qs_status` varchar(1) DEFAULT '0' COMMENT '签收结果（0-未签收 1-已签收）',
  `check_code` varchar(30) DEFAULT NULL COMMENT '校验码',
  `txfbz` varchar(1) DEFAULT NULL COMMENT '通行费标志(Y-可抵扣通行费，N-不可抵扣通行费)',
  `lslbz` varchar(1) DEFAULT NULL COMMENT '零税率标志 (空:非零税率，1:税率栏位显示“免税”，2:税率栏位显示“不征收”，3:零税率',
  `out_status` varchar(1) DEFAULT '0' COMMENT '转出状态 0-未转出   1-全部转出  2-部分转出',
  `out_invoice_amout` decimal(18,4) DEFAULT NULL COMMENT '转出金额',
  `out_tax_amount` decimal(18,4) DEFAULT NULL COMMENT '转出税额',
  `out_reason` varchar(50) DEFAULT NULL COMMENT '转出原因1-免税项目用 ；2-集体福利,个人消费；3-非正常损失；4-简易计税方法征税项目用；5-免抵退税办法不得抵扣的进项税额；6-纳税检查调减进项税额；7-红字专用发票通知单注明的进项税额；8-上期留抵税额抵减欠税',
  `out_remark` text COMMENT '转出备注',
  `out_date` datetime DEFAULT NULL COMMENT '转出日期',
  `out_belong_date` varchar(10) DEFAULT NULL COMMENT '转出税款所属期',
  `out_by` varchar(50) DEFAULT NULL COMMENT '转出人',
  `confirm_user` varchar(255) DEFAULT NULL COMMENT '确认人',
  `machinecode` varchar(255) DEFAULT NULL COMMENT '机器编号',
  `dept_id` varchar(50) DEFAULT NULL COMMENT '部门id',
  `dept_name` varchar(255) DEFAULT NULL COMMENT '部门名称',
  `settlement_no` varchar(50) DEFAULT NULL COMMENT '结算单号',
  `settlement_status` varchar(1) DEFAULT '0' COMMENT '是否结算（0未结算1已结算）',
  `settle_source` varchar(20) DEFAULT NULL COMMENT '结算单来源',
  `payment_status` varchar(1) CHARACTER SET utf8 COLLATE utf8_bin DEFAULT '0' COMMENT '付款状态（0-付款成功 1-付款失败）',
  `payment_date` varchar(30) DEFAULT NULL COMMENT '付款日期',
  `voucher_number` longtext COMMENT '凭证号',
  `payment_sum` varchar(18) DEFAULT NULL COMMENT '付款金额',
  `qs_name` varchar(50) DEFAULT NULL COMMENT '签收人',
  `yqsq_msg` varchar(200) DEFAULT NULL COMMENT '逾期申请结果',
  `yqsq_status` varchar(10) DEFAULT '0' COMMENT '逾期申请标志  0-未申请  1--已申请 2发送申请，4申请成功，5申请失败 默认为空 ',
  `glzt` varchar(10) DEFAULT NULL COMMENT '管理状态  0正常1异常',
  `xxly` varchar(10) DEFAULT NULL COMMENT '信息来源  0扫描认证  1系统推送 2出口转内销',
  `dk_tax_amount` decimal(18,4) DEFAULT NULL COMMENT '抵扣税额',
  `yqkgxbz` varchar(10) DEFAULT '0' COMMENT '逾期可勾选标志   0默认值，1可勾选逾期',
  `yclx` varchar(10) DEFAULT NULL COMMENT '异常类型  0发票状态异常1申报用途变更（抵扣变代办退税）2管理状态异常、注：发票状态为正常时为空',
  `yqshzt` varchar(10) DEFAULT '0' COMMENT '逾期审核状态  0--未审核  1--已审核  默认为空',
  `user_account` varchar(50) DEFAULT NULL COMMENT '签收人',
  `new_gf_taxno` varchar(50) DEFAULT NULL COMMENT '购方税号',
  `cxrz_status` varchar(1) DEFAULT '0' COMMENT '撤销认证处理状态0未撤销，1申请撤销，2发送撤销，4撤销成功，5撤销失败',
  `cxrz_date` datetime DEFAULT NULL COMMENT '撤销认证操作时间',
  `company` varchar(50) DEFAULT NULL COMMENT '集团编码',
  `yq_current_period` varchar(10) DEFAULT NULL COMMENT '逾期申请属期',
  `bdk_status` varchar(1) DEFAULT '0' COMMENT '0-默认值 1-认证抵扣 2-认证不抵扣',
  `bdk_date` datetime DEFAULT NULL COMMENT '不抵扣操作时间',
  `cxrz_current_period` varchar(10) DEFAULT NULL COMMENT '撤销认证申请属期',
  `bdk_current_period` varchar(10) DEFAULT NULL COMMENT '不抵扣申请属期',
  `cxbdk_status` varchar(1) DEFAULT '0' COMMENT '撤销不抵扣处理状态0未申请，1申请，2发送申请，4申请成功，5申请失败',
  `cxbdk_date` datetime DEFAULT NULL COMMENT '撤销不抵扣操作时间',
  `yqsq_date` datetime DEFAULT NULL COMMENT '逾期申请时间',
  `yqsh_date` datetime DEFAULT NULL COMMENT '逾期审核时间',
  `vendor_id` varchar(255) DEFAULT NULL COMMENT '供应商编码',
  `request_id` varchar(255) DEFAULT NULL COMMENT '请求id',
  `send_rz_status` varchar(1) DEFAULT '0' COMMENT '认证同步状态0未同步1已同步',
  `send_rz_date` datetime DEFAULT NULL COMMENT '认证同步时间',
  `send_qs_status` varchar(1) DEFAULT '0' COMMENT '签收同步状态0未同步1已同步',
  `send_qs_date` datetime DEFAULT NULL COMMENT '签收同步时间',
  `matchstatus` varchar(2) NOT NULL DEFAULT '99' COMMENT '匹配状态，发票/结算单匹配状态（0-自动  1-手工  2-强制  3-不通过  4-不需匹配  5-取消 6-待审核 7-拒绝匹配 99-初始）',
  `match_no` varchar(50) DEFAULT NULL COMMENT '匹配关联号',
  `match_date` datetime DEFAULT NULL COMMENT '匹配日期',
  `match_errinfo` varchar(100) DEFAULT NULL COMMENT '匹配错误信息',
  `match_user` varchar(30) DEFAULT NULL COMMENT '匹配用户',
  `match_cost` decimal(18,2) DEFAULT '0.00' COMMENT '匹配金额',
  `match_vat` decimal(18,2) DEFAULT '0.00' COMMENT '匹配税额',
  `vender_no` varchar(50) DEFAULT NULL COMMENT '供应商编码',
  `scan_match_status` varchar(2) DEFAULT NULL COMMENT '扫描匹配状态 0--未匹配  1--匹配成功  2--匹配失败',
  `scan_match_date` datetime DEFAULT NULL COMMENT '扫描匹配时间',
  `order_no` varchar(30) DEFAULT NULL COMMENT '订单号',
  `is_auth` varchar(1) DEFAULT NULL COMMENT '是否可认证，0未认证，1可认证',
  `export_mark` varchar(1) DEFAULT '0' COMMENT '出口转内销标志默认0否，1是',
  `scan_id` varchar(50) DEFAULT NULL COMMENT '扫描id',
  `collect_date` datetime DEFAULT NULL COMMENT '票池采集时间',
  `collect_from` varchar(1) DEFAULT NULL COMMENT '票池采集来源 0-进项采集 1-票据采集',
  `collect_status` varchar(1) DEFAULT '0' COMMENT '票池采集状态 0-未采集 1-已采集',
  `pool_status` varchar(1) DEFAULT NULL COMMENT '票池入池状态 0-成功 1-失败',
  `in_pool_reason` varchar(50) DEFAULT NULL COMMENT '入池失败原因',
  `voucher_no` varchar(100) DEFAULT NULL COMMENT '凭证号',
  `document_number` varchar(100) DEFAULT NULL COMMENT '业务单据号',
  `amortize_status` varchar(1) DEFAULT NULL COMMENT '是否末次摊销 0-否，1-是',
  `amortize_amount` varchar(20) DEFAULT NULL COMMENT '摊销金额',
  `remain_amortize_amount` varchar(20) DEFAULT NULL COMMENT '剩余摊销金额',
  `amortize_document_number` longtext COMMENT '摊销业务单据编号',
  `payee` varchar(50) DEFAULT NULL COMMENT '收款人',
  `reviewer` varchar(50) DEFAULT NULL COMMENT '复核人',
  `printor` varchar(50) DEFAULT NULL COMMENT '开票人',
  `is_sale_list` varchar(1) DEFAULT NULL COMMENT '是否有销货清单 0 否/1 是, 默认为 0',
  `is_red` varchar(1) DEFAULT NULL COMMENT '红蓝票标识 0 蓝/1 红',
  `blue_code` varchar(12) DEFAULT NULL COMMENT '红票对应的蓝票代码',
  `blue_no` varchar(8) DEFAULT NULL COMMENT '红票对应的蓝票号码',
  `in_account_date` datetime DEFAULT NULL,
  `in_account_status` varchar(1) DEFAULT '0',
  `amortize_user` varchar(20) DEFAULT NULL COMMENT '摊销人',
  `mw` varchar(255) DEFAULT NULL COMMENT '密文',
  `jdhm` varchar(50) DEFAULT NULL COMMENT '机打号码 -卷票字段',
  `dk_taxno` varchar(50) DEFAULT NULL COMMENT '代开税号',
  `dk_taxname` varchar(100) DEFAULT NULL COMMENT '代开名称',
  `dk_status` varchar(2) DEFAULT NULL COMMENT '代开状态 0-非代开 1-代开',
  `incentive_flag` varchar(100) DEFAULT NULL COMMENT '明细优惠政策汇总',
  `list_status` varchar(1) DEFAULT NULL COMMENT '是否有清单：0无，1有',
  `system_name` varchar(100) DEFAULT NULL COMMENT '系统名称',
  `illegal_supplier` varchar(1) DEFAULT NULL,
  PRIMARY KEY (`id`) USING BTREE,
  UNIQUE KEY `key_uuid` (`uuid`) USING BTREE,
  KEY `invoice_no` (`invoice_code`,`invoice_no`) USING BTREE,
  KEY `gf_tax_no` (`gf_tax_no`) USING BTREE,
  KEY `invoice_type` (`invoice_type`) USING BTREE,
  KEY `invoice_date` (`invoice_date`) USING BTREE,
  KEY `source_system` (`source_system`) USING BTREE,
  KEY `xf_tax_no` (`xf_tax_no`) USING BTREE,
  KEY `xf_name` (`xf_name`) USING BTREE,
  KEY `invoice_date_gf_tax_no` (`invoice_date`,`gf_tax_no`) USING BTREE,
  KEY `invo_no` (`invoice_no`) USING BTREE,
  KEY `company` (`company`) USING BTREE
) ENGINE=InnoDB DEFAULT CHARSET=utf8 ROW_FORMAT=DYNAMIC COMMENT='底账表-销项';

-- ----------------------------
-- Table structure for t_dx_scan_invoice_log
-- ----------------------------
DROP TABLE IF EXISTS `t_dx_scan_invoice_log`;
CREATE TABLE `t_dx_scan_invoice_log` (
  `id` bigint(30) NOT NULL,
  `pch` varchar(255) NOT NULL COMMENT '批次号',
  `invoice_text` longtext COMMENT '报文',
  `create_date` datetime DEFAULT NULL COMMENT '创建时间',
  `file_type` varchar(1) DEFAULT NULL COMMENT '空 或0 是 票据  1是封面 2 是附件',
  `scan_id` varchar(50) DEFAULT NULL COMMENT '扫描id',
  `ewm` varchar(255) DEFAULT NULL COMMENT '封面',
  PRIMARY KEY (`id`) USING BTREE,
  UNIQUE KEY `key_pch` (`pch`) USING BTREE
) ENGINE=InnoDB DEFAULT CHARSET=utf8 ROW_FORMAT=COMPACT COMMENT='扫描记录表';

-- ----------------------------
-- Table structure for t_dx_sign_log
-- ----------------------------
DROP TABLE IF EXISTS `t_dx_sign_log`;
CREATE TABLE `t_dx_sign_log` (
  `id` bigint(30) NOT NULL,
  `invoice_code` varchar(20) DEFAULT NULL COMMENT '发票代码',
  `invoice_no` varchar(10) DEFAULT NULL COMMENT '发票号码',
  `create_time` datetime DEFAULT NULL COMMENT '操作时间',
  `handle_type` varchar(1) DEFAULT NULL COMMENT '操作类型：0：签收；1：取消签收；2：转移',
  `user_account` varchar(50) DEFAULT NULL COMMENT '操作账号',
  `user_name` varchar(50) DEFAULT NULL COMMENT '操作人',
  `qs_type` varchar(1) DEFAULT NULL COMMENT '签收方式（0-扫码签收 1-扫描仪签收 2-app签收 3-导入签收 4-手工签收，5-pdf上传）',
  `remark` varchar(500) DEFAULT NULL COMMENT '备注',
  PRIMARY KEY (`id`) USING BTREE
) ENGINE=InnoDB DEFAULT CHARSET=utf8 ROW_FORMAT=DYNAMIC COMMENT='取消签收记录表';

-- ----------------------------
-- Table structure for t_dx_state_record
-- ----------------------------
DROP TABLE IF EXISTS `t_dx_state_record`;
CREATE TABLE `t_dx_state_record` (
  `id` bigint(50) NOT NULL,
  `buyer_tax_no` varchar(20) DEFAULT NULL COMMENT '税号',
  `tj_month` varchar(10) DEFAULT NULL COMMENT '属期',
  `batch_no` varchar(50) DEFAULT NULL,
  `state_type` varchar(1) DEFAULT NULL COMMENT '0统计1确认',
  `apply_type` varchar(1) DEFAULT NULL COMMENT '0申请1撤销',
  `state_time` varchar(20) DEFAULT NULL COMMENT '统计时间',
  PRIMARY KEY (`id`) USING BTREE
) ENGINE=InnoDB DEFAULT CHARSET=utf8 ROW_FORMAT=DYNAMIC COMMENT='抵扣统计对外接口记录表';

-- ----------------------------
-- Table structure for t_dx_tax_current
-- ----------------------------
DROP TABLE IF EXISTS `t_dx_tax_current`;
CREATE TABLE `t_dx_tax_current` (
  `id` bigint(30) NOT NULL,
  `taxno` varchar(40) NOT NULL COMMENT '税号',
  `taxname` varchar(255) DEFAULT NULL COMMENT '企业名称',
  `current_tax_period` varchar(6) DEFAULT NULL COMMENT '当前税款所属期',
  `select_start_date` varchar(20) DEFAULT NULL COMMENT '当前税款所属期可勾选发票的起始开票日期',
  `select_end_date` varchar(20) DEFAULT NULL COMMENT '当前税款所属期可勾选发票的截止开票日期',
  `operation_end_date` varchar(20) DEFAULT NULL COMMENT '当前税款所属期可勾选发票操作截止日期',
  `old_tax_no` varchar(40) DEFAULT NULL COMMENT '企业旧税号',
  `declare_period` varchar(40) DEFAULT NULL COMMENT '申报周期，值为3-季度/1-月',
  `credit_rating` varchar(10) DEFAULT NULL COMMENT '信用等级，值为A/B/C/D或者空',
  `update_time` datetime DEFAULT NULL,
  `create_time` datetime DEFAULT NULL,
  `latch_status` varchar(1) DEFAULT '0' COMMENT '锁定状态：0否；1是',
  `bussi_pwd` varchar(50) DEFAULT NULL COMMENT '业务密码',
  `new_bussi_pwd` varchar(50) DEFAULT NULL COMMENT '新密码',
  `limit_dkse` decimal(18,4) DEFAULT NULL COMMENT '抵扣限额',
  `company_type` varchar(10) DEFAULT NULL COMMENT '公司类型：SC或ZC生产企业；WM外贸企业；ZF外综服企业；QT其他 ',
  `oil_type` varchar(10) DEFAULT NULL COMMENT '油类企业类型YLF非成品油企业；YLJX成品油经销企业；YLSC成品油生产企业',
  `taxpayer_type` varchar(10) DEFAULT NULL COMMENT '纳税人资格 01增值税一般纳税人；02辅导期一般纳税人；04特定征收部门；05转登记纳税人；08小规模纳税人',
  `sync_time` varchar(50) DEFAULT NULL COMMENT '档案同步时间',
  `index_info` varchar(50) DEFAULT NULL COMMENT '所属期-申报状态；自然月-申报状态（0未申报，1已申报，2未知状态）',
  `period_index_info` varchar(50) DEFAULT NULL COMMENT '所属期-申报状态（0未申报，1已申报，2未知状态） ',
  `month_index_info` varchar(50) DEFAULT NULL COMMENT '自然月-申报状态（0未申报，1已申报，2未知状态）',
  PRIMARY KEY (`id`) USING BTREE,
  UNIQUE KEY `key_taxno` (`taxno`) USING BTREE
) ENGINE=InnoDB DEFAULT CHARSET=utf8 ROW_FORMAT=DYNAMIC COMMENT='企业税务信息表';

-- ----------------------------
-- Table structure for t_dx_tax_handlelog
-- ----------------------------
DROP TABLE IF EXISTS `t_dx_tax_handlelog`;
CREATE TABLE `t_dx_tax_handlelog` (
  `id` bigint(30) NOT NULL,
  `handle_type` varchar(1) DEFAULT NULL COMMENT '操作名称：1锁定；0释放',
  `user_account` varchar(20) DEFAULT NULL COMMENT '操作账户',
  `user_name` varchar(20) DEFAULT NULL COMMENT '操作人',
  `handle_time` datetime DEFAULT NULL COMMENT '操作时间',
  `period` varchar(40) DEFAULT NULL COMMENT '税款所属期',
  `taxno` varchar(40) DEFAULT NULL COMMENT '税号',
  PRIMARY KEY (`id`) USING BTREE,
  KEY `key_tax` (`taxno`) USING BTREE
) ENGINE=InnoDB DEFAULT CHARSET=utf8 ROW_FORMAT=DYNAMIC COMMENT='税款所时期操作记录表';

-- ----------------------------
-- Table structure for t_dx_vehicle_sale_invoice
-- ----------------------------
DROP TABLE IF EXISTS `t_dx_vehicle_sale_invoice`;
CREATE TABLE `t_dx_vehicle_sale_invoice` (
  `id` bigint(30) NOT NULL,
  `uuid` varchar(30) NOT NULL,
  `buyer_id_num` varchar(50) DEFAULT NULL COMMENT '购方身份证号码 组织 机构代码',
  `vehicle_type` varchar(80) DEFAULT NULL COMMENT '车辆类型',
  `factory_model` varchar(100) DEFAULT NULL COMMENT '厂牌型号',
  `product_place` varchar(80) DEFAULT NULL COMMENT '产地',
  `certificate` varchar(100) DEFAULT NULL COMMENT '合格证书',
  `certificate_import` varchar(80) DEFAULT NULL COMMENT '进口证明书号',
  `inspection_num` varchar(80) DEFAULT NULL COMMENT '商检单号',
  `engine_no` varchar(120) DEFAULT NULL COMMENT '发动机号',
  `vehicle_no` varchar(40) DEFAULT NULL COMMENT '车架号码 车辆识别码',
  `phone` varchar(80) DEFAULT NULL COMMENT '电话',
  `buyer_bank` varchar(160) DEFAULT NULL COMMENT '开户银行',
  `tax_rate` varchar(20) DEFAULT NULL COMMENT '税率',
  `tax_bureau_name` varchar(80) DEFAULT NULL COMMENT '主管税务机关名称 ',
  `tax_bureau_code` varchar(50) DEFAULT NULL COMMENT '主管税务机关代码',
  `tax_records` varchar(100) DEFAULT NULL COMMENT '完税凭证号码',
  `limit_people` varchar(10) DEFAULT NULL COMMENT '限乘人数 ',
  `check_status` varchar(1) DEFAULT NULL COMMENT '是否已勾选 0-未勾选 1-已勾选',
  `tonnage` varchar(40) DEFAULT NULL COMMENT '吨位',
  `create_date` datetime DEFAULT NULL COMMENT '创建时间',
  `company` varchar(50) DEFAULT NULL COMMENT '集团编码',
  `plate_no` varchar(100) DEFAULT NULL COMMENT '车牌照号',
  `registration_no` varchar(100) DEFAULT NULL COMMENT '登记证号',
  `vehicle_admin_office` varchar(100) DEFAULT NULL COMMENT '转入地车辆管理所名称',
  `auction_unit` varchar(100) DEFAULT NULL COMMENT '经营拍卖单位',
  `auction_address` varchar(100) DEFAULT NULL COMMENT '经营拍卖单位地址',
  `auction_tax_no` varchar(100) DEFAULT NULL COMMENT '经营、拍卖单位税号',
  `auction_bank` varchar(100) DEFAULT NULL COMMENT '经营、拍卖单位开户银行、账号',
  `auction_phone` varchar(100) DEFAULT NULL COMMENT '经营、拍卖单位电话',
  `car_market` varchar(100) DEFAULT NULL COMMENT '二手车市场',
  `car_market_tax_no` varchar(100) DEFAULT NULL COMMENT '二手车市场税号',
  `car_market_address` varchar(100) DEFAULT NULL COMMENT '二手车市场地址',
  `car_market_bank` varchar(100) DEFAULT NULL COMMENT '二手车市场开户行、账号',
  `car_market_phone` varchar(100) DEFAULT NULL COMMENT '二手车市场电话',
  `gf_phone` varchar(20) DEFAULT NULL COMMENT '二手车购方电话',
  `car_price` varchar(32) DEFAULT NULL COMMENT '车价合计',
  `buyer_unit` varchar(240) DEFAULT NULL COMMENT '买方单位 /个人',
  `buyer_unit_code` varchar(44) DEFAULT NULL COMMENT '买方单位代码 /身份证号',
  `buyer_unit_address` varchar(240) DEFAULT NULL COMMENT '买方单位 /个人住址',
  `buyer_phone` varchar(100) DEFAULT NULL COMMENT '买方电话',
  `seller_unit` varchar(240) DEFAULT NULL COMMENT '卖方单位 /个人',
  `seller_unit_code` varchar(44) DEFAULT NULL COMMENT '卖方单位代码 /身份证号',
  `seller_unit_address` varchar(240) DEFAULT NULL COMMENT '卖方单位 /个人住址',
  `seller_phone` varchar(100) DEFAULT NULL COMMENT '卖方电话',
  PRIMARY KEY (`id`),
  UNIQUE KEY `uuid_key` (`uuid`) USING BTREE
) ENGINE=InnoDB DEFAULT CHARSET=utf8 ROW_FORMAT=DYNAMIC COMMENT='机动车明细表';

-- ----------------------------
-- Table structure for t_dx_vehicle_sale_invoice_sales
-- ----------------------------
DROP TABLE IF EXISTS `t_dx_vehicle_sale_invoice_sales`;
CREATE TABLE `t_dx_vehicle_sale_invoice_sales` (
  `id` bigint(30) NOT NULL,
  `uuid` varchar(30) NOT NULL,
  `buyer_id_num` varchar(50) DEFAULT NULL COMMENT '购方身份证号码 组织 机构代码',
  `vehicle_type` varchar(80) DEFAULT NULL COMMENT '车辆类型',
  `factory_model` varchar(100) DEFAULT NULL COMMENT '厂牌型号',
  `product_place` varchar(80) DEFAULT NULL COMMENT '产地',
  `certificate` varchar(100) DEFAULT NULL COMMENT '合格证书',
  `certificate_import` varchar(80) DEFAULT NULL COMMENT '进口证明书号',
  `inspection_num` varchar(80) DEFAULT NULL COMMENT '商检单号',
  `engine_no` varchar(120) DEFAULT NULL COMMENT '发动机号',
  `vehicle_no` varchar(40) DEFAULT NULL COMMENT '车架号码 车辆识别码',
  `phone` varchar(80) DEFAULT NULL COMMENT '电话',
  `buyer_bank` varchar(160) DEFAULT NULL COMMENT '开户银行',
  `tax_rate` varchar(20) DEFAULT NULL COMMENT '税率',
  `tax_bureau_name` varchar(80) DEFAULT NULL COMMENT '主管税务机关名称 ',
  `tax_bureau_code` varchar(50) DEFAULT NULL COMMENT '主管税务机关代码',
  `tax_records` varchar(100) DEFAULT NULL COMMENT '完税凭证号码',
  `limit_people` varchar(5) DEFAULT NULL COMMENT '限乘人数 ',
  `check_status` varchar(1) DEFAULT NULL COMMENT '是否已勾选 0-未勾选 1-已勾选',
  `tonnage` varchar(40) DEFAULT NULL COMMENT '吨位',
  `create_date` datetime DEFAULT NULL COMMENT '创建时间',
  `company` varchar(50) DEFAULT NULL COMMENT '集团编码',
  `plate_no` varchar(100) DEFAULT NULL COMMENT '车牌照号',
  `registration_no` varchar(100) DEFAULT NULL COMMENT '登记证号',
  `vehicle_admin_office` varchar(100) DEFAULT NULL COMMENT '转入地车辆管理所名称',
  `auction_unit` varchar(100) DEFAULT NULL COMMENT '经营拍卖单位',
  `auction_address` varchar(100) DEFAULT NULL COMMENT '经营拍卖单位地址',
  `auction_tax_no` varchar(100) DEFAULT NULL COMMENT '经营、拍卖单位税号',
  `auction_bank` varchar(100) DEFAULT NULL COMMENT '经营、拍卖单位开户银行、账号',
  `auction_phone` varchar(100) DEFAULT NULL COMMENT '经营、拍卖单位电话',
  `car_market` varchar(100) DEFAULT NULL COMMENT '二手车市场',
  `car_market_tax_no` varchar(100) DEFAULT NULL COMMENT '二手车市场税号',
  `car_market_address` varchar(100) DEFAULT NULL COMMENT '二手车市场地址',
  `car_market_bank` varchar(100) DEFAULT NULL COMMENT '二手车市场开户行、账号',
  `car_market_phone` varchar(100) DEFAULT NULL COMMENT '二手车市场电话',
  `gf_phone` varchar(20) DEFAULT NULL COMMENT '二手车购方电话',
  PRIMARY KEY (`id`) USING BTREE,
  UNIQUE KEY `uuid_key` (`uuid`) USING BTREE
) ENGINE=InnoDB DEFAULT CHARSET=utf8 ROW_FORMAT=DYNAMIC COMMENT='机动车明细表-销项';

-- ----------------------------
-- Table structure for t_dx_violation_log
-- ----------------------------
DROP TABLE IF EXISTS `t_dx_violation_log`;
CREATE TABLE `t_dx_violation_log` (
  `id` bigint(30) NOT NULL,
  `xf_tax_no` varchar(255) DEFAULT NULL COMMENT '销方税号',
  `gf_tax_no` varchar(255) DEFAULT NULL COMMENT '购方税号',
  `create_date` datetime DEFAULT NULL,
  `update_date` datetime DEFAULT NULL,
  `send_status` varchar(1) DEFAULT '0' COMMENT '0未推送，1已推送',
  `send_date` datetime DEFAULT NULL COMMENT '推送时间',
  `penalize_date` varchar(255) DEFAULT NULL COMMENT '处罚时间',
  `break_law_type` varchar(200) DEFAULT NULL COMMENT '违规类型',
  `break_law_method` text COMMENT '违规手段',
  `input_date` varchar(100) DEFAULT NULL COMMENT '录入时间',
  PRIMARY KEY (`id`) USING BTREE,
  KEY `xf_index` (`xf_tax_no`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 ROW_FORMAT=DYNAMIC;

-- ----------------------------
-- Table structure for t_dx_violation_record
-- ----------------------------
DROP TABLE IF EXISTS `t_dx_violation_record`;
CREATE TABLE `t_dx_violation_record` (
  `id` bigint(30) NOT NULL,
  `batch_no` varchar(255) DEFAULT NULL,
  `gf_tax_no` varchar(100) DEFAULT NULL,
  `xf_tax_no` varchar(100) DEFAULT NULL,
  `result_status` varchar(10) DEFAULT NULL COMMENT '获取结果状态N未获取Y已获取',
  `create_date` datetime DEFAULT NULL,
  `update_date` datetime DEFAULT NULL,
  `ace_id` varchar(255) DEFAULT NULL,
  `ace_key` varchar(255) DEFAULT NULL,
  PRIMARY KEY (`id`) USING BTREE,
  KEY `batch_no_index` (`batch_no`) USING BTREE,
  KEY `status_index` (`result_status`) USING BTREE
) ENGINE=InnoDB DEFAULT CHARSET=utf8 ROW_FORMAT=DYNAMIC;

-- ----------------------------
-- Table structure for t_dx_violation_taxno
-- ----------------------------
DROP TABLE IF EXISTS `t_dx_violation_taxno`;
CREATE TABLE `t_dx_violation_taxno` (
  `id` bigint(30) NOT NULL,
  `gf_tax_no` varchar(50) DEFAULT NULL COMMENT '购方税号',
  `xf_tax_no` varchar(50) DEFAULT NULL COMMENT '销方税号',
  `company` varchar(10) DEFAULT NULL COMMENT '集团编码',
  `xf_name` varchar(255) DEFAULT NULL COMMENT '销方名称',
  PRIMARY KEY (`id`) USING BTREE
) ENGINE=InnoDB DEFAULT CHARSET=utf8 ROW_FORMAT=DYNAMIC;
