package com.dxhy;

import com.dxhy.common.datasource.config.DynamicDataSourceConfig;
import org.springframework.boot.SpringApplication;
import org.springframework.boot.autoconfigure.SpringBootApplication;
import org.springframework.cloud.client.discovery.EnableDiscoveryClient;
import org.springframework.cloud.netflix.hystrix.EnableHystrix;
import org.springframework.context.annotation.ComponentScan;
import org.springframework.context.annotation.EnableAspectJAutoProxy;
import org.springframework.context.annotation.Import;
import org.springframework.transaction.annotation.EnableTransactionManagement;

/**
 * 基础管理
 *
 * @author jiaohongyang
 */
@SpringBootApplication
//
@EnableDiscoveryClient
@EnableHystrix
@EnableTransactionManagement(proxyTargetClass = true)
@EnableAspectJAutoProxy(exposeProxy = true)
@Import({DynamicDataSourceConfig.class})
@ComponentScan("com.dxhy.*")
@ComponentScan("com.dxhy")
public class DxhyAdminApplication {

    public static void main(String[] args) {
        SpringApplication springApplication = new SpringApplication(DxhyAdminApplication.class);
        springApplication.setAllowCircularReferences(Boolean.TRUE);
        springApplication.run(args);
    }
}
