package com.dxhy.admin.sys.config;

import lombok.AllArgsConstructor;
import lombok.Getter;

/**
 * @author jiaohongyang（焦红阳）
 * @date 2020-09-21
 */
public interface SysConfig {
    String PARENT_ID = "0";
    String LEVEL_CODE = "1";
    String INIT_MONTH = "24";
    String ZXQY = "ZXQY";
    String SUCCESS_CODE = "0";
    String ERROR_CODE = "1";
    String TAX_ERROR_CODE = "0";
    String TRUE = "true";
    String STATUS = "0";
    /**
     * 菜单类型（系统）
     */
    int TYPE_SYSTEM = 0;
    /** 菜单类型（目录） */
    int TYPE_DIR = 1;

    /** 菜单类型（菜单） */
    int TYPE_MENU = 2;

    /** 菜单类型（按钮） */
    int TYPE_BUTTON = 3;

    /** Layout组件标识 */
    String LAYOUT = "Layout";

    String ITAX_SWITCH = "1";

    /**
     * 用户类型 1--进项 2--供应商
     */
    @Getter
    @AllArgsConstructor
    enum UserType {
        // 用户类型 1--进项 2--供应商
        USET_TYPE_1("1", "进项"), USET_TYPE_2("2", "供应商");

        String code;
        String desc;
    }

    /**
     * 税号类型 1--集团 2--虚拟购方 3--虚拟销方 5--购方企业 8--销方企业
     */
    @Getter
    @AllArgsConstructor
    enum OrgType {
        // 税号类型 1--集团 2--虚拟购方 3--虚拟销方 5--购方企业 8--销方企业 10-有请求进来直接返回 该税号未配置
        ORG_TYPE_0("0", "中心企业"), ORG_TYPE_1("1", "集团"), ORG_TYPE_2("2", "虚拟购方"), ORG_TYPE_3("3", "虚拟销方"),
        ORG_TYPE_5("5", "购方税号"), ORG_TYPE_7("7", "购方门店"), ORG_TYPE_8("8", "销方企业"), ORG_TYPE_9("9", "销方门店");

        String code;
        String desc;

    }

    /**
     * 部门类型 1--总部 2--子公司 3-- 分支机构 4--部门
     */
    @Getter
    @AllArgsConstructor
    enum DeptType {
        // 部门类型 1--总部 2--子公司 3-- 分支机构 4--部门
        DEPT_TYPE_0("0", "中心企业"), DEPT_TYPE_1("1", "总部"), DEPT_TYPE_2("2", "子公司"), DEPT_TYPE_3("3", "分支机构"),
        DEPT_TYPE_4("4", "部门");

        String code;
        String desc;

    }
}
