package com.dxhy.admin.sys.dao;

import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.dxhy.admin.sys.entity.SysBusinessEntity;

/**
 * 业务单元管理
 * 
 * @author jiaohongyang
 */
@Mapper
public interface SysBusinessDao extends BaseMapper<SysBusinessEntity> {
    /**
     * 获取业务单元信息
     * 
     * @param businessCode
     *            业务单元编码
     * @param businessId
     *            业务单元id
     * @param company
     *            集团编码
     * @return 业务单元信息
     */
    SysBusinessEntity queryBusinessCode(@Param("businessCode") String businessCode,
        @Param("businessId") Long businessId, @Param("company") String company);

}
