package com.dxhy.admin.sys.dao;

import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.dxhy.admin.sys.entity.SysConfigEntity;

/**
 * 系统配置信息
 * 
 * @author jiaohongyang
 */
@Mapper
public interface SysConfigDao extends BaseMapper<SysConfigEntity> {

    /**
     * 根据key，查询value
     * 
     * @param paramKey
     *            key
     * @return 返回配置新
     */
    SysConfigEntity queryByKey(String paramKey);

    /**
     * 根据key，更新value
     * 
     * @param paramKey
     *            key
     * @param paramValue
     *            value
     * @return 返回成功
     */
    int updateValueByKey(@Param("paramKey") String paramKey, @Param("paramValue") String paramValue);

}
