package com.dxhy.admin.sys.dao;

import java.util.List;

import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.dxhy.admin.sys.entity.SysRoleDeptEntity;

/**
 * 角色与部门对应关系
 *
 * @author jiaohongyang
 */
@Mapper
public interface SysRoleDeptDao extends BaseMapper<SysRoleDeptEntity> {

    /**
     * 根据角色ID，获取部门ID列表
     * 
     * @param roleIds
     *            角色ID
     * @return 返回部门id
     */
    List<Long> queryDeptIdList(@Param("roleIds") Long[] roleIds);

    /**
     * 根据角色ID数组，批量删除
     * 
     * @param roleIds
     *            角色id
     * @return 删除条数
     */
    int deleteBatch(@Param("roleIds") Long[] roleIds);
}
