package com.dxhy.admin.sys.dao;

import java.util.List;

import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.dxhy.admin.sys.entity.SysRoleMenuEntity;

/**
 * 角色与菜单对应关系
 * 
 * @author jiaohongyang
 */
@Mapper
public interface SysRoleMenuDao extends BaseMapper<SysRoleMenuEntity> {

    /**
     * 根据角色ID，获取菜单ID列表
     * 
     * @param roleId
     *            角色id
     * @return 菜单id
     */
    List<Long> queryMenuIdList(@Param("roleId") Long roleId);

    /**
     * 根据角色ID数组，批量删除
     * 
     * @param roleIds
     *            角色id
     * @return 删除数量
     */
    int deleteBatch(@Param("roleIds") Long[] roleIds);

    /**
     * 获取菜单id
     * 
     * @param menuIds
     *            菜单id组
     * @return 菜单id
     */
    List<Long> getMenuList(@Param("menuIds") List<Long> menuIds);
}
