package com.dxhy.admin.sys.dao;

import java.util.List;

import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.dxhy.admin.sys.entity.SysRoleEntity;
import com.dxhy.admin.sys.entity.SysUserRoleEntity;

/**
 * 用户与角色对应关系
 * 
 * @author 焦红阳
 */
@Mapper
public interface SysUserRoleDao extends BaseMapper<SysUserRoleEntity> {

    /**
     * 根据用户ID，获取角色ID列表
     * 
     * @param userId
     *            用户id
     * @return 角色id
     */
    List<Long> queryRoleIdList(@Param("userId") Long userId);

    /**
     * 根据角色ID数组，批量删除
     * 
     * @param roleIds
     *            角色id
     * @return 删除储量
     */
    int deleteBatch(@Param("roleIds") Long[] roleIds);

    /**
     * 获取角色信息
     * 
     * @param userId
     *            用户id
     * @return 角色信息
     */
    List<SysRoleEntity> queryRole(@Param("userId") Long userId);

}
