
package com.dxhy.admin.sys.entity;

import java.io.Serializable;
import java.util.List;

import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import com.dxhy.admin.sys.model.MetaVo;

import lombok.Data;

/**
 * 菜单管理
 *
 * @author jiaohongyang
 */
@Data
@TableName("sys_menu")
public class SysMenuEntity implements Serializable {
    private static final long serialVersionUID = 1L;

    /**
     * 菜单ID
     */
    @TableId
    private Long menuId;

    /**
     * 父菜单ID，一级菜单为0
     */
    private Long parentId;

    /**
     * 父菜单名称
     */
    private String parentName;

    /**
     * 菜单名称
     */
    private String name;

    /**
     * 菜单URL
     */
    private String url;

    /**
     * 授权(多个用逗号分隔，如：user:list,user:create)
     */
    private String perms;

    /**
     * 类型 0: 系统 1：目录 2：菜单 3：按钮 4:查询条件
     */
    private Integer type;

    /**
     * 菜单图标
     */
    private String icon;

    /**
     * 排序
     */
    private Integer orderNum;

    private String component;

    /** 子菜单 */
    @TableField(exist = false)
    private List<SysMenuEntity> children;
    /**
     * 系统编码
     */
    private String systemCode;

    /**
     * 菜单编码
     */
    private String menuCode;

    /**
     * 缓存
     */
    private boolean noCache;
    /**
     * ztree属性
     */
    @TableField(exist = false)
    private Boolean open;
    @TableField(exist = false)
    private MetaVo meta;

    /**
     * 是否需要按钮权限
     */
    private boolean btnRuleFlag;
    /**
     * 是否需要查询条件权限
     */
    private boolean queryRuleFlag;

    @TableField(exist = false)
    private Long modelMenuId;
}
