package com.dxhy.admin.sys.entity;

import java.util.Date;

import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;

import lombok.Data;

/**
 * @author jiaohongyang（焦红阳）
 * @date 2020-09-22
 */
@Data
@TableName("sys_tabulate")
public class SysTabulateEntity {
    /**
     * 主键id
     */
    @TableId
    private Long id;
    /**
     * 创建时间
     */
    private Date createDate;
    /**
     * 修改时间
     */
    private Date updateDate;
    /**
     * 菜单id
     */
    private Long menuId;
    /**
     * 菜单编码
     */
    private String menuCode;
    /**
     * 列表名称
     */
    private String tabulateName;
    /**
     * 列表编码
     */
    private String tabulateCode;
    /**
     * 类型 1-- 显示列 2-- 按钮
     */
    private String type;
    /**
     * 显示名称
     */
    @TableField(exist = false)
    private String typeName;
    /**
     * 列表宽度
     */
    private String titlewidth;
    /**
     * 是否可勾选 1--true是 0--false否
     */
    private boolean selection;
    /**
     * 超出范围是否显示省略 1--true是 0--false否
     */
    private boolean showOverflowTooltip;
    /**
     * 超出范围是否显示省略名称
     */
    @TableField(exist = false)
    private String showOverflowTooltipName;
    /**
     * 是否固定 1--true是 0--false否
     */
    private boolean titlefixed;
    /**
     * 是否序号 1--true是 0--false否
     */
    private boolean indexType;
    /**
     * 是否默认选择 1--true是 0--false否
     */
    private boolean defaultStatus;
    /**
     * 是否默认选择显示名
     */
    @TableField(exist = false)
    private String defaultStatusName;
    /**
     * 排序
     */
    private int orderNum;
    /**
     * 是否可输入 1--true是 0--false否
     */
    private boolean inputFixed;
    /**
     * 是否显示输入框名
     */
    @TableField(exist = false)
    private String inputFiledName;
    /**
     * 是否显示图片 1--true是 0--false否
     */
    private boolean iconFixed;
    /**
     * 是否显示图片名
     */
    @TableField(exist = false)
    private String iconFixedName;

    /**
     * 是否显示 1--true 是 0--false 否
     */
    private boolean showStatus;
    /**
     * 是否显示名
     */
    @TableField(exist = false)
    private String showStatusName;

    /**
     * 是否排序 1--true 是 0--false 否
     */
    private boolean sortable;
    /**
     * 是否排序
     */
    @TableField(exist = false)
    private String sortableName;

}
