package com.dxhy.admin.sys.service;

import com.dxhy.common.vo.UserInfo;

/**
 * 登录
 *
 * @author jiaohongyang
 */
public interface LoginService {
    /**
     * 根据用户名和密码进行登录
     *
     * @param loginname
     *            用户名
     * @param password
     *            密码
     * @return 用户信息
     */
    UserInfo validate(String loginname, String password);

    /**
     * 获取用户信息
     *
     * @param loginname
     *            登录名
     * @return 用户信息
     */
    UserInfo infoList(String loginname);

    /**
     * 生成token
     *
     * @param loginname
     *            登录信息
     * @return 返回
     */
    UserInfo infoListRedis(String loginname);

    /**
     * 根据邮箱后期用户信息
     * 
     * @param principal
     *            邮箱
     * @return 用户信息
     */
    UserInfo validateEmail(String principal);
}
