
package com.dxhy.admin.sys.service;

import java.util.List;
import java.util.Map;

import com.baomidou.mybatisplus.extension.service.IService;
import com.dxhy.admin.sys.entity.SysBusinessEntity;
import com.dxhy.common.utils.PageUtils;

/**
 * 业务单元
 * 
 * @author jiaohongyang
 */
public interface SysBusinessService extends IService<SysBusinessEntity> {
    /**
     * 业务单元信息
     * 
     * @param params
     *            部门id 获取业务单元信息
     * @return 业务单元信息
     */
    PageUtils queryPage(Map<String, Object> params);

    /**
     * 保存业务单元信息
     * 
     * @param businessEntity
     *            业务单元
     */
    void saveBusiness(SysBusinessEntity businessEntity);

    /**
     * 修改业务单元信息
     *
     * @param businessEntity
     *            业务单元
     */
    void update(SysBusinessEntity businessEntity);

    /**
     * 删除业务单元信息
     * 
     * @param businessIds
     *            业务单元ID
     */
    void deleteBatch(Long businessIds);

    /**
     * 根据集团编码查询业务单元信息
     * 
     * @param company
     *            集团编码
     * @return 业务单元信息
     */
    List<SysBusinessEntity> queryBusinessDeptId(String company);

    /**
     * 查询业务单元信息
     * 
     * @return 业务单元信息
     */
    List<SysBusinessEntity> queryBusinesslist();

    /**
     * 根据id查询业务单元信息
     * 
     * @param id
     *            业务单元id
     * @return 业务单元信息
     */
    SysBusinessEntity queryBusinessById(Long id);

    /**
     * 查询业务单元信息，根据业务单元编码 集团编码 业务单元id
     * 
     * @param businessCode
     *            业务单元编码
     * @param company
     *            集团编码
     * @param businessId
     *            业务单元id
     * @return 业务单元信息
     */

    SysBusinessEntity queryBusiness(String businessCode, String company, Long businessId);

}
