package com.dxhy.admin.sys.service;

import java.util.Map;

import com.baomidou.mybatisplus.extension.service.IService;
import com.dxhy.admin.sys.entity.SysDicttypeEntity;
import com.dxhy.common.utils.PageUtils;

/**
 * 数据字典
 *
 * @author jiaohongyang
 */
public interface SysDicttypeService extends IService<SysDicttypeEntity> {
    /**
     * 查询业务字典信息 分页
     * 
     * @param params
     *            查询条件
     * @return 返回信息
     */
    PageUtils queryPage(Map<String, Object> params);

    /**
     * 查询数量
     * 
     * @param code
     *            字典编码
     * @param dictTypeId
     *            字典id
     * @return 字典信息
     */
    Integer queryCode(String code, Long dictTypeId);

    /**
     * 查询字典信息
     * 
     * @param id
     *            字典id
     * @return 字典信息
     */
    SysDicttypeEntity queryDicttypeById(Long id);

    /**
     * 保存字典信息
     * 
     * @param dict
     *            字典信息
     */
    void saveDicttype(SysDicttypeEntity dict);

    /**
     * 修改字典信息
     * 
     * @param dict
     *            字典信息
     */
    void updateDictType(SysDicttypeEntity dict);

    /**
     * 删除字典信息
     * 
     * @param id
     *            id
     */
    void deleteDictType(Long id);
}
