package com.dxhy.admin.sys.service;

import java.util.List;

import com.baomidou.mybatisplus.extension.service.IService;
import com.dxhy.admin.sys.entity.SysRoleDeptEntity;

/**
 * 角色与部门对应关系
 *
 * @author jiaohongyang
 */
public interface SysRoleDeptService extends IService<SysRoleDeptEntity> {
    /**
     * 保存部门和角色关联信息
     * 
     * @param roleId
     *            角色id
     * @param deptIdList
     *            部门id
     */
    void saveOrUpdate(Long roleId, List<Long> deptIdList);

    /**
     * 根据角色ID，获取部门ID列表
     * 
     * @param roleIds
     *            角色id
     * @return 返回信息
     */
    List<Long> queryDeptIdList(Long[] roleIds);

    /**
     * 根据角色ID数组，批量删除
     * 
     * @param roleIds
     *            角色ID
     * @return 删除数量
     */
    int deleteBatch(Long roleIds);
}
