package com.dxhy.admin.sys.service;

import java.util.List;

import com.baomidou.mybatisplus.extension.service.IService;
import com.dxhy.admin.sys.entity.SysRoleMenuEntity;

/**
 * 角色与菜单对应关系
 *
 * @author jiaohongyang
 */
public interface SysRoleMenuService extends IService<SysRoleMenuEntity> {
    /**
     * 保存角色与菜单关联信息
     * 
     * @param roleId
     *            角色id
     * @param menuIdList
     *            菜单信息
     * @param company
     *            集团编码
     */
    void saveOrUpdate(Long roleId, List<Long> menuIdList, String company);

    /**
     * 根据角色ID，获取菜单ID列表
     * 
     * @param roleId
     *            角色id
     * @return 菜单数据id
     */
    List<Long> queryMenuIdList(Long roleId);

    /**
     * 根据角色ID数组，批量删除
     * 
     * @param roleIds
     *            角色id
     * @return 删除数量
     */
    int deleteBatch(Long roleIds);

}
