package com.dxhy.admin.sys.service;

import java.util.List;

import com.baomidou.mybatisplus.extension.service.IService;
import com.dxhy.admin.sys.entity.SysRulesDeptEntity;

/**
 * 部门与签收规则
 *
 * @author jiaohongyang
 */
public interface SysRulesDeptService extends IService<SysRulesDeptEntity> {
    /**
     * 删除签收规则
     *
     * @param ruleId
     *            签收规则id
     */
    void deleteBatchRules(Long ruleId, Long deptId);

    /**
     * 保存签收规则
     *
     * @param list
     *            签收规则信息
     */
    void saveRulesDept(List<SysRulesDeptEntity> list);

    /**
     * 根据签收规则id 查询部门关联签收规则信息
     *
     * @param ruleId
     *            签收规则第
     * @return 签收规则信息
     */
    List<SysRulesDeptEntity> getRuleDept(Long ruleId);
}
