package com.dxhy.admin.sys.service;

import java.util.List;
import java.util.Map;

import com.baomidou.mybatisplus.extension.service.IService;
import com.dxhy.admin.sys.entity.SysSignRulesEntity;
import com.dxhy.common.utils.PageUtils;

/**
 * 扫描签收规则信息
 * 
 * @author jiaohongyang
 */
public interface SysSignRulesService extends IService<SysSignRulesEntity> {
    /**
     * 查询签收规则信息
     * 
     * @param params
     *            查询条件
     * @return 签收规则信息
     */
    PageUtils queryPage(Map<String, Object> params);

    /**
     * 签收规则
     * 
     * @param params
     *            查询条件
     * @return 返回
     */
    List<SysSignRulesEntity> unAllotList(Map<String, Object> params);

    /**
     * 查询签收规则信息
     * 
     * @param rulesCode
     *            签收规则编码
     * @return 签收规则信息
     */
    SysSignRulesEntity queryRules(String rulesCode);

    /**
     * 保存签收规则信息
     * 
     * @param rulesEntity
     *            签收规则信息
     */
    void saveRules(SysSignRulesEntity rulesEntity);

    /**
     * 修改签收规则信息
     * 
     * @param rulesEntity
     *            签收规则信息
     */
    void updateRules(SysSignRulesEntity rulesEntity);

    /**
     * 删除签收规则
     * 
     * @param ruleId
     *            签收规则id
     */
    void deleteRules(Long ruleId);
}
