package com.dxhy.admin.sys.service;

import java.util.List;

import com.baomidou.mybatisplus.extension.service.IService;
import com.dxhy.admin.sys.entity.SysUserBusinessEntity;

/**
 * 用户与业务单元对应关系
 * 
 * @author jiaohongyang
 *
 */
public interface SysUserBusinessService extends IService<SysUserBusinessEntity> {
    /**
     * 根据用户id 获取关联 业务单元
     * 
     * @param userId
     *            用户id
     * @return 用户关联业务单元信息
     */
    List<SysUserBusinessEntity> queryUserId(Long userId);

    /**
     * 保存用户关联业务单元信息
     * 
     * @param userId
     *            用户id
     * @param businessList
     *            业务单元信息
     */
    void saveOrUpdate(Long userId, List<SysUserBusinessEntity> businessList);

    /**
     * 修改用户关联业务单元信息
     * 
     * @param businessCode
     *            业务单元编码
     * @param businessName
     *            业务单元名称
     * @param businessId
     *            业务单元id
     */
    void updateBusinessId(String businessCode, String businessName, Long businessId);

    /**
     * 删除用户关联业务单元信息
     * 
     * @param userId
     *            用户id
     */
    void delete(Long userId);

    /**
     * 查询用户关联业务单元信息
     * 
     * @param userId
     *            业务单元id
     * @return 业务单元信息
     */
    List<Long> queryBusinessIdList(Long userId);
}
