package com.dxhy.admin.sys.service;

import java.util.List;

import com.baomidou.mybatisplus.extension.service.IService;
import com.dxhy.admin.sys.entity.SysRoleEntity;
import com.dxhy.admin.sys.entity.SysUserRoleEntity;

/**
 * 用户与角色对应关系
 *
 * @author jiaohongyang
 */
public interface SysUserRoleService extends IService<SysUserRoleEntity> {
    /**
     * 保存用户和角色信息
     * 
     * @param userId
     *            用户id
     * @param roleIdList
     *            角色信息
     */
    void saveOrUpdate(Long userId, List<Long> roleIdList);

    /**
     * 根据用户ID，获取角色ID列表
     * 
     * @param userId
     *            用户id
     * @return 角色数据
     */
    List<Long> queryRoleIdList(Long userId);

    /**
     * 根据角色ID数组，批量删除
     * 
     * @param roleIds
     *            角色id
     * @return 删除条数
     */
    int deleteBatch(Long roleIds);

    /**
     * 查询角色信息
     * 
     * @param userId
     *            用户id
     * @return 角色信息
     */
    List<SysRoleEntity> queryRole(Long userId);

    /**
     * 根据用户id删除角色信息
     * 
     * @param userId
     *            用户id
     */
    void delete(Long userId);
}
