package com.dxhy.base.dao;

import java.util.List;
import java.util.Map;

import org.apache.ibatis.annotations.Mapper;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.dxhy.base.model.BaseYqrzRespVO;
import com.dxhy.base.model.BaseYqsqRespVO;

/**
 *
 *
 * 逾期申请查询
 *
 *
 * @author peipei.li
 * @date 2019-04-23
 */

@Mapper
public interface BaseYqsqDao extends BaseMapper<BaseYqsqRespVO> {
    /**
     *
     * 根据发票代码和发票号码查询数据
     *
     * @param pramsMap
     *            请求参数
     * @return 返回结果
     * @since 1.0
     */
    List<BaseYqsqRespVO> selectByYqsqlb(Map<String, Object> pramsMap);

    /**
     *
     * 根据查询条件查询逾期发票录入信息
     *
     * @param pramsMap
     *            请求参数
     * @return 返回结果
     * @since 1.0
     */
    List<BaseYqsqRespVO> selectByCxtj(Map<String, Object> pramsMap);

    /**
     * 根据查询条件查询逾期发票录入信息合计信息
     *
     * @param pramsMap
     *            请求参数
     * @return 返回结果
     */
    BaseYqsqRespVO selectHjByCxtj(Map<String, Object> pramsMap);

    /**
     *
     * 根据查询条件查询逾期认证发票信息
     *
     * @param pramsMap
     *            请求参数
     * @return 返回结果
     * @since 1.0
     */
    List<BaseYqrzRespVO> selectByYqcxtj(Map<String, Object> pramsMap);

    /**
     *
     * 根据uuid更新逾期申请信息
     *
     * @param pramsMap
     *            请求参数
     * @since 1.0
     */
    void updateByUuid(Map<String, Object> pramsMap);

}
