package com.dxhy.base.entity;

import java.io.Serializable;
import java.math.BigDecimal;
import java.util.Date;

import com.baomidou.mybatisplus.annotation.TableName;

import lombok.Data;

/**
 *
 *
 * 申请认证记录表实体
 *
 * @author peipei.li
 * @date 2019-04-23
 */
@SuppressWarnings("AlibabaClassNamingShouldBeCamel")
@Data
@TableName("t_dx_apply_auth")
public class BaseTDxApplyAuth implements Serializable {

    private static final long serialVersionUID = -2166713217995969349L;

    /**
     * id
     */
    private Long id;

    /**
     * 发票代码
     */
    private String invoiceCode;

    /**
     * 发票号码
     */
    private String invoiceNo;

    /**
     * 申请认证类型(1-抵扣 2-退税 3-代理退税 4-不抵扣 5-逾期 6-取消抵扣 7-取消抵扣 8-取消逾期 )
     */
    private String sqrzlx;

    /**
     * 购方税号
     */
    private String gfTaxNo;

    /**
     * 申请认证所属期
     */
    private String sqskssq;

    /**
     * 发票类型(01：增值税专用发票、03：机动车销售统一发票、14：通行费发票)
     */
    private String invoiceType;

    /**
     * 申请有效税额
     */
    private BigDecimal applyTaxAmount;

    /**
     * 实际有效税额
     */
    private BigDecimal practiceTaxAmount;

    /**
     * 认证状态(0--未认证 1--已认证 2--不认证)
     */
    private String rzzt;

    /**
     * 认证处理结果(1--成功 2-无此票 3-该票异常无法认证 4--已认证 5-该票已经逾期无法认证 7-申请认证月份已过期 8-其它异常 9-该票未到期 10-红票无法认证 11-认证类型错误 12-用户无权限
     * 13-token超过5天未获取14-该票不可勾选为逾期15-有效税额异常（有效税额大于实际税额）16-当期已锁定)
     */
    private String rzhBackMsg;

    /**
     * 金额
     */
    private BigDecimal invoiceAmount;

    /**
     * 税额
     */
    private BigDecimal taxAmount;

    /**
     * 销方税号
     */
    private String xfTaxNo;

    /**
     * 认证类型(1-抵扣 2-退税 3-代理退税 4-不抵扣 5-逾期 )
     */
    private String rzlx;

    /**
     * 认证方式(1：勾选认证 2：扫描认证)
     */
    private String rzhType;

    /**
     * 异常类型(0--发票状态异常 1--申报用途变更（抵扣变代办退税）2-- 管理状态异常 )
     */
    private String yclx;

    /**
     * 逾期可勾选标志(0默认值，1可勾选逾期)
     */
    private String yqkgxbz;

    /**
     * 认证日期
     */
    private Date rzDate;

    /**
     * 创建时间
     */
    private Date createTime;

}
