package com.dxhy.base.entity;

import java.io.Serializable;

import com.baomidou.mybatisplus.annotation.TableName;

import lombok.Data;

/**
 *
 *
 * 商品表
 *
 * @author peipei.li
 * @date 2019-04-23
 */
@SuppressWarnings("AlibabaClassNamingShouldBeCamel")
@Data
@TableName("t_dx_goods")
public class BaseTDxGoods implements Serializable {

    private static final long serialVersionUID = -5839628250136332814L;

    /**
     * id
     */
    private Long id;

    /**
     * 商品编码
     */
    private String goodsCode;

    /**
     * 商品名称
     */
    private String goodsName;

    /**
     * 税收分类编码id ，税收分类表中的税收分类编码id
     */
    private Long ssbmId;

    /**
     * 税收商品编码，按国税总局标准，合并编码
     */
    private String ssbmCode;

    /**
     * 税收商品名称，按国税总局标准，货物和劳务名称
     */
    private String ssbmName;

    /**
     * 是否加入黑名单，判断是否加入黑名单 0未加入 1 已加入
     */
    private String isBlack;

    /**
     * 商品备注
     */
    private String goodsRemark;

    /**
     * 中心企业标识
     */
    private String company;

}
