package com.dxhy.base.entity;

import java.io.Serializable;
import java.math.BigDecimal;
import java.util.Date;

import com.baomidou.mybatisplus.annotation.TableName;

import lombok.Data;

/**
 *
 *
 * 扫描删除表
 *
 * @author peipei.li
 * @date 2019-04-23
 */
@SuppressWarnings("AlibabaClassNamingShouldBeCamel")
@Data
@TableName("t_dx_invoice_del")
public class BaseTDxInvoiceDel implements Serializable {

    private static final long serialVersionUID = -7261440870512350420L;

    /**
     * id
     */
    private Long id;

    /**
     * 发票类型（01-增值税专用发票 03-机动车销售统一发票 04-增值税普通发票 10-电子发票 11-卷票 14-通行费发票）
     */
    private String invoiceType;

    /**
     * 发票代码
     */
    private String invoiceCode;

    /**
     * invoice_serial_no
     */
    private String invoiceSerialNo;

    /**
     * 发票号码
     */
    private String invoiceNo;

    /**
     * 购方税号
     */
    private String gfTaxNo;

    /**
     * 购方名称
     */
    private String gfName;

    /**
     * 金额
     */
    private BigDecimal invoiceAmount;

    /**
     * 税额
     */
    private BigDecimal taxAmount;

    /**
     * 价格合计
     */
    private BigDecimal totalAmount;

    /**
     * 销方税号
     */
    private String xfTaxNo;

    /**
     * 开票日期
     */
    private Date invoiceDate;

    /**
     * 用户账号
     */
    private String userAccount;

    /**
     * 用户姓名
     */
    private String userName;

    /**
     * scan_path_id
     */
    private Long scanPathId;

    /**
     * 签收结果（0-未签收 1-已签收）
     */
    private String invoiceStatus;

    /**
     * 是否有效 0-无效 1-有效
     */
    private String valid;

    /**
     * 唯一索引 防重复
     */
    private String uuid;

    /**
     * 创建时间
     */
    private Date createDate;

    /**
     * 更新时间
     */
    private Date updateDate;

    /**
     * 签收时间
     */
    private Date qsDate;

    /**
     * 是否需要核对底账 0 需要 1不需要
     */
    private String insideOutside;

    /**
     * 图片唯一识别码
     */
    private String scanId;

    /**
     * 扫描备注
     */
    private String notes;
}
