package com.dxhy.base.entity;

import java.io.Serializable;
import java.math.BigDecimal;
import java.util.Date;

import com.baomidou.mybatisplus.annotation.TableName;

import lombok.Data;

/**
 * 进项税转出表
 *
 * @author lipeipei 2019-04-24
 */
@SuppressWarnings("AlibabaClassNamingShouldBeCamel")
@Data
@TableName("t_dx_record_invoice_out")
public class BaseTDxRecordInvoiceOut implements Serializable {

    private static final long serialVersionUID = -1633227564761160276L;

    /**
     * id
     */
    private Long id;

    /**
     * 发票代码
     */
    private String invoiceCode;

    /**
     * 发票号码
     */
    private String invoiceNo;

    /**
     * 发票代码+发票号码
     */
    private String uuid;

    /**
     * 转出状态 1-全部转出 2-部分转出
     */
    private String outStatus;

    /**
     * 转出金额
     */
    private BigDecimal outInvoiceAmout;

    /**
     * 转出税额
     */
    private BigDecimal outTaxAmount;

    /**
     * 转出原因1-免税项目用 ；2-集体福利，个人消费；3-非正常损失；4-简易计税方法征税项目用；5-免抵退税办法不得抵扣的进项税额；6-纳税检查调减进项税额；7-红字专用发票通知单注明的进项税额；8-上期留抵税额抵减欠税
     */
    private String outReason;

    /**
     * 转出备注
     */
    private String outRemark;

    /**
     * 转出日期
     */
    private Date outDate;

    /**
     * 转出人
     */
    private String outBy;

    /**
     * 转出税款所属期
     */
    private String outBelongDate;

    /**
     * 是否取消（0-未取消 1-已取消）
     */
    private String isCancel;
    /**
     * 集团编码
     */
    private String company;

    public BaseTDxRecordInvoiceOut() {}

}
