package com.dxhy.base.model;

import java.util.Date;

import org.springframework.format.annotation.DateTimeFormat;

import com.fasterxml.jackson.annotation.JsonFormat;

import lombok.Data;

/**
 * @author peipei.li
 * @date 2019-04-16 进项税转出列表页查询条件
 */
@Data
public class BaseInvoiceReqVO extends BaseBaseReqVO {

    /**
     * 购方税号，唯一
     */
    private String gfsh;

    /**
     * 销方名称
     */
    private String sellerName;

    /**
     * 认证开始时间
     */
    @DateTimeFormat(pattern = "yyyy-MM-dd")
    @JsonFormat(pattern = "yyyy-MM-dd")
    private Date certStartDate;

    /**
     * 认证结束时间
     */
    @DateTimeFormat(pattern = "yyyy-MM-dd")
    @JsonFormat(pattern = "yyyy-MM-dd")
    private Date certEndDate;

    /**
     * 发票号码
     */
    private String invoiceNo;

    /**
     * 发票状态
     */
    private String invoiceStatus;

    /**
     * 税款所属期
     */
    private String taxPeriod;

}
