package com.dxhy.base.service.fpcj;

import java.util.Map;

import com.alibaba.fastjson.JSONObject;
import com.dxhy.base.entity.BaseTDxRecordInvoice;
import com.dxhy.common.service.MpBaseService;

/**
 *
 *
 * 查询发票采集明细接口
 *
 * @author ld
 * @date 2019年4月26日
 *
 */
@SuppressWarnings("AlibabaClassNamingShouldBeCamel")
public interface BaseIFpcjmxService extends MpBaseService<BaseTDxRecordInvoice> {

    /**
     * 根据购方税号和采集日期查询发票采集明细
     *
     * @param pramsMap
     *            请求参数
     * @param curr
     *            页码
     * @param size
     *            大小
     * @return 返回结果
     *
     * 
     */
    String selectCjmxByGfshAndCjrq(Map<String, Object> pramsMap, int curr, int size);

    /**
     * 查询未补录明细的发票
     *
     * @param pramsMap
     *            请求参数
     * @param curr
     *            页码
     * @param size
     *            大小
     * @return 返回结果
     *
     * 
     */
    String selectWbfpmx(Map<String, Object> pramsMap, int curr, int size);

    /**
     * 插入发票的发票明细
     *
     * @param invoiceDetail
     *            发票明细列表
     * @param username
     *            登录账号
     * 
     */
    void insertInvoiceDetail(JSONObject invoiceDetail, String username);
}
