package com.dxhy.base.service.receipt;

import java.util.List;

import com.dxhy.base.entity.BaseTDxRecordInvoice;
import com.dxhy.base.model.BaseInvoiceReqVO;

/**
 * @author peipei.li
 * @date 2019-04-23 进项税模块，底账表单表相关操作
 */
@SuppressWarnings("AlibabaClassNamingShouldBeCamel")
public interface BaseIReceiptInvoiceService {

    /**
     * 进项税转出列表，查询底账表数据
     *
     * @param reqVO
     *            请求参数
     * @return json
     */
    String listReceipt(BaseInvoiceReqVO reqVO);

    /**
     * 进项税转出，批量 update 抵账表数据
     *
     * @param condEntity
     *            请求参数
     */
    void updateBatch(List<BaseTDxRecordInvoice> condEntity);

    /**
     * 根据 uuid的list 查询抵账表集合
     *
     * @param uuids
     *            uuid 集合
     * @return 返回结果
     */
    List<BaseTDxRecordInvoice> selectByUuids(String[] uuids);

}
