package com.dxhy.base.service.receipt;

import java.util.Map;

import com.dxhy.base.model.BaseInvoiceEditCondVO;
import com.dxhy.base.model.BaseReceiptOutCancelEditReqVO;
import com.dxhy.base.model.BaseReceiptOutReqVO;
import com.dxhy.common.vo.UserInfo;

/**
 * @author peipei.li
 * @date 2019-04-24 进项税转出相关操作
 */
@SuppressWarnings("AlibabaClassNamingShouldBeCamel")
public interface BaseIReceiptOutService {

    /**
     * 已转出进项税，列表页数据
     *
     * @param reqVO
     *            请求参数
     * @return 返回结果
     */
    String listOutReceipt(BaseReceiptOutReqVO reqVO);

    /**
     * 进项税转出保存
     *
     * @param condVO
     *            请求参数
     * @param userInfo
     *            用户信息
     * @return 返回结果
     */
    String transferTax(BaseInvoiceEditCondVO condVO, UserInfo userInfo);

    /**
     * 取消已转出进项税，请求确认
     *
     * @param reqVO
     *            请求参数
     * @return 返回结果
     */
    String cancelOut(BaseReceiptOutCancelEditReqVO reqVO);

    /**
     * 取消已转出进项税列表
     *
     * @param reqVO
     *            请求参数
     * @return 返回结果 @ 异常
     */
    String listCancelReceipt(BaseReceiptOutReqVO reqVO);

    /**
     * 进项税弹框显示 ，下拉框内容
     *
     * @param map
     *            请求参数
     * @return 返回结果 @ 异常
     */
    String listCond(Map<String, String> map);

}
