package com.dxhy.base.service.sqdktj;

import java.util.Map;

import com.dxhy.base.entity.BaseTDxDkCount;
import com.dxhy.base.model.BaseBeforegxRespVO;
import com.dxhy.common.service.MpBaseService;

/**
 * 统计的企业信息列表service
 *
 * @author kangzq
 * @date 2019年5月11日
 * @version 1.0
 */
public interface BaseStatisticalEnterpriseService extends MpBaseService<BaseTDxDkCount> {

    /**
     * 统计的企业信息查询
     *
     * @param pramsMap
     *            请求参数
     * @param curr
     *            1
     * @param size
     *            20
     * @param count
     *            数量
     * @return 返回结果
     *
     */
    String selectEnterpriseByGfsbhAndSkssq(Map<String, Object> pramsMap, int curr, int size, int count);

    /**
     * 更新统计的企业信息
     *
     * @param pramMap
     *            请求参数
     * @param entity
     *            请求参数
     */
    void updateByGfshAndSkssq(Map<String, Object> pramMap, BaseTDxDkCount entity);

    /**
     * 更新申请统计的申请状态和统计状态
     *
     * @param pramMap
     *            请求参数
     * @return 返回结果
     */
    String updateBySqtj(Map<String, Object> pramMap);

    /**
     * 更新确认统计的确认状态
     *
     * @param pramMap
     *            请求参数
     * @return 返回结果
     */
    String updateByQrsqtj(Map<String, Object> pramMap);

    /**
     * 查询企业统计信息
     *
     * @param vo
     *            请求参数
     * @return 返回结果
     */
    BaseTDxDkCount selectByBeforeRespVO(BaseBeforegxRespVO vo);

}
