package com.dxhy.base.service.tdxtaxcurrent;

import java.util.Map;

import com.dxhy.base.entity.BaseTDxTaxCurrent;
import com.dxhy.common.service.MpBaseService;

/**
 *
 *
 * 企业税务信息查询接口
 *
 * @author zhanghong
 * @date 2019年4月25日
 *
 */
@SuppressWarnings("AlibabaClassNamingShouldBeCamel")
public interface BaseITDxTaxCurrentService extends MpBaseService<BaseTDxTaxCurrent> {

    /**
     * 根据查询条件查询企业税务信息
     *
     * @param count
     *            分页查询需要，页面传入的记录总数
     * @param size
     *            分页查询需要，页面传入的每页显示多少条数据
     * @param curr
     *            分页查询需要，页面传入的当前查询第几页
     * @param pramsMap
     *            请求参数集合
     *
     * @return 返回结果 @ 异常
     *
     *
     */
    String selectByCxtj(Map<String, Object> pramsMap, int curr, int size, int count);

    /**
     * 获取属期
     *
     * @param pramsMap
     *            请求参数
     * @return 返回结果 @ 异常
     */
    String getTaxCurrent(Map<String, Object> pramsMap);

    /**
     * 根据购方税号锁定或者释放企业税务信息
     *
     * @param pramsMap
     *            请求参数
     * @return 返回结果 @ 异常
     *
     *
     */
    String updateByGfsh(Map<String, Object> pramsMap);

    /**
     * 修改限额
     *
     * @param pramsMap
     *            请求参数
     * @return 返回结果 @ 异常
     */
    String updateLimit(Map<String, Object> pramsMap);

}
