package com.dxhy.common.constant;

/**
 * 字典类型
 */
public class DictConstant {

    /**
     * 增值税发票类型(只针对后端返回前端类型)
     * 01-增值税专用发票
     * 03-机动车销售统一发票
     * 04-增值税普通发票
     * 08-增值税电子专用发票
     * 10-增值税电子普通发票
     * 11-增值税普通发票（卷票）
     * 14-增值税电子普通发票（通行费）
     * 15-二手车销售统一发票
     * 17 海关缴款书
     * 31电子发票（增值税专用发票）
     * 32电子发票（普通发票）
     */
    public static final String INVOICE_TYPE_VAT = "INVOICE_TYPE_VAT";

    /**
     * 稽核结果 -1-待处理 0-稽核中 1-相符 2-不符 3-缺联 4-重号 5-历史相符
     */
    public static final String AUDIT_STATUS = "AUDIT_STATUS";

    /*
     是否申请核对 0-否 1-是
     */
    public static final String APPLY_CHECK = "APPLY_CHECK";

    /*
    核查结果 0-允许抵扣/退税 1-不允许抵扣/退税
     */
    public static final String CHECK_STATUS = "CHECK_STATUS";

    /**
     * 缴款书采集方式 0-采集 1-手工录入 2-Excel导入 3-扫描仪录入 4-电子版导入 5-签收推送 6-接口录入
     */
    public static final String JKSCJFS = "JKSCJFS";

    /*
      缴款书上传失败原因 13-无法登录税局 4-参数异常 5-数据重复 8-其他异常
     */
    public static final String JKSSCSBYY = "JKSSCSBYY";

    /*
      缴款书采集上传状态 0-未上传 1-已发送上传 2-上传成功 3-上传失败
     */
    public static final String JKSSCZT = "JKSSCZT";

    /*
      签收状态  99-全部 0-未签收 1-已签收
     */
    public static final String QS_STATUS = "qsStatus";

    /**
     * 签收结果 0-签收失败 1-签收成功
     */
    public static final String QS_RESULTS = "qsStatus2";

    /**
     * 确认状态 0-未确认 1-已确认
     */
    public static final String QR_STATUS = "qrStatus";

    /**
     * 管理状态 0-正常 1-异常 2-疑似非正常
     */
    public static final String GLZT = "GLZT";

    /**
     * 是否录入不符项
     */
    public static final String ENTRY_DISCREPANCY = "entryDiscrepancy";

    /**
     * 签收类型 0-扫码签收 1-扫描仪签收 3-导入签收 4-手工签收 5-电票上传签收 6-接口推送签收
     */
    public static final String QS_TYPE = "qsType";

    /**
     * 企业税务信息 0-释放 1-锁定
     */
    public static final String QYSWXX_STATUS = "QYSWXX_STATUS";

    /**
     * 公司类型 QT-其他 SC-生产企业 WM-外贸企业 ZC-生产企业 ZF-外综服企业
     */
    public static final String COMPANY_TYPE = "companyType";

    /**
     * 油类企业类型 YLF-非成品油企业 YLJX-成品油经销企业 YLSC-成品油生产企业
     */
    public static final String OIL_TYPE = "oilType";

    /**
     * 纳税人资格 01-增值税一般纳税人 02-辅导期一般纳税人 04-特定征收部门 05-转登记纳税人 08-小规模纳税人
     */
    public static final String TAXPAYER_TYPE = "taxpayerType";

    /**
     * 申报状态 0-未申报 1-已申报 2-未知状态
     */
    public static final String DECLARE = "sbzt";

    /**
     * 发票状态 0-正常 1-失控 2-作废 3-红冲 4-异常
     */
    public static final String INVOICE_STATUS = "INVOICE_STATUS";

    /**
     * 打款状态 0-未通过 1-已通过
     */
    public static final String DK_STATUS = "DKZT";

    /**
     * 撤销认证处理状态 0-未申请 1-已申请撤销 2-撤销认证发送中 4-撤销认证成功 5-撤销认证失败
     */
    public static final String CXRZ_STATUS = "CXRZ_STATUS";

    /**
     * 认证类型 1-认证抵扣 2-认证不抵扣 3-退税认证
     */
    public static final String BDK_STATUS = "BDK_STATUS";

    /**
     * 认证状态 0-未认证 1-已认证抵扣 2-已认证不抵扣 3-退税认证
     */
    public static final String DEDU_STATUS = "rzhYesorno";

    /**
     * 认证处理状态 0-未认证 1-已勾选 2-已确认 3-已发送认证 4-认证成功 5-认证失败 6-已撤销认证
     */
    public static final String AUTH_STATUS = "authStatus";
    /**
     * 认证处理状态 全 0-未认证 1-已勾选 2-已确认 3-已发送认证 4-认证成功 5-认证失败 6-已撤销认证
     */
    public static final String AUTH_STATUS_ALL = "AUTH_STATUS_ALL";

    /**
     * 抵扣统计状态 0-未统计 1-统计中 2-统计成功 3-统计失败
     */
    public static final String DKTJ_STATUS = "DKTJ_STATUS";

    /**
     * 统计失败原因 2-重复申请统计 3-已统计 4-已确认 5-申请认证月份不匹配 6-不符合申请生成抵扣统计报表条件 7-未统计,不需要撤销 8-其他异常 9-不符合统计日期范围（每月一号到申报前）
     */
    public static final String DKTJSBYY = "DKTJSBYY";

    /**
     * 确认签名处理状态 0-未确认 1-确认中 2-确认成功 3-确认失败
     */
    public static final String QRQM_STATUS = "QRQM_STATUS";

    /**
     * 确认失败原因 2-已申请确认 3-已确认统计 4-申请确认月份不符 5-税号不存在 6-未申请统计 7-统计结果不符 8-其他异常 9-不符合提交确认申报条件 10-未统计或者超期 11-密码不正确
     */
    public static final String QRQMSBYY = "QRQMSBYY";

    /**
     * 撤销统计处理状态 0-未撤销 1-撤销中 2-撤销成功 3-撤销失败
     */
    public static final String CXTJ_STATUS = "CXTJ_STATUS";

    /**
     * 不抵扣认证处理状态 0-未申请 1-已申请 2-已确认 3-已发送认证不抵扣 4-认证不抵扣成功 5-认证不抵扣失败
     */
    public static final String BDK_AUTH_STATUS = "BDK_AUTH_STATUS";
    /**
     * 不抵扣撤销处理状态 0-未申请 1-已申请 2-已确认 3-已发送撤销不抵扣 4-撤销不抵扣成功 5-撤销不抵扣失败
     */
    public static final String BDK_UNDO_STATUS = "BDK_UNDO_STATUS";

    /**
     * 结算状态 0-未结算 1-已结算
     */
    public static final String SETTLEMENT_STATUS = "settlementStatus";

    /**
     * 认证抵扣类型 1-认证抵扣 2-认证不抵扣
     */
    public static final String FPDK_TYPE = "FPDK_TYPE";

    /**
     * 认证方式 1-手工认证 2-导入认证
     */
    public static final String DEDU_TYPE = "rzhType";

    /**
     * 勾选方式 0-手工勾选 1-扫码勾选 2-导入勾选 3-智能勾选 4-手工认证 5-扫码认证 6-导入认证
     */
    public static final String GXTYPE = "GXTYPE";

    /**
     * 付款状态 0-未付款 1-已付款
     */
    public static final String FK_STATUS = "FK_STATUS";

    /**
     * 入账状态 0-未付款 1-已付款
     */
    public static final String INACCOUNT_STATUS = "INACCOUNT_STATUS";
    /**
     * 认证类型 税局A("1", "抵扣"), B("2", "退税"), C("3", "代理退税"), D("4", "不抵扣"), E("5", "撤销认证"), F("6", "撤销不抵扣发票已认证");
     */
    public static final String INVOICE_RZLX = "INVOICE_RZLX";
    /**
     * 是否强制 0：提示，1：强制
     */
    public static final String IS_FORCE = "IS_FORCE";
    public static final String Currency = "Currency";
    /**
     * 发票来源
     */
    public static final String INVOICE_SOURCE = "INVOICE_SOURCE";

    /**
     * 认证结果转换失败原因
     */
    public static final String failureReason = "failureReason";
    /**
     *不抵扣原因 1-用于非应税项目2-用于免税项目3-用于集体福利或者个人消费4-遭受非正常损失5-其他
     */
    public static final String bdkMessage = "bdkMessage";

}
