package com.dxhy.common.enums;

import lombok.AllArgsConstructor;

/**
 * @author jiaohongyang
 */
@AllArgsConstructor
public enum QsTypeEnum {
    /**
     * 签收方式（0-扫码签收 1-扫描仪签收 2-app签收 3-导入签收 4-手工签收，5-电票上传）
     */

    A("0", "扫码签收"), B("1", "扫描仪签收"), C("2", "app签收"), D("3", "导入签收"), E("4", "手工签收"), F("5", "电票上传");

    private final String key;
    private final String value;

    public static String getVal(String key) {
        for (QsTypeEnum materialEnum : QsTypeEnum.values()) {
            if (materialEnum.key.equals(key)) {
                return materialEnum.value;
            }
        }
        return null;
    }
}
