package com.dxhy.common.vo;

import lombok.Data;

import java.util.Date;

/**
 * @author jiaohongyang
 */
@Data
public class InvoiceLog {
    /**
     * 发票代码
     */
    private String invoiceCode;
    /**
     * 发票号码
     */
    private String invoiceNo;
    /**
     * 类型 类型  1--采集  2--认证  3--签收  4--取消签收  5--设置不认证  6--发票状态变更 7--退税认证 8--出口转内销认证 9--出口转内销不认证
     */
    private String type;
    /**
     * 操作时间
     */
    private Date createDate;
    /**
     * 操作人
     */
    private String inputName;

    /**
     * 操作状态 0--采集成功
     * 1--签收成功
     * 2--签收失败
     * 3--认证成功
     * 4--认证失败
     * 5--取消签收成功
     * 6--取消签收失败
     * 7--设置不认证申请
     * 8--设置不认证成功
     * 9--设置不认证失败
     * 10--取消不认证申请
     * 11--取消不认证成功
     * 12--取消不认证失败
     * 13--勾选成功
     * 14--确认成功
     * 15--撤销认证申请
     * 16--撤销认证成功
     * 17--撤销认证失败18--撤销勾选
     19--发票状态变更
     */
    private String inputStatus;
    /**
     * 签收方式 0--扫码签收 1--扫描仪签收 2--app签收 3-- 导入签收 4-- 手工签收 5-- pdf上传签收
     */
    private String qsType;
    /**
     * 认证方式 0--扫描认证 1--设置不认证 2-- 勾选认证
     */
    private String rzType;

    /**
     * 备注
     */
    private String remark;
}
