package com.dxhy.core.dao;

import java.util.List;

import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

import com.dxhy.core.job.pojo.CheckNoDetailInvoice;
import com.dxhy.core.job.pojo.InvoiceCollectionInfo;
import com.dxhy.core.job.pojo.InvoiceDetailInfo;

/**
 * @author user
 */
@Mapper
public interface CheckTaskDao {

    /**
     * 查询未补明细发票
     *
     * @author 陈刚扬
     * @date 2020/10/28
     * @return java.util.List<com.dxhy.core.job.pojo.CheckNoDetailInvoice>
     */
    List<CheckNoDetailInvoice> getNoDetailInvoice();

    /**
     * 查询历史未补明细发票
     *
     * @author 陈刚扬
     * @date 2020/10/28
     * @return java.util.List<com.dxhy.core.job.pojo.CheckNoDetailInvoice>
     */
    List<CheckNoDetailInvoice> getNoDetailInvoiceOld();

    /**
     * 删除明细
     *
     * @author 陈刚扬
     * @date 2020/10/28
     * @param invoiceDetail
     *            发票明细 、
     */
    void deleteDetail(@Param("invoiceDetailInfo") InvoiceDetailInfo invoiceDetail);

    /**
     * 功能描述
     *
     * @author 陈刚扬
     * @date 2020/10/28
     * @param invoiceDetailInfoList
     *            发票明细
     */
    void insertNoDetailedInvoice(@Param("list") List<InvoiceDetailInfo> invoiceDetailInfoList);

    /**
     * 更新抵账
     *
     * @author 陈刚扬
     * @date 2020/10/28
     * @param invoiceCollectionInfo
     *            抵账信息
     */
    void updateRecordInvoice(InvoiceCollectionInfo invoiceCollectionInfo);

}
