package com.dxhy.core.dao;

import java.util.List;
import java.util.Map;

import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.dxhy.core.model.CustomsCollectVO;
import com.dxhy.core.model.CustomsRecordVO;
import com.dxhy.core.model.CustomsRzcxVO;

/**
 * @author user
 */

@Mapper
public interface CustomsCollectDao extends BaseMapper<CustomsCollectVO> {
    /**
     * 统计税额
     *
     * @author 陈刚扬
     * @date 2020/10/29
     * @param pramsMap
     * @return java.util.Map<java.lang.String,java.lang.Object>
     */
    Map<String, Object> sumTaxAmount(@Param("queryParams") Map<String, Object> pramsMap);

    /**
     * 功能描述
     *
     * @author 陈刚扬
     * @date 2020/10/29
     * @param pramsMap
     * @return java.util.Map<java.lang.String,java.lang.Object>
     */
    Map<String, Object> queryRzcxSum(@Param("queryParams") Map<String, Object> pramsMap);

    /**
     * 查询采集
     *
     * @author 陈刚扬
     * @date 2020/10/29
     * @param pramsMap
     * @return java.util.List<com.dxhy.core.model.CustomsCollectVO>
     */
    List<CustomsCollectVO> queryCollect(@Param("queryParams") Map<String, Object> pramsMap);

    /**
     * 认证查询
     *
     * @author 陈刚扬
     * @date 2020/10/29
     * @param pramsMap
     * @return java.util.List<com.dxhy.core.model.CustomsRzcxVO>
     */
    List<CustomsRzcxVO> queryRzcxByPage(@Param("queryParams") Map<String, Object> pramsMap);

    /**
     * 缴款书录入查询
     *
     * @author 陈刚扬
     * @date 2020/10/29
     * @param pramsMap
     * @return java.util.List<com.dxhy.core.model.CustomsCollectVO>
     */
    List<CustomsCollectVO> queryInsertCustoms(@Param("queryParams") Map<String, Object> pramsMap);

    /**
     * 手工签收查询
     *
     * @author 陈刚扬
     * @date 2020/10/29
     * @param pramsMap
     * @return java.util.List<com.dxhy.core.model.CustomsCollectVO>
     */
    List<CustomsCollectVO> queryManualSign(@Param("queryParams") Map<String, Object> pramsMap);

    /**
     * 签收税额统计
     *
     * @author 陈刚扬
     * @date 2020/10/29
     * @param pramsMap
     * @return java.util.Map<java.lang.String,java.lang.Object>
     */
    Map<String, Object> sumSignTaxAmount(@Param("queryParams") Map<String, Object> pramsMap);

    /**
     * 签收查询
     *
     * @author 陈刚扬
     * @date 2020/10/29
     * @param pramsMap
     * @return java.util.List<com.dxhy.core.model.CustomsCollectVO>
     */
    List<CustomsCollectVO> querySign(@Param("queryParams") Map<String, Object> pramsMap);

    /**
     * 缴款书退税认证查询
     *
     * @author 陈刚扬
     * @date 2020/10/29
     * @param pramsMap
     * @return java.util.List<com.dxhy.core.model.CustomsRecordVO>
     */
    List<CustomsRecordVO> queryCustomsRefundConfirmList(@Param("queryParams") Map<String, Object> pramsMap);

    /**
     * 统计缴款书退税认证
     *
     * @author 陈刚扬
     * @date 2020/10/29
     * @param pramsMap
     * @return java.util.Map<java.lang.String,java.lang.Object>
     */
    Map<String, Object> queryCustomsRefundConfirmSum(@Param("queryParams") Map<String, Object> pramsMap);
}
