package com.dxhy.core.dao;

import java.util.List;

import org.apache.ibatis.annotations.Mapper;

import com.dxhy.core.entity.TDxInvoiceImg;

/**
 * @author jiaohongyang（焦红阳）
 * @date 2021-01-05
 */
@Mapper
public interface FileMigrationDao {
    /**
     * 按月统计图片数量
     *
     * @return 统计信息
     */
    List<TDxInvoiceImg> selectInvoiceImageFileGroup(String createYear);

    /**
     * 按月获取图片信息，并进行迁移
     *
     * @param createMonth
     *            月份
     * @return 图片地址信息
     */
    List<TDxInvoiceImg> selectInvoiceImageFile(String createMonth);

    /**
     * 按月修改迁移状态
     *
     * @param createMonth
     *            月份
     */

    void updateMigrationStatus(String createMonth, List<Long> ids);
}
