package com.dxhy.core.dao;

import java.util.List;
import java.util.Map;

import org.apache.ibatis.annotations.Mapper;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.dxhy.core.model.FpcjCjhzRespVO;

/**
 * 发票采集汇总列表dao
 *
 * @author user
 */

@Mapper
public interface FpcjhzLbDao extends BaseMapper<FpcjCjhzRespVO> {

    /**
     * 根据购方税号和采集日期查询汇总列表数据
     *
     * @param pramsMap
     * @return
     *
     */
    List<FpcjCjhzRespVO> selectByGfshAndCjrq(Map<String, Object> pramsMap);

    /**
     * 根据购方税号和采集日期查询合计信息
     *
     * @param pramsMap
     * @return
     *
     */
    List<FpcjCjhzRespVO> selectHjxxByGfshAndCjrq(Map<String, Object> pramsMap);

    /**
     * 根据购方税号查询发票上的购方信息
     *
     * @param pramsMap
     * @return
     *
     */
    List<FpcjCjhzRespVO> selectGfxxList(Map<String, Object> pramsMap);

}
