package com.dxhy.core.dao;

import java.util.List;
import java.util.Map;

import org.apache.ibatis.annotations.Mapper;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.dxhy.core.job.entity.TDxTaxCurrent;
import com.dxhy.core.model.FprzybRespVO;

/**
 * 认证发票月报查询
 *
 * @author user
 */

@Mapper
public interface FprzybDao extends BaseMapper<FprzybRespVO> {
    /**
     * 根据购方税号和认证年份查询统计数据
     *
     * @param pramsMap
     * @return
     *
     */
    List<FprzybRespVO> selectByGfshAndRznf(Map<String, Object> pramsMap);

    /**
     * 根据认证年份查询认证发票统计数据
     *
     * @param pramsMap
     * @return
     *
     */
    List<FprzybRespVO> selectRzfphzByRznf(Map<String, Object> pramsMap);

    /**
     * 功能描述
     *
     * @author 陈刚扬
     * @date 2020/10/29
     * @param list
     * @return java.util.List<com.dxhy.core.job.entity.TDxTaxCurrent>
     */
    List<TDxTaxCurrent> selectTaxList(List<String> list);

}
