package com.dxhy.core.dao;

import java.util.List;
import java.util.Map;

import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

import com.dxhy.core.entity.TDxRecordInvoice;
import com.dxhy.core.job.entity.TDxVehicleSaleInvoice;
import com.dxhy.core.model.BbfpzhmxcxRespVO;
import com.dxhy.core.model.CertifiedInvoiceVo;
import com.dxhy.core.model.InvoiceDetails;

/**
 * 功能描述
 * 
 * @author 陈刚扬
 * @date 2020/10/29
 */

@Mapper
public interface InvoiceDetailDao {
    /**
     * 查询发票主题
     *
     * @param map
     * @return
     */
    List<CertifiedInvoiceVo> queryInvoiceSubject(Map<String, Object> map);

    /**
     * 查询发票明细
     *
     * @param map
     * @return
     */
    List<InvoiceDetails> selectInvoiceDetails(Map<String, Object> map);

    /**
     * 发票综合查询导出明细
     *
     * @param map
     * @return
     */
    List<BbfpzhmxcxRespVO> fpcxSelectInvoiceDetails(Map<String, Object> map);

    /**
     * 查询查验发票明细
     *
     * @param uuid
     * @return
     */
    List<InvoiceDetails> selectInspectionDetails(String uuid);

    /**
     * 查询机动车明细
     *
     * @param uuid
     * @return
     */
    List<TDxVehicleSaleInvoice> selectVehicleSaleInvoice(String uuid);

    /**
     * 销项发票信息
     * 
     * @param uuid
     *            uuid
     * @return 返回
     */
    TDxRecordInvoice getSaleInvoiceByUuid(@Param("uuid") String uuid);
}
