package com.dxhy.core.dao;

import java.util.List;
import java.util.Map;

import org.apache.ibatis.annotations.Mapper;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.dxhy.core.model.CustomsStatisticsVo;
import com.dxhy.core.model.DailyReportVo;
import com.dxhy.core.model.JxsebbRespVO;
import com.dxhy.core.model.ReportStatisticsVo;

/**
 * 认证发票查询
 *
 * @author user
 */

@Mapper
public interface JxsebbDao extends BaseMapper<JxsebbRespVO> {

    /**
     * 获取结果包含总金额、税额、进项发票总量
     *
     * @param map
     * @return
     */
    ReportStatisticsVo getResult(Map<String, Object> map);

    /**
     * 获取海关缴款书认证总量
     *
     * @param map
     * @return
     */
    CustomsStatisticsVo getTotal(Map<String, Object> map);

    /**
     * 获取转出总税额
     *
     * @param map
     * @return
     */
    Double getTotalOutTax(Map<String, Object> map);

    /**
     * 获取转出税额明细
     *
     * @param map
     * @return
     */
    List<DailyReportVo> getOutTaxDetail(Map<String, Object> map);

}
