package com.dxhy.core.dao;

import java.util.List;
import java.util.Map;

import org.apache.ibatis.annotations.Mapper;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.dxhy.core.entity.TDxExcelExportlog;

/**
 * excel导出申请记录表dao
 *
 * @author user
 */
@SuppressWarnings("AlibabaClassNamingShouldBeCamel")
@Mapper
public interface TDxExcelExportlogDao extends BaseMapper<TDxExcelExportlog> {

    /**
     * 查询两个月前的导出记录
     *
     * @author 陈刚扬
     * @date 2021/1/28
     * @param
     * @return java.util.List<com.dxhy.core.entity.TDxExcelExportlog>
     */
    List<TDxExcelExportlog> selectExportLogToDel();

    /**
     * 删除两个月前的导出消息
     *
     * @author 陈刚扬
     * @date 2021/1/28
     * @param
     * @return void
     */
    void deleteMessagecontrol();

    /**
     * 查询需要导出的日志
     *
     * @author 陈刚扬
     * @date 2020/10/29
     * @param userName
     * @return java.util.List<com.dxhy.core.entity.TDxExcelExportlog>
     */
    List<TDxExcelExportlog> selectNeedExportLog(String userName);

    /**
     * 锁定需要导出的日志记录
     *
     * @param userName
     *
     */
    void lockExportlog(String userName);

    /**
     * 记录日志的开始执行时间
     *
     * @param id
     *            记录主键
     *
     */
    void updateStart(long id);

    /**
     * 记录日志的导出完成状态
     *
     * @author 陈刚扬
     * @date 2020/10/29
     * @param pramsMap
     * @return void
     */
    void updateSucc(Map<String, Object> pramsMap);

    /**
     * 记录导出失败的状态
     *
     * @author 陈刚扬
     * @date 2020/10/29
     * @param pramsMap
     * @return void
     */
    void updateFail(Map<String, Object> pramsMap);
}
