package com.dxhy.core.dao;

import java.util.List;
import java.util.Map;

import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.dxhy.core.entity.TicketInvoiceModel;
import com.dxhy.core.model.InvoiceMainBodyVO;

/**
 *
 * @author user
 *
 */

@Mapper
public interface TicketDao extends BaseMapper<TicketInvoiceModel> {
    /**
     * 功能描述
     *
     * @author 陈刚扬
     * @date 2020/10/29
     * @param paramsMap
     * @return java.util.List<com.dxhy.core.entity.TicketInvoiceModel>
     */
    List<TicketInvoiceModel> queryTotal(Map<String, Object> paramsMap);

    /**
     * 功能描述
     *
     * @author 陈刚扬
     * @date 2020/10/29
     * @param paramsMap
     * @return java.util.List<com.dxhy.core.entity.TicketInvoiceModel>
     */
    List<TicketInvoiceModel> queryTickets(Map<String, Object> paramsMap);

    /**
     * 功能描述
     *
     * @author 陈刚扬
     * @date 2020/10/29
     * @param selectId
     * @return java.util.List<com.dxhy.core.model.InvoiceMainBodyVO>
     */
    List<InvoiceMainBodyVO> selectPassengerTheme(@Param("selectId") String selectId);

    /**
     * 功能描述
     *
     * @author 陈刚扬
     * @date 2020/10/29
     * @param invoiceNo
     * @param invoiceCode
     * @return java.util.List<com.dxhy.core.model.InvoiceMainBodyVO>
     */
    List<InvoiceMainBodyVO> selectInvoiceMainBody(String invoiceNo, String invoiceCode);

    /**
     * 功能描述
     *
     * @author 陈刚扬
     * @date 2020/10/29
     * @param gfsh
     * @return java.lang.String
     */
    String getGfName(@Param("gfsh") String gfsh);

    /**
     * 功能描述
     *
     * @author 陈刚扬
     * @date 2020/10/29
     * @param gfsh
     * @return java.lang.String
     */
    String getBlocName(@Param("gfsh") String gfsh);
}
