package com.dxhy.core.dao.mailGather;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.dxhy.core.model.mailGather.MailGatherLogVo;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

import java.util.List;
import java.util.Map;


@Mapper
public interface MailGatherLogDao extends BaseMapper<MailGatherLogVo> {
    /**
     * 通过ID查询单条数据
     *
     * @param id 主键
     * @return 实例对象
     */
    MailGatherLogVo queryById(String id);

    /**
     * 查询指定行数据
     *
     * @param mailGatherLogVo 查询条件
     * @param pageable         分页对象
     * @return 对象列表
     */
    List<MailGatherLogVo> queryAllByLimit(Map<String, Object> pramsMap);

    /**
     * 统计总行数
     *
     * @param mailGatherLogVo 查询条件
     * @return 总行数
     */
    long count(MailGatherLogVo mailGatherLogVo);

    /**
     * 新增数据
     *
     * @param mailGatherLogVo 实例对象
     * @return 影响行数
     */
    int insert(MailGatherLogVo mailGatherLogVo);

    /**
     * 批量新增数据（MyBatis原生foreach方法）
     *
     * @param entities List<MailGatherLogVo> 实例对象列表
     * @return 影响行数
     */
    int insertBatch(@Param("entities") List<MailGatherLogVo> entities);

    /**
     * 批量新增或按主键更新数据（MyBatis原生foreach方法）
     *
     * @param entities List<MailGatherLogVo> 实例对象列表
     * @return 影响行数
     * @throws org.springframework.jdbc.BadSqlGrammarException 入参是空List的时候会抛SQL语句错误的异常，请自行校验入参
     */
    int insertOrUpdateBatch(@Param("entities") List<MailGatherLogVo> entities);

    /**
     * 修改数据
     *
     * @param mailGatherLogVo 实例对象
     * @return 影响行数
     */
    int update(MailGatherLogVo mailGatherLogVo);

    /**
     * 通过主键删除数据
     *
     * @param id 主键
     * @return 影响行数
     */
    int deleteById(String id);

}
