package com.dxhy.core.entity;

import lombok.Data;

import java.io.Serializable;
import java.math.BigDecimal;
import java.util.Date;

/**
 * 发票扫描表
 *
 * @author user
 */
@SuppressWarnings("AlibabaClassNamingShouldBeCamel")
@Data
public class TDxInvoice implements Serializable {

    private static final long serialVersionUID = 7993748954465023806L;

    /**
     * id
     */
    private Long id;

    /**
     * 发票类型（01-增值税专用发票 03-机动车销售统一发票 04-增值税普通发票 10-电子发票 11-卷票 14-通行费发票）
     */
    private String invoiceType;

    /**
     * 发票代码
     */
    private String invoiceCode;

    /**
     * 发票号码
     */
    private String invoiceNo;

    /**
     * 全电号码
     **/
    private String eleInvoiceNo;

    /**
     * 扫描流水号
     */
    private String invoiceSerialNo;

    /**
     * 购方税号
     */
    private String gfTaxNo;

    /**
     * 购方名称
     */
    private String gfName;

    /**
     * 销方税号
     */
    private String xfTaxNo;

    /**
     * 销方名称
     */
    private String xfName;

    /**
     * 金额
     */
    private BigDecimal invoiceAmount;

    /**
     * 税额
     */
    private BigDecimal taxAmount;

    /**
     * 价税合计
     */
    private BigDecimal totalAmount;

    /**
     * 开票时间
     */
    private Date invoiceDate;

    /**
     * 扫描账号
     */
    private String userAccount;

    /**
     * 扫描人
     */
    private String userName;

    /**
     * 签收方式（0-扫码签收 1-扫描仪签收 2-app签收 3-导入签收 4-手工签收，5-pdf上传）
     */
    private String qsType;

    /**
     * 签收结果(0-签收失败 1-签收成功）
     */
    private String qsStatus;

    /**
     * 是否有效（1-有效 0-无效）
     */
    private String valid;

    /**
     * 发票唯一标识 组成：发票代码+发票号码
     */
    private String uuid;

    /**
     * 创建时间
     */
    private Date createDate;

    /**
     * 修改时间
     */
    private Date updateDate;

    /**
     * 签收时间
     */
    private Date qsDate;

    /**
     * 扫描图片唯一识别码
     */
    private String scanId;

    /**
     * 扫描备注
     */
    private String notes;

    /**
     * 部门id
     */
    private String deptId;

    /**
     * 校验码
     */
    private String checkCode;

    /**
     * 部门名称 collate utf8mb4_general_ci
     */
    private String deptName;

    /**
     * 结算单号
     */
    private String settlementNo;

    /**
     * 是否结算（0未结算，1已结算）
     */
    private String settlementStatus;

    /**
     * 结算单来源
     */
    private String settleSource;

    /**
     * 发票状态
     */
    private String invoiceStatus;
    /**
     * 签收人名称
     */
    private String qsName;

    private String remark;

    private String authStatus;

    private String voucherNumber;

}
