package com.dxhy.core.job.bxvo;

import lombok.Data;

import java.util.List;

@Data
public class ControlRulesInvoiceRequest {

    /**
     * ---------公有发票信息---------
     */
    //系统来源标识 默认票池系统：invoicePool
    private String sysSource;
    //发票类型编码
    private String invoiceTypeCode;
    //发票代码
    private String invoiceCode;
    //发票号码
    private String invoiceNo;
    //开票日期
    private String invoiceDate;
    //发票总金额
    private String totalAmount;

    /**
     * ---------增值税发票专有信息---------
     */
    //查验状态
    private String checkState;
    //校验码
    private String verifyCode;
    //不含税金额
    private String invoiceAmount;
    //购方税号
    private String buyerTaxNo;
    //购方名称
    private String buyerName;
    //购方地址电话
    private String buyerAddressTel;
    //购方银行账号
    private String buyerBankAccount;
    //销方税号
    private String salerTaxNo;
    //销方名称
    private String salerName;
    //销方地址、电话
    private String salerAddressTel;
    //销方银行账号
    private String salerBankAccount;
    //增值税发票类型发票备注
    private String remark;
    private List<ControlRulesInvoiceDetailEntity> detailList;

    /**
     * ---------非增值税专有发票信息---------
     */
    //乘车人
    private String passenger;
    //火车票,公路运输客票(实名),水路运输客票(实名),其他运输客票(实名)对应车次
    private String trainNumber;
    //飞机票班次
    private String flightNumber;
    //币种编码
    private String currencyCode;
    //飞机票价
    private String fare;
    //燃油附加费
    private String fuelSurcharge;
    //实名客票-出发城市
    private String departCity;
    //实名客票-到达城市
    private String arriveCity;
    //身份证号
    private String identityNumber;
}
