package com.dxhy.core.job.dao;

import java.util.List;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

import com.dxhy.core.job.entity.TDxHttpLog;

/**
 * @author user
 */
@SuppressWarnings("AlibabaClassNamingShouldBeCamel")
@Mapper
public interface TDxHttpLogJobDao extends BaseMapper<TDxHttpLog> {

    /**
     * 保存接口请求日志
     *
     * @param tDxHttpLog
     * @return
     */
    int insertHttpLog(TDxHttpLog tDxHttpLog);

    /**
     * 根据id查询接口请求日志信息
     *
     * @param httpLogId
     * @return
     */
    TDxHttpLog selectHttpLogById(Long httpLogId);

    /**
     * 更新接口请求日志
     *
     * @param tDxHttpLog
     */
    void updateHttoLogById(TDxHttpLog tDxHttpLog);

    /**
     * 查询未解析发票
     * 
     * @param taxno
     *            税号
     * @param type
     *            类型
     * @return 返回
     */
    List<TDxHttpLog> getNotParseHttpLogs(@Param("taxno") String taxno, @Param("type") String type);

    /**
     * 查询税号信息
     * 
     * @param type
     *            类型
     * @return 税号
     */
    List<String> getNotParseTaxnos(String type);

    /**
     * 更新状态
     * 
     * @param logs
     *            日志信息
     */
    void updateNotParseHttpLogsStatus(List<TDxHttpLog> logs);

}
