package com.dxhy.core.job.dao;

import org.apache.ibatis.annotations.Mapper;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.dxhy.core.job.entity.TDxRecordInvoiceStatisticsJobEntity;

/**
 * @author user
 */
@SuppressWarnings("AlibabaClassNamingShouldBeCamel")

@Mapper
public interface TDxRecordInvoiceStatisticsJobDao extends BaseMapper<TDxRecordInvoiceStatisticsJobEntity> {
    /**
     * 发票税率统计信息
     *
     * @author 陈刚扬
     * @date 2020/10/30
     * @param ris
     * @return void
     */
    void saveStatistics(TDxRecordInvoiceStatisticsJobEntity ris);

    /**
     * 删除税率统计信息
     *
     * @author 陈刚扬
     * @date 2020/10/30
     * @param invoiceCode
     * @param invoiceNo
     * @return void
     */
    void delStatistics(String invoiceCode, String invoiceNo);

    /**
     * 功能描述
     *
     * @author 陈刚扬
     * @date 2020/10/30
     * @param invoiceCode
     * @param invoiceNo
     * @return int
     */
    int getStatisticsCount(String invoiceCode, String invoiceNo);

}
