package com.dxhy.core.job.entity;

import java.io.Serializable;

import lombok.Data;

/**
 * 部门管理
 *
 * @author user
 */
@Data
public class SysDept implements Serializable {
    private static final long serialVersionUID = 1L;

    private Long deptId;
    /**
     * 上级部门ID，一级部门为0
     */
    private Long parentId;
    /**
     * 部门名称
     */
    private String name;
    /**
     * 排序
     */
    private Integer orderNum;
    /**
     * 是否删除 -1：已删除 0：正常
     */
    private Integer delFlag;
    /**
     * 纳税人识别号
     */
    private String taxno;
    /**
     * 纳税人名称
     */
    private String taxname;
    /**
     * 联系人
     */
    private String linkman;
    /**
     * 联系电话
     */
    private String phone;
    /**
     * 联系地址
     */
    private String address;
    /**
     * 开户行
     */
    private String bank;
    /**
     * 银行帐号
     */
    private String account;
    /**
     * 所属中心企业
     */
    private String company;
    /**
     * 部门类型 1--总部 2--子公司 3-- 分支机构 4--部门
     */
    private String orgType;
    /**
     * 税号类型 1--集团 2--虚拟购方 3--虚拟销方 5--购方企业 8--销方企业
     */
    private String deptType;
    /**
     * 是否升级企业 0--未升级 1--已升级
     */
    private String upgradeStatus;
    /**
     * 是否签收认证 0 -- 不签收认证 1 -- 签收认证
     */
    private String qsStatus;
    /**
     * 是否采集状态 0 -- 不采集 1--采集
     */
    private String cjStatus;
    /**
     * 兼容大企业平台添加
     */
    private String aceKey;
    /**
     * 兼容大企业平台添加
     */
    private String aceId;
    /**
     * 集团库
     *
     * @author 陈刚扬
     * @date 2020/11/26
     * @param null
     * @return
     */
    private String dbName;
}
