package com.dxhy.core.job.entity;

import java.io.Serializable;
import java.util.Date;

import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;

import lombok.Data;

/**
 * 接口日志表
 *
 * @author panyan
 */
@SuppressWarnings("AlibabaClassNamingShouldBeCamel")
@TableName("t_dx_dk_count")
@Data
public class TDxDkCount implements Serializable {

    private static final long serialVersionUID = 1L;

    @TableId
    private Long id;

    /**
     * 税号
     */
    private String taxno;
    /**
     * 纳税人名称
     */
    private String taxname;
    /**
     * 税款所属期
     */
    private String skssq;
    /**
     * 是否申请(0--未申请  1--申请中  2--申请成功  3--申请失败  4--申请成功，已返回申请结果)
     */
    private String applyStatus;
    /**
     * 申请结果(1-申请成功 2-已申请确认 3-已确认统计4-申请确认月份不符5-税号不存在6-未申请统计7-统计结果不符8-其他异常)
     */
    private String applyMsg;
    /**
     * 是否签名(0--未申请  1--申请中  2--申请成功  3--申请失败)
     */
    private String signStatus;
    /**
     * 统计状态统计状态 0 未统计 1：统计中 2：统计成功 3统计失败
     */
    private String tjStatus;
    /**
     * 确认状态确认状态 0 未确认 1：确认中 2：确认成功 3：确认失败
     */
    private String qsStatus;
    /**
     * 是否当前所属期 0： 否 1：是 (用于控制抵扣统计页面是否可勾选)
     */
    private String sfdqskssq;
    /**
     * 申请统计类型
     */
    private String applyType;
    /**
     * 统计时间
     */
    private String tjDate;

    private String createDate;

    private String company;

    /**
     * 撤销统计  0-未撤销 1-撤销中 2-撤销成功 3-撤销失败
     */
    private String cxtjStatus;

    /**
     * 撤销确认  0-未撤销 1-撤销中 2-撤销成功 3-撤销失败
     */
    private String cxqsStatus;
    /**
     * 统计人
     */
    private String tjUser;
    /**
     * 确认人
     */
    private String qrUser;
    /**
     * 确认时间
     */
    private Date qrDate;
    /**
     * 撤销统计人
     */
    private String cxtjUser;
    /**
     * 撤销确认人
     */
    private String cxqrUser;
    /**
     * 撤销统计时间
     */
    private Date cxtjDate;
    /**
     * 撤销确认时间
     */
    private Date cxqrDate;

}
