package com.dxhy.core.job.entity;

import java.util.Date;

import com.baomidou.mybatisplus.annotation.TableName;

import lombok.Data;

/**
 * @author user
 */
@SuppressWarnings("AlibabaClassNamingShouldBeCamel")
@Data
@TableName("t_dx_export_customs")
public class TDxExportCustomsJob {

    private Long id;

    /**
     * 填发日期
     */
    private Date fillInDate;

    /**
     * 缴款税号
     */
    private String gfTaxNo;

    /**
     * 缴款单位
     */
    private String gfName;

    /**
     * 缴款书号
     */
    private String customsCode;

    /**
     * 出口转内销证明编号
     */
    private String exportNo;

    /**
     * 缴款单位一税号
     */
    private String payerOneTaxno;

    /**
     * 缴款单位一名称
     */
    private String payerOneName;

    /**
     * 缴款单位二税号
     */
    private String payerTwoTaxno;

    /**
     * 缴款单位二名称
     */
    private String payerTwoName;

    /**
     * 税款金额
     */
    private String exportTaxAmount;

    /**
     * 有效税款金额
     */
    private String yxExportTaxAmount;

    /**
     * 进口口岸代码
     */
    private String importPortCode;

    /**
     * 收入机关
     */
    private String incomeOffice;

    /**
     * 申请单位编号
     */
    private String applicantCode;

    /**
     * 报关单编号
     */
    private String billCode;

    /**
     * 贸易方式
     */
    private String modeType;

    /**
     * 预算科目代码
     */
    private String budgetCode;

    /**
     * 收款国库代码
     */
    private String treasuryCode;

    /**
     * 合同号
     */
    private String contractCode;

    /**
     * 运输工具
     */
    private String meansTransport;

    /**
     * 缴款期限
     */
    private String paymentPeriod;

    /**
     * 提运单号
     */
    private String deliveryCode;

    /**
     * 数据来源0采集1手工录入2Excel导入3扫描仪录入4电子版导入5签收推送
     */
    private String dataSources;
    /**
     * 数据类型17-海关缴款书
     */
    private String dataType;

    /**
     * 稽核结果 -1-待处理，0-稽核中，1-相符，2-不符，3-缺联，4-重号 5-历史相符
     */
    private String auditStatus;

    /**
     * 是否申请核对0-否 1-是
     */
    private String applyCheck;

    /**
     * 失败原因 4-参数异常 5-数据重复 8-其他异常13-无法登录税局
     */
    private String failReason;

    /**
     * 核查结果 0允许抵扣/退税 1不允许抵扣/退税
     */
    private String checkStatus;

    /**
     * 修改时间
     */
    private Date updateDate;

    /**
     * 认证时间
     */
    private Date rzhDate;

    /**
     * 最晚认证归属期 yyyymm
     */
    private String rzhBelongDateLate;

    /**
     * 实际认证归属期 yyyymm
     */
    private String rzhBelongDate;

    /**
     * 认证确认时间
     */
    private Date confirmDate;

    /**
     * 认证方式 1-手工认证 2-导入认证
     */
    private String rzhType;

    /**
     * 是否认证 0-未认证 1-已认证
     */
    private String rzhYesorno;

    /**
     * 采集时间
     */
    private Date createDate;

    /**
     * 认证结果回传信息
     */
    private String rzhBackMsg;

    /**
     * 当前税款所属期
     */
    private String dqskssq;

    /**
     * 当前税款所属期勾选截止日
     */
    private String gxjzr;

    /**
     * 当前税款所属期可勾选发票开票日期范围起
     */
    private String gxfwq;

    /**
     * 当前税款所属期可勾选发票开票日期范围止
     */
    private String gxfwz;

    /**
     * 是否存入明细 0 无明细 1 有明细
     */
    private String detailYesorno;

    /**
     * 认证处理状态 0-未认证 1-已勾选未确认，2已确认 3 已发送认证 4 认证成功 5 认证失败6撤销认证
     */
    private String authStatus;

    /**
     * 发送认证时间
     */
    private Date sendDate;

    /**
     * 认证类型(1-抵扣 2-退税 3-代理退税4-不抵扣 5-撤销认证 6-撤销不抵扣发票已认证、已勾选有该标签）
     */
    private String rzlx;

    /**
     * 确认人
     */
    private String confirmUser;

    /**
     * 逾期申请结果
     */
    private String yqsqMsg;

    /**
     * 逾期申请标志 0-未申请 1--已申请 默认为空
     */
    private String yqsqStatus;

    /**
     * 管理状态 0正常1异常2-疑似非正常
     */
    private String glzt;

    /**
     * 信息来源 0扫描认证 1系统推送 2出口转内销
     */
    private String xxly;

    private String company;

    private String cxrzStatus;

    private Date cxrzDate;

    private String cxrzCurrentPeriod;

    private String cxbdkStatus;

    private Date cxbdkDate;

    /**
     * 认证类型，1认证抵扣，2认证不抵扣，3退税认证
     */
    private String bdkStatus;

    /**
     * 不抵扣申请属期
     */
    private String bdkCurrentPeriod;

    private Date bdkDate;
    /**
     * 是否录入不符项 0-否 1-是
     */
    private String entryDiscrepancy;

    private String bdkMessage;
}
