package com.dxhy.core.job.entity;

import java.io.Serializable;
import java.util.Date;

import com.baomidou.mybatisplus.annotation.TableName;

import lombok.Data;

/**
 * 功能描述
 *
 * @author 陈刚扬
 * @date 2020/10/30
 */
@SuppressWarnings("AlibabaClassNamingShouldBeCamel")
@Data
@TableName("t_dx_export_invoice")
public class TDxExportInvoiceJob implements Serializable {

    /**
     * id
     */
    private Long id;

    /**
     * 发票类型 01-增值税专用发票 03-机动车销售统一发票 04-增值税普通发票 10-电子发票 11-卷票 14-通行费发票
     */
    private String invoiceType;

    /**
     * 出口转内销证明编号
     */
    private String exportNo;

    /**
     * 发票代码
     */
    private String invoiceCode;

    /**
     * 发票号码
     */
    private String invoiceNo;

    /**
     * 开票日期
     */
    private Date invoiceDate;

    /**
     * 购方税号
     */
    private String gfTaxNo;

    /**
     * 购方名称
     */
    private String gfName;

    /**
     * 销方税号
     */
    private String xfTaxNo;

    /**
     * 销方名称
     */
    private String xfName;

    /**
     * 金额
     */
    private String exportAmount;

    /**
     * 税额
     */
    private String exportTaxAmount;

    /**
     * 有效税额
     */
    private String exportYxse;

    /**
     * 备注
     */
    private String remark;

    /**
     * 发票状态 0-正常 1-失控 2-作废 3-红冲 4-异常
     */
    private String invoiceStatus;

    /**
     * 发票状态修改时间
     */
    private Date statusUpdateDate;

    /**
     * 发票状态最后修改时间
     */
    private Date lastUpdateDate;

    /**
     * 认证时间
     */
    private Date rzhDate;

    /**
     * 最晚认证归属期 yyyymm
     */
    private String rzhBelongDateLate;

    /**
     * 实际认证归属期 yyyymm
     */
    private String rzhBelongDate;

    /**
     * 认证确认时间
     */
    private Date confirmDate;

    /**
     * 认证方式 1-勾选认证 2-扫描认证
     */
    private String rzhType;

    /**
     * 是否认证 0-未认证 1-已认证
     */
    private String rzhYesorno;

    /**
     * 是否有效 1-有效 0-无效
     */
    private String valid;

    /**
     * 发票代码+发票号码 唯一索引 防重复
     */
    private String uuid;

    /**
     * 采集时间
     */
    private Date createDate;

    /**
     * 认证结果回传信息
     */
    private String rzhBackMsg;

    /**
     * 认证处理状态 0-未认证 1-已勾选未确认，2已确认 3 已发送认证 4 认证成功 5 认证失败
     */
    private String authStatus;

    /**
     * 发送认证时间
     */
    private Date sendDate;

    /**
     * 认证类型(1-抵扣 2-退税 3-代理退税 发票已认证、已勾选有该标签）
     */
    private String rzlx;

    /**
     * 是否代办退税(0：否 1：是)
     */
    private String sfdbts;

    /**
     * 校验码
     */
    private String checkCode;

    /**
     * 通行费标志(y-可抵扣通行费，n-不可抵扣通行费)
     */
    private String txfbz;

    /**
     * 零税率标志 (空:非零税率，1:税率栏位显示“免税”，2:税率栏位显示“不征收”，3:零税率
     */
    private String lslbz;

    /**
     * 确认人
     */
    private String confirmUser;

    /**
     * 机器编号 collate utf32_general_ci
     */
    private String machinecode;

    /**
     * 凭证号
     */
    private String voucherNumber;

    /**
     * 逾期申请结果
     */
    private String yqsqMsg;

    /**
     * 逾期申请标志 0-未申请 1--已申请 默认为空
     */
    private String yqsqStatus;

    /**
     * 管理状态 0正常1异常
     */
    private String glzt;

    /**
     * 信息来源 0扫描认证 1系统推送 2出口转内销
     */
    private String xxly;

    /**
     * 逾期可勾选标志 0默认值，1可勾选逾期
     */
    private String yqkgxbz;

    /**
     * 异常类型 0发票状态异常1申报用途变更（抵扣变代办退税）2管理状态异常、注：发票状态为正常时为空
     */
    private String yclx;

    /**
     * 逾期审核状态 0--未审核 1--已审核 默认为空
     */
    private String yqshzt;

    private String company;

    private String cxrzStatus;

    private String cxbdkStatus;

    private String bdkStatus;

    private String bdkCurrentPeriod;

    private Date bdkDate;
    private String bdkMessage;
    private String invoiceSource;
    private String electronicInvoiceNo;
}
