package com.dxhy.core.job.entity;

import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import lombok.Data;

import java.io.Serializable;
import java.util.Date;

/**
 * 接口日志表
 *
 * @author panyan
 */
@SuppressWarnings("AlibabaClassNamingShouldBeCamel")
@TableName("t_dx_http_log_data_platform")
@Data
public class TDxHttpLogDataPlatform implements Serializable {

    private static final long serialVersionUID = 1L;
    @TableId
    private Long logId;
    /**
     * 税号
     */
    private String taxno;
    /**
     * 请求类型 01 发票获取，02 发票状态获取，03发票认证接口，04发票认证结果获取接口，05属期查询接口，06勾选发票获取接口
     */
    private String type;
    /**
     * 请求时间
     */
    private Date reqDate;
    /**
     * 请求报文
     */
    private String reqText;
    /**
     * 返回报文时间
     */
    private Date resDate;
    /**
     * 返回报文
     */
    private String resText;
    /**
     * 解析状态 0 未解析 1 解析成功 2 解析失败
     */
    private String status;
    /**
     * 返回报文中发票统计数
     */
    private String total;
    /**
     * 企业代码
     */
    private String company;
    /**
     * 发票类型
     */
    private String invoiceType;

    /**
     * 请求类型 1-进项 2-销项
     */
    private String subject;

}
