package com.dxhy.core.job.entity;

import java.io.Serializable;
import java.util.Date;

import com.baomidou.mybatisplus.annotation.TableName;

import lombok.Data;

/**
 * 扫描表、签收表
 *
 * @author panyan
 */
@SuppressWarnings("AlibabaClassNamingShouldBeCamel")
@TableName("t_dx_invoice")
@Data
public class TDxInvoiceEntity implements Serializable {
    private static final long serialVersionUID = 1L;
    /**
     * 发票扫描id
     */
    private Long id;
    /**
     * 发票类型
     */
    private String invoiceType;
    /**
     * 发票代码
     */
    private String invoiceCode;
    /**
     * 发票号码
     */
    private String invoiceNo;
    /**
     * 扫描流水号
     */
    private String invoiceSerialNo;
    /**
     * 购买方纳税人识别号
     */
    private String gfTaxNo;
    /**
     * 购方名称
     */
    private String gfName;
    /**
     * 销售方纳税人识别号
     */
    private String xfTaxNo;

    /**
     * 销售名称
     */
    private String xfName;
    /**
     * 发票金额
     */
    private String invoiceAmount;

    /**
     * 发票税额
     */
    private String taxAmount;
    /**
     * 发票价税合计
     */
    private String totalAmount;
    /**
     * 开票日期
     */
    private String invoiceDate;
    /**
     * 扫描账号
     */
    private String userAccount;
    /**
     * 扫描人
     */
    private String userName;
    /**
     * 签收方式
     */
    private String qsType;
    /**
     * 签收状态
     */
    private String qsStatus;
    /**
     * 是否有效（1-有效 0-无效）
     */
    private String valid;
    /**
     * uuId发票代码+发票号码
     */
    private String uuId;

    /**
     * 创建时间
     */
    private String createDate;
    /**
     * 修改时间
     */
    private String updateDate;
    /**
     * 签收时间
     */
    private Date qsDate;
    /**
     * 扫描唯一识别码
     */
    private String scanId;
    /**
     * 扫描备注
     */
    private String notes;
    /**
     * 部门id
     */
    private String deptId;

    /**
     * 校验码
     */
    private String checkCode;
    /**
     * 部门名称
     */
    private String deptName;
    /**
     * 结算单号
     */
    private String settlementNo;

    /**
     * 是否结算（0未结算，1已结算）
     */
    private String settlementStatus;
    /**
     * 结算单来源
     */
    private String settleSource;

    /**
     * 发票状态
     */
    private String invoiceStatus;
}
