package com.dxhy.core.job.entity;

import java.io.Serializable;
import java.util.Date;

import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;

import lombok.Data;

/**
 * 接口日志表
 *
 * @author panyan
 */
@SuppressWarnings("AlibabaClassNamingShouldBeCamel")

@TableName("t_dx_tax_current")
@Data
public class TDxTaxCurrent implements Serializable {

    private static final long serialVersionUID = 1L;

    @TableId
    private Long id;
    /**
     * 税号
     */
    private String taxno;
    /**
     * 企业名
     */
    private String taxname;
    /**
     * 当前税款所属期
     */
    private String currentTaxPeriod;
    /**
     * 勾选开始日期
     */
    private String selectStartDate;
    /**
     * 勾选结束日期
     */
    private String selectEndDate;
    /**
     * 所属期结束日期
     */
    private String operationEndDate;
    /**
     * 旧税号
     */
    private String oldTaxNo;
    /**
     * 申报周期１－月报 ３－季报
     */
    private String declarePeriod;
    /**
     * 企业信用等级
     */
    private String creditRating;
    /**
     * 公司类型SC或ZC生产企业；WM外贸企业；ZF外综服企业；QT其他
     */
    private String companyType;
    /**
     * 油类企业类型YLF非成品油企业； YLJX成品油经销企业； YLSC成品油生产企业
     */
    private String oilType;
    /**
     * 纳税人资格01增值税一般纳税人02- 辅导期一般纳税人 04- 特定征收部门05- 转登记纳税人08- 小规模纳税人
     */
    private String taxpayerType;
    /**
     * 档案同步时间
     */
    private String syncTime;
    /**
     * 所属期-申报状态；自然月-申报状态（0未申报，1已申报，2未知状态）
     */
    private String indexInfo;
    /**
     * 所属期-申报状态（0未申报，1已申报，2未知状态） 
     */
    private String periodIndexInfo;
    /**
     * 自然月-申报状态（0未申报，1已申报，2未知状态） 
     */
    private String monthIndexInfo;

    private Date updateTime;

    private Date createTime;

    private String latchStatus;

}
