package com.dxhy.core.job.pojo;

import java.util.Date;

import lombok.Getter;
import lombok.Setter;
import lombok.ToString;

/**
 * 发票采集实体（抵账表）
 *
 * @author Colin.hu
 * @date 4/11/2018
 */
@Getter
@Setter
@ToString
public class InvoiceCollectionInfo {

    private static final long serialVersionUID = -1356483923293195675L;

    private String deptId;
    /**
     * 税额
     */
    private String taxAmount;
    /**
     * 购方税号
     */
    private String gfTaxNo;
    /**
     * 部门名称
     *
     * @author 陈刚扬
     * @date 2020/10/30
     * @param null
     * @return
     */
    private String dept;
    /**
     * 当前税款所属期
     *
     * @author 陈刚扬
     * @date 2020/10/30
     * @param null
     * @return
     */
    private String dqskssq;
    /**
     * 转出原因1-免税项目用2-集体福利,个人消费；3-非正常损失；4-简易计税方法征税项目用； 5-免抵退税办法不得抵扣的进项税额；6-纳税检查调减进项税额；7-红字专用发票通知单注明的进项税额；8-上期留抵税额抵减欠税
     */
    private String outReason;
    /**
     * 销方开户行及账号
     *
     * @author 陈刚扬
     * @date 2020/10/30
     * @param null
     * @return
     */
    private String xfBankAndNo;
    /**
     * 唯一索引 防重复
     *
     * @author 陈刚扬
     * @date 2020/10/30
     * @param null
     * @return
     */
    private String uuid;
    /**
     * 勾选方式(0-手工勾选 1-扫码勾选 2-导入勾选 3- 智能勾选 4-手工认证 5-扫码认证 6-导入认证)
     *
     * @author 陈刚扬
     * @date 2020/10/30
     * @param null
     * @return
     */
    private String gxType;
    /**
     * 发送认证时间
     *
     * @author 陈刚扬
     * @date 2020/10/30
     * @param null
     * @return
     */
    private Date sendDate;
    /**
     * 提交认证操作人
     *
     * @author 陈刚扬
     * @date 2020/10/30
     * @param null
     * @return
     */
    private String gxUserName;
    /**
     * 认证处理状态 0-未认证 1-已勾选未确认，2已确认 3 已发送认证 4 认证成功 5 认证失败
     *
     * @author 陈刚扬
     * @date 2020/10/30
     * @param null
     * @return
     */
    private String authStatus;
    /**
     * 采集时间
     *
     * @author 陈刚扬
     * @date 2020/10/30
     * @param null
     * @return
     */
    private Date createDate;
    /**
     * 购方地址电话
     *
     * @author 陈刚扬
     * @date 2020/10/30
     * @param null
     * @return
     */
    private String gfAddressAndPhone;
    /**
     * 认证方式 1-勾选认证 2-扫描认证
     *
     * @author 陈刚扬
     * @date 2020/10/30
     * @param null
     * @return
     */
    private String rzhType;
    /**
     * 通行费标志(Y-可抵扣通行费，N-不可抵扣通行费)
     *
     * @author 陈刚扬
     * @date 2020/10/30
     * @param null
     * @return
     */
    private String txfbz;
    /**
     * 底账来源 0-采集 1-查验
     *
     * @author 陈刚扬
     * @date 2020/10/30
     * @param null
     * @return
     */
    private String sourceSystem;
    /**
     * 转出税额
     *
     * @author 陈刚扬
     * @date 2020/10/30
     * @param null
     * @return
     */
    private String outTaxAmount;
    /**
     * 认证结果回传信息
     *
     * @author 陈刚扬
     * @date 2020/10/30
     * @param null
     * @return
     */
    private String rzhBackMsg;
    /**
     * 销方地址及电话
     *
     * @author 陈刚扬
     * @date 2020/10/30
     * @param null
     * @return
     */
    private String xfAddressAndPhone;
    /**
     * 认证时间
     *
     * @author 陈刚扬
     * @date 2020/10/30
     * @param null
     * @return
     */
    private Date rzhDate;
    /**
     * 价格合计
     *
     * @author 陈刚扬
     * @date 2020/10/30
     * @param null
     * @return
     */
    private String totalAmount;
    /**
     * 发票状态修改时间
     *
     * @author 陈刚扬
     * @date 2020/10/30
     * @param null
     * @return
     */
    private Date statusUpdateDate;
    /**
     * 签收结果（0-未签收 1-已签收）
     *
     * @author 陈刚扬
     * @date 2020/10/30
     * @param null
     * @return
     */
    private String qsStatus;
    /**
     * 认证确认时间
     *
     * @author 陈刚扬
     * @date 2020/10/30
     * @param null
     * @return
     */
    private Date confirmDate;
    /**
     * 发票状态 0-正常 1-失控 2-作废 3-红冲 4-异常
     *
     * @author 陈刚扬
     * @date 2020/10/30
     * @param null
     * @return
     */
    private String invoiceStatus;
    /**
     * 实际认证归属期 yyyyMM
     *
     * @author 陈刚扬
     * @date 2020/10/30
     * @param null
     * @return
     */
    private String rzhBelongDate;
    /**
     * 是否认证 0-未认证 1-已认证
     *
     * @author 陈刚扬
     * @date 2020/10/30
     * @param null
     * @return
     */
    private String rzhYesorno;
    /**
     * 转出日期
     *
     * @author 陈刚扬
     * @date 2020/10/30
     * @param null
     * @return
     */
    private Date outDate;
    /**
     * 备注
     *
     * @author 陈刚扬
     * @date 2020/10/30
     * @param null
     * @return
     */
    private String remark;
    /**
     * 最晚认证归属期 yyyyMM
     *
     * @author 陈刚扬
     * @date 2020/10/30
     * @param null
     * @return
     */
    private String rzhBelongDateLate;
    /**
     * 当前税款所属期可勾选发票开票日期范围起
     *
     * @author 陈刚扬
     * @date 2020/10/30
     * @param null
     * @return
     */
    private String gxfwq;
    /**
     * 金额
     *
     * @author 陈刚扬
     * @date 2020/10/30
     * @param null
     * @return
     */
    private String invoiceAmount;
    /**
     * 开票日期
     *
     * @author 陈刚扬
     * @date 2020/10/30
     * @param null
     * @return
     */
    private Date invoiceDate;
    /**
     * 是否有效 0-有效 1-无效
     *
     * @author 陈刚扬
     * @date 2020/10/30
     * @param null
     * @return
     */
    private String valid;
    /**
     * 销方名称
     *
     * @author 陈刚扬
     * @date 2020/10/30
     * @param null
     * @return
     */
    private String xfName;
    /**
     * 校验码
     *
     * @author 陈刚扬
     * @date 2020/10/30
     * @param null
     * @return
     */
    private String checkCode;
    /**
     * 购方开户行及账号
     *
     * @author 陈刚扬
     * @date 2020/10/30
     * @param null
     * @return
     */
    private String gfBankAndNo;
    /**
     * 是否代办退税(0：否 1：是)
     *
     * @author 陈刚扬
     * @date 2020/10/30
     * @param null
     * @return
     */
    private String sfdbts;
    /**
     * 发票类型 01-增值税专用发票 03-机动车销售统一发票 04-增值税普通发票 10-电子发票 11-卷票 14-通行费发票
     *
     * @author 陈刚扬
     * @date 2020/10/30
     * @param null
     * @return
     */
    private String invoiceType;
    /**
     * 当前税款所属期可勾选发票开票日期范围止
     *
     * @author 陈刚扬
     * @date 2020/10/30
     * @param null
     * @return
     */
    private String gxfwz;
    /**
     * 转出金额
     *
     * @author 陈刚扬
     * @date 2020/10/30
     * @param null
     * @return
     */
    private String outInvoiceAmout;
    /**
     * 发票状态最后修改时间
     *
     * @author 陈刚扬
     * @date 2020/10/30
     * @param null
     * @return
     */
    private Date lastUpdateDate;
    /**
     * 是否存入明细 0 无明细 1 有明细
     *
     * @author 陈刚扬
     * @date 2020/10/30
     * @param null
     * @return
     */
    private String detailYesorno;
    /**
     * 认证类型(1-抵扣 2-退税 3-代理退税 发票已认证、已勾选有该标签）
     *
     * @author 陈刚扬
     * @date 2020/10/30
     * @param null
     * @return
     */
    private String rzlx;
    /**
     * 发票号码
     *
     * @author 陈刚扬
     * @date 2020/10/30
     * @param null
     * @return
     */
    private String invoiceNo;
    /**
     * 提交认证操作人账号
     *
     * @author 陈刚扬
     * @date 2020/10/30
     * @param null
     * @return
     */
    private String gxUserAccount;
    /**
     * 转出状态 0-未转出 1-已转出
     *
     * @author 陈刚扬
     * @date 2020/10/30
     * @param null
     * @return
     */
    private String outStatus;
    /**
     * 签收时间
     *
     * @author 陈刚扬
     * @date 2020/10/30
     * @param null
     * @return
     */
    private Date qsDate;
    /**
     * 勾选时间
     *
     * @author 陈刚扬
     * @date 2020/10/30
     * @param null
     * @return
     */
    private Date gxDate;
    /**
     * 发票代码
     *
     * @author 陈刚扬
     * @date 2020/10/30
     * @param null
     * @return
     */
    private String invoiceCode;
    /**
     * 转出备注
     *
     * @author 陈刚扬
     * @date 2020/10/30
     * @param null
     * @return
     */
    private String outRemark;
    /**
     * 当前税款所属期勾选截止日
     *
     * @author 陈刚扬
     * @date 2020/10/30
     * @param null
     * @return
     */
    private String gxjzr;
    /**
     * 是否已勾选
     *
     * @author 陈刚扬
     * @date 2020/10/30
     * @param null
     * @return
     */
    private String sfygx;
    /**
     * 购方名称
     *
     * @author 陈刚扬
     * @date 2020/10/30
     * @param null
     * @return
     */
    private String gfName;
    /**
     * 签收方式（0-扫码签收 1-扫描仪签收 2-app签收 3-导入签收 4-手工签收5-pdf上传签收
     *
     * @author 陈刚扬
     * @date 2020/10/30
     * @param null
     * @return
     */
    private String qsType;
    /**
     * 销方税号
     *
     * @author 陈刚扬
     * @date 2020/10/30
     * @param null
     * @return
     */
    private String xfTaxNo;
    /**
     * 零税率标志 (空:非零税率，1:税率栏位显示“免税”，2:税率栏位显示“不征收”，3:零税率
     *
     * @author 陈刚扬
     * @date 2020/10/30
     * @param null
     * @return
     */
    private String lslbz;
    /**
     * 机器编号
     *
     * @author 陈刚扬
     * @date 2020/10/30
     * @param null
     * @return
     */
    private String machinecode;
    private String confirmUser;
    /**
     * 抵账表原有购方税号，防止查验后得到的购方税号和原有抵账表购方税号不同而更新不到数据
     */
    private String buyerTaxNo;
    /**
     * 以字符串接收开票日期（只适用于getInvoiceInfo，其他请用invoiceDate字段）
     */
    private String openInvoiceDate;

    /**
     * 签收状态名称
     */
    private String qsStatusName;

    /**
     * 开票状态名称
     */
    private String invoiceStatusName;

    /**
     * 是否签收名称
     */
    private String rzhYesornoName;

    /**
     * 发票类型名称
     */
    private String invoiceTypeName;

    /**
     * 签收方式名称
     */
    private String qsTypeName;

    private String deptName;
    /**
     * 结算单号
     */
    private String settlementNo;
    /**
     * 是否结算
     */
    private String settlementStatus;
    /**
     * 结算单来源
     */
    private String settleSource;

    /**
     * 签收人
     *
     * @return
     */
    private String userName;

}
