package com.dxhy.core.job.pojo.down;

import lombok.Data;

import java.util.Date;
import java.util.List;

/**
 * 专普电
 *
 * @author jiaohongyang
 */
@Data
public class RecordInvoiceDownModel {
    /**
     * 发票类型 01-增值税专用发票 03-机动车销售统一发票 04-增值税普通发票 10-电子发票 11-卷票 14-通行费发票 15-二手车
     */
    private String invoiceType;
    /**
     * 发票代码
     */
    private String invoiceCode;
    /**
     * 发票号码
     */
    private String invoiceNo;
    /**
     * 开票日期
     */
    private String invoiceDate;
    /**
     * 发票状态 0-正常 1-失控 2-作废 3-红冲 4-异常
     */
    private String invoiceStatus;
    /**
     * 销方税号
     */
    private String salerTaxNo;
    /**
     * 销方名称
     */
    private String salerName;
    /**
     * 购方税号
     */
    private String buyerTaxNo;
    /**
     * 购方名称
     */
    private String buyerName;
    /**
     * 金额
     */
    private String invoiceAmount;
    /**
     * 税额
     */
    private String taxAmount;
    /**
     * 价格合计
     */
    private String totalAmount;
    /**
     * 校验码
     */
    private String checkCode;
    /**
     * 销方地址及电话
     */
    private String salerAddressPhone;
    /**
     * 销方开户行及账号
     */
    private String salerAcount;
    /**
     * 购方地址电话
     */
    private String buyerAddressPhone;
    /**
     * 购方开户行及账号
     */
    private String buyerAcount;
    /**
     * 密文
     */
    private String mw;
    /**
     * 备注
     */
    private String remark;
    /**
     * 开票人
     */
    private String invoicer;
    /**
     * 收款人
     */
    private String payee;
    /**
     * 复核人
     */
    private String reviewer;
    /**
     * 机器编码
     */
    private String jqbm;
    /**
     * 机打号码
     */
    private String jdhm;
    /**
     * 代开税号
     */
    private String dkTaxno;
    /**
     * 代开名称
     */
    private String dkTaxname;
    /**
     * 代开状态 0--否 不是代开 1--是 是代开
     */
    private String dkStatus;
    /**
     * 发票明细
     */
    private List<RecordInvoiceDetailModel> detailList;

    /**
     * 票池采集时间
     *
     * @author 陈刚扬
     * @date 2020/10/30
     * @param null
     * @return
     */
    private Date collectDate;
    /**
     * 票池采集来源
     *
     * @author 陈刚扬
     * @date 2020/10/30
     * @param null
     * @return
     */
    private String collectFrom;
    /**
     * 票池采集状态
     *
     * @author 陈刚扬
     * @date 2020/10/30
     * @param null
     * @return
     */
    private String collectStatus;
    /**
     * 票池入池状态
     *
     * @author 陈刚扬
     * @date 2020/10/30
     * @param null
     * @return
     */
    private String poolStatus;
    /**
     * 票池入池失败原因
     *
     * @author 陈刚扬
     * @date 2020/10/30
     * @param null
     * @return
     */
    private String inPoolReason;

    /**
     * company
     */
    private String company;

    private String detailYesorno;

    private String uuid;

    private Date statusUpdateDate;

}
