package com.dxhy.core.job.service;

import java.util.List;

import com.dxhy.core.job.entity.TAcOrg;
import com.dxhy.core.job.entity.TDxHttpLogDataPlatform;

/**
 * 统计接口 -- 以及确认接口
 *
 * @author futianhao
 */

public interface DataPlatformCollectService {
    /**
     * 查询税号
     *
     * @author 陈刚扬
     * @date 2020/10/30
     * @param
     * @return java.util.List<com.dxhy.core.job.entity.TAcOrg>
     */
    List<TAcOrg> getOrgTaxno();

    /**
     * 发送请求
     *
     * @author 陈刚扬
     * @date 2020/10/30
     * @param type
     * @param taxno
     * @param linkName
     * @param company
     * @param params
     * @param reqType
     * @param aceId
     * @param aceKey
     * @return void
     */
    void sendRequest(String type, String taxno, String linkName, String company, String params, String reqType,
        String aceId, String aceKey);

    /**
     * 获取未解析信息
     *
     * @author 陈刚扬
     * @date 2020/10/30
     * @param s
     * @return java.util.List<com.dxhy.core.job.entity.TDxHttpLogDataPlatform>
     */
    List<TDxHttpLogDataPlatform> getNotParseHttpLogs(String s);

    /**
     * 解析
     *
     * @author 陈刚扬
     * @date 2020/10/30
     * @param tDxHttpLog
     * @param db
     * @return void
     */
    void subscribe(TDxHttpLogDataPlatform tDxHttpLog, String db);

    /**
     * 发送请求
     *
     * @author 陈刚扬
     * @date 2020/10/30
     * @param taxno
     * @param db
     * @param taxname
     * @param type
     * @param params
     * @param company
     * @param aceId
     * @param aceKey
     * @return void
     */
    void sendStateRequest(String taxno, String db, String taxname, String type, String params, String company,
        String aceId, String aceKey);

    /**
     * 获取税号
     * 
     * @return 税号
     */
    List<String> getNeedParseTaxno();

    /**
     * 根据税号查询解析报文
     * 
     * @param taxno
     *            税号
     * @return 报文
     */
    List<TDxHttpLogDataPlatform> getHttpLogsByTaxno(String taxno);
}
