package com.dxhy.core.model;

import java.io.Serializable;

import lombok.Data;

/**
 * 发票认证查询的返回对象
 *
 * @author kangzq
 */
@Data
public class BbfpzhcxRespVO implements Serializable {
    private static final long serialVersionUID = 1L;

    /**
     * ID
     */
    private String id;

    /**
     * 序号
     */
    private String xh;

    /**
     * 发票代码
     */
    private String invoiceCode;

    /**
     * 发票号码
     */
    private String invoiceNo;

    /**
     * 发票类型 01-增值税专用发票 03-机动车销售统一发票 04-增值税普通发票 10-电子发票 11-卷票 14-通行费发票
     */
    private String invoiceType;

    /**
     * 开票日期
     */
    private String invoiceDate;

    /**
     * 购方税号
     */
    private String gfsh;

    /**
     * 购方名称
     */
    private String gfmc;

    /**
     * 销方税号
     */
    private String xfsh;

    /**
     * 销方名称
     */
    private String xfmc;

    /**
     * 金额
     */
    private String invoiceAmount;

    /**
     * 发票状态 0-正常 1-失控 2-作废 3-红冲 4-异常
     */
    private String invoiceStatus;

    /**
     * 认证时间
     */
    private String rzsj;

    /**
     * 签收日期
     */
    private String qsrq;

    /**
     * 发票代码+发票号码 唯一索引 防重复
     */
    private String uuid;

    /**
     * 当前税款所属期
     */
    private String skssq;

    /**
     * 认证处理状态 0-未认证 1-已勾选未确认，2已确认 3 已发送认证 4 认证成功 5 认证失败
     */
    private String rzclzt;

    /**
     * 签收方式（0-扫码签收 1-扫描仪签收 2-app签收 3-导入签收 4-手工签收5-pdf上传签收
     */
    private String qsfs;

    /**
     * 签收结果（0-未签收 1-已签收）
     */
    private String qszt;

    /**
     * 税额
     */
    private String taxAmount;
    /**
     * 抵扣税额
     */
    private String dkTaxAmount;
    private String totalAmount;
    /**
     * 签收人
     */
    private String qsr;
    /**
     * 认证状态
     */
    private String rzzt;

    private String deptId;
    /**
     * 认证人
     * 
     * @author 陈刚扬
     * @date 2020/10/30
     * @param null
     * @return
     */
    private String rzhr;
    /**
     * 管理状态
     * 
     * @author 陈刚扬
     * @date 2020/10/30
     * @param null
     * @return
     */
    private String glzt;
    /**
     * 1-认证抵扣 2-认证不抵扣
     * 
     * @author 陈刚扬
     * @date 2020/10/30
     * @param null
     * @return
     */
    private String bdkStatus;

    private String deptName;
    private String businessName;
    /**
     * 出口转内销标志
     */
    private String exportMark;
    private String inAccountStatus;
    private String settleSource;
    private String settlementStatus;
    private String settlementNo;
    private String illegalSupplier;
    private String remark;
    private String voucherNumber;
    private String illegalEnterprise;

    public BbfpzhcxRespVO() {}

}
