package com.dxhy.core.model;

import lombok.Data;

/**
 * 发票认证日报或月报实体
 * 
 * @author user
 */
@Data
public class DailyReportVo {

    public DailyReportVo() {}

    public DailyReportVo(String rzhDate) {
        this.rzhDate = rzhDate;
        this.count = 0;
        this.amount = 0.00;
        this.tax = 0.00;
    }

    /**
     * 认证日期(或税款所属期),进项税额报表中为转出原因类别
     * 
     * @author 陈刚扬
     * @date 2020/10/30
     * @param null
     * @return
     */
    private String rzhDate;

    /**
     * 发票数量
     * 
     * @author 陈刚扬
     * @date 2020/10/30
     * @param null
     * @return
     */
    private Integer count;

    /**
     * 合计金额
     * 
     * @author 陈刚扬
     * @date 2020/10/30
     * @param null
     * @return
     */
    private Double amount;

    /**
     * 合计税额
     * 
     * @author 陈刚扬
     * @date 2020/10/30
     * @param null
     * @return
     */
    private Double tax;
    /**
     * 价税合计
     * 
     * @author 陈刚扬
     * @date 2020/10/30
     * @param null
     * @return
     */
    private Double totalAmount;
    /**
     * 购方税号
     * 
     * @author 陈刚扬
     * @date 2020/10/30
     * @param null
     * @return
     */
    private String gfTaxNo;
    /**
     * 购方名称
     * 
     * @author 陈刚扬
     * @date 2020/10/30
     * @param null
     * @return
     */
    private String gfName;
    /**
     * 税款所属期
     * 
     * @author 陈刚扬
     * @date 2020/10/30
     * @param null
     * @return
     */
    private String rzhBelongDate;
}
