package com.dxhy.core.model;

import java.io.Serializable;

import lombok.Data;

/**
 * 发票认证查询的respvo
 *
 * @author kangzq
 */
@Data
public class FpRzRespVO implements Serializable {
    private static final long serialVersionUID = 1L;

    /**
     * ID
     */
    private String id;

    /**
     * 序号
     */
    private String xh;
    private String order;

    /**
     * 发票代码
     */
    private String invoiceCode;

    /**
     * 发票号码
     */
    private String invoiceNo;

    /**
     * 发票类型 01-增值税专用发票 03-机动车销售统一发票 04-增值税普通发票 10-电子发票 11-卷票 14-通行费发票
     */
    private String invoiceType;

    /**
     * 开票日期
     */
    private String invoiceDate;

    /**
     * 购方税号
     */
    private String gfTaxNo;
    private String gfsh;
    private String gfmc;
    private String gxrq;
    private String fpdm;
    private String fphm;
    private String kprq;
    private String je;
    private String se;
    private String yxdkse;
    private String buyerTax;
    private String buyerName;
    private String sellerTax;
    private String sellerName;
    private String signInStatus;
    private String signInDate;
    private String signInType;
    private String signInPeople;
    private String authenticationDate;
    private String authenticationStatus;
    private String authenticationDetailStatus;
    private String authenticationType;
    private String authenticationPerson;
    private String taxPeriod;
    /**
     * 购方名称
     */
    private String gfName;

    /**
     * 销方税号
     */
    private String xfTaxNo;
    private String xfsh;
    private String xfmc;

    /**
     * 销方名称
     */
    private String xfName;

    /**
     * 金额
     */
    private String invoiceAmount;

    /*
      税额
     */

    /**
     * 发票状态 0-正常 1-失控 2-作废 3-红冲 4-异常
     */
    private String invoiceStatus;

    /**
     * 认证时间
     */
    private String rzhDate;

    /**
     * 签收时间
     */
    private String qsDate;

    /**
     * 认证方式 1-勾选认证 2-扫描认证
     */
    private String rzhType;

    /**
     * 提交认证操作人
     */
    private String gxUserName;

    /**
     * 发票代码+发票号码 唯一索引 防重复
     */
    private String uuid;

    /**
     * 当前税款所属期
     */
    private String dqskssq;
    private String skssq;

    /**
     * 认证处理状态 0-未认证 1-已勾选未确认，2已确认 3 已发送认证 4 认证成功 5 认证失败
     */
    private String authStatus;

    /**
     * 签收方式（0-扫码签收 1-扫描仪签收 2-app签收 3-导入签收 4-手工签收5-pdf上传签收
     */
    private String qsType;

    /**
     * 签收结果（0-未签收 1-已签收）
     */
    private String qsStatus;
    private String qszt;
    private String qsrq;
    private String qsfs;
    private String qsr;
    private String rzsj;
    private String rzzt;
    private String rzclzt;
    private String rzlx;
    private String businessName;

    /**
     * 税额
     */
    private String taxAmount;
    /**
     * 抵扣税额
     */
    private String dkTaxAmount;

    /**
     * 确认人
     */
    private String confirmUser;
    private String rzr;
    /**
     * 签收人
     */
    private String qsName;

    private String deptId;

    private String deptName;

    private String gxDate;
    /**
     * 撤销认证状态
     */
    private String cxrzStatus;
    /**
     * 认证类型1-认证抵扣 2-认证不抵扣
     *
     * @author 陈刚扬
     * @date 2020/10/30
     * @param null
     * @return
     */
    private String bdkStatus;
    private String exportMark;
    private String inAccountStatus;

    /**
     * 付款状态
     */
    private String paymentStatus;

    /**
     * 付款日期
     */
    private String paymentDate;
    private String voucherNumber;
    /**
     * 全电发票号码
     */
    private String eleInvoiceNo;
}
