package com.dxhy.core.model.openservice;

import java.io.Serializable;

import lombok.Data;
import lombok.NoArgsConstructor;

/**
 * @author user
 */
@Data
@NoArgsConstructor
public class OpenServiceRequest implements Serializable {

    public OpenServiceRequest(String dataExchangeId, String entCode, String content) {
        this.dataExchangeId = dataExchangeId;
        this.entCode = entCode;
        this.content = content;
    }

    /**
     * 数据交换流水号
     * 
     * @author 陈刚扬
     * @date 2020/10/30
     * @param null
     * @return
     */
    private String dataExchangeId;

    /**
     * 压缩标识，默认为0
     * 
     * @author 陈刚扬
     * @date 2020/10/30
     * @param null
     * @return
     */
    private String zipCode = "0";

    /**
     * 加密标识，默认为0
     * 
     * @author 陈刚扬
     * @date 2020/10/30
     * @param null
     * @return
     */
    private String encryptCode = "0";

    /**
     * 企业标识
     * 
     * @author 陈刚扬
     * @date 2020/10/30
     * @param null
     * @return
     */
    private String entCode;

    /**
     * 接口请求内容
     * 
     * @author 陈刚扬
     * @date 2020/10/30
     * @param null
     * @return
     */
    private String content;

}
