package com.dxhy.core.service.dataupload;

import org.springframework.web.multipart.MultipartFile;

import com.dxhy.common.service.MpBaseService;
import com.dxhy.core.entity.TDxScanInvoiceLog;

/**
 * ocr数据上传接口
 *
 * @author aa
 */

public interface ISmDataUploadService extends MpBaseService<TDxScanInvoiceLog> {

    /**
     * 校验扫描数据
     *
     * @param scanData
     *            扫描数据
     * @return 返回
     *
     */
    String validateData(String scanData);

    /**
     * 保存扫描数据
     *
     * @param scanData
     *            扫描数据
     *
     */
    void saveScanData(String scanData);

    /**
     * 发票图片上传
     *
     * @param file
     *            图片
     * 
     * @param database
     *            数据库
     * 
     * @return 返回
     */
    String uploadImg(MultipartFile file, String database);

    /**
     * 海关缴款书图片上传
     * 
     * @param file
     *            图片
     * @param database
     *            数据库
     * @param pch
     *            批次号
     * @return 返回
     */

    String uploadCustomsImg(MultipartFile file, String database, String pch);
}
