package com.dxhy.core.service.export;

import java.util.Map;

import com.alibaba.fastjson.JSONObject;
import com.dxhy.common.service.MpBaseService;
import com.dxhy.core.model.CustomsCollectVO;

/**
 * 发票采集业务处理接口
 *
 * @author user
 */

public interface ICustomsCollectService extends MpBaseService<CustomsCollectVO> {

    /**
     * 根据购方税号和采集日期查询统计信息
     *
     * @author 陈刚扬
     * @date 2020/10/29
     * @param pramsMap
     * @param curr
     * @param defaultSize
     * @return com.alibaba.fastjson.JSONObject
     */
    JSONObject queryCollect(Map<String, Object> pramsMap, int curr, int defaultSize);

    /**
     * 功能描述
     *
     * @author 陈刚扬
     * @date 2020/10/29
     * @param pramsMap
     * @param curr
     * @param defaultSize
     * @return com.alibaba.fastjson.JSONObject
     */
    JSONObject queryRzcxByPage(Map<String, Object> pramsMap, int curr, int defaultSize);

    /**
     * 功能描述
     *
     * @author 陈刚扬
     * @date 2020/10/29
     * @param pramsMap
     * @param curr
     * @param defaultSize
     * @return com.alibaba.fastjson.JSONObject
     */
    JSONObject queryInsertCustoms(Map<String, Object> pramsMap, int curr, int defaultSize);

    /**
     * 功能描述
     *
     * @author 陈刚扬
     * @date 2020/10/29
     * @param pramsMap
     * @param curr
     * @param defaultSize
     * @return com.alibaba.fastjson.JSONObject
     */
    JSONObject queryManualSign(Map<String, Object> pramsMap, int curr, int defaultSize);

    /**
     * 功能描述
     *
     * @author 陈刚扬
     * @date 2020/10/29
     * @param pramsMap
     * @param curr
     * @param defaultSize
     * @return com.alibaba.fastjson.JSONObject
     */
    JSONObject queryVatRzcx(Map<String, Object> pramsMap, int curr, int defaultSize);

    /**
     * 功能描述
     *
     * @author 陈刚扬
     * @date 2020/10/29
     * @param pramsMap
     * @param curr
     * @param defaultSize
     * @return com.alibaba.fastjson.JSONObject
     */
    JSONObject queryCustomsRzcx(Map<String, Object> pramsMap, int curr, int defaultSize);

    /**
     * 功能描述
     *
     * @author 陈刚扬
     * @date 2020/10/29
     * @param pramsMap
     * @param curr
     * @param defaultSize
     * @return com.alibaba.fastjson.JSONObject
     */
    JSONObject querySign(Map<String, Object> pramsMap, int curr, int defaultSize);

    /**
     * 功能描述
     *
     * @author 陈刚扬
     * @date 2020/10/29
     * @param pramsMap
     * @param curr
     * @param defaultSize
     * @return com.alibaba.fastjson.JSONObject
     */
    JSONObject queryCustomsRefundConfirmList(Map<String, Object> pramsMap, int curr, int defaultSize);

    /**
     * 功能描述
     *
     * @author 陈刚扬
     * @date 2020/10/29
     * @param pramsMap
     * @param curr
     * @param defaultSize
     * @return com.alibaba.fastjson.JSONObject
     */
    JSONObject queryExportInvoiceList(Map<String, Object> pramsMap, int curr, int defaultSize);

    /**
     * 功能描述
     *
     * @author 陈刚扬
     * @date 2020/10/29
     * @param pramsMap
     * @param curr
     * @param defaultSize
     * @return com.alibaba.fastjson.JSONObject
     */
    JSONObject queryExportCustomsList(Map<String, Object> pramsMap, int curr, int defaultSize);
}
