package com.dxhy.core.service.export.impl;

import com.dxhy.common.service.impl.MpBaseServiceImpl;
import com.dxhy.core.dao.InvoiceOutDao;
import com.dxhy.core.model.ReceiptInvoiceView;
import com.dxhy.core.service.export.IExportInvoiceOutService;
import com.github.pagehelper.PageInfo;
import lombok.extern.slf4j.Slf4j;
import org.springframework.stereotype.Service;

import java.util.List;
import java.util.Map;

/**
 * 进项税转出相关service
 *
 * @author user
 */

@Service("exportInvoiceOutService")

@Slf4j
public class ExportInvoiceOutServiceImpl extends MpBaseServiceImpl<InvoiceOutDao, ReceiptInvoiceView>
    implements IExportInvoiceOutService {

    /**
     * 已转出进项税导出list
     *
     * @param filter
     * @return
     */
    @Override
    public PageInfo<ReceiptInvoiceView> listExportByInvoice(Map<String, Object> filter) {
        List<ReceiptInvoiceView> list = super.baseMapper.listPageByInvoice(filter);
        return new PageInfo<>(list);
    }
}
