package com.dxhy.core.service.invoicedetail;

import java.util.List;
import java.util.Map;

import com.dxhy.common.service.MpBaseService;
import com.dxhy.core.entity.TDxRecordInvoice;
import com.dxhy.core.job.entity.TDxVehicleSaleInvoice;
import com.dxhy.core.model.CertifiedInvoiceVo;
import com.dxhy.core.model.InvoiceDetails;

/**
 * 发票明细
 *
 * @author user
 */

public interface InvoiceDetailService extends MpBaseService<TDxRecordInvoice> {
    /**
     * 查询发票主题
     *
     * @author 陈刚扬
     * @date 2020/10/29
     * @param invoiceNo
     * @param invoiceCode
     * @param dbNmae
     * @return java.util.List<com.dxhy.core.model.CertifiedInvoiceVo>
     */
    List<CertifiedInvoiceVo> queryInvoiceSubject(String invoiceNo, String invoiceCode, String dbNmae);

    /**
     * 查询发票详情
     *
     * @author 陈刚扬
     * @date 2020/10/29
     * @param invoiceNo
     * @param invoiceCode
     * @param dbNmae
     * @return java.util.List<com.dxhy.core.model.InvoiceDetails>
     */
    List<InvoiceDetails> selectInvoiceDetails(String invoiceNo, String invoiceCode, String dbNmae);

    /**
     * 查询查验发票详情
     *
     * @author 陈刚扬
     * @date 2020/10/29
     * @param uuid
     * @param dbName
     * @return java.util.List<com.dxhy.core.model.InvoiceDetails>
     */
    List<InvoiceDetails> selectInspectionDetails(String uuid, String dbName);

    /**
     * 查询机动车明细
     *
     * @author 陈刚扬
     * @date 2020/10/29
     * @param uuid
     * @param dbName
     * @return java.util.List<com.dxhy.core.job.entity.TDxVehicleSaleInvoice>
     */
    List<TDxVehicleSaleInvoice> selectVehicleSaleInvoice(String uuid, String dbName);

    /**
     * 功能描述
     *
     * @author 陈刚扬
     * @date 2020/10/30
     * @param pramsMap
     * @return java.lang.String @
     */
    String getInvoiceInfo(Map<String, String> pramsMap);

    /**
     * 销项发票系信息
     * 
     * @param data
     *            数据信息
     * @return 返回
     */
    String getSaleInvoiceInfo(Map<String, String> data);
}
