package com.dxhy.core.service.openservice;

import java.util.List;

import com.dxhy.core.model.openservice.OpenServiceInvokeException;
import com.dxhy.core.model.openservice.OpenServiceOcr;
import com.dxhy.core.model.openservice.OpenServiceSingleInvoiceCheck;
import com.dxhy.core.model.openservice.OpenServiceSingleInvoiceCheckRequest;

/**
 * @author user
 */

public interface IOpenServicePlatformService {
    /**
     * 功能描述
     *
     * @author 陈刚扬
     * @date 2020/10/29
     * @param request
     * @return com.dxhy.core.model.openservice.OpenServiceSingleInvoiceCheck
     * @throws OpenServiceInvokeException
     */
    OpenServiceSingleInvoiceCheck checkSingleInvoice(OpenServiceSingleInvoiceCheckRequest request)
        throws OpenServiceInvokeException;

    /**
     * 海关缴款书识别
     *
     * @param uuid
     * @param picture
     * @return
     * @throws OpenServiceInvokeException
     */
    List<OpenServiceOcr> getCustomsOcrResult(String uuid, String picture) throws OpenServiceInvokeException;

    List<OpenServiceOcr> ocrInvoice(String picture, String userName, String password, String taxno);
    List<OpenServiceOcr> ocrInvoice(String picture);
}
