package com.dxhy.customs.entity;

import java.io.Serializable;
import java.util.Date;

import com.alibaba.fastjson.annotation.JSONField;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableName;

import lombok.Data;

/**
 * <p>
 * 海关缴款书扫描表
 * </p>
 *
 * @author config123
 * @since 2020-06-29
 */
@Data
@TableName("t_dx_customs")
public class TdxCustoms implements Serializable {

    private static final long serialVersionUID = 1L;

    private Long id;
    /**
     * 扫描流水号
     */
    @TableField("invoice_serial_no")
    private Long invoiceSerialNo;
    /**
     * 缴款单位
     */
    @TableField("gf_name")
    private String gfName;
    /**
     * 缴款税号
     */
    @TableField("gf_tax_no")
    private String gfTaxNo;
    /**
     * 缴款书号码
     */
    @TableField("customs_code")
    private String customsCode;
    /**
     * 缴款单位一税号
     */
    @TableField("payer_one_taxno")
    private String payerOneTaxno;
    /**
     * 缴款单位一名称
     */
    @TableField("payer_one_name")
    private String payerOneName;
    /**
     * 缴款单位二税号
     */
    @TableField("payer_two_taxno")
    private String payerTwoTaxno;
    /**
     * 缴款单位二名称
     */
    @TableField("payer_two_name")
    private String payerTwoName;
    /**
     * 填发日期
     */
    @JSONField(format = "yyyy-MM-dd")
    @TableField("fill_in_date")
    private Date fillInDate;
    /**
     * 数据类型17-海关缴款书
     */
    @TableField("data_type")
    private String dataType;
    /**
     * 税款金额
     */
    @TableField("tax_amount")
    private String taxAmount;
    /**
     * 扫描账号
     */
    @TableField("user_account")
    private String userAccount;
    /**
     * 扫描人
     */
    @TableField("user_name")
    private String userName;
    /**
     * 签收方式（0-扫码签收 1-扫描仪签收 2-app签收 3-导入签收 4-手工签收，5-电票上传）
     */
    @TableField("qs_type")
    private String qsType;
    /**
     * 签收结果(0-签收失败 1-签收成功）
     */
    @TableField("qs_status")
    private String qsStatus;
    /**
     * 创建时间
     */
    @TableField("create_date")
    private Date createDate;
    /**
     * 修改时间
     */
    @TableField("update_date")
    private Date updateDate;
    /**
     * 签收时间
     */
    @JSONField(format = "yyyy-MM-dd")
    @TableField("qs_date")
    private Date qsDate;
    /**
     * 扫描图片唯一识别码
     */
    @TableField("scan_id")
    private String scanId;
    /**
     * 扫描备注
     */
    private String notes;
    /**
     * 稽核结果 -1-待处理，0-稽核中，1-相符，2-不符，3-缺联，4-重号
     */
    @TableField("audit_status")
    private String auditStatus;
    /**
     * 是否申请核对0-否 1-是
     */
    @TableField("apply_check")
    private String applyCheck;
    /**
     * 核查结果 0允许抵扣/退税 1不允许抵扣/退税
     */
    @TableField("check_status")
    private String checkStatus;
    /**
     * 部门id
     */
    @TableField("dept_id")
    private String deptId;
    /**
     * 部门名称
     */
    @TableField("dept_name")
    private String deptName;
    /**
     * 集团编码
     */
    private String company;
    /**
     * 备注
     */
    private String remark;
    /**
     * 管理状态0正常1异常
     */
    private String glzt;
    /**
     * 信息来源0扫描认证1系统推送 2出口转内销
     */
    @TableField("xxly")
    private String xxly;

    @TableField("entry_discrepancy")
    private String entryDiscrepancy;

    private String dataSources;

}
