package com.dxhy.customs.entity;

import java.io.Serializable;
import java.math.BigDecimal;
import java.util.Date;

import com.baomidou.mybatisplus.annotation.TableName;

import lombok.Data;

/**
 * t_dx_tax_current
 * 
 * @author
 */
@TableName("t_dx_tax_current")
@Data
public class TdxTaxCurrent implements Serializable {
    private static final long serialVersionUID = 1L;
    private Long id;
    /**
     * 税号
     */
    private String taxno;
    /**
     * 企业名称
     */
    private String taxname;
    /**
     * 当前税款所属期
     */
    private String currentTaxPeriod;
    /**
     * 当前税款所属期可勾选发票的起始开票日期
     */
    private String selectStartDate;
    /**
     * 当前税款所属期可勾选发票的截止开票日期
     */
    private String selectEndDate;
    /**
     * 当前税款所属期可勾选发票操作截止日期
     */
    private String operationEndDate;
    /**
     * 企业旧税号
     */
    private String oldTaxNo;
    /**
     * 申报周期，值为3-季度/1-月
     */
    private String declarePeriod;
    /**
     * 信用等级，值为A/B/C/D或者空
     */
    private String creditRating;
    private Date updateTime;
    private Date createTime;
    /**
     * 锁定状态：0否；1是
     */
    private String latchStatus;
    /**
     * 抵扣限额
     */
    private BigDecimal limitDkse;
    /**
     * 业务密码
     */
    private String bussiPwd;
    /**
     * 新密码
     */
    private String newBussiPwd;
    /**
     * 公司类型：SC或ZC生产企业；WM外贸企业；ZF外综服企业；QT其他 
     */
    private String companyType;
    /**
     * 油类企业类型YLF非成品油企业；YLJX成品油经销企业；YLSC成品油生产企业
     */
    private String oilType;
    /**
     * 纳税人资格 01增值税一般纳税人；02辅导期一般纳税人；04特定征收部门；05转登记纳税人；08小规模纳税人
     */
    private String taxpayerType;
    /**
     * 档案同步时间
     */
    private String syncTime;
    /**
     * 所属期-申报状态；自然月-申报状态（0未申报，1已申报，2未知状态）
     */
    private String indexInfo;
    /**
     * 所属期-申报状态（0未申报，1已申报，2未知状态）
     */
    private String periodIndexInfo;
    /**
     * 自然月-申报状态（0未申报，1已申报，2未知状态）
     */
    private String monthIndexInfo;

}