package com.dxhy.customs.model;

import java.io.Serializable;
import java.util.Date;

import lombok.Data;

/**
 * @author dxhy
 */
@Data
public class CustomsSignVO implements Serializable {
    private String index;

    private Long id;

    /**
     * 缴款单位
     */
    private String gfName;

    /**
     * 缴款税号
     */
    private String gfTaxNo;

    /**
     * 缴款书号码
     */
    private String customsCode;

    /**
     * 缴款单位一税号
     */
    private String payerOneTaxno;

    /**
     * 缴款单位一名称
     */
    private String payerOneName;

    /**
     * 缴款单位二税号
     */
    private String payerTwoTaxno;

    /**
     * 缴款单位二名称
     */
    private String payerTwoName;

    /**
     * 填发日期
     */
    private String fillInDate;

    /**
     * 税款金额
     */
    private String taxAmount;

    /**
     * 有效税款金额
     */
    private String yxTaxAmount;

    /**
     * 进口口岸代码
     */
    private String importPortCode;

    /**
     * 收入机关
     */
    private String incomeOffice;

    /**
     * 申请单位编号
     */
    private String applicantCode;

    /**
     * 报关单编号
     */
    private String billCode;

    /**
     * 贸易方式
     */
    private String modeType;

    /**
     * 预算科目代码
     */
    private String budgetCode;

    /**
     * 收款国库代码
     */
    private String treasuryCode;

    /**
     * 合同号
     */
    private String contractCode;

    /**
     * 运输工具
     */
    private String meansTransport;

    /**
     * 缴款期限
     */
    private String paymentPeriod;

    /**
     * 提运单号
     */
    private String deliveryCode;

    /**
     * 数据来源0采集1手工录入2Excel导入3扫描仪录入4电子版导入5签收推送
     */
    private String dataSources;

    /**
     * 采集时间
     */
    private Date createDate;

    /**
     * 修改时间
     */
    private Date updateDate;

    /**
     * 数据类型17-海关缴款书
     */
    private String dataType;

    /**
     * 采集上传状态0未上传1上传成功2上传失败
     */
    private String collectUploadStatus;

    /**
     * 稽核结果 -1-待处理，0-稽核中，1-相符，2-不符，3-缺联，4-重号 5-历史相符
     */
    private String auditStatus;

    /**
     * 是否申请核对0-否 1-是
     */
    private String applyCheck;

    /**
     * 失败原因 4-参数异常 5-数据重复 8-其他异常13-无法登录税局
     */
    private String failReason;

    /**
     * 核查结果 0允许抵扣/退税 1不允许抵扣/退税
     */
    private String checkStatus;

    /**
     * 签收状态0未签收1已签收
     */
    private String qsStatus;

    /**
     * 签收时间
     */
    private String qsDate;

    /**
     * 签收方式（0-扫码签收 1-扫描仪签收 2-app签收 3-导入签收 4-手工签收，5-电票上传）
     */
    private String qsType;

    /**
     * 签收人
     */
    private String qsUser;

    /**
     * 认证时间
     */
    private Date rzhDate;

    /**
     * 认证属期
     */
    private String rzhBelongDate;

    /**
     * 认证确认时间
     */
    private Date confirmDate;

    /**
     * 认证方式1手工，2导入
     */
    private String rzhType;

    /**
     * 是否认证0未认证，1已认证抵扣，2已认证不抵扣
     */
    private String rzhYesorno;

    /**
     * 认证返回信息
     */
    private String rzhBackMsg;

    /**
     * 当前税款所属期
     */
    private String dqskssq;

    /**
     * 当前税款所属期勾选截止日
     */
    private String gxjzr;

    /**
     * 当前税款所属期可勾选发票开票日期范围起
     */
    private String gxfwq;

    /**
     * 当前税款所属期可勾选发票开票日期范围止
     */
    private String gxfwz;

    /**
     * 是否存入明细 0 无明细 1 有明细
     */
    private String detailYesorno;

    /**
     * 认证处理状态0-未认证 1-已勾选未确认，2已确认 3 已发送认证 4 认证成功 5 认证失败6撤销认证
     */
    private String authStatus;

    /**
     * 发送认证时间
     */
    private Date sendDate;

    /**
     * 认证类型(1-抵扣 2-退税 3-代理退税4-不抵扣 5-撤销认证 6-撤销不抵扣发票已认证、已勾选有该标签）
     */
    private String rzlx;

    /**
     * 确认人
     */
    private String confirmUser;

    /**
     * 部门id
     */
    private String deptId;

    /**
     * 部门名称
     */
    private String deptName;

    /**
     * 管理状态0正常1异常2疑似非正常
     */
    private String glzt;

    /**
     * 信息来源0扫描认证1系统推送 2出口转内销
     */
    private String xxly;

    /**
     * 撤销认证处理状态0未撤销，1申请撤销，2发送撤销，4撤销成功，5撤销失败
     */
    private String cxrzStatus;

    /**
     * 撤销认证操作时间
     */
    private Date cxrzDate;

    /**
     * 撤销认证申请属期
     */
    private String cxrzCurrentPeriod;

    /**
     * 认证类型，1认证抵扣，2认证不抵扣,3退税
     */
    private String bdkStatus;

    /**
     * 撤销不抵扣处理状态0未申请，1申请，2发送申请，4申请成功，5申请失败
     */
    private String cxbdkStatus;

    /**
     * 撤销不抵扣操作时间
     */
    private Date cxbdkDate;

    /**
     * 不抵扣申请属期
     */
    private String bdkCurrentPeriod;

    /**
     * 是否录入不符项 0-否 1-是
     */
    private String entryDiscrepancy;

    /**
     * 海关缴款书对应图片唯一码
     */
    private String customsScanId;

    /**
     * 出口转内销标志默认0否，1是
     */
    private String exportMark;

    /**
     * 录入时间
     */
    private Date entryDate;

    /**
     * 录入人
     */
    private String entryUser;

    private String notes;

    private String scanId;

    /**
     * 签收失败删除标志
     */
    private Boolean delState;

    private Boolean collectState;
    /**
     * 编辑标志
     *
     * @author 陈刚扬
     * @date 2021/2/24
     * @param null
     * @return
     */
    private Boolean editState;
}
