package com.dxhy.customs.service.impl;

import org.springframework.stereotype.Service;

import com.baomidou.mybatisplus.core.conditions.query.LambdaQueryWrapper;
import com.dxhy.common.service.impl.MpBaseServiceImpl;
import com.dxhy.customs.dao.CustomsFileDao;
import com.dxhy.customs.entity.TdxCustomsFile;
import com.dxhy.customs.service.CustomsFileService;

import lombok.extern.slf4j.Slf4j;

/**
 * @author dxhy
 */
@Service("customsFileService")
@Slf4j
public class CustomsFileServiceImpl extends MpBaseServiceImpl<CustomsFileDao, TdxCustomsFile>
    implements CustomsFileService {

    @Override
    public TdxCustomsFile selectByCustomsScanId(String customsScanId) {
        LambdaQueryWrapper<TdxCustomsFile> imgQueryWrapper = new LambdaQueryWrapper<>();
        imgQueryWrapper.eq(TdxCustomsFile::getCustomsScanId, customsScanId);
        return super.getOne(imgQueryWrapper);
    }
}
