package com.dxhy.customs.service.impl;

import java.util.List;

import org.springframework.stereotype.Service;

import com.baomidou.mybatisplus.core.conditions.query.LambdaQueryWrapper;
import com.dxhy.common.service.impl.MpBaseServiceImpl;
import com.dxhy.customs.dao.CustomsImgDao;
import com.dxhy.customs.entity.TdxCustomsImg;
import com.dxhy.customs.service.CustomsImgService;

import lombok.extern.slf4j.Slf4j;

/**
 * @author dxhy
 */
@Service("customsImgService")
@Slf4j
public class CustomsImgServiceImpl extends MpBaseServiceImpl<CustomsImgDao, TdxCustomsImg>
    implements CustomsImgService {

    @Override
    public List<TdxCustomsImg> selectByCustomsScanId(String customsScanId) {
        LambdaQueryWrapper<TdxCustomsImg> imgQueryWrapper = new LambdaQueryWrapper<>();
        imgQueryWrapper.eq(TdxCustomsImg::getCustomsScanId, customsScanId);
        return super.list(imgQueryWrapper);
    }
}
