package com.dxhy.erp.dao;

import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.dxhy.erp.entity.InvoiceImgQueryVo;
import com.dxhy.erp.entity.InvoiceImgSavePo;

/**
 * @ClassName: InvoiceImgDao : 扫描图片数据操作
 * @author yuanlz
 * @date 2016年12月1日 上午11:33:25
 *
 */
@Mapper
public interface InvoiceImgDao extends BaseMapper<InvoiceImgSavePo> {

    /**
     * 保存 @param 插入图片传输参数po @return 插入时自增长的主键 @throws
     *
     * @param imagePo
     */
    Integer saveImg(InvoiceImgSavePo imagePo);

    /**
     * 根据uuid查找图片 @param uuid @return 查询返回发票图片数据对象 @throws
     *
     * @param uuid
     */
    InvoiceImgQueryVo getImg(String uuid);

    /**
     * 根据uuId逻辑删除一条数据
     *
     * @param uuId
     * @return
     */
    int deleteImg(String uuId);

    /**
     * 删除一条
     *
     * @param scanId
     * @return
     */
    int deleteInvoiceImg(String scanId);

    /**
     * 修改一条
     *
     * @param uuId
     * @param scpz
     * @return
     */
    int updateInvoiceImg(@Param("scpz") String scpz, @Param("uuId") String uuId);

}
