package com.dxhy.erp.dao;

import java.util.List;

import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

import com.dxhy.erp.entity.InvoiceElectron;
import com.dxhy.erp.entity.TdxRecordInvoice;

/**
 * @author dxhy
 */
@Mapper
public interface MryxInterfaceDao {

    /**
     * 根据发票uuid集合查询全票面信息
     * 
     * @param buyerTaxNo
     * @param invoiceType
     * @param invoiceNoList
     * @return
     */
    List<TdxRecordInvoice> getInvoiceList(@Param("buyerTaxNo") String buyerTaxNo,
        @Param("invoiceType") String invoiceType, @Param("invoiceList") List<String> invoiceNoList);

    /**
     * 根据uuid集合查询发票签收状态
     * 
     * @param buyerTaxNo
     * @param invoiceNoList
     * @return
     */
    List<InvoiceElectron> getSignState(@Param("buyerTaxNo") String buyerTaxNo,
        @Param("invoiceList") List<String> invoiceNoList);

    /**
     * 根据uuid更新付款信息
     * 
     * @param uuid
     * @param paymentDate
     * @param paymentStatus
     * @param paymentSum
     * @param voucherNumber
     * @return
     */
    int updatePay(@Param("uuid") String uuid, @Param("paymentDate") String paymentDate,
        @Param("paymentStatus") String paymentStatus, @Param("paymentSum") String paymentSum,
        @Param("voucherNumber") String voucherNumber);

}
