package com.dxhy.erp.dao;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.dxhy.erp.entity.TDxInvoice;
import com.dxhy.erp.entity.TdxRecordInvoice;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

import java.util.List;
import java.util.Map;

/**
 *
 * 发票信息dao
 *
 * @author jiaohongyang
 * @date 2019年3月26日 下午6:02:48
 */
@Mapper
public interface SignRecordInvoiceDao extends BaseMapper<TdxRecordInvoice> {

    /**
     * 未签收发票查询接口
     *
     * @param pramsMap
     *            请求参数
     * @return 返回结果
     * @since 1.0
     */
    List<TdxRecordInvoice> selectWqsfp(Map<String, Object> pramsMap);

    /**
     * 未签收发票合计信息查询接口
     *
     * @param pramsMap
     *            请求参数
     * @return 返回结果
     * @since 1.0
     */
    List<TdxRecordInvoice> selectWqsfpHj(Map<String, Object> pramsMap);

    /**
     * 批量删除发票
     *
     * @param scanId
     *            请求参数
     *
     */
    void deleteBatchInvoice(@Param("scanId") String scanId);

    /**
     * 批量删除图片
     *
     * @param scanId
     *            请求参数
     *
     */
    void deleteBatchImg(@Param("scanId") String scanId);

    /**
     * 取消签收
     *
     * @param uuid
     *            请求参数
     */
    void updateQsxx(@Param("uuid") String uuid);

    /**
     * 获取本机构用户
     *
     * @param company
     *            公司代码
     * @return 返回结果
     */
    List<Map<String, String>> getUser(@Param("company") String company);

    /**
     * 未签收发票合计信息查询接口
     *
     * @param pramsMap
     *            请求参数
     * @return 返回结果
     * @since 1.0
     */
    List<TdxRecordInvoice> selectYlqsfpHj(Map<String, Object> pramsMap);

    /**
     * 批量删除发票
     *
     * @param id
     *            请求参数
     *
     */
    void deleteInvoiceByid(@Param("Id") String id);

    TDxInvoice selectInvoice(@Param("Id") String id);
}
