package com.dxhy.erp.entity;

import java.math.BigDecimal;
import java.util.Date;

import lombok.Getter;
import lombok.Setter;

/**
 * @ClassName: InvoiceSavePo : 发票数据保存参数po
 * @author yuanlz
 * @date 2016年12月1日 下午2:24:44
 *
 */
@Getter
@Setter
public class InvoiceSavePo extends BasePojo {

    private static final long serialVersionUID = 1L;

    // ============== 可直接获取的属性
    /** 扫描备注 */
    private String notes;
    /** 发票代码 */
    private String invoiceCode;
    /** 发票号码 */
    private String invoiceNo;
    /** 购方税号 */
    private String gfTaxNo;
    /** 购方名称 */
    private String gfName;
    /** 金额 */
    private BigDecimal invoiceAmount;
    /** 税额 */
    private BigDecimal taxAmount;
    /** 价税合计 */
    private BigDecimal totalAmount;
    /** 销方税号 */
    private String xfTaxNo;
    /** 开票日期 */
    private String invoiceDate;

    // ============== 由参数传递的属性
    /** 扫描路径id */
    private Long scanPathId;

    // ============== 值固定的属性
    /** 有效状态 */
    private String valid;

    // ============== 间接获取的属性
    /** 扫描流水号 */
    private String invoiceSerialNo;
    /** 发票类型 */
    private String invoiceType;
    /** 签收状态 */
    private String qsStatus;
    /** 唯一索引 */
    private String uuid;
    /** 用户账号 */
    private String userAccount;
    /** 用户姓名 */
    private String userName;
    /** 创建时间 */
    private String createDate;
    /** id */
    private Long id;
    /** 签收时间 */
    private Date qsDate;

    /** 是否需要核对底账 */
    private Integer insideOutside;
    /** 扫描唯一识别码 */
    private String scanId;
    /** 校验码 */
    private String checkCode;

    private String xfName;

    private String pdfName;

    private String img;

}
