package com.dxhy.erp.entity;

import java.io.Serializable;
import java.util.List;

import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;

import lombok.Data;

/**
 * 部门管理
 * 
 * @author dxhy
 */
@Data
@TableName("sys_dept")
public class SysDeptEntity implements Serializable {
    private static final long serialVersionUID = 1L;

    /**
     * 部门ID
     */
    @TableId
    private Long deptId;
    /**
     * 上级部门ID，一级部门为0
     */
    private Long parentId;
    /**
     * 部门名称
     */
    private String name;
    /**
     * 上级部门名称
     */
    @TableField(exist = false)
    private String parentName;
    private Integer orderNum;
    /**
     * ztree属性
     */
    @TableField(exist = false)
    private Boolean open;
    @TableField(exist = false)
    private List<?> list;

    private String taxno;
    private String taxname;
    private String linkman;
    private String phone;
    private String address;
    private String bank;
    private String account;
    private String company;
    private String orgType;
    private String deptType;
    private String upgradeStatus;

    /** 是否查验 0-- 不查验 1---查验 */
    private String checkStatus;
    /** 是否采集状态 0 -- 不采集 1--采集 */
    private String cjStatus;
    /** 是否签收认证 0 -- 不签收认证 1 -- 签收认证 */
    private String qsStatus;
    /** 所选数据库名称 */
    private String dbName;

    /** 兼容大企业平台添加 */
    private String aceKey;
    /** 兼容大企业平台添加 */
    private String aceId;
    /** 是否采集全票面 0-- 不采集全票面 1--采集全票面 */
    private String isCollext;

    /** 是否需要密码1需要 */
    private String isPassword;
    private String password;
    /**
     * 是否自动认证
     * 1：自动认证  其他非自动认证
     */
    private String autoRz;
}
