package com.dxhy.erp.entity.sdny;

import lombok.Data;

import java.util.List;

@Data
public class SNInvoice {

    /**
     * 影像ID
     */
    private String fileId;

    /**
     * SAP排序字段
     */
    private String sort;

    /**
     * 发票类型
     * (发票池代码 5位)
     */
    private String invoiceType;

    /**
     * 所属行政区编码
     */
    private String administrativeDivisionNo;

    /**
     * 所属行政区名称
     */
    private String administrativeDivisionName;

    /**
     * 发票代码
     */
    private String invoiceCode;

    /**
     * 发票号码
     */
    private String invoiceNumber;

    /**
     * 开票日期：YYYY-MM-DD
     */
    private String billingDate;

    /**
     * 购方名称
     */
    private String purchaserName;

    /**
     * 购方税号
     */
    private String purchaserTaxNo;

    /**
     * 购方开户行账户
     */
    private String purchaserBank;

    /**
     * 购方地址电话
     */
    private String purchaserAddressPhone;

    /**
     * 销方名称
     */
    private String salesName;

    /**
     * 销方税号
     */
    private String salesTaxNo;

    /**
     * 销方地址电话
     */
    private String salesAddressPhone;

    /**
     * 销方开户行账户
     */
    private String salesBank;

    /**
     * 合计价款
     */
    private String totalAmount;

    /**
     * 合计税额
     */
    private String totalTax;

    /**
     * 价税合计
     */
    private String amountTax;

    /**
     * 价税合计_中文
     */
    private String amountTaxCN;

    /**
     * 校验码
     */
    private String checkCode;

    /**
     * 发票状态（0-正常1-作废2-红冲3-失控4-异常）
     */
    private String state;

    /**
     * 承运人名称
     */
    private String carrierName;

    /**
     * 承运人识别号
     */
    private String carrierTaxNo;

    /**
     * 受票方名称
     */
    private String draweeName;

    /**
     * 受票方识别号
     */
    private String draweeTaxNo;

    /**
     * 运输货物信息
     */
    private String cargoInformation;

    /**
     * 起运地、经由、到达地
     */
    private String transportRoute;

    /**
     * 税控盘号
     */
    private String machineCode;

    /**
     * 车船吨位
     */
    private String tonnage;

    /**
     * 主管税务机关
     */
    private String taxAuthorityNo;

    /**
     * 主管税务名称
     */
    private String taxAuthorityName;

    /**
     * 备注
     */
    private String remarks;

    /**
     * 车辆类型
     */
    private String vehicleType;

    /**
     * 厂牌型号
     */
    private String brandModel;


    /**
     * 产地
     */
    private String originPlace;

    /**
     * 合格证号
     */
    private String certificateNo;

    /**
     * 商检单号
     */
    private String inspectionListNo;

    /**
     * 发动机号
     */
    private String engineNo;

    /**
     * 车辆识别代号/车架号码
     */
    private String vehicleNo;

    /**
     * 进口证明书号
     */
    private String importCertificateNo;

    /**
     * 完税凭证号码
     */
    private String paymentVoucherNo;

    /**
     * 限乘人数
     */
    private String passengersLimited;

    /**
     * 通行费标志 06-可抵扣通行费，07-不可抵扣通 行费
     */
    private String tollSign;

    /**
     * 零税率标志 1:税率栏位显示“免税”,2:税率栏位显示“不征收”,3:零税率
     */
    private String zeroTaxRateSign;

    /**
     * 发票来源
     */
    private String source;

    /**
     * 税率
     */
    private String taxRate;

    /**
     * 发票所在地
     */
    private String place;

    /**
     * 车牌号
     */
    private String licensePlate;

    /**
     * 里程
     */
    private String mileage;

    /**
     * 飞机票价
     */
    private String noTaxAmount;

    /**
     * 燃油附加费
     */
    private String fuelSurcharge;

    /**
     * 民航发展基金
     */
    private String caacDevelopmentFund;

    /**
     * 其他税费
     */
    private String otherTax;

    /**
     * 保险费
     */
    private String insurance;

    /**
     * 车次 航班
     */
    private String trainNumber;

    /**
     * 座位类型
     */
    private String seat;

    /**
     * 上车车站\入口
     */
    private String stationGetOn;

    /**
     * 下车车站\出口
     */
    private String stationGetOff;

    /**
     * 乘坐人姓名
     */
    private String riderName;

    /**
     * 身份证号码/组织机构代码
     */
    private String idcardNo;

    /**
     * 查验状态
     */
    private String checkStaus;

    /**
     * 查验时间
     */
    private String checkDate;

    /**
     * 查验结果描述
     */
    private String checkResultMessage;

    /**
     * 是否可抵扣
     */
    private String isDeductible;

    /**
     * 明细列表
     */
    private List<SNInvoiceDetail> invoiceLineList;

}
