package com.dxhy.erp.service;

import com.dxhy.common.service.MpBaseService;
import com.dxhy.common.vo.UserInfo;
import com.dxhy.erp.entity.TDxCheckLog;

import java.util.Map;

/**
 *
 * 查验业务处理接口
 *
 * @author peipei.li
 * @date 2019-05-09
 */
public interface InvoiceQueryService extends MpBaseService<TDxCheckLog> {

    /**
     * 扫码查验发票信息
     *
     * @param pramsMap
     *            请求参数
     * @return 返回结果 @ 异常
     * @since 1.0
     */
    String smQueryInvoice(Map<String, String> pramsMap);

    /**
     * 检查发票是否可以查验
     *
     * @param dbName
     *            数据源
     * @param uuid
     *            uuid
     * @param userInfo
     *            用户信息
     * @return 返回结果
     */
    String checkingInvoiceInfo(String dbName, String uuid, UserInfo userInfo);

}
