package com.dxhy.erp.service;

import com.dxhy.common.service.MpBaseService;
import com.dxhy.erp.entity.TdxRecordInvoiceStatistics;

import java.util.List;

/**
 *
 * 税率统计表业务处理接口
 *
 * @author peipei.li
 * @date 2019-05-09
 */
public interface SignInvoiceStatisticsService extends MpBaseService<TdxRecordInvoiceStatistics> {
    /**
     * 保存税率统计
     *
     * @param statisticsList
     *            请求参数
     * @param dbName
     *            数据源
     */
    void saveInvoiceStatistics(List<TdxRecordInvoiceStatistics> statisticsList, String dbName);

    /**
     * 删除税率统计
     *
     * @param invoiceCode
     *            发票代码
     * @param invoiceNo
     *            发票号码
     * @param dbName
     *            数据源
     * @return 返回结果
     */
    boolean deleteStatistics(String invoiceCode, String invoiceNo, String dbName);
}
