package com.dxhy.erp.service.impl;

import com.baomidou.mybatisplus.core.conditions.query.QueryWrapper;
import com.dxhy.common.service.impl.MpBaseServiceImpl;
import com.dxhy.erp.dao.SignCheckInvoiceDetailDao;
import com.dxhy.erp.entity.TdxCheckInvoiceDetail;
import com.dxhy.erp.service.SignCheckRecordInvoiceDetailService;
import lombok.extern.slf4j.Slf4j;
import org.springframework.stereotype.Service;

import java.util.List;

/**
 * 
 * 
 * 查验明细业务处理实现类
 *
 * @author ld
 * 
 */
@Service("signCheckRecordInvoiceDetailService")
@Slf4j

public class SignCheckRecordInvoiceDetailServiceImpl extends
    MpBaseServiceImpl<SignCheckInvoiceDetailDao, TdxCheckInvoiceDetail> implements SignCheckRecordInvoiceDetailService {

    @Override
    public List<TdxCheckInvoiceDetail> getInvoiceDetailListByUuid(String uuid) {
        QueryWrapper<TdxCheckInvoiceDetail> queryWrapper = new QueryWrapper<>();
        queryWrapper.eq("uuid", uuid);
        queryWrapper.orderByAsc("detail_no");
        return super.list(queryWrapper);
    }

}
