package com.dxhy.erp.utils;

import com.dxhy.erp.entity.kfpt.ApiCheckInvoiceSingleRequest;
import com.dxhy.erp.entity.kfpt.ApiResponse;
import lombok.extern.slf4j.Slf4j;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.beans.factory.annotation.Value;
import org.springframework.stereotype.Component;

@Component
@Slf4j
public class IcpUtils {

    @Value("${params.api.invoiceCheckSingleUrl}")
    private String invoiceCheckSingleUrl;

    @Autowired
    private ApiUtils apiUtils;

    /**
     * 调用开放平台单张发票查验
     *
     * @param requestId
     * @param singleInvoiceRequest
     * @param taxpayerId
     * @return InvoiceCheckResponse
     */
    public ApiResponse callSingleCheck(String requestId, ApiCheckInvoiceSingleRequest singleInvoiceRequest, String taxpayerId, String access_token) {
        ApiResponse apiResponse = apiUtils.callApi(invoiceCheckSingleUrl, taxpayerId, singleInvoiceRequest, access_token, requestId);
        return apiResponse;
    }

}
