package com.dxhy;

import org.springframework.boot.SpringApplication;
import org.springframework.boot.autoconfigure.SpringBootApplication;
import org.springframework.cloud.client.circuitbreaker.EnableCircuitBreaker;
import org.springframework.cloud.client.discovery.EnableDiscoveryClient;
//import org.springframework.cloud.netflix.eureka.EnableEurekaClient;
import org.springframework.cloud.netflix.hystrix.EnableHystrix;
import org.springframework.cloud.openfeign.EnableFeignClients;
import org.springframework.context.annotation.ComponentScan;
import org.springframework.context.annotation.EnableAspectJAutoProxy;
import org.springframework.scheduling.annotation.EnableScheduling;
import org.springframework.transaction.annotation.EnableTransactionManagement;

import com.dxhy.auth.client.EnableDxhyAuthClient;

import lombok.extern.slf4j.Slf4j;
//import springfox.documentation.swagger2.annotations.EnableSwagger2;

/**
 * @author dxhy
 */
//@EnableSwagger2
@SpringBootApplication
//@EnableEurekaClient
@EnableHystrix
@EnableDiscoveryClient
@EnableFeignClients({"com.dxhy.auth.client.feign"})
@EnableScheduling
@EnableDxhyAuthClient
@EnableTransactionManagement(proxyTargetClass = true)
@EnableAspectJAutoProxy(exposeProxy = true)
@ComponentScan("com.dxhy.*")
@Slf4j
public class DxhyDomesticApplication {

    public static void main(String[] args) {
        SpringApplication springApplication = new SpringApplication(DxhyDomesticApplication.class);
        springApplication.setAllowCircularReferences(Boolean.TRUE);
        springApplication.run(args);
    }

}
