package com.dxhy.domestic.model.dto;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;

import javax.validation.constraints.NotBlank;
import java.io.Serializable;
import java.util.List;

/**
 * @author dxhy
 */
@EqualsAndHashCode(callSuper = true)
@Data
@ApiModel("手工认证列表查询参数")
public class AuthenticationConditionDTO extends PageInfo implements Serializable {

    @NotBlank
    @ApiModelProperty("购方税号，页面“购方名称”下拉框中购方名称相应税号,默认99")
    private String buyerTaxNo;

    @ApiModelProperty("业务部门，登录信息中获取部门Id")
    private String deptId;

    @ApiModelProperty("销方名称")
    private String sellerName;

    @NotBlank
    @ApiModelProperty("开票日期-开始")
    private String invoiceStartTime;

    @NotBlank
    @ApiModelProperty("开票日期-结束")
    private String invoiceEndTime;

    @ApiModelProperty("发票号码")
    private String invoiceNo;

    @NotBlank
    @ApiModelProperty("发票类型")
    private String invoiceType;

    @NotBlank
    @ApiModelProperty("发票来源")
    private String invoiceSource;

    @NotBlank
    @ApiModelProperty("发票状态")
    private String invoiceStatus;

    @NotBlank
    @ApiModelProperty("签收状态")
    private String signInStatus;

    @NotBlank
    @ApiModelProperty("签收方式")
    private String signInType;

    @ApiModelProperty("签收人")
    private String signInPerson;

    @NotBlank
    @ApiModelProperty("签收日期-开始")
    private String signInStartTime;

    @NotBlank
    @ApiModelProperty("签收日期-结束")
    private String signInEndTime;

    @ApiModelProperty("购方税号列表（该参数不用传）")
    private List<String> taxNoList;
    @ApiModelProperty("admin数据库")
    private String dxhyAdmin;
    @ApiModelProperty("tertiary数据库")
    private String dxhyTertiary;
}
