package com.dxhy.domestic.model.dto;

import java.io.Serializable;
import java.util.List;

import javax.validation.constraints.NotBlank;
import javax.validation.constraints.NotEmpty;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

/**
 * @author dxhy
 */
@Data
@ApiModel("退税认证接口参数")
public class AuthenticationDTO implements Serializable {

    @NotEmpty
    @ApiModelProperty("选中发票对应uuid列表")
    private List<String> uuidList;

    @NotBlank
    @ApiModelProperty("退税认证方式：0：手工认证，1：导入认证")
    private String authenticationWay;

}
