package com.dxhy.extend.dao;

import java.util.List;
import java.util.Map;

import org.apache.ibatis.annotations.Mapper;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.dxhy.extend.model.ExtBbyqfpRespVO;

/**
 * 报表逾期发票查询dao
 *
 * @author kangzq
 * @date 2019年5月14日
 * @version 1.0
 */
@Mapper
public interface ExtBbyqfpDao extends BaseMapper<ExtBbyqfpRespVO> {

    /**
     * 根据页面条件查询认证发票
     *
     * @param pramsMap
     *            查询条件
     * @return 返回
     */
    List<ExtBbyqfpRespVO> selectByPramsMap(Map<String, Object> pramsMap);

    /**
     * 统计按照页面条件查询发票的合计数量，合计金额，合计税额
     *
     * @param pramsMap
     *            查询条件
     * @return 返回
     */
    List<ExtBbyqfpRespVO> selectBbyqfpHj(Map<String, Object> pramsMap);

}
