package com.dxhy.extend.dao;

import java.util.List;
import java.util.Map;

import org.apache.ibatis.annotations.Mapper;

import com.dxhy.extend.entity.ExtRecordInvoiceEntity;

/**
 * 普票跨年度预警Dao层 Created by alfred.zong on 2018/04/16.
 * 
 * @author dxhy
 */
@Mapper
public interface ExtDefinitiveStrideYearCopDao {

    /**
     * 根据多条件查询普票跨年度发票进行预警
     * 
     * @param pramsMap
     *            查询条件 gfTaxNo 购方税号 signForDate1 签收日期起 signForDate2 签收日期止 billingDate1 开票日期起 billingDate2 开票日期止
     *            invoiceNo 发票号码
     * @return 普票跨年度预警发票的集合
     */
    List<ExtRecordInvoiceEntity> queryDefinitiveList(Map<String, Object> pramsMap);

}
