package com.dxhy.extend.dao;

import java.util.List;
import java.util.Map;

import org.apache.ibatis.annotations.Mapper;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.dxhy.extend.entity.ExtTdxTaxCurrent;
import com.dxhy.extend.model.ExtFprzybRespVO;

/**
 *
 *
 * 认证发票月报查询
 *
 * @author zhanghong @date 2019年5月13日
 *
 */
@Mapper
public interface ExtFprzybDao extends BaseMapper<ExtFprzybRespVO> {
    /**
     *
     * 根据购方税号和认证年份查询统计数据
     *
     * @param pramsMap
     *            查询条件
     * @return 返回
     *
     */
    List<ExtFprzybRespVO> selectByGfshAndRznf(Map<String, Object> pramsMap);

    /**
     *
     * 根据认证年份查询认证发票统计数据
     *
     * @param pramsMap
     *            查询条件
     * @return 返回
     *
     */
    List<ExtFprzybRespVO> selectRzfphzByRznf(Map<String, Object> pramsMap);

    /**
     * 税号数据
     *
     * @param list
     *            税号
     * @return 返回
     */
    List<ExtTdxTaxCurrent> selectTaxList(List<String> list);

}
