package com.dxhy.extend.dao;

import java.util.List;
import java.util.Map;

import org.apache.ibatis.annotations.Mapper;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.dxhy.extend.model.ExtCustomsStatisticsVo;
import com.dxhy.extend.model.ExtDailyReportVo;
import com.dxhy.extend.model.ExtJxsebbRespVO;
import com.dxhy.extend.model.ExtReportStatisticsVo;

/**
 *
 *
 * 认证发票查询
 *
 * @author kangzq @date 2019年4月25日
 *
 */
@Mapper
public interface ExtJxsebbDao extends BaseMapper<ExtJxsebbRespVO> {

    /**
     * 获取结果包含总金额、税额、进项发票总量
     *
     * @param map
     *            查询条件
     * @return 返回
     */
    ExtReportStatisticsVo getResult(Map<String, Object> map);

    /**
     * 获取海关缴款书认证总量
     *
     * @param map
     *            查询条件
     * @return 返回
     */
    ExtCustomsStatisticsVo getTotal(Map<String, Object> map);

    /**
     * 获取转出总税额
     *
     * @param map
     *            查询条件
     * @return 返回
     */
    Double getTotalOutTax(Map<String, Object> map);

    /**
     * 获取转出税额明细
     *
     * @param map
     *            查询条件
     * @return 返回
     */
    List<ExtDailyReportVo> getOutTaxDetail(Map<String, Object> map);

}
