package com.dxhy.extend.dao;

import java.util.List;
import java.util.Map;

import org.apache.ibatis.annotations.Mapper;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.dxhy.extend.model.ExtQstjbRespVO;
import com.dxhy.extend.model.ExtTjbbHjxxVO;

/**
 *
 *
 * 发票签收统计查询
 *
 * @author zhanghong @date 2019年5月14日
 *
 */
@Mapper
public interface ExtQstjbDao extends BaseMapper<ExtQstjbRespVO> {
    /**
     *
     * 根据查询条件查询统计数据
     *
     * @param pramsMap
     *            查询条件
     * @return 返回
     *
     */
    List<ExtQstjbRespVO> selectQstjbByCxtj(Map<String, Object> pramsMap);

    /**
     *
     * 根据查询条件查询已签收未认证报表
     *
     * @param pramsMap
     *            查询条件
     * @return 返回
     *
     */
    List<ExtQstjbRespVO> selectYqswrzByCxtj(Map<String, Object> pramsMap);

    /**
     *
     * 签收统计表合计信息
     *
     * @param pramsMap
     *            查询条件
     * @return 返回
     *
     */
    List<ExtTjbbHjxxVO> qstjbHjxxByCxtj(Map<String, Object> pramsMap);

    /**
     *
     * 已签收未认证合计信息
     *
     * @param pramsMap
     *            查询条件
     * @return 返回
     *
     */
    List<ExtTjbbHjxxVO> yqswrzHjxxByCxtj(Map<String, Object> pramsMap);

}
