package com.dxhy.extend.dao;

import java.util.List;
import java.util.Map;

import org.apache.ibatis.annotations.Mapper;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.dxhy.extend.entity.ExtTdxCheckLog;

/**
 *
 *
 * 查验记录表dao
 *
 *
 *
 * @author dxhy
 */
@Mapper
public interface ExtTdxCheckLogDao extends BaseMapper<ExtTdxCheckLog> {

    /**
     * 查询查验历史记录
     *
     * @param pramsMap
     *            查询条件
     * @return 返回
     *
     */
    List<ExtTdxCheckLog> selectCheckHistory(Map<String, String> pramsMap);

    /**
     * 查询查验历史合计
     *
     * @param pramsMap
     *            查询条件
     * @return 返回
     *
     */
    List<ExtTdxCheckLog> selectCheckHistoryHj(Map<String, String> pramsMap);

    /**
     * 查询查验历史统计信息
     *
     * @param pramsMap
     *            查询条件
     * @return 返回
     *
     */
    List<ExtTdxCheckLog> selectCheckStatisticsCount(Map<String, String> pramsMap);

    /**
     * 查询查验历史-历史记录
     *
     * @param pramsMap
     *            查询条件
     * @return 返回
     */
    List<ExtTdxCheckLog> selectCheckHistoryDetail(Map<String, String> pramsMap);

    /**
     * 查验综合查询
     *
     * @param pramsMap
     *            查询条件
     * @return 返回
     *
     */
    List<ExtTdxCheckLog> getCheckList(Map<String, Object> pramsMap);

    /**
     * 查验综合查询合计
     *
     * @param pramsMap
     *            查询条件
     * @return 返回
     *
     */
    List<ExtTdxCheckLog> getCheckListHj(Map<String, Object> pramsMap);
}
