package com.dxhy.extend.entity;

import java.io.Serializable;
import java.math.BigDecimal;
import java.util.Date;

import com.baomidou.mybatisplus.annotation.TableName;

import lombok.Data;

/**
 *
 * **************************************************************************** 企业税务信息表
 *
 * @author xuyongyun @date 2019年4月25日
 ******************************************************************************
 */
@Data
@TableName("t_dx_tax_current")
public class ExtTdxTaxCurrent implements Serializable {

    private static final long serialVersionUID = -6721685467254429845L;

    /**
     * id
     */
    private Long id;

    /**
     * 税号
     */
    private String taxno;

    /**
     * 企业名称
     */
    private String taxname;

    /**
     * 当前税款所属期
     */
    private String currentTaxPeriod;

    /**
     * 当前税款所属期可勾选发票的起始开票日期
     */
    private String selectStartDate;

    /**
     * 当前税款所属期可勾选发票的截止开票日期
     */
    private String selectEndDate;

    /**
     * 当前税款所属期可勾选发票操作截止日期
     */
    private String operationEndDate;

    /**
     * 企业旧税号
     */
    private String oldTaxNo;

    /**
     * 申报周期，值为3-季度/1-月
     */
    private String declarePeriod;

    /**
     * 信用等级，值为a/b/c/d或者空
     */
    private String creditRating;

    /**
     * update_time
     */
    private Date updateTime;

    /**
     * create_time
     */
    private Date createTime;

    /**
     * 锁定状态：0否；1是
     */
    private String latchStatus;

    /**
     * 抵扣限额
     */
    private BigDecimal limitDkse;

    private String bussiPwd;

    private String newBussiPwd;

    private String companyType;
    private String oilType;
    private String taxpayerType;
    private String syncTime;
    private String indexInfo;
    private String periodIndexInfo;
    private String monthIndexInfo;
}
