package com.dxhy.extend.model;

import org.hibernate.validator.constraints.Range;

import lombok.Data;
import lombok.EqualsAndHashCode;

/**
 * @author peipei.li
 * @date 2019-04-26 逾期预警查询条件
 */
@EqualsAndHashCode(callSuper = true)
@Data
public class ExtCautionExpirationReqVO extends ExtBaseReqVO {

    /**
     * 分页查询需要，页面传入的当前查询第几页
     */
    private Integer curr;
    /**
     * 分页查询需要，页面传入的记录总数
     */
    private Integer count;
    /**
     * 分页查询需要，页面传入的每页显示多少条数据
     */
    private Integer size;
    /**
     * 购方税号
     */
    private String gfsh;
    /**
     * 月数
     */
    @Range(min = 1, max = 6, message = "请传入提前预警月数")
    private Integer month;

    public ExtCautionExpirationReqVO() {
        this.curr = 1;
        this.count = 0;
        this.size = 10;
        this.month = 1;
    }
}
