package com.dxhy.extend.model;

import com.alibaba.fastjson.annotation.JSONField;
import com.alibaba.fastjson.annotation.JSONType;
import lombok.Data;

@Data
@JSONType(orders = {"SYSID","IFYWID","BSKEY","SAPKEY","ZORG","ZFILED1","ZFILED2","ZFILED3","ZFILED4","ZFILED5","ZDATA"})
public class SNSAPObject {

    /**
     * 外围系统标识
     */
    @JSONField(name = "SYSID")
    private String SYSID;

    /**
     * 接口业务ID
     */
    @JSONField(name = "IFYWID")
    private String IFYWID;

    /**
     * 外围系统数据唯一标识
     */
    @JSONField(name = "BSKEY")
    private String BSKEY;

    /**
     * SAP数据唯一标识
     */
    @JSONField(name = "SAPKEY")
    private String SAPKEY;

    /**
     * 组织机构代码
     */
    @JSONField(name = "ZORG")
    private String ZORG;

    /**
     * SAP模块编码（OA用）
     */
    @JSONField(name = "ZFILED1")
    private String ZFILED1;

    /**
     * 预留字段
     */
    @JSONField(name = "ZFILED2")
    private String ZFILED2;

    /**
     * 预留字段
     */
    @JSONField(name = "ZFILED3")
    private String ZFILED3;

    /**
     * 预留字段
     */
    @JSONField(name = "ZFILED4")
    private String ZFILED4;

    /**
     * SAP Client
     */
    @JSONField(name = "ZFILED5")
    private String ZFILED5;


    /**
     * 外围系统标识
     */
    @JSONField(name = "ZDATA")
    private Object ZDATA;

}
