package com.dxhy.gate.v2;

import org.springframework.boot.SpringApplication;
import org.springframework.boot.autoconfigure.SpringBootApplication;
import org.springframework.boot.autoconfigure.jdbc.DataSourceAutoConfiguration;
import org.springframework.cloud.client.circuitbreaker.EnableCircuitBreaker;
import org.springframework.cloud.client.discovery.EnableDiscoveryClient;
import org.springframework.cloud.openfeign.EnableFeignClients;
import org.springframework.context.annotation.ComponentScan;

import com.dxhy.auth.client.EnableDxhyAuthClient;

/**
 * 
 * @ClassName: GatewayServerBootstrap
 * @author jiaohongyang
 * @date 2019年3月26日 下午6:01:53
 *
 */
@SpringBootApplication(exclude = {DataSourceAutoConfiguration.class})
@EnableDiscoveryClient
@EnableDxhyAuthClient
@EnableCircuitBreaker
@EnableFeignClients({"com.dxhy.auth.client.feign"})
@ComponentScan({"com.dxhy.common.util.redis", "com.dxhy.gate.*"})
public class DxhyGatewayApplication {

    public static void main(String[] args) {
        SpringApplication.run(DxhyGatewayApplication.class, args);
    }
}
