package com.dxhy.manage.entity;

import java.io.Serializable;
import java.util.Date;
import java.util.List;

import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;

import lombok.Data;

/**
 * 部门管理
 *
 * @author jiaohongyang
 */
@Data
@TableName("sys_dept")
public class SysDeptEntity implements Serializable {
    private static final long serialVersionUID = 1L;

    /**
     * 部门ID
     */
    @TableId
    private Long deptId;
    /**
     * 上级部门ID，一级部门为0
     */
    private Long parentId;
    /**
     * 部门名称
     */
    private String name;
    /**
     * 上级部门名称
     */
    @TableField(exist = false)
    private String parentName;
    private Integer orderNum;
    /**
     * ztree属性
     */
    @TableField(exist = false)
    private Boolean open;
    @TableField(exist = false)
    private List<?> list;

    private String taxno;
    private String taxname;
    private String linkman;
    private String phone;
    private String address;
    private String bank;
    private String account;
    private String company;
    private String orgType;
    private String deptType;

    private Date createDate;
    private Date updateDate;

    /**
     * 是否升级企业 0--未升级 1--已升级xml 2--已升级http
     */
    private String upgradeStatus;

    /**
     * 兼容大企业平台添加
     */
    private String aceKey;
    /**
     * 兼容大企业平台添加
     */
    private String aceId;

    /**
     * 明细数据入哪个库
     */
    private String detailIntoWhereDb;
    /**
     * 明细数据入哪个表
     */
    private String detailIntoWhereTable;
    /**
     * 发票主体数据入哪个库
     */
    private String majorIntoWhereDb;
    /**
     * 发票主体数据入哪个表
     */
    private String majorIntoWhereTable;
    /**
     * 发票状态变更存表
     */
    private String majorStatusWhereTable;
    /**
     * 是否采集1是...2否
     */
    private String isCollectYesorno;
    /**
     * 是否查验1是,,,,2否
     */
    private String isCheckYesorno;
    /**
     * 采集等级
     */
    private String levelCode;
    /**
     * 1--大企业接口 2---小企业接口
     */
    private String isModel;
    /**
     * 查验标识
     */
    private String checkBiaoshi;

    /**
     * 发票下载主信息数据库
     */
    private String downInvocieDb;
    /**
     * 发票下载 主信息数据表
     */
    private String downInvoiceTable;
    /**
     * 发票下载明细信息数据库
     */
    private String downDetailDb;
    /**
     * 发票下载明细信息数据表
     */
    private String downDetailTable;
    /**
     * 发票下载标志 0-- 不下载 1-- 下载
     */
    private String collectStatus;

    /**
     * 发票下载
     */
    private String area;
    /**
     * 新增 key 类型 0--盘 1--盘阵 2--软key
     */
    private String collectKeyType;

    private String downKeyType;
    /**
     * 是否9001接口注册 0--未注册 1--注册 是否调用 税号管理开通 0-增加 1-开启 2-停用
     */

    private String collectOptType;

    private String downOptType;
    /**
     * 用户类型 0-长期采集税号 1-一次性采集税号 说明：一次性采集税号运行一次后将停止运行 金融税号，默认值 1-一次性采集税号 大客户税号，默认值 0-长期采集税号
     */

    private String validType;

    /**
     * 业务类型 0-金融税号 1-大客户税号 默认值 1-大客户税号
     */

    private String bussinessType;
    /**
     * 采集的月份个数 最小值0，最大值60；0代表不采集数据, functionNo为01时才需要传输此值
     */
    private String initMonth;
    /**
     * 采集发票类型 '0-全部 1-进项 2-销项', functionNo为01时才需要传输此值
     */
    private String invSpec;
    /**
     * 采集状态 0-正常 1-税局无权限 2-采集不能操作该税号 4--当天已采集完成
     */
    private String taxCollectStatus;
    /**
     * 证书类型 1--证书 2-- token
     */
    private String certificateType;
    private String certificateIp;
    private int certificateIndex;
    private String authUrl;
    private String ptPassword;
    private String isIp;
    @TableField(exist = false)
    private List<SysDeptEntity> children;

}
