package com.dxhy.manage.service;

import java.util.List;

import com.alibaba.fastjson.JSONObject;
import com.dxhy.manage.model.FunctionModel;
import com.dxhy.manage.model.ReturnModel;
import com.dxhy.manage.model.TaxManageModel;

/**
 * @author jiaohongyang
 */
public interface TaxManageService {
    /**
     * 税号信息
     *
     * @param taxno
     *            税号
     * @return 返回
     */
    ReturnModel getTaxInfo(String taxno);

    /**
     * 启用停用
     *
     * @param functionModel
     *            参数
     * @param area
     *            地区编码
     * @param taxno
     *            税号
     * @return 返回
     */
    ReturnModel getKeyTaxManage(FunctionModel functionModel, String area, String taxno);

    /**
     * 表头
     *
     * @return 返回
     */
    JSONObject getTitle();

    /**
     * 日志信息
     *
     * @param taxno
     *            税号
     * @return 返回
     */
    List<TaxManageModel> getHttpLogs(String taxno);
}
