package com.dxhy.passengerticket.dao;

import java.util.List;
import java.util.Map;

import org.apache.ibatis.annotations.Mapper;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.dxhy.passengerticket.entity.TdxInvoiceReimburse;
import com.dxhy.passengerticket.vo.InvoiceMainBody;

/**
 * @author xiexuedi
 * @date 2019/05/10 09:33:44
 */
@Mapper
public interface PassengerReimbursementSystemDao extends BaseMapper<TdxInvoiceReimburse> {
    /*
      增加报销数据

      @param vo
     * @return
     */
    // Integer insertReimbursementSystem(TDxInvoiceReimburse vo);

    /**
     * 查询客票展示列表
     *
     * @param params
     * @return
     */
    List<InvoiceMainBody> selectpassengerTicketList(Map<String, Object> params);

    /**
     * 查询客票详情
     *
     * @param selectId
     * @return
     */
    TdxInvoiceReimburse selectPassengerTicketDetails(String selectId);

    /**
     * 查询uuid去重
     *
     * @param uuid
     * @return
     */
    String selectUuid(String uuid);

    /**
     * 修改报销状态
     *
     * @param selectId
     * @param reimbursementStatus
     */
    void updateiInsertReimbursement(String selectId, String reimbursementStatus);

    /**
     * 根据购方税号查询orgType为5的dbName
     *
     * @param gfTaxNo
     * @return
     */
    String selectOrgType(String gfTaxNo);

    /**
     * 删除发票主题
     *
     * @param selectId
     */
    void delectReimbursementSystem(String selectId);

    /**
     * 删除机动车明细
     *
     * @param uuid
     */
    void deleteVehicleDetail(String uuid);

    /**
     * 删除发票明细
     *
     * @param uuid
     */
    void deleteInvoiceDetails(String uuid);
}
