package com.dxhy.passengerticket.dao;

import java.util.List;
import java.util.Map;

import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.dxhy.passengerticket.vo.CertifiedInvoiceVo;
import com.dxhy.passengerticket.vo.InvoiceMainBody;

/**
 *
 * @author xiexuedi
 * @date 2019/05/07 9:51:33
 */

@Mapper
public interface PassengerTicketDao extends BaseMapper<CertifiedInvoiceVo> {

    /**
     * 查询认证发票数据
     * 
     * @param params
     * @return
     */
    List<InvoiceMainBody> selectcertifiedInvoiceList(Map<String, Object> params);

    /**
     * 查询其他发票数据
     * 
     * @param params
     * @return
     */
    List<InvoiceMainBody> selectOtherInvoiceList(Map<String, Object> params);

    /**
     * 查询发票主题
     * 
     * @param invoiceNo
     * @param invoiceCode
     * @return
     */
    List<InvoiceMainBody> selectInvoiceMainBody(@Param("invoiceNo") String invoiceNo,
        @Param("invoiceCode") String invoiceCode);

    /**
     * 待填
     * 
     * @param selectId
     * @return
     */
    List<InvoiceMainBody> selectPassengerTheme(@Param("selectId") String selectId);
}
