package com.dxhy.portrait.business.entity;

import java.io.Serializable;
import java.util.Date;

import com.baomidou.mybatisplus.annotation.TableField;

import lombok.Data;

/**
 * @author wyh
 */
@SuppressWarnings("AlibabaClassNamingShouldBeCamel")
@Data
public class TDxScanImg implements Serializable {

    private static final long serialVersionUID = -6135174376372422311L;

    private Long id;

    /**
     * 所属扫描业务批次
     */
    private String scanRecordId;

    /**
     * 序号
     */
    private Integer itemNo;

    /**
     * 图片唯一扫描id
     */
    private String scanId;

    /**
     * 单据号
     */
    private String billsNumber;

    /**
     * 本次扫描流水号
     */
    private String serialNumber;

    /**
     * 识别状态 0- 未识别 1-已识别 2-识别中 3-识别失败（图片上传失败） 4-信息已提交 5-信息提交中 6-图片已上传',
     */
    private Integer identifyStatus;

    /**
     * 匹配状态 0- 未匹配 1 自动匹配 2 手动匹配
     */
    private Integer matchingStatus;

    /**
     * 空或0 是票据 1 是封面 2 是附件
     */
    private String fileType;

    /**
     * 影像字节码
     */
    private byte[] image;

    /**
     * 影像名称
     */
    private String imageName;

    /**
     * 图片本地存储路径
     */
    private String imageLocalPath;

    /**
     * 图片存储路径
     */
    private String imagePath;

    /**
     * 附件张数
     */
    private Integer invoiceCount;

    /**
     * 源图片名称
     */
    private String originalName;

    /**
     * 图片后缀(jpg、png)
     */
    private String docFormat;

    /**
     * 备注
     */
    private String remark;

    /**
     * 修改时间
     */
    private Date updateDate;

    /**
     * 创建时间
     */
    private Date createData;

    /**
     * 图片上传时，调用beforeData接口的返回值，左右是判断是否需要上传信息
     */
    private String isBefore;

    /**
     * 调用beforeData接口的返回值
     */
    private String billHeaderId;

    @TableField(exist = false)
    private int total;

    @TableField(exist = false)
    private int success;

    @TableField(exist = false)
    private int failed;

    @TableField(exist = false)
    private String userCode;

    @TableField(exist = false)
    private String userName;

    @TableField(exist = false)
    private String businessCode;

}
