package com.dxhy.portrait.business.entity;

import java.io.Serializable;
import java.util.Date;

import lombok.Data;

/**
 *
 * **************************************************************************** 机动车明细表
 *
 * @author xuyongyun
 * @date 2019年4月25日
 ******************************************************************************
 */
@SuppressWarnings("AlibabaClassNamingShouldBeCamel")
@Data
public class TDxVehicleSaleInvoice implements Serializable {

    private static final long serialVersionUID = -8976275814832604786L;

    /**
     * id
     */
    private Long id;

    /**
     * uuid
     */
    private String uuid;

    /**
     * 购方身份证号码 组织 机构代码
     */
    private String buyerIdNum;

    /**
     * 车辆类型
     */
    private String vehicleType;

    /**
     * 厂牌型号
     */
    private String factoryModel;

    /**
     * 产地
     */
    private String productPlace;

    /**
     * 合格证书
     */
    private String certificate;

    /**
     * 进口证明书号
     */
    private String certificateImport;

    /**
     * 商检单号
     */
    private String inspectionNum;

    /**
     * 发动机号
     */
    private String engineNo;

    /**
     * 车架号码 车辆识别码
     */
    private String vehicleNo;

    /**
     * 电话
     */
    private String phone;

    /**
     * 开户银行
     */
    private String buyerBank;

    /**
     * 税率
     */
    private String taxRate;

    /**
     * 主管税务机关名称
     */
    private String taxBureauName;

    /**
     * 主管税务机关代码
     */
    private String taxBureauCode;

    /**
     * 完税凭证号码
     */
    private String taxRecords;

    /**
     * 限乘人数
     */
    private String limitPeople;

    /**
     * 是否已勾选 0-未勾选 1-已勾选
     */
    private String checkStatus;

    /**
     * 吨位
     */
    private String tonnage;

    /**
     * 创建时间
     */
    private Date createDate;

    private String company;
    //新增二手车信息
    //车牌照号码
    private String plateNo;
    //登记证号
    private String registrationNo;
    //转入地车辆管理所名称
    private String vehicleAdminOffice;
    //经营、拍卖单位
    private String auctionUnit;
    //经营、拍卖单位地址
    private String auctionAddress;
    //经营、拍卖单位纳税人识别号
    private String auctionTaxNo;
    //开户银行及账号
    private String auctionBank;
    //经营、拍卖单位电话
    private String auctionPhone;
    //二手车市场
    private String carMarket;
    //二手车市场纳税人识别号
    private String carMarketTaxNo;
    //二手车市场地址
    private String carMarketAddress;
    //二手车市场开户银行及账号
    private String carMarketBank;
    //二手车市场电话
    private String carMarketPhone;


    //车价合计
    private String carPrice;
    //买方单位 /个人
    private String buyerUnit;
    //买方单位代码 /身份证号
    private String buyerUnitCode;
    //买方单位 /个人住址
    private String buyerUnitAddress;
    //买方电话
    private String buyerPhone;
    //卖方单位/个人
    private String sellerUnit;
    //卖方单位代码/身份证
    private String sellerUnitCode;
    //卖方单位/个人住址
    private String sellerUnitAddress;
    //卖方电话
    private String sellerPhone;



}
