package com.dxhy.portrait.business.entity.webservice;

import com.thoughtworks.xstream.annotations.XStreamAlias;

import lombok.Data;

/**
 * @ClassName Dataitem 请求和响应的信息结果集
 * @Author wyh
 * @Date 2019/11/4 18:37
 * @Version 1.0
 **/
@Data
@XStreamAlias("ITEM")
public class Item {

    @XStreamAlias("ITEM_NO")
    private String itemNo;

    @XStreamAlias("GUID")
    private String guid;

    /**
     * 任务主键ID和当前版本号
     */
    @XStreamAlias("BILL_HEADER_ID")
    private String billHeaderId;

    @XStreamAlias("INV_SVR_GUID")
    private String invSvrGuid;

    /**
     * 采集代码
     */
    @XStreamAlias("SCAN_CODE")
    private String scanCode;

    @XStreamAlias("DOC_TYPE_CODE")
    private String docTypeCode;

    @XStreamAlias("SCAN_TIME")
    private String scanTime;

    @XStreamAlias("DEPT_CODE")
    private String deptCode;

    @XStreamAlias("PAGE_NUMBER")
    private String pageNumber;

    /**
     * 影像字节码,不传则汽车之家从路径获取文件，传则生成文件
     */
    @XStreamAlias("DOC_BYTEDATA")
    private String docBytedata;

    /**
     * 影像类型(jpg、png)
     */
    @XStreamAlias("DOC_FORMAT")
    private String docFormat;

    /**
     * 扫描来源
     */
    @XStreamAlias("SCANNER_MODEL")
    private String scannerModel;
}
