package com.dxhy.sign.dao;

import java.util.List;
import java.util.Map;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.dxhy.sign.entity.TDxCheckLog;
import com.dxhy.sign.entity.SysDeptEntity;

/**
 * @author jiaohongyang
 * @date 2019年3月26日 下午6:02:48 查验记录表dao
 */
@Mapper
public interface SignCheckLogDao extends BaseMapper<TDxCheckLog> {

    /**
     * 查询查验历史记录
     *
     * @param pramsMap
     *            请求参数
     * @return 返回结果
     * @since 1.0
     */
    List<TDxCheckLog> selectCheckHistory(Map<String, String> pramsMap);

    /**
     * 查询查验历史合计
     *
     * @param pramsMap
     *            请求参数
     * @return 返回结果
     * @since 1.0
     */
    List<TDxCheckLog> selectCheckHistoryHj(Map<String, String> pramsMap);

    /**
     * 查询查验历史统计信息
     *
     * @param pramsMap
     *            请求参数
     * @return 返回结果
     * @since 1.0
     */
    List<TDxCheckLog> selectCheckStatisticsCount(Map<String, String> pramsMap);

    /**
     * 查询查验历史-历史记录
     *
     * @param pramsMap
     *            请求参数
     * @return 返回结果
     */
    List<TDxCheckLog> selectCheckHistoryDetail(Map<String, String> pramsMap);

    /**
     * 查验综合查询
     *
     * @param pramsMap
     *            请求参数
     * @return 返回结果
     * @since 1.0
     */
    List<TDxCheckLog> getCheckList(Map<String, Object> pramsMap);

    /**
     * 查验综合查询合计
     *
     * @param pramsMap
     *            请求参数
     * @return 返回结果
     * @since 1.0
     */
    List<TDxCheckLog> getCheckListHj(Map<String, Object> pramsMap);

    /**
     * 根据税号查id和key
     *
     * @param taxno
     *            请求参数
     * @return 返回结果
     */
    SysDeptEntity findIdAndKey(@Param("taxno") String taxno);
}
