package com.dxhy.sign.model;

import java.io.Serializable;

import lombok.Data;

/**
 *
 * 查验表返回页面信息对象
 *
 * @author jiaohongyang
 * @date 2019年3月26日 下午6:02:48
 */
@Data
public class CheckRecordInvoiceVO implements Serializable {

    private static final long serialVersionUID = -4682305909641212385L;

    /**
     * pdfmd5
     */
    private String pdfMd5;

    /**
     * 查验结果
     */
    private String cyjgCode;

    /**
     * 查询结果的信息
     */
    private String cyjgTip;

    /**
     * 发票种类代码
     */
    private String fpzldm;

    /**
     * 发票种类名称
     */
    private String fpzlmc;

    /**
     * 发票代码
     */
    private String fpdm;

    /**
     * 发票号码
     */
    private String fphm;

    /**
     * 查验次数
     */
    private String cycs;

    /**
     * 销方税号
     */
    private String xfsh;

    /**
     * 销方名称
     */
    private String xfmc;

    /**
     * 销方地址、电话
     */
    private String xfdzdh;

    /**
     * 销方开户行及账号
     */
    private String xfyhzh;

    /**
     * 购买方税号
     */
    private String gfsh;

    /**
     * 购方名称
     */
    private String gfmc;

    /**
     * 购方地址、电话
     */
    private String gfdzdh;

    /**
     * 购方开户行及账号
     */
    private String gfyhzh;

    /**
     * 开票日期 格式 yyyymmdd
     */
    private String kprq;

    /**
     * 金额合计
     */
    private String je;

    /**
     * 税额合计
     */
    private String se;

    /**
     * 价税合计
     */
    private String jshj;

    /**
     * 备注
     */
    private String bz;

    /**
     * 机器编号
     */
    private String jqbh;

    /**
     * 开票人
     */
    private String kpr;

    /**
     * 收款人
     */
    private String skr;

    /**
     * 复核人
     */
    private String fhr;

    /**
     * 蓝字发票代码
     */
    private String lzfpdm;

    /**
     * 蓝字发票号码
     */
    private String lzfphm;

    /**
     * 作废标志
     */
    private String zfbz;

    /**
     * 承运人名称
     */
    private String cyrmc;

    /**
     * 承运人纳税人识别号
     */
    private String cyrsbh;

    /**
     * 受票方名称
     */
    private String spfmc;

    /**
     * 受票方纳税人识别号
     */
    private String spfsbh;

    /**
     * 收货人名称
     */
    private String shrmc;

    /**
     * 收货人纳税人识别号
     */
    private String shrsbh;

    /**
     * 发货人名称
     */
    private String fhrmc;

    /**
     * 发货人纳税人识别号
     */
    private String fhrsbh;

    /**
     * 起运地、经由、到达地
     */
    private String qyd;

    /**
     * 运输货物信息
     */
    private String yshwxx;

    /**
     * 车中车号
     */
    private String czch;

    /**
     * 购买方身份证号码
     */
    private String sfzhm;

    /**
     * 税率
     */
    private String sl;

    /**
     * 校验码
     */
    private String jym;

    /**
     * 通行费标志 通行费发票返回信息 y-可抵扣通行费 n-不可抵扣通行费
     */
    private String txfbz;

    /**
     * 零税率标志 通行费发票返回信息 空:非零税率， 1:税率栏位显示“免税”， 2:税率栏位显示“不征收”， 3:零税率
     */
    private String lslbz;

    /**
     * 发票状态
     */
    private String fpzt;

    /**
     * 生成方式
     */
    private String scfs;

    /**
     * 生成时间
     */
    private String scsj;

    /**
     * 确认时间
     */
    private String qrsj;

    /**
     * 确认人
     */
    private String qrr;

    /**
     * 认证流程状态
     */
    private String rzlczt;

    /**
     * 发票种类代码
     */
    private String invoiceType;

    /**
     * 发票种类名称
     */
    private String invoiceString;

    /**
     * 发票代码
     */
    private String invoiceCode;

    /**
     * 发票号码
     */
    private String invoiceNo;

    /**
     * 销方税号
     */
    private String xfTaxNo;

    /**
     * 销方名称
     */
    private String xfName;

    /**
     * 销方地址、电话
     */
    private String xfAddressAndPhone;

    /**
     * 销方开户行及账号
     */
    private String xfBankAndNo;

    /**
     * 购买方税号
     */
    private String gfTaxNo;

    /**
     * 购方名称
     */
    private String gfName;

    /**
     * 购方地址、电话
     */
    private String gfAddressAndPhone;

    /**
     * 购方开户行及账号
     */
    private String gfBankAndNo;

    /**
     * 开票日期 格式 yyyymmdd
     */
    private String invoiceDate;

    /**
     * 金额合计
     */
    private String invoiceAmount;

    /**
     * 税额合计
     */
    private String taxAmount;

    /**
     * 价税合计
     */
    private String totalAmount;

    /**
     * 备注
     */
    private String remark;

    private String checkCode;

}
