package com.dxhy.sign.service.elec;

import java.util.List;
import java.util.Map;

import com.dxhy.sign.entity.TDxInvoice;
import com.dxhy.sign.model.QsInvoiceCount;

/**
 * @author peipei.li
 * @date 2019-05-09 发票扫描service
 */
public interface SignInvoiceScanService {
    /**
     * 根据uuid查询记录
     * 
     * @param dbName
     *            数据源
     * @param uuid
     *            uuid
     * @return 返回结果
     */
    TDxInvoice queryByUuid(String uuid, String dbName);

    /**
     * 发票扫描记录
     *
     * @param scannInvoice
     *            请求参数
     */
    void insertOrUpdate(TDxInvoice scannInvoice);

    /**
     * 电票查询
     *
     * @param pramsMap
     *            请求参数
     * @return 返回结果
     */
    List<TDxInvoice> listElecInvoice(Map<String, Object> pramsMap);

    /**
     * 电票查询，不分页
     * 
     * @param pramsMap
     *            请求参数
     * @return 返回结果
     */
    QsInvoiceCount selectListCount(Map<String, Object> pramsMap);

    /**
     * 根据uuid更新发票扫描表数据
     *
     * @param scannInvoice
     *            扫描信息
     * @return 返回
     */
    void updateByUuid(TDxInvoice scannInvoice);

    /**
     * 根据发票scanId查询发票是否存在
     */
    TDxInvoice queryByScanId(String ScanId, String dbName);
}
