package com.dxhy.sign.service.singletable;

import java.util.List;
import java.util.Map;
import com.dxhy.common.service.MpBaseService;
import com.dxhy.sign.entity.TDxInvoice;
import com.dxhy.sign.model.QsInvoiceCount;

/**
 *
 * 发票扫描表业务处理接口
 *
 * @author peipei.li
 * @date 2019-05-09
 */
public interface SignInvoiceService extends MpBaseService<TDxInvoice> {

    /**
     * 根据uuid、userid删除
     *
     * @param userid
     *            用户唯一标识
     * @param uuid
     *            记录唯一标识
     *
     * @since 1.0
     */
    void delByUuid(String uuid, String userid);

    /**
     * 查询签收记录列表
     *
     * @param pramsMap
     *            请求参数
     * @return 返回结果
     * @since 1.0
     */
    List<TDxInvoice> selectQsfpList(Map<String, Object> pramsMap);

    /**
     * 签收查询合计
     *
     * @param pramsMap
     *            请求参数
     * @return 返回结果
     */
    QsInvoiceCount selectQsfpListCount(Map<String, Object> pramsMap);

    /**
     * 查询记录是否合法
     *
     * @param userid
     *            用户唯一标识
     * @param uuid
     *            记录唯一标识
     * @param del
     *            删除记录标识
     * @return 返回结果
     * @since 1.0
     */
    String requestValidate(String uuid, String userid, String del);

    /**
     * 每日优鲜签收查询
     *
     * @param pramsMap
     *            请求参数
     * @return 返回结果
     */
    List<TDxInvoice> selectQsfpListMryx(Map<String, Object> pramsMap);

    /**
     * 每日优鲜签收查询
     *
     * @param pramsMap
     *            请求参数
     * @return 返回结果
     */
    QsInvoiceCount selectQsfpListCountMryx(Map<String, Object> pramsMap);
}
