package com.dxhy.sign.service.singletable.impl;

import java.util.List;

import org.springframework.stereotype.Service;

import com.baomidou.mybatisplus.core.conditions.query.QueryWrapper;
import com.dxhy.common.service.impl.MpBaseServiceImpl;
import com.dxhy.sign.dao.SignCheckInvoiceDetailDao;
import com.dxhy.sign.entity.TDxCheckInvoiceDetail;
import com.dxhy.sign.service.singletable.SignCheckRecordInvoiceDetailService;

import lombok.extern.slf4j.Slf4j;

/**
 * 
 * 
 * 查验明细业务处理实现类
 *
 * @author ld
 * 
 */
@Service("signCheckRecordInvoiceDetailService")
@Slf4j

public class SignCheckRecordInvoiceDetailServiceImpl extends
    MpBaseServiceImpl<SignCheckInvoiceDetailDao, TDxCheckInvoiceDetail> implements SignCheckRecordInvoiceDetailService {

    @Override
    public List<TDxCheckInvoiceDetail> getInvoiceDetailListByUuid(String uuid) {
        QueryWrapper<TDxCheckInvoiceDetail> queryWrapper = new QueryWrapper<>();
        queryWrapper.eq("uuid", uuid);
        queryWrapper.orderByAsc("detail_no");
        return super.list(queryWrapper);
    }

}
